//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Ammo_Base extends Ammunition;

var int NumClips;
var const int MaxClips;
var const int ClipPrice;
var const int ClipMultiple;

replication 
{ 
	// Things the server should send to the client. 
	reliable if ((bNetDirty) && (bNetOwner) && (Role == Role_Authority))
		NumClips;
}

function ReloadClip() 
{ 	
	if (NumClips > 0)
	{
		NumClips -= 1;
		AmmoAmount = MaxAmmo;
		NetUpdateTime = Level.TimeSeconds - 1;
	}
}

function AddClips(int ClipsToAdd)
{
	NumClips = Min(MaxClips, ClipsToAdd);
	NetUpdateTime = Level.TimeSeconds - 1;
}

function bool AddAmmo(int AmmoToAdd)
{
	AmmoAmount = Min(MaxAmmo, AmmoToAdd);
	NetUpdateTime = Level.TimeSeconds - 1;
	return true;
}

simulated function CheckOutOfAmmo()
{
}

defaultproperties
{
	NumClips=5
	ClipPrice=5
	ClipMultiple=1
	bSkipActorPropertyReplication=true
	NetUpdateFrequency=35
	NetPriority=1.5
	bAlwaysRelevant=true
	bOnlyRelevantToOwner=true
}