//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// A placeable C4 bomb object that disarms (swaps meshes) when triggered.
//=============================================================================
class DynObj_C4Bomb extends FragOps_DynamicObjects
	placeable;

var() StaticMesh DisarmedMesh;
var() byte DisarmingTeam;

var StaticMesh OrigMesh;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	OrigMesh = StaticMesh;
}

event Trigger(Actor Other, pawn EventInstigator)
{
	if (FragOps_TimedTrigger(Other) != None || (EventInstigator != None && EventInstigator.PlayerReplicationInfo != None && EventInstigator.PlayerReplicationInfo.Team.TeamIndex != DisarmingTeam))
	{
		if (StaticMesh != DisarmedMesh)
		{
			SetStaticMesh(None);
		}
	}
	else
		SetStaticMesh(DisarmedMesh);
}

function Reset()
{
	SetStaticMesh(OrigMesh);
}

defaultproperties
{
	Physics=PHYS_None
	DrawType=DT_StaticMesh
	DisarmedMesh=StaticMesh'OpCanNiSM.decorative.pipebombdisarmed'
	StaticMesh=StaticMesh'OpCanNiSM.decorative.pipebomb'
	DisarmingTeam=1
	DrawScale=3.0
	bBlockKarma=true
	bWorldGeometry=true
	bCollideWorld=false
	bCollideActors=true
	bBlockPlayers=false
	bBlockActors=true
	bCollideWhenPlacing=false
	bAcceptsProjectors=true
	RemoteRole=ROLE_DumbProxy
}