//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BloodGlob extends Emitter;

simulated function PostBeginPlay()
{
	Velocity = (Rand(35)+40)*vector(Rotation);
	Velocity.Z += Rand(15)+40;
	SetPhysics(PHYS_Falling);
	if (PhysicsVolume != None && PhysicsVolume.bWaterVolume)
		Destroy();
}

simulated function Landed(vector HitNormal)
{
	SmallSplat(HitNormal);
}

simulated function HitWall(vector HitNormal, actor Wall)
{
	if (Effect_BloodGlob(Wall) == None && Pawn(Wall) == None)
		SmallSplat(HitNormal);
}

simulated function SmallSplat(vector HitNormal)
{
	if (Level == None || Level.NetMode == NM_DedicatedServer)
		return;
	
	if ((!FastTrace(Location,Level.GetLocalPlayerController().ViewTarget.Location) && VSize(Location-Level.GetLocalPlayerController().ViewTarget.Location) > 2000) || (Level.bDropDetail && FRand() > 0.75))
	{
		Destroy();
		return;
	}
	
	spawn(class'Effect_BloodSplatSmall',,, Location + 20*(HitNormal+VRand()), rotator(-HitNormal));
	Destroy();
}

simulated event PhysicsVolumeChange(PhysicsVolume NewVolume)
{
	if (NewVolume != None && NewVolume.bWaterVolume)
		Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		FadeOut=True
		UseRegularSizeScale=True
		UniformSize=True
		UseRandomSubdivision=True
		FadeOutStartTime=0.800000
		CoordinateSystem=PTCS_Relative
		MaxParticles=4
		StartSizeRange=(X=(Min=3.000000,Max=3.000000),Y=(Min=3.000000,Max=3.000000))
		InitialParticlesPerSecond=1000.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'XEffects.Skins.pcl_Blooda'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=1.000000,Max=1.000000)
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	bNoDelete=false
	bStatic=false
	bCollideWorld=true
	bCollideActors=false
	bBlockPlayers=false
	bBounce=true
	bHighDetail=false
	bGameRelevant=true
	AutoDestroy=false
	CollisionHeight=1.0
	CollisionRadius=1.0
	bUseCylinderCollision=true
	bDisturbFluidSurface=true
	bUnlit=true
	FluidSurfaceShootStrengthMod=0.4
	LifeSpan=5.0
	bNetTemporary=true
	RemoteRole=ROLE_SimulatedProxy
}