//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BloodHitGrow extends Emitter;

var class<Actor> SplatClass;
var rotator SplatRotation;

replication
{
	reliable if (Role == ROLE_Authority)
		SplatRotation;
}

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	// spawn splat after replicating rotation
	if (Role < Role_Authority)
		SpawnSplat();

	if (!Level.bDropDetail)
		Emitters[0].SpawnParticle(10+Rand(7));
	else
		Emitters[0].SpawnParticle(9+Rand(4));
	Emitters[0].AllParticlesDead = false;
	Emitters[1].SpawnParticle(6);
	Emitters[1].AllParticlesDead = false;
}

simulated function DoSplat(rotator NewSplatRotation)
{
	SplatRotation = NewSplatRotation;
	if (Level.NetMode != NM_DedicatedServer)
		SpawnSplat();
}

simulated function SpawnSplat()
{
	local vector Start, End, HitLocation, HitNormal;
	local PlayerController PC;
	
	Start = Location + class'FOPawn'.Default.CollisionRadius*vector(SplatRotation);
	End = Start + 225*vector(SplatRotation);
	Trace(HitLocation,HitNormal,End,Start,true);
	
	PC = Level.GetLocalPlayerController();
	if (HitLocation != vect(0,0,0) && PC != None && Level.TimeSeconds - FOPlayer(PC).LastSplatTime > 0.06)
	{
		Spawn(class'Effect_BloodSplat',Owner,, HitLocation + 40*HitNormal, rotator(-HitNormal));
		FOPlayer(PC).LastSplatTime = Level.TimeSeconds;
	}
}

defaultproperties
{
	SplatClass=class'Effect_BloodSplat'
	
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseDirectionAs=PTDU_Up
		UseColorScale=True
		FadeOut=True
		FadeIn=True
		UniformSize=True
		UseVelocityScale=True
		ColorScale(0)=(Color=(R=130,G=27,B=21,A=255))
		ColorScale(1)=(RelativeTime=1.000000,Color=(R=120,G=27,B=21,A=255))
		FadeOutStartTime=0.45000
		FadeInEndTime=0.150000
		CoordinateSystem=PTCS_Relative
		MaxParticles=16
		StartLocationRange=(X=(Min=1.0,Max=1.500000),Y=(Min=1.0,Max=1.500000),Z=(Min=1.0,Max=1.500000))
		StartSizeRange=(X=(Min=1.000000,Max=1.500000))
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'AW-2004Particles.Energy.SparkHead'
		LifetimeRange=(Min=0.500000,Max=0.550000)
		StartVelocityRange=(X=(Min=105.000000,Max=110.000000),Y=(Min=-18.000000,Max=18.000000),Z=(Min=-18.000000,Max=18.000000))
		VelocityScale(0)=(RelativeTime=0.010000,RelativeVelocity=(X=1.300000,Y=1.000000,Z=1.000000))
		VelocityScale(1)=(RelativeTime=0.700000,RelativeVelocity=(X=0.060000,Y=0.006000,Z=0.006000))
		VelocityScale(2)=(RelativeTime=1.900000,RelativeVelocity=(X=0.010000))
		RespawnDeadParticles=False
		AutomaticInitialSpawning=False
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		UseColorScale=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		FadeOut=True
		FadeOutStartTime=0.45000
		UniformSize=True
		UseVelocityScale=True
		ColorScale(0)=(Color=(R=205,G=27,B=21,A=255))
		ColorScale(1)=(RelativeTime=1.000000,Color=(R=200,G=27,B=21,A=255))
		CoordinateSystem=PTCS_Relative
		MaxParticles=9
		LifetimeRange=(Min=0.5500000,Max=0.70000)
		SpinsPerSecondRange=(X=(Min=-0.040000,Max=0.040000))
		SizeScale(0)=(RelativeTime=0.030000,RelativeSize=1.500000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=2.300000)
		StartSizeRange=(X=(Min=6.500000,Max=7.000000))
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'XGame.Water.xWaterDrops2'
		StartVelocityRange=(X=(Min=4.000000,Max=5.000000),Y=(Min=4.000000,Max=5.000000),Z=(Min=4.000000,Max=5.000000))
		VelocityScale(0)=(RelativeTime=0.200000,RelativeVelocity=(X=0.010000,Y=0.01,Z=0.01))
		RespawnDeadParticles=False
		AutomaticInitialSpawning=False
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		TextureUSubdivisions=1
		TextureVSubdivisions=2
		BlendBetweenSubdivisions=True
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	RemoteRole=ROLE_SimulatedProxy
	bReplicateMovement=true
	bNoDelete=false
	bStatic=false
	bBlockPlayers=false
	bBounce=true
	bHighDetail=false
	AutoDestroy=false
	bNetTemporary=true
	bGameRelevant=true
	LifeSpan=0.5
}