//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BloodSplat extends BloodSplatter;

function PostBeginPlay()
{
	local Vector RX, RY, RZ;
	local Rotator R;

	if (PhysicsVolume.bNoDecals)
	{
		Destroy();
		return;
	}

	ProjTexture = Splats[Rand(3)];
	
	if (RandomOrient)
	{
		R.Yaw = 0;
		R.Pitch = 0;
		R.Roll = Rand(65535);
		GetAxes(R,RX,RY,RZ);
		RX = RX >> Rotation;
		RY = RY >> Rotation;
		RZ = RZ >> Rotation;
		R = OrthoRotation(RX,RY,RZ);
		SetRotation(R);
	}
	SetLocation(Location - vector(Rotation)*PushBack);
	Super(Projector).PostBeginPlay();

	Lifespan = FMax(0.5, LifeSpan + (Rand(4) - 2));

	if (Level.bDropDetail)
		LifeSpan *= 0.5;

	SetDrawScale((Default.DrawScale-0.07) + (FRand()*0.2));
	AbandonProjector(LifeSpan*Level.DecalStayScale);
	Destroy();
}

defaultproperties
{
	RandomOrient=true
	MaxTraceDistance=100
	FOV=2
	bGradient=false
	DrawScale=0.5
	splats(0)=Texture'FOMisc.Projected.BloodSplat3' 
	splats(1)=Texture'FOMisc.Projected.BloodSplat2'
	splats(2)=Texture'FOMisc.Projected.BloodSplat3'
	ProjTexture=Texture'FOMisc.Projected.BloodSplat2'
	LifeSpan=12.0
}