//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BloodSplatSmall extends BloodSplatter;

var bool bGrow;
var float RandScale;

function PostBeginPlay()
{
	local Vector RX, RY, RZ;
	local Rotator R;
	local float NRand;

	if (PhysicsVolume.bNoDecals)
	{
		Destroy();
		return;
	}

	ProjTexture = splats[Rand(3)];

	if (RandomOrient)
	{
		R.Yaw = 0;
		R.Pitch = 0;
		R.Roll = Rand(65535);
		GetAxes(R,RX,RY,RZ);
		RX = RX >> Rotation;
		RY = RY >> Rotation;
		RZ = RZ >> Rotation;
		R = OrthoRotation(RX,RY,RZ);
		SetRotation(R);
	}
	LifeSpan = 10.0;
	SetLocation(Location - Vector(Rotation)*PushBack);
	Super(Projector).PostBeginPlay();

	NRand = FRand()*0.3;
	RandScale = (Default.DrawScale-0.15)+NRand; 
	SetDrawScale(RandScale*0.33);
	bGrow = true;
}


function Tick(float dt)
{
	local float OldScale;

	Super.Tick(dt);
	
	if (bGrow)
	{
		OldScale = DrawScale;
		DetachProjector();
		SetDrawScale(fClamp(OldScale+(dt*1.55), RandScale*0.33, RandScale));
		AttachProjector();
	}
	if (bGrow && DrawScale == RandScale)
	{
		bGrow = false;
		KillSplat();
	}
}

function KillSplat()
{
	Lifespan = Default.LifeSpan+Rand(4);
	if (Level.bDropDetail)
		LifeSpan *= 0.5;
	AbandonProjector(LifeSpan*Level.DecalStayScale);
	Destroy();
}

defaultproperties
{
	MaxTraceDistance=60
	FOV=2
	bGradient=false
	DrawScale=0.61
	PushBack=24
	LifeSpan=5
	splats(0)=Texture'FOMisc.Projected.BloodSplatSmall1' 
	splats(1)=Texture'FOMisc.Projected.BloodSplatSmall2'
	splats(2)=Texture'FOMisc.Projected.BloodSplatSmall1'
	ProjTexture=Texture'FOMisc.Projected.BloodSplatSmall2'
	bHighDetail=false
	CullDistance=4000.0
}