class Effect_BreakingGlass extends Actor
	placeable;

// recommend that you don't change this unless you know what you're doing
var Effect_GlassShards GlassShards;
var() int MaxDamage;
var() int PaneHSize;
var() int PaneVSize;
var() int NumShards;
var() float MinShardScale;
var() float MaxShardScale;

var int DamageTaken;
var StaticMesh CurMesh;
var array<Material> CurSkins;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	CurMesh = StaticMesh;
	CurSkins = Skins;
}

// originally used bHidden to hide the pane, but occasionally clients didn't receive the replication
// update and pane would stay visible.  Now we set the staticmesh to None, works every time.
function TakeDamage(int Damage, Pawn instigatedBy, Vector HitLocation, Vector Momentum, class<DamageType> damageType)
{
	DamageTaken += Damage*2;

	if (DamageTaken < MaxDamage || StaticMesh == None)
		return;

	PlaySound(sound'FOWeaponSounds.Impact.GlassShatter',,TransientSoundVolume*1.55);

	SetCollision(false,false,false);
	SetStaticMesh(None);

	// spawn some glass shards
	GlassShards = Spawn(class'Effect_GlassShards',,,Location+((0.5*CollisionHeight)*vect(0,0,1)), Rotation);
	GlassShards.SetShards(PaneHSize,PaneVSize,NumShards,MinShardScale,MaxShardScale);
}

simulated function Reset()
{
	SetStaticMesh(CurMesh);
	Skins = CurSkins;
	SetCollision(true,true,true);
	DamageTaken = 0;
}

defaultproperties
{
	bNoDelete=true
	bHidden=false
	bHiddenEd=false
	bWorldGeometry=false
	bCollideWorld=true
	bCollideActors=true
	bBlockPlayers=true
	bBlockActors=true
	bCollideWhenPlacing=false
	bCanBeDamaged=true
	bProjTarget=false
	bAcceptsProjectors=true
	SurfaceType=EST_Glass
	bDirectional=true
	bStatic=false
	bGameRelevant=true
	bAlwaysRelevant=true
	NetPriority=1.0
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'V-Meshes3.Glass'
	RemoteRole=ROLE_SimulatedProxy

	// actor relevant settings
	MaxDamage=40
	NumShards=300
	PaneVSize=128
	PaneHSize=256
	MinShardScale=1.0
	MaxShardScale=1.0
}