//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BulletHole extends xScorch;

var texture HoleTextures[3];

simulated function PostBeginPlay()
{
	local Vector RX, RY, RZ;
	local Rotator R;

	ProjTexture = HoleTextures[Rand(3)];

	R.Yaw = 0;
	R.Pitch = 0;
	R.Roll = Rand(65535);
	GetAxes(R,RX,RY,RZ);
	RX = RX >> Rotation;
	RY = RY >> Rotation;
	RZ = RZ >> Rotation;         
	R = OrthoRotation(RX,RY,RZ);
	SetRotation(R);
	SetLocation(Location - Vector(Rotation)*PushBack);
	Super(Projector).PostBeginPlay();
	if (Level.bDropDetail)
		LifeSpan *= 0.33;
	else
		LifeSpan *= 0.66;
	AbandonProjector((LifeSpan*Level.DecalStayScale)*0.75);
	Destroy();
}

defaultproperties
{
	DrawScale=0.09
	ProjTexture=Material'FOMisc.Projected.pock0_t'
	HoleTextures(0)=Material'FOMisc.Projected.pock0_t'
	HoleTextures(1)=Material'FOMisc.Projected.pock2_t'
	HoleTextures(2)=Material'FOMisc.Projected.pock4_t'
	bGradient=false
	bClipStaticMesh=true
	bProjectTerrain=false
	RandomOrient=true
	CullDistance=2500.0
	MaxTraceDistance=40
}