//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_DefaultImpact extends Effect_HitEmitter;

simulated function PostBeginPlay()
{
	Super(Emitter).PostBeginPlay();

	Emitters[0].SpawnParticle(9);
	Emitters[0].AllParticlesDead = false;
	PlaySound(ImpactSounds[Rand(ImpactSounds.Length)]);
}

defaultproperties
{
	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=0.6,Max=0.65))
		Texture=Texture'AW-2004Particles.Weapons.TrailBlur2a'
		MaxParticles=9
		LifeTimeRange=(Min=0.12,Max=0.14)
		StartVelocityRange=(Z=(Min=-15.0,Max=15.0),X=(Min=30.0,Max=50.0),Y=(Min=-15.0,Max=15.0))
		Acceleration=(Z=0.000000,Y=0.0,X=5.0)
		StartLocationRange=(Z=(Min=-0.5,Max=0.5),Y=(Min=-0.5,Max=0.5),X=(Min=0.0,Max=1.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=1.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=180,G=190,R=200,A=255))
		ColorScale(1)=(Color=(B=180,G=190,R=200,A=0),RelativeTime=1.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeInEndTime=0.01
		FadeIn=true
		FadeOutStartTime=0.04
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_AlphaBlend
		AutomaticInitialSpawning=false
		DetermineEndPointBy=PTEP_Distance
		CoordinateSystem=PTCS_Relative
		BeamDistanceRange=(Min=13.0,Max=20.0)
		RotatingSheets=1
	Name="BeamEmitter1"
	End Object
	Emitters(0)=BeamEmitter'BeamEmitter1'
	
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=true
		RespawnDeadParticles=False
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseRandomSubdivision=true
		BlendBetweenSubdivisions=false
		Acceleration=(Z=8.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=185,G=200,R=215,A=140))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=185,G=200,R=215,A=90))
		Opacity=0.5
		FadeOutStartTime=0.20000
		FadeInEndTime=0.002
		MaxParticles=9
		SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeTime=0.060000,RelativeSize=2.700000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=5.400000)
		StartSizeRange=(X=(Min=2.000000,Max=4.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'AW-2004Particles.Weapons.SmokePanels2'
		LifetimeRange=(Min=0.800000,Max=0.900000)
		//UseRotationFrom=PTRS_Actor
		CoordinateSystem=PTCS_Relative
		StartLocationRange=(X=(Min=3.0,Max=10.0))
		StartVelocityRange=(X=(Min=160.0,Max=180.0),Y=(Min=-7.0,Max=7.0),Z=(Min=-7.0,Max=7.0))
		VelocityLossRange=(X=(Min=17.0,Max=17.0))
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	AutoDestroy=True
	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	bStatic=false
	RemoteRole=ROLE_None
	bAlwaysRelevant=true
	bGameRelevant=true

	ImpactSounds(0)=sound'Impact1Snd'
	ImpactSounds(1)=sound'Impact2Snd'
	ImpactSounds(2)=sound'Impact3Snd'
	ImpactSounds(3)=sound'Impact4Snd'
	ImpactSounds(4)=sound'Impact5Snd'
	ImpactSounds(5)=sound'Impact6Snd'
	ImpactSounds(6)=sound'Impact7Snd'
	ImpactSounds(7)=sound'Impact3'
	ImpactSounds(8)=sound'Impact1'
	ImpactSounds(9)=sound'Impact2'
}