//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_FistsHit extends Effect_BulletHit;

simulated function SpawnEffects()
{
	bSpawned = true;
	SetLocation(Instigator.Location);
	CheckBodyHits();
	SpawnImpactEffects(Rotator(HitNormal),SpawnLoc + HitNormal*2);
}

simulated function SpawnImpactEffects(rotator HitRot, vector EffectLoc)
{
	// spawn hit effect
	if (!bHitBody)
		Spawn(class'Effect_GetFistHitEffect'.static.GetHitEffect(HitMaterial, EffectLoc, vector(HitRot)),,, EffectLoc, HitRot);
	Destroy();
}


// this makes dead bodies more interesting
simulated function CheckBodyHits()
{
	local vector HitLocation, NewNormal, StartLoc;
	local Actor Other;

	// don't do in listen or standalone games
	if (Level.NetMode == NM_StandAlone || Level.NetMode == NM_ListenServer)
		return;

	// find a hit on a body first
	StartLoc = SpawnLoc;
	Other = Trace(HitLocation,NewNormal,SpawnLoc,Location,true);
	if (Other != None && ((FOPawn(Other) != None && Other.IsInState('Dying')) || Armor_Helmet(Other) != None))
	{
		// take damage
		bHitBody = true;
		Other.TakeDamage(30, Instigator, HitLocation, (SpawnLoc-Location), MyDamageType);	

		if (FOPawn(Other) != None)
			FOPawn(Other).PlayBodyHitSound();
	}
}

defaultproperties
{
	Style=STY_Additive
	LifeSpan=0.6
}