class Effect_GlassShards extends Emitter;

var int iHorizontalRange, iVerticalRange, iShardAmount;
var float iShardScaleMax, iShardScaleMin;

replication
{
	reliable if ((bNetDirty) && (Role == ROLE_Authority))
		iHorizontalRange, iVerticalRange, iShardAmount, iShardScaleMin, iShardScaleMax;
}

simulated function PostNetBeginPlay()
{
	if (Role < ROLE_Authority)
		SpawnShards();
}

function SetShards(int HorizontalRange, int VerticalRange, int ShardAmount, float ShardScaleMin, float ShardScaleMax)
{
	iHorizontalRange = HorizontalRange;
	iVerticalRange = VerticalRange;
	iShardAmount = ShardAmount;
	iShardScaleMin = ShardScaleMin;
	iShardScaleMax = ShardScaleMax;
	if (Level.NetMode != NM_DedicatedServer)
		SpawnShards();
	SetTimer(2.0,false);
}

simulated function SpawnShards()
{
	Emitters[0].StartLocationRange.X.Min = -2.0;
	Emitters[0].StartLocationRange.X.Max = 2.0;
	Emitters[0].StartLocationRange.Y.Min = -(iHorizontalRange/2);
	Emitters[0].StartLocationRange.Y.Max = (iHorizontalRange/2);
	Emitters[0].StartLocationRange.Z.Min = -(iVerticalRange/2);
	Emitters[0].StartLocationRange.Z.Max = (iVerticalRange/2);
	Emitters[0].StartSizeRange.X.Min = 3.0 * iShardScaleMin;
	Emitters[0].StartSizeRange.X.Max = 1.0 * iShardScaleMax;
	SetDrawScale(FClamp(((float(iVerticalRange)+float(iHorizontalRange))/512.0),0.4,1.4));
	Emitters[0].SpawnParticle(iShardAmount);
	Emitters[0].AllParticlesDead = false;
}

function Timer()
{
	bTearOff = true;
}

simulated function Reset()
{
	Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MyShardEmitter
		StartLocationRange=(Z=(Min=-50.0,Max=50.0),Y=(Min=-50.0,Max=50.0))
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		UseRandomSubdivision=true
		StartSizeRange=(X=(Min=2.0,Max=3.0))
		Acceleration=(Z=-950.0)
		StartVelocityRange=(X=(Min=-100.0,Max=100.0),Y=(Min=-100.0,Max=100.0))
		UseRotationFrom=PTRS_Actor
		//CoordinateSystem=PTCS_Relative
		LifeTimeRange=(Min=3.7,Max=4.7)
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeIn=false
		RespawnDeadParticles=false
		FadeOutStartTime=4.0
		UseCollision=true
		DampingFactorRange=(X=(Min=0.8,Max=0.9),Y=(Min=0.5,Max=0.5),Z=(Min=0.2,Max=0.3))
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent		
		MaxParticles=300
		Texture=Texture'FOMisc.Sprites.GlassChips'
		UseColorScale=true
		ColorScale(0)=(Color=(B=100,G=100,R=100,A=255))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=100,G=100,R=100,A=255))
		SpinsPerSecondRange=(X=(Min=-1.5,Max=1.5))
		SpinParticles=true
		DampRotation=true
		RotationDampingFactorRange=(X=(Min=0.2,Max=0.2),Y=(Min=0.2,Max=0.2),Z=(Min=0.2,Max=0.2))
	Name="MyShardEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MyShardEmitter'

	Physics=PHYS_None

	bHardAttach=true
	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	LifeSpan=6.0
	bNetTemporary=false
	bGameRelevant=true
	bNetInitialRotation=true
	RemoteRole=ROLE_SimulatedProxy
}