//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_HitEmitter extends Emitter
	abstract
	hidedropdown;

#exec OBJ LOAD FILE=VMParticleTextures.utx
#exec OBJ LOAD FILE=VehicleFX.utx
#exec OBJ LOAD FILE=XGameShadersB.utx
#exec OBJ LOAD FILE=EmitterTextures.utx

var() array<Sound> ImpactSounds;

static function StaticPrecache(LevelInfo L)
{
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.pock0_t');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.pock2_t');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.pock4_t');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.GlassMark1');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.GlassMark2');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.GlassMark3');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.MetalMark1');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.MetalMark2');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.MetalMark3');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.SnowMark1');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.SnowMark2');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.SnowMark3');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.WoodMark1');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.WoodMark2');
	L.AddPrecacheMaterial(Texture'FOMisc.Projected.WoodMark3');

	L.AddPrecacheMaterial(Texture'FOMisc.Sprites.GlassChips');
	L.AddPrecacheMaterial(Texture'FOMisc.Sprites.WoodChips');
	L.AddPrecacheMaterial(Texture'FOMisc.Sprites.PlantBits');
	L.AddPrecacheMaterial(Texture'VMParticleTextures.DirtKICKGROUP.dirtKICKTEX');
	L.AddPrecacheMaterial(Texture'VMParticleTextures.DirtKICKGROUP.snowKICKTEX');
	L.AddPrecacheMaterial(Texture'VehicleFX.Particles.DustyCloud2');
	L.AddPrecacheMaterial(Texture'AW-2004Particles.Energy.SparkHead');
	L.AddPrecacheMaterial(Texture'XEffects.EmitSmoke_t');
	L.AddPrecacheMaterial(Texture'EmitterTextures.MultiFrame.rockchunks02');
	L.AddPrecacheMaterial(Texture'EmitterTextures.MultiFrame.MistTexture');
}

//Particle start velocity is relative to rotation.
simulated function PostBeginPlay()
{
	local vector MinVel, MaxVel;

	Super.PostBeginPlay();

	MinVel.X = Emitters[0].StartVelocityRange.X.Min;
	MinVel.Y = Emitters[0].StartVelocityRange.Y.Min;
	MinVel.Z = Emitters[0].StartVelocityRange.Z.Min;

	MaxVel.X = Emitters[0].StartVelocityRange.X.Max;
	MaxVel.Y = Emitters[0].StartVelocityRange.Y.Max;
	MaxVel.Z = Emitters[0].StartVelocityRange.Z.Max;

	MinVel = MinVel >> Rotation;
	MaxVel = MaxVel >> Rotation;

	Emitters[0].StartVelocityRange.X.Min = MinVel.X;
	Emitters[0].StartVelocityRange.Y.Min = MinVel.Y;
	Emitters[0].StartVelocityRange.Z.Min = MinVel.Z;

	Emitters[0].StartVelocityRange.X.Max = MaxVel.X;
	Emitters[0].StartVelocityRange.Y.Max = MaxVel.Y;
	Emitters[0].StartVelocityRange.Z.Max = MaxVel.Z;

	PlaySound(ImpactSounds[Rand(ImpactSounds.Length)]);
}

defaultproperties
{
	bAlwaysRelevant=true
	bGameRelevant=true
	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	bStatic=false
	RemoteRole=ROLE_None

	AutoDestroy=True
	LifeSpan=2.000000
	TransientSoundVolume=0.5
}