//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_KnifeHit extends Effect_BulletHit;

var class<Projector> KnifeGash;

simulated function SpawnEffects()
{
	bSpawned = true;
	if (Instigator != None)
		SetLocation(Instigator.Location+Normal(SpawnLoc-Location)*16);
	CheckBodyHits();
	CheckSplash(SpawnLoc);
	SpawnImpactEffects(Rotator(HitNormal),SpawnLoc + HitNormal*2);
}

simulated function SpawnImpactEffects(rotator HitRot, vector EffectLoc)
{
	// spawn hit effect
	if (PhysicsVolume.bWaterVolume)
	{
		if (!bHitBody)
			Spawn(class'pclImpactSmoke',,, EffectLoc, HitRot);
		Destroy();
		return;
	}
	if (!bHitBody)
		Spawn(class'Effect_GetKnifeHitEffect'.static.GetHitEffect(HitMaterial, EffectLoc, vector(HitRot)),,, EffectLoc, HitRot);
	Destroy();
}

// this makes dead bodies more interesting
simulated function CheckBodyHits()
{
	local vector HitLocation, NewNormal, StartLoc;
	local Actor Other;

	// don't do in listen or standalone games
	if (Level.NetMode == NM_StandAlone || Level.NetMode == NM_ListenServer)
		return;

	// find a hit on a body first
	StartLoc = SpawnLoc;
	Other = Trace(HitLocation,NewNormal,SpawnLoc,Location,true);
	if (Other != None && ((FOPawn(Other) != None && Other.IsInState('Dying')) || Armor_Helmet(Other) != None))
	{
		// take damage
		bHitBody = true;
		Other.TakeDamage(30, Instigator, HitLocation, (SpawnLoc-Location), MyDamageType);	

		if (FOPawn(Other) != None)
			FOPawn(Other).PlayBodyHitSound();
	}
}

defaultproperties
{
	Style=STY_Additive
	KnifeGash=class'Effect_BladeGash'
	LifeSpan=0.6
}