//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Quick, clean actor designed specifically for spawning effects, spawned from
// the server.
//=============================================================================
class Effect_LAWEmitterSpawner extends XEmitter
	notplaceable;

var class<Emitter> EmitterClass;
var class <XEmitter> XEmitterClass;

replication
{
	reliable if (Role == ROLE_Authority)
		EmitterClass, XEmitterClass;
}

function DoSpawn()
{
	if (Level.NetMode != NM_DedicatedServer)
		SpawnEmitters();
}

simulated function PostNetBeginPlay()
{
	if (Role < ROLE_Authority)
		SpawnEmitters();
}

simulated function SpawnEmitters()
{	
	if (EmitterClass != None)
		Spawn(EmitterClass,,, Location, rotator(vect(0,0,1)));
	if (XEmitterClass != None)
		Spawn(XEmitterClass,,, Location, rotator(vect(0,0,1)));
	Destroy();
}

defaultproperties
{
	bStatic=false
	bWorldGeometry=false
	bHidden=true
	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	bGameRelevant=true
	bAlwaysRelevant=true
	bReplicateMovement=true
	bNetTemporary=true
	bNetInitialRotation=true
	RemoteRole=ROLE_SimulatedProxy
	LifeSpan=1.0
	mStartParticles=0
	mLifeRange(0)=0.0
	mMaxParticles=0
	Physics=PHYS_None
	mRegen=false
	Style=STY_None
	NetPriority=1.5
}