//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// testing out a non-sm particle based muzzle flash.  Will compare with
// performance vs. standard xemitter staticmesh muzzle flash.
// results: not bad!  Screw the xemitter!
//=============================================================================
class Effect_LAWMuzFlash extends Effect_ParticleFlash;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	local int ParticleMultiple;

	if (Level.bDropDetail || Level.DetailMode == DM_Low)
		ParticleMultiple = 2;
	else
		ParticleMultiple = 1;

	Emitters[0].AllParticlesDead = false;
	Emitters[0].SpawnParticle(4/ParticleMultiple);
	Emitters[1].AllParticlesDead = false;
	Emitters[1].SpawnParticle(10/ParticleMultiple);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MySpriteEmitter
		StartSizeRange=(Y=(Min=3.60,Max=3.60),X=(Min=3.60,Max=3.60),Z=(Min=3.60,Max=3.60))
		Texture=Texture'FOMisc.Sprites.ExplosionFlashNew'
		MaxParticles=4
		LifeTimeRange=(Min=0.15,Max=0.25)
		StartVelocityRange=(Z=(Min=-0.1,Max=0.1),X=(Min=0.0,Max=0.0),Y=(Min=-0.1,Max=0.1))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=7.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=150,G=150,R=150,A=255))
		ColorScale(1)=(RelativeTime=0.300000,Color=(B=120,G=120,R=120,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=00,G=00,R=0,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=1.0
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		SpinsPerSecondRange=(X=(Min=-25.0,Max=25.0))
		SpinParticles=true
	Name="MySpriteEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MySpriteEmitter'

	Begin Object Class=SparkEmitter Name=MySparkEmitter
		Texture=Texture'EpicParticles.Flares.HotSpot'
		LineSegmentsRange=(Min=0.100000,Max=0.220000)
		TimeBetweenSegmentsRange=(Min=0.010000,Max=0.040000)
		MaxParticles=10
		StartSizeRange=(X=(Min=50.000000,Max=50.000000))
		LifetimeRange=(Min=0.370000,Max=0.40000)
		StartVelocityRange=(X=(Min=20.000000,Max=25.000000),Y=(Min=-35.000000,Max=35.000000),Z=(Min=-35.000000,Max=35.000000))
		Acceleration=(Z=0.000000,Y=0.0,X=1000.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeInEndTime=0.030000
		FadeIn=True
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseColorScale=true
		ColorScale(0)=(Color=(B=215,G=215,R=215,A=255))
		ColorScale(1)=(RelativeTime=0.300000,Color=(B=145,G=194,R=195,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=145,G=175,R=175,A=255))
	Name="MySparkEmitter"
	End Object
	Emitters(1)=SparkEmitter'MySparkEmitter'
}