//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_MetalShard extends Projectile;

var StaticMesh RandShards[5];
var int GBounces;

replication
{
	reliable if (bNetInitial && Role == ROLE_Authority)
		GBounces;
}

// flak chunks work nicely
simulated function PostBeginPlay()
{
	local float cBounce;

	Velocity = Vector(Rotation) * ((fRand()*30)+60);
	if (PhysicsVolume.bWaterVolume)
		Velocity *= 0.65;

	cBounce = fRand();
	if (cBounce > 0.75)
		GBounces = 2;
	else if (cBounce > 0.25)
		GBounces = 1;
	else
		GBounces = 0;

	SetRotation(RotRand());

	Super.PostBeginPlay();

	SetStaticMesh(RandShards[Rand(5)]);
	SetPhysics(PHYS_Falling);
	RandSpin(100000);
}

simulated function Landed( Vector HitNormal )
{
	SetPhysics(PHYS_None);
	LifeSpan = 1.0;
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	// play sound here

	RandSpin(100000);

	SetPhysics(PHYS_Falling);
	if (GBounces > 0)
	{
		Velocity = 0.9 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
		GBounces = GBounces - 1;
		return;
	}
	bBounce = false;
}



simulated function ProcessTouch (Actor Other, vector HitLocation)
{}

defaultproperties
{
	DrawType=DT_StaticMesh
	Physics=PHYS_Falling
	StaticMesh=staticmesh'FOSMs.shards.shard1'
	RandShards(0)=staticmesh'FOSMs.shards.shard1'
	RandShards(1)=staticmesh'FOSMs.shards.shard2'
	RandShards(2)=staticmesh'FOSMs.shards.shard3'
	RandShards(3)=staticmesh'FOSMs.shards.shard4'
	speed=5.000000
	MaxSpeed=15.000000
	DrawScale=0.08
	LifeSpan=3.0
	ScaleGlow=1.0
	AmbientGlow=100
	bBounce=true
	DesiredRotation=(Pitch=12000,Yaw=5666,Roll=2334)
	bFixedRotationDir=true
}