class Effect_NapalmFlames extends Emitter;

var float StartSpan;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	if (FRand() < 0.75)
		AmbientSound = Sound'GeneralAmbience.firefx11';
}

simulated function StopFlames()
{
	Emitters[0].RespawnDeadParticles = false;
	Emitters[0].ParticlesPerSecond = 0;
	Emitters[1].RespawnDeadParticles = false;
	Emitters[1].ParticlesPerSecond = 0;
	Emitters[2].RespawnDeadParticles = false;
	Emitters[2].ParticlesPerSecond = 0;
	LifeSpan = 1.0;
	GotoState('Ticking');
}

simulated state Ticking
{
	simulated function Tick(float deltatime)
	{
		SoundVolume = byte(float(Default.SoundVolume) * FClamp((LifeSpan/StartSpan), 0.0, 1.0));
	}

	simulated function BeginState()
	{
		StartSpan = LifeSpan;
	}
}

simulated function Reset()
{
	Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		StartSizeRange=(X=(Min=5.0,Max=15.0),Y=(Min=5.0,Max=15.0),Z=(Min=5.0,Max=15.0))
		Texture=Texture'EmitterTextures.Multiframe.Flame_Effect'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=6
		LifeTimeRange=(Min=0.4,Max=0.4)
		StartVelocityRange=(Z=(Min=0.00,Max=0.0),X=(Min=-5.0,Max=5.0),Y=(Min=-5.0,Max=5.0))
		StartLocationRange=(X=(Min=-20.5,Max=20.5),Y=(Min=-20.5,Max=20.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=3.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=60,G=200,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.400000,Color=(B=45,G=115,R=200,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=45,G=45,R=200,A=255))
		InitialDelayRange=(Min=0.1,Max=0.12)
		FadeOutStartTime=0.4
		ParticlesPerSecond=4
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=true
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
	Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter2
		StartSizeRange=(X=(Min=5.0,Max=15.0),Y=(Min=5.0,Max=15.0),Z=(Min=5.0,Max=15.0))
		Texture=Texture'EmitterTextures.Multiframe.smokelight_a'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=8
		LifeTimeRange=(Min=0.75,Max=0.75)
		StartVelocityRange=(Z=(Min=60.00,Max=65.0),X=(Min=-5.0,Max=5.0),Y=(Min=-5.0,Max=5.0))
		StartLocationRange=(Z=(Min=5.5,Max=10.5),X=(Min=-20.5,Max=20.5),Y=(Min=-20.5,Max=20.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=0.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=60,G=200,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.400000,Color=(B=45,G=115,R=200,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=45,G=45,R=200,A=255))
		InitialDelayRange=(Min=0.1,Max=0.12)
		FadeOutStartTime=1.0
		ParticlesPerSecond=5
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=true
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
	Name="SpriteEmitter2"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter2'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter3
		StartSizeRange=(X=(Min=5.0,Max=15.0),Y=(Min=55.0,Max=65.0),Z=(Min=5.0,Max=15.0))
		Texture=Texture'FOMisc.Sprites.FireTwoKayFour'
		TextureUSubDivisions=2
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=2
		LifeTimeRange=(Min=0.1,Max=0.2)
		StartVelocityRange=(Z=(Min=1.00,Max=5.0),X=(Min=-55.0,Max=55.0),Y=(Min=-55.0,Max=55.0))
		StartLocationRange=(Z=(Min=5.5,Max=10.5),X=(Min=-5.5,Max=5.5),Y=(Min=-5.5,Max=5.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=2.0)
		InitialDelayRange=(Min=0.1,Max=0.12)
		FadeOutStartTime=0.05
		ParticlesPerSecond=4
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=true
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Brighten
		SpinsPerSecondRange=(X=(Min=-0.3,Max=0.3))
		SpinParticles=true
	Name="SpriteEmitter3"
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter3'

	Physics=PHYS_Trailer

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	LifeSpan=12.000000
	bHardAttach=true

	SoundRadius=12
	SoundVolume=60
	SoundPitch=64
}