//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// 3rd person muzzle flashes.  Not bad with a combination of different emitters
// and performance is good as well.
//=============================================================================
class Effect_ParticleFlash3rd extends Emitter;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{

	Emitters[0].AllParticlesDead = false;
	Emitters[1].AllParticlesDead = false;
	Emitters[2].AllParticlesDead = false;

	if (Level.bDropDetail)
	{
		Emitters[0].SpawnParticle(2);
		Emitters[1].SpawnParticle(7);
		Emitters[2].SpawnParticle(1);
	}
	else
	{
		Emitters[0].SpawnParticle(2);
		Emitters[1].SpawnParticle(15);
		Emitters[2].SpawnParticle(1);
	}

	if (Level.DetailMode != DM_SuperHigh)
		return;

	Emitters[3].AllParticlesDead = false;

	if (!Level.bDropDetail)
		Emitters[3].SpawnParticle(1);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MySpriteEmitter
		StartSizeRange=(Y=(Min=1.5,Max=1.8),X=(Min=1.5,Max=1.8),Z=(Min=1.5,Max=1.8))
		Texture=Texture'FOMisc.Sprites.ExplosionFlashNew'
		MaxParticles=2
		LifeTimeRange=(Min=0.15,Max=0.25)
		StartVelocityRange=(Z=(Min=-0.1,Max=0.1),X=(Min=0.0,Max=0.0),Y=(Min=-0.1,Max=0.1))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=8.5)
		UseColorScale=true
		ColorScale(0)=(Color=(B=150,G=150,R=151,A=255))
		ColorScale(1)=(RelativeTime=0.250000,Color=(B=120,G=120,R=121,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=00,G=00,R=1,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=1.0
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		SpinsPerSecondRange=(X=(Min=-25.0,Max=25.0))
		SpinParticles=true
	Name="MySpriteEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MySpriteEmitter'

	Begin Object Class=SparkEmitter Name=MySparkEmitter
		Texture=Texture'EpicParticles.Flares.HotSpot'
		LineSegmentsRange=(Min=0.100000,Max=0.220000)
		TimeBetweenSegmentsRange=(Min=0.020000,Max=0.060000)
		MaxParticles=30
		StartSizeRange=(X=(Min=50.000000,Max=50.000000))
		LifetimeRange=(Min=0.220000,Max=0.230000)
		StartVelocityRange=(X=(Min=5.000000,Max=10.000000),Y=(Min=-75.000000,Max=75.000000),Z=(Min=-75.000000,Max=75.000000))
		Acceleration=(Z=0.000000,Y=0.0,X=300.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeInEndTime=0.020000
		FadeIn=True
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseColorScale=true
		ColorScale(0)=(Color=(B=190,G=190,R=190,A=255))
		ColorScale(1)=(RelativeTime=0.300000,Color=(B=120,G=169,R=170,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=120,G=150,R=150,A=255))
	Name="MySparkEmitter"
	End Object
	Emitters(1)=SparkEmitter'MySparkEmitter'

	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=1.7,Max=2.0))
		Texture=Texture'FOMisc.Sprites.MuzFlash3rd_t'
		MaxParticles=2
		LifeTimeRange=(Min=0.04,Max=0.08)
		StartVelocityRange=(Z=(Min=0.0,Max=0.0),X=(Min=0.0,Max=50.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=2.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=160,G=120,R=120,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=180,G=190,R=205,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=50,G=80,R=90,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		DetermineEndPointBy=PTEP_Distance
		BeamDistanceRange=(Min=5.0,Max=15.0)
		RotatingSheets=24
	Name="BeamEmitter1"
	End Object
	Emitters(2)=BeamEmitter'BeamEmitter1'

	Begin Object Class=SpriteEmitter Name=SmokeEmitter1
		Acceleration=(Z=50.000000,Y=0.0,X=-2.0)
		MaxParticles=30
		StartLocationRange=(X=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),Z=(Min=0.0,Max=0.0))
		StartSizeRange=(X=(Min=2.0,Max=5.0),Y=(Min=2.0,Max=5.0),Z=(Min=2.0,Max=5.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
		SpinsPerSecondRange=(X=(Min=0.05,Max=0.15),Y=(Min=0.05,Max=0.15),Z=(Min=0.05,Max=0.15))
		FadeInEndTime=0.02
		FadeOutStartTime=1.4
		FadeIn=true
		FadeOut=true
		SpinParticles=true
		DrawStyle=PTDS_Translucent
		LifeTimeRange=(Min=1.2,Max=1.3)
		StartVelocityRange=(X=(Min=40.000000,Max=50.000000),Z=(Min=0.00,Max=1.0),Y=(Min=0.0,Max=0.0))
		Texture=Texture'EmitterTextures.MultiFrame.SmokePCL'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		UseCollision=true
		DampingFactorRange=(X=(Min=0.6,Max=0.6),Y=(Min=0.6,Max=0.6),Z=(Min=0.6,Max=0.6))
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		SecondsBeforeInactive=0.000000
		UseActorForces=true
		StartMassRange=(Min=-0.4,Max=0.0)
		RespawnDeadParticles=false
	        SizeScale(0)=(RelativeTime=0.10000,RelativeSize=2.000000)
	        SizeScale(1)=(RelativeTime=0.200000,RelativeSize=2.000000)
		SizeScale(2)=(RelativeTime=1.000000,RelativeSize=4.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=100,G=100,R=100,A=255))
		ColorScale(1)=(RelativeTime=0.100000,Color=(B=70,G=70,R=70,A=255))
		ColorScale(2)=(RelativeTime=0.500000,Color=(B=80,G=80,R=80,A=255))
		ColorScale(3)=(RelativeTime=1.000000,Color=(B=0,G=0,R=0,A=255))
		GetVelocityDirectionFrom=PTDV_StartPositionAndOwner
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseRotationFrom=PTRS_Actor
	Name="SmokeEmitter1"
	End Object
	Emitters(3)=SpriteEmitter'SmokeEmitter1'

	Physics=PHYS_None

	bDirectional=true
	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false

	bHardAttach=true
}