class Effect_RockImpact extends Effect_HitEmitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	Emitters[1].SpawnParticle(9);
	Emitters[1].AllParticlesDead = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		BlendBetweenSubdivisions=false
		Acceleration=(Z=-500.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.500000))
		FadeOutStartTime=0.700000
		MaxParticles=6
		StartSizeRange=(X=(Min=0.500000,Max=1.200000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		UseColorScale=true
		ColorScale(0)=(Color=(B=170,G=170,R=170,A=255))
		ColorScale(1)=(Color=(B=170,G=170,R=170,A=255),RelativeTime=1.0)
		Texture=Texture'VMParticleTextures.TankFiringP.TankHitRocks'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=1.100000)
		StartVelocityRange=(X=(Min=40.000000,Max=110.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=-30.000000,Max=30.000000))
		MaxAbsVelocity=(Z=500.000000)
		SpinParticles=true
		SpinsPerSecondRange=(X=(Min=-0.800000,Max=0.800000))
		StartSpinRange=(X=(Max=1.000000))
		DampRotation=true
		RotationDampingFactorRange=(X=(Min=0.000000,Max=0.800000))
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=0.6,Max=0.65))
		Texture=Texture'AW-2004Particles.Weapons.TrailBlur2a'
		MaxParticles=9
		LifeTimeRange=(Min=0.12,Max=0.14)
		StartVelocityRange=(Z=(Min=-15.0,Max=15.0),X=(Min=30.0,Max=50.0),Y=(Min=-15.0,Max=15.0))
		Acceleration=(Z=0.000000,Y=0.0,X=5.0)
		StartLocationRange=(Z=(Min=-0.5,Max=0.5),Y=(Min=-0.5,Max=0.5),X=(Min=0.0,Max=1.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=1.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=120,G=120,R=120,A=255))
		ColorScale(1)=(Color=(B=120,G=120,R=120,A=40),RelativeTime=1.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeInEndTime=0.01
		FadeIn=true
		FadeOutStartTime=0.04
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_AlphaBlend
		AutomaticInitialSpawning=false
		DetermineEndPointBy=PTEP_Distance
		CoordinateSystem=PTCS_Relative
		BeamDistanceRange=(Min=13.0,Max=20.0)
		RotatingSheets=1
	Name="BeamEmitter1"
	End Object
	Emitters(1)=BeamEmitter'BeamEmitter1'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=true
		RespawnDeadParticles=False
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseRandomSubdivision=true
		BlendBetweenSubdivisions=false
		Acceleration=(Z=8.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=125,G=130,R=135,A=150))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=125,G=130,R=135,A=40))
		Opacity=0.5
		FadeOutStartTime=0.300000
		FadeInEndTime=0.01
		MaxParticles=8
		SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeTime=0.050000,RelativeSize=2.700000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=5.400000)
		StartSizeRange=(X=(Min=2.000000,Max=4.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'AW-2004Particles.Weapons.SmokePanels2'
		LifetimeRange=(Min=0.800000,Max=0.900000)
		CoordinateSystem=PTCS_Relative
		StartLocationRange=(X=(Min=3.0,Max=10.0))
		StartVelocityRange=(X=(Min=160.0,Max=180.0),Y=(Min=-7.0,Max=7.0),Z=(Min=-7.0,Max=7.0))
		VelocityLossRange=(X=(Min=17.0,Max=17.0))
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=sound'FOWeaponSounds.Impact.BulletHitStone1'
	ImpactSounds(1)=sound'FOWeaponSounds.Impact.BulletHitStone2'
	ImpactSounds(2)=sound'FOWeaponSounds.Impact.BulletHitStone1'
	ImpactSounds(3)=sound'FOWeaponSounds.Impact.BulletHitStone1'
	ImpactSounds(4)=sound'FOWeaponSounds.Impact.BulletHitStone1'
	ImpactSounds(5)=sound'FOWeaponSounds.Impact.BulletHitStone5'
	ImpactSounds(6)=sound'FOWeaponSounds.Impact.BulletHitStone5'
	ImpactSounds(7)=sound'FOWeaponSounds.Impact.BulletHitStone1'
	ImpactSounds(8)=sound'FOWeaponSounds.Impact.BulletHitStone2'
	ImpactSounds(9)=sound'FOWeaponSounds.Impact.BulletHitStone2'
}