//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_ShellEjector3rd extends Emitter;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	if (EventInstigator != None && FOPawn(EventInstigator).IsControlledByMe())
		return;

	if (!Level.bDropDetail)
	{
		Emitters[0].AllParticlesDead = false;
		Emitters[0].SpawnParticle(1);
	}
}

defaultproperties
{
	Begin Object Class=MeshEmitter Name=MeshEmitter1
		StaticMesh=StaticMesh'FOShellCasings.shells3rd.case1_sm'
	        //Texture=Texture'FOshellcasetex.9mm'
		StartLocationRange=(X=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=2.0),Z=(Min=0.0,Max=0.0))		
		StartVelocityRange=(X=(Min=160.0,Max=210.0),Z=(Min=0.0,Max=0.0),Y=(Min=-100.0,Max=-200.0))
		Acceleration=(Z=-1200.000000,Y=30.0,X=0.0)
		DampingFactorRange=(X=(Min=0.4,Max=0.6),Y=(Min=0.4,Max=0.6),Z=(Min=0.4,Max=0.6))
		SpinsPerSecondRange=(X=(Min=0.1,Max=0.5),Y=(Min=2.00,Max=2.5),Z=(Min=0.1,Max=0.5))
		DampRotation=true
		RotationDampingFactorRange=(X=(Min=0.05,Max=0.2),Y=(Min=0.05,Max=0.2),Z=(Min=0.01,Max=0.05))
		StartSizeRange=(X=(Min=0.25,Max=0.25),Y=(Min=0.25,Max=0.25),Z=(Min=0.25,Max=0.25))
		LifeTimeRange=(Min=2.0,Max=4.0)
		InitialDelayRange=(Min=0,Max=0)
		SecondsBeforeInactive=0.000000
		InitialParticlesPerSecond=0
		ParticlesPerSecond=0
		MaxParticles=8
		UseMeshBlendMode=true
		UseCollision=true
		SpinParticles=true
		RespawnDeadParticles=false
		UseRotationFrom=PTRS_Actor
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		MaxCollisions=(Min=14,Max=20)
		UseMaxCollisions=true
		CollisionSound=PTSC_LinearLocal
		CollisionSoundProbability=(Min=1.0,Max=1.0)
		// crazily hackish.. had to insert blank sounds because particles never stop colliding!
		Sounds(0)=(Sound=sound'FOWeaponSounds.Misc.ShellHit1',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(1)=(Sound=sound'FOWeaponSounds.Misc.ShellHit2',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(2)=(Sound=sound'FOWeaponSounds.Misc.ShellHit3',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(3)=(Sound=sound'FOWeaponSounds.Misc.ShellHit4',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(4)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(5)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(6)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=0.8,Max=0.8))
		Sounds(7)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.93),Volume=(Min=1.0,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(8)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.9),Volume=(Min=1.0,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(9)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=140.0,Max=160.0),Pitch=(Min=0.9,Max=0.9),Volume=(Min=1.0,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(10)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(11)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(12)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(13)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(14)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(15)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(16)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(17)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(18)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
		Sounds(19)=(Sound=sound'FOWeaponSounds.Misc.ShellHit8',Radius=(Min=40.0,Max=60.0),Pitch=(Min=0.8,Max=0.9),Volume=(Min=0.9,Max=1.0),Probability=(Min=1.0,Max=1.0))
	Name="MeshEmitter1"
	End Object
	Emitters(0)=MeshEmitter'MeshEmitter1'

	bHighDetail=false	
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=1000000.000000
	bHardAttach=true
	SoundRadius=128.000000
	bOwnerNoSee=true
	ScaleGlow=1.2
	CullDistance=2000.0
}