//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_ShotgunHit extends Effect_BulletHit;

simulated function SpawnEffects()
{
	bSpawned = true;
	// tracers
	if (FRand() < 0.9)
		SpawnTracer();
	SpawnImpactEffects(Rotator(HitNormal),SpawnLoc + HitNormal*2);
}

simulated function SpawnImpactEffects(rotator HitRot, vector EffectLoc)
{
	if (FRand() > 0.6 || bHitBody)
	{
		Destroy();
		return;
	}

	Spawn(class'Effect_ShotgunPock',,,EffectLoc, rotator(-HitNormal));

	// spawn hit effect
	if (PhysicsVolume.bWaterVolume)
	{
		Spawn(class'pclImpactSmoke',,, EffectLoc, HitRot);
		Destroy();
		return;
	}
	Spawn(class'Effect_GetShotgunHitEffect'.static.GetHitEffect(HitMaterial, EffectLoc, vector(HitRot)),,, EffectLoc, HitRot);
	Destroy();
}

simulated function CheckSplash(vector BulletLoc)
{
	if (FRand() > 0.75)
		return;

	Super.CheckSplash(BulletLoc);
}


// this makes dead bodies more interesting
simulated function CheckBodyHits()
{
	local vector HitLocation, NewNormal, StartLoc;
	local Actor Other;

	// don't do in listen or standalone games
	if (Level.NetMode == NM_StandAlone || Level.NetMode == NM_ListenServer)
		return;

	// find a hit on a body first
	StartLoc = SpawnLoc;
	Other = Trace(HitLocation,NewNormal,SpawnLoc,Location+Normal(SpawnLoc-Location)*8,true);
	if (Other != None && ((FOPawn(Other) != None && Other.IsInState('Dying')) || Armor_Helmet(Other) != None))
	{
		// take damage
		bHitBody = true;
		Other.TakeDamage(4, Instigator, HitLocation, (SpawnLoc-Location), MyDamageType);	

		if (FOPawn(Other) != None)
			FOPawn(Other).PlayBodyHitSound();
	}
}

defaultproperties
{
}