//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_TriggerLight extends TriggerLight;

var() Light AttachedCorona[4];
var() Actor LightMeshes[4];
var float OldCoronaMax[4], OldCoronaMin[4];
var byte OldGlow[4];

simulated function PostBeginPlay()
{
	local int i;
	
	Super.PostBeginPlay();

	for (i=0;i<4;i++)
	{
		if (AttachedCorona[i] != None)
		{
			OldCoronaMax[i] = AttachedCorona[i].MaxCoronaSize;
			OldCoronaMin[i] = AttachedCorona[i].MinCoronaSize;
		}
		if (LightMeshes[i] != None)
			OldGlow[i] = LightMeshes[i].AmbientGlow;
	}
}

simulated function Tick(float dt)
{
	local int i;

	if (Role == ROLE_Authority)
		Super.Tick(dt);

	for (i=0;i<4;i++)
	{
		if ((LightBrightness == 0 || Alpha == 0) && AttachedCorona[i] != None)
		{
			AttachedCorona[i].MinCoronaSize = 0;
			AttachedCorona[i].MaxCoronaSize = 0;
		}
		else if ((LightBrightness > 0 || Alpha > 0) && AttachedCorona[i] != None)
		{
			AttachedCorona[i].MaxCoronaSize = OldCoronaMax[i];
			AttachedCorona[i].MinCoronaSize = OldCoronaMin[i];
		}

		if ((LightBrightness == 0 || Alpha == 0) && LightMeshes[i] != None)
		{
			LightMeshes[i].ScaleGlow = 0;
			LightMeshes[i].AmbientGlow = 0;
			LightMeshes[i].bUnlit = false;
		}
		else if ((LightBrightness > 0 || Alpha > 0) && LightMeshes[i] != None)
		{
			LightMeshes[i].ScaleGlow = 1.0;
			LightMeshes[i].AmbientGlow = OldGlow[i];
			LightMeshes[i].bUnlit = true;
		}
	}
}

defaultproperties
{
	bAlwaysRelevant=true
	bHighDetail=false
	bStatic=false
	bNoDelete=true
}