//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_TurretFlash extends Effect_ParticleFlash3rd;

simulated function PostBeginPlay()
{
	// play a fire sound
	PlaySound(sound'FOWeaponSounds.AutoTurret.TurretFire',,1.2*TransientSoundVolume,,300,,false);

	Emitters[0].AllParticlesDead = false;
	Emitters[1].AllParticlesDead = false;
	Emitters[2].AllParticlesDead = false;

	if (Level.bDropDetail)
	{
		bDynamicLight = false;
		Emitters[0].SpawnParticle(2);
		Emitters[1].SpawnParticle(7);
		Emitters[2].SpawnParticle(1);
	}
	else
	{
		Emitters[0].SpawnParticle(2);
		Emitters[1].SpawnParticle(15);
		Emitters[2].SpawnParticle(1);
	}

	Emitters[3].AllParticlesDead = false;

	if (!Level.bDropDetail)
		Emitters[3].SpawnParticle(6);

	SetTimer(0.12, false);
}

simulated function Timer()
{
	bDynamicLight = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MySpriteEmitter
		StartSizeRange=(Y=(Min=4.5,Max=5.8),X=(Min=4.5,Max=5.8),Z=(Min=4.5,Max=5.8))
		Texture=Texture'MuzFlashRocket_T'
		MaxParticles=2
		LifeTimeRange=(Min=0.15,Max=0.25)
		StartVelocityRange=(Z=(Min=-0.1,Max=0.1),X=(Min=0.0,Max=0.0),Y=(Min=-0.1,Max=0.1))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=8.5)
		UseColorScale=true
		ColorScale(0)=(Color=(B=150,G=150,R=151,A=255))
		ColorScale(1)=(RelativeTime=0.250000,Color=(B=120,G=120,R=121,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=00,G=00,R=1,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=1.0
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		SpinsPerSecondRange=(X=(Min=-25.0,Max=25.0))
		SpinParticles=true
	Name="MySpriteEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MySpriteEmitter'

	Begin Object Class=SparkEmitter Name=MySparkEmitter
		Texture=Texture'EpicParticles.Flares.HotSpot'
		LineSegmentsRange=(Min=0.100000,Max=0.220000)
		TimeBetweenSegmentsRange=(Min=0.020000,Max=0.060000)
		MaxParticles=15
		StartSizeRange=(X=(Min=50.000000,Max=50.000000))
		LifetimeRange=(Min=0.220000,Max=0.230000)
		StartVelocityRange=(X=(Min=5.000000,Max=10.000000),Y=(Min=-75.000000,Max=75.000000),Z=(Min=-75.000000,Max=75.000000))
		Acceleration=(Z=0.000000,Y=0.0,X=300.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeInEndTime=0.020000
		FadeIn=True
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseColorScale=true
		ColorScale(0)=(Color=(B=190,G=190,R=190,A=255))
		ColorScale(1)=(RelativeTime=0.300000,Color=(B=120,G=169,R=170,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=120,G=150,R=150,A=255))
	Name="MySparkEmitter"
	End Object
	Emitters(1)=SparkEmitter'MySparkEmitter'

	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=5.7,Max=8.0))
		Texture=Texture'FOMisc.Sprites.MuzFlash3rd_t'
		MaxParticles=2
		LifeTimeRange=(Min=0.04,Max=0.08)
		StartVelocityRange=(Z=(Min=0.0,Max=0.0),X=(Min=0.0,Max=50.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=2.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=160,G=120,R=120,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=180,G=190,R=205,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=50,G=80,R=90,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		DetermineEndPointBy=PTEP_Distance
		BeamDistanceRange=(Min=25.0,Max=40.0)
		RotatingSheets=18
	Name="BeamEmitter1"
	End Object
	Emitters(2)=BeamEmitter'BeamEmitter1'
	
	Begin Object Class=SpriteEmitter Name=SmokeEmitter1
		Acceleration=(Z=60.000000,Y=0.0,X=-2.0)
		MaxParticles=30
		StartLocationRange=(X=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),Z=(Min=0.0,Max=0.0))
		StartSizeRange=(X=(Min=4.0,Max=7.0),Y=(Min=4.0,Max=7.0),Z=(Min=4.0,Max=7.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
		SpinsPerSecondRange=(X=(Min=0.05,Max=0.15),Y=(Min=0.05,Max=0.15),Z=(Min=0.05,Max=0.15))
		FadeOutStartTime=1.4
		FadeIn=false
		FadeOut=true
		SpinParticles=true
		DrawStyle=PTDS_Translucent
		LifeTimeRange=(Min=1.2,Max=1.3)
		StartVelocityRange=(X=(Min=40.000000,Max=50.000000),Z=(Min=0.00,Max=1.0),Y=(Min=0.0,Max=0.0))
		Texture=Texture'EmitterTextures.MultiFrame.SmokePCL'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		UseCollision=true
		DampingFactorRange=(X=(Min=0.6,Max=0.6),Y=(Min=0.6,Max=0.6),Z=(Min=0.6,Max=0.6))
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		SecondsBeforeInactive=0.000000
		UseActorForces=true
		StartMassRange=(Min=-0.4,Max=0.0)
		RespawnDeadParticles=false
	        SizeScale(0)=(RelativeTime=0.10000,RelativeSize=2.000000)
	        SizeScale(1)=(RelativeTime=0.200000,RelativeSize=2.000000)
		SizeScale(2)=(RelativeTime=1.000000,RelativeSize=4.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=100,G=100,R=100,A=255))
		ColorScale(1)=(RelativeTime=0.100000,Color=(B=70,G=70,R=70,A=255))
		ColorScale(2)=(RelativeTime=0.500000,Color=(B=80,G=80,R=80,A=255))
		ColorScale(3)=(RelativeTime=1.000000,Color=(B=0,G=0,R=0,A=255))
		GetVelocityDirectionFrom=PTDV_StartPositionAndOwner
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseRotationFrom=PTRS_Actor
	Name="SmokeEmitter1"
	End Object
	Emitters(3)=SpriteEmitter'SmokeEmitter1'
	
	bDynamicLight=true
	bHardAttach=false

	LightType=LT_Steady
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0
	LifeSpan=1.5
}