class Explosion_GrenadeHEChunk extends Actor;

var xEmitter SmokeTrail;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SmokeTrail = Spawn(class'Effect_ChunkTrailSmoke',self);
	Velocity = (380+(FRand()*200)) * vector(Rotation);

	RandSpin(50000);

	if (PhysicsVolume.bWaterVolume)
		Velocity = 0.6*Velocity;
}

simulated function Destroyed() 
{
	Super.Destroyed();
	if (SmokeTrail != None)
		SmokeTrail.mRegen = False;
}

simulated function Landed( vector HitNormal )
{
	LifeSpan = 1.0;
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	local float Speed;
	
	Velocity = 0.4 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
	Speed = VSize(Velocity);
	RandSpin(50000);

	if (Speed < 50)
		bBounce = false;
}

simulated function RandSpin(float spinRate)
{
	DesiredRotation = RotRand();
	RotationRate.Yaw = spinRate * 2 *FRand() - spinRate;
	RotationRate.Pitch = spinRate * 2 *FRand() - spinRate;
	RotationRate.Roll = spinRate * 2 *FRand() - spinRate;	
}


defaultproperties
{
	RemoteRole=ROLE_None
	Physics=PHYS_Falling
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'EffectMeshes.DirtChunk_01aw'
	DrawScale=0.35
	bFixedRotationDir=true
	bUseCylinderCollision=false
	bBounce=true
	bStatic=false
	bNoDelete=false
	LifeSpan=5.0
	bCollideActors=true
	bCollideWorld=true
	bBlockPlayers=false
	CollisionRadius=+6.000
	CollisionHeight=+5.000
}