//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FOBot extends xBot;

var FragOps_CRI CriticalReplicationInfo;
var Weapon LastWeapon;
var byte SelectedTeam, SelectedRecord, HeadSkin, BodySkin;

replication
{
	reliable if (bNetDirty && (Role == ROLE_Authority))
		CriticalReplicationInfo;
}

event SoakStop(string problem)
{
	local FOPlayer PC;

	log(problem);
	SoakString = problem;
	GoalString = SoakString@GoalString;
	foreach DynamicActors(class'FOPlayer',PC)
	{
		PC.SoakPause(Pawn);
		break;
	}
}

function SetMaxDesiredSpeed()
{
	if (Pawn != None)
		Pawn.MaxDesiredSpeed = 1;
}

event PostBeginPlay()
{
	local int NewPCName;
	Super.PostBeginPlay();
	if (!bDeleteMe && (Role == ROLE_Authority))
	{
		CriticalReplicationInfo = Spawn(class'FragOps_CRI', Self,,vect(0,0,0),rot(0,0,0));
	}
	NewPCName = rand(9999999);
	CriticalReplicationInfo.PCName = string(self)$NewPCName;
	FragOps_PRI(PlayerReplicationInfo).PCName = string(self)$NewPCName;

	// bad bad i know, but just for now
	FragOps_PRI(PlayerReplicationInfo).TraitType = Rand(class'Interface_TabPlayerTeam'.Default.Traits.Length);
}

simulated event Destroyed()
{
	Super.Destroyed();
	if (CriticalReplicationInfo != None)
	{
		CriticalReplicationInfo.Destroy();
	}
}

// detach an escaped pawn
function DetachPawn()
{
	if (Pawn != None)
	{
		Pawn.RemoteRole = ROLE_SimulatedProxy;
		Pawn.UnPossessed();
	}
	Pawn = None;
	GotoState('Dead','Begin');
}

function SetRandomChar(byte CharTeam)
{
	SelectedTeam = CharTeam;

	//if (FRand() > 0.5)
		//SelectedRecord = 1;
	//else
		SelectedRecord = 0;

	switch(SelectedTeam)
	{
		case 1:

			HeadSkin = Rand(class'Interface_TabPlayerTeam'.Default.SORecord[SelectedRecord].HeadSkin.Length);
			BodySkin = Rand(class'Interface_TabPlayerTeam'.Default.SORecord[SelectedRecord].BodySkin.Length);
			SetPawnClass(class'Interface_TabPlayerTeam'.Default.SORecord[SelectedRecord].AssociatedClass,"FOBot");
			break;

		default:
			HeadSkin = Rand(class'Interface_TabPlayerTeam'.Default.MercRecord[SelectedRecord].HeadSkin.Length);
			BodySkin = Rand(class'Interface_TabPlayerTeam'.Default.MercRecord[SelectedRecord].BodySkin.Length);
			SetPawnClass(class'Interface_TabPlayerTeam'.Default.MercRecord[SelectedRecord].AssociatedClass,"FOBot");
			break;
	}
}

state PreRound
{
ignores SeePlayer, HearNoise, KilledBy, NotifyBump, HitWall, NotifyPhysicsVolumeChange, NotifyHeadVolumeChange, Falling, TakeDamage, ReceiveWarning;

	function WhatToDoNext(byte CallingByte)
	{
	}

	function Celebrate()
	{
	}

	function SetAttractionState()
	{
	}

	function EnemyChanged(bool bNewEnemyVisible)
	{
	}

	function WanderOrCamp(bool bMayCrouch)
	{
	}
	
	function Timer()
	{
	}
	
	function BeginState();
}

function bool FireWeaponAt(Actor A)
{
	if (A == None)
		A = Enemy;
	if ((A == None) || (Focus != A))
		return false;
	Target = A;
	if ((Pawn.Weapon != None) && Pawn.Weapon.AmmoAmount(0) > 0)
		return WeaponFireAgain(Pawn.Weapon.RefireRate(),false);
	else if ((Pawn.Weapon != None) && Weapon_Base(Pawn.Weapon).GetAmmo(0).NumClips > 0 && Pawn.Weapon.AmmoAmount(0) <= 0 && !Weapon_Base(Pawn.Weapon).IsReloading() && VSize(Target.Location - Location) > 1200)
	{
		LastWeapon = None;
		Weapon_Base(Pawn.Weapon).PlayReload();
	}
	else if ((Pawn.Weapon != None) && !Weapon_Base(Pawn.Weapon).IsReloading() && Pawn.Weapon.AmmoAmount(0) <= 0)
	{
		if (LastWeapon != Pawn.Weapon || Pawn.Weapon == None)
		{
			SwitchToBestWeapon();
			LastWeapon = Pawn.Weapon;
		}
		else if ((Pawn.Weapon != None) && Weapon_Base(Pawn.Weapon).GetAmmo(0).NumClips > 0 && !Weapon_Base(Pawn.Weapon).IsReloading())
		{
			LastWeapon = None;
			Weapon_Base(Pawn.Weapon).PlayReload();
		}
	}
	else if (Pawn.Weapon == None)
		return WeaponFireAgain(Pawn.RefireRate(),false);
	return false;
}

function SwitchToBestWeapon()
{
	local float rating;

	if (Pawn == None || Pawn.Inventory == None || (Pawn.Weapon != None && Weapon_Base(Pawn.Weapon).IsReloading()))
		return;

	if (Pawn.PendingWeapon == None)
	{
		Pawn.PendingWeapon = Pawn.Inventory.RecommendWeapon(rating);
		if (Pawn.PendingWeapon == Pawn.Weapon)
			Pawn.PendingWeapon = None;
		if (Pawn.PendingWeapon == None)
			return;
	}

	StopFiring();

	if (Pawn.Weapon == None)
		Pawn.ChangedWeapon();
	else if (Pawn.Weapon != Pawn.PendingWeapon)
		Pawn.Weapon.PutDown();
}

function SetPawnClass(string inClass, string inCharacter)
{
	local class<FOPawn> pClass;

	if (inCharacter != "FOBot")
		return;

	pClass = class<FOPawn>(DynamicLoadObject(inClass, class'Class'));
	if (pClass != None)
		PawnClass = pClass;

	if (PlayerReplicationInfo != None)
		PlayerReplicationInfo.SetCharacterName(inCharacter);
}

function rotator AdjustAim(FireProperties FiredAmmunition, vector projStart, int AimError)
{
	local rotator LookDir;

	// make sure bot has a valid target
	if (Target == None)
		Target = ScriptedFocus;
	if (Target == None)
	{
		Target = Enemy;
		if ( Target == None )
			return Pawn.Rotation;
	}
	LookDir = rotator(Target.Location - projStart);
	LookDir.Yaw = SetFireYaw(LookDir.Yaw);

	if (War_FOVehiclePawn(Pawn) != None)
		LookDir.Yaw = War_FOVehiclePawn(Pawn).LimitYaw(LookDir.Yaw);
	return LookDir;
}

function DoCharge()
{
	if (Vehicle(Pawn) != None)
	{
		GotoState('VehicleCharging');
		return;
	}
	if (Enemy != None && Enemy.PhysicsVolume.bWaterVolume)
	{
		if (!Pawn.bCanSwim)
		{
			DoTacticalMove();
			return;
		}
	}
	else if (!Pawn.bCanFly && !Pawn.bCanWalk)
	{
		DoTacticalMove();
		return;
	}
	GotoState('Charging');
}

defaultproperties
{
	PlayerReplicationInfoClass=Class'FragOps.FragOps_PRI'
	PawnClass=class'FragOps.FOPawn'
	bAdrenalineEnabled=False
	Handedness=1.000
}