class FOGarageDoor extends Actor
	placeable;

var() float StartingVelocity;
var() float VelocityMax;
var() float OpenTime;
var() Sound OpenSound;

var vector StartLocation;
var StaticMesh OrigMesh;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	OrigMesh = StaticMesh;
	StartLocation = Location;
}

function Trigger(actor Other, pawn EventInstigator)
{
	local FOGarageDoorOpen OpenDoor;

	SetStaticMesh(None);
	SetCollision(false,false,false);
	SetLocation(vect(0,0,0));

	OpenDoor = Spawn(class'FOGarageDoorOpen',,, StartLocation, Rotation);
	if (OpenDoor != None)
	{
		OpenDoor.SetDrawScale(DrawScale);
		OpenDoor.RollUp(StartingVelocity,VelocityMax,OpenTime);
		OpenDoor.PlaySound(OpenSound,,1.0,,450,1.4);		
	}
}

function Reset()
{
	SetStaticMesh(OrigMesh);
	SetCollision(true,true,true);
	SetLocation(StartLocation);
}

defaultproperties
{
	// settings
	VelocityMax=310
	StartingVelocity=35
	OpenTime=1.7
	OpenSound=Sound'FOGameSounds.AmbientSounds.GarageOpen'
	
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'OpCanNiSM.decorative.NewGDoor'
	bNoDelete=true
	bCollideActors=True
	bBlockActors=True
	bBlockPlayers=True
	bCollideWorld=false
	bHidden=false
	Physics=PHYS_None
	bAlwaysRelevant=true
	RemoteRole=ROLE_SimulatedProxy
	bShadowCast=true
	bEdShouldSnap=true
	bAcceptsProjectors=true
	bDirectional=True
	bWorldGeometry=true
}