//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FOGarageDoorOpen extends Actor;

var float UpwardVelocity, VelocityMax, OpenTime; 

replication
{
	reliable if (bNetInitial && Role == ROLE_Authority)
		UpwardVelocity, VelocityMax, OpenTime;
}

function RollUp(float NewVelocity, float NewMax, float NewOpenTime)
{
	UpwardVelocity = NewVelocity;
	VelocityMax = NewMax;
	OpenTime = NewOpenTime;
	if (Level.NetMode != NM_DedicatedServer)
		GotoState('RollOpen','Begin');
}

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	GotoState('RollOpen','Begin');
}

simulated state RollOpen
{
	simulated function BeginState()
	{
		SetCollision(false,false,false);
	}

	simulated function EndState();

	simulated function Tick(float dt)
	{
		Velocity.Z = FClamp(Velocity.Z*1.1, 0, VelocityMax);
	}

Begin:
	Velocity.Z = UpwardVelocity;
	Sleep(OpenTime);
	GotoState('RollClose');
}

simulated state RollClose
{
	simulated function BeginState();
	simulated function EndState();

	simulated function Tick(float dt)
	{
		Velocity.Z *= 0.9;
		if (Velocity.Z < 2)
		{
			Velocity = vect(0,0,0);
			GotoState('');
		}
	}
}

function Reset()
{
	Destroy();
}

defaultproperties
{
	RemoteRole=ROLE_SimulatedProxy
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'OpCanNiSM.decorative.NewGDoor'
	bCollideActors=false
	bBlockActors=false
	bBlockPlayers=false
	bCollideWorld=false
	bHidden=false
	Physics=PHYS_Projectile
	NetPriority=2.5
	bAlwaysRelevant=true
	bGameRelevant=true
	bShadowCast=false
	bAcceptsProjectors=false
	bWorldGeometry=true
	bSkipActorPropertyReplication=true
}