//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class FOPawnDarkGlory extends FOPawn;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();

	LinkMesh(class'Interface_TabPlayerTeam'.Default.MercRecord[0].AssociatedModel[HeadSkin]);
	
	Skins[0] = class'Interface_TabPlayerTeam'.Default.MercRecord[0].BodySkin[BodySkin];
	Skins[1] = class'Interface_TabPlayerTeam'.Default.MercRecord[0].HeadSkin[HeadSkin];
}

simulated function SetWeaponAttachment(xWeaponAttachment NewAtt)
{
	local vector RelativeLoc;
	local rotator RelativeRot;

	Super.SetWeaponAttachment(NewAtt);
	if (NewAtt != None)
	{
		RelativeLoc.Y = 3.7;
		RelativeLoc.X = 5;
		RelativeLoc.Z = -4;
		NewAtt.SetRelativeLocation(RelativeLoc);

		if (Attachment_Base(NewAtt).ArmRotation.Pitch != 0 || Attachment_Base(NewAtt).bSidearm)
			return;

		RelativeRot.Yaw = 2350;
		NewAtt.SetRelativeRotation(RelativeRot);
		RelativeRot.Yaw = -4400;
		RelativeRot.Pitch = -700;
		SetBoneRotation('Bip01 L Forearm',RelativeRot);
	}
}

defaultproperties
{
	Mesh=mesh'FOCharacterModels.mercAmale'
	Skins(0)=material'FOCharacters.textures.mercAbody'
	Skins(1)=material'FOCharacters.textures.mercAhead'
	Skins(2)=material'FOCharacters.textures.mercAhead'
	TeamIndex=0

	// body armor
	ShoulderArmor(0)=(ArmorActor=FragOps.Armor_Shoulder,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_left_shoulder',ArmorBone="Bip01 L UpperArm",ArmorOffset=(X=13,Y=-0.5,Z=2.0),ArmorRotation=(Pitch=1500,Yaw=1900,Roll=1800))
	ShoulderArmor(1)=(ArmorActor=FragOps.Armor_Shoulder,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_right_shoulder',ArmorBone="Bip01 R UpperArm",ArmorOffset=(X=13,Y=-1.5,Z=-2.0),ArmorRotation=(Pitch=-1850,Yaw=1130,Roll=-30000))
	LegArmor(0)=(ArmorActor=FragOps.Armor_Merc_Leg,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_left_leg',ArmorBone="Bip01 L Calf",ArmorOffset=(X=23,Y=-0.2,Z=-1.7),ArmorRotation=(Pitch=1100,Yaw=-270,Roll=-16684))
	LegArmor(1)=(ArmorActor=FragOps.Armor_Merc_Leg,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_right_leg',ArmorBone="Bip01 R Calf",ArmorOffset=(X=23,Y=-1.8,Z=0.5),ArmorRotation=(Pitch=-1100,Yaw=-80,Roll=-16984))
	Helmets(0)=(ArmorActor=FragOps.Armor_Merc_Helmet,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_medium_helmet',ArmorBone="Dummy13",ArmorOffset=(X=-4.3,Y=2,Z=0),ArmorRotation=(Pitch=-16384,Yaw=0,Roll=1900))
	Helmets(1)=(ArmorActor=FragOps.Armor_Merc_Helmet_Heavy,ArmorMesh=StaticMesh'FOSMs.mercarmor.merc_heavy_helmet',ArmorBone="Dummy13",ArmorOffset=(X=-10.2,Y=2,Z=0),ArmorRotation=(Pitch=-16384,Yaw=0,Roll=1900))
	ArmorSkins(0)=Material'FOCharacters.ArmorTextures.mercarmor_final'
	ArmorSkins(1)=Material'FOCharacters.ArmorTextures.VisorTintedFinal'
}