//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FOPawnFemale extends FOPawn;

simulated function SetWeaponAttachment(xWeaponAttachment NewAtt)
{
	local rotator RelativeRot;
	local vector RelativeLoc;

	WeaponAttachment = NewAtt;	
	SetBoneRotation('Bip01 L Forearm',rot(0,0,0));
	if (NewAtt != None)
	{
		if (Attachment_Base(NewAtt).bSidearm)
		{
			if (!Attachment_Base(NewAtt).bAkimbo)
			{
				RelativeLoc.Y = -1;
				RelativeLoc.X = 1;
				RelativeLoc.Z = 1;
				RelativeRot.Yaw = -1050;
				IdleWeaponAnim = IdleSidearmAnim;
			}
			else
			{
				RelativeLoc.Y = -4;
				RelativeLoc.X = 1;
				RelativeLoc.Z = -3;
				RelativeRot.Roll = 1000;
				RelativeRot.Pitch = 1100;
				RelativeRot.Yaw = -26050;
				IdleWeaponAnim = IdleAkimboAnim;
			}
		}
		else if (Attachment_Base(WeaponAttachment).bGrenade)
			IdleWeaponAnim = IdleGrenadeAnim;
		else if (Attachment_Base(WeaponAttachment).bMelee)
			IdleWeaponAnim = IdleMeleeAnim;
		else if (Attachment_Base(WeaponAttachment).bHeavy)
			IdleWeaponAnim = IdleHeavyAnim;
		else
		{
			if (Weapon_P90Attachment(NewAtt) != None)
				SetBoneRotation('Bip01 L Forearm',rot(0,-2700,4000));
			else
				SetBoneRotation('Bip01 L Forearm',rot(0,-2700,0));
			RelativeRot.Yaw = -2050;
			RelativeLoc.Z = -3.2;
			RelativeLoc.X = 2.6;
			IdleWeaponAnim = IdleRifleAnim;
		}
		NewAtt.SetRelativeLocation(RelativeLoc);
		NewAtt.SetRelativeRotation(RelativeRot);
	}
	IdleRestAnim = IdleWeaponAnim;
	IdleTime = Level.TimeSeconds;
}

defaultproperties
{
	// mods for female models
	// idles
	IdleSidearmAnim=pistolaimed
	IdleSMGAnim=SMGIdle
	IdleGrenadeAnim=nadeidle
	IdleAkimboAnim=akimboidle
	//IdleRifleAnim=RifleIdle

	// fires
	FireSidearmAnim=pistolfire
	FireAkimboAnim=akimbofireleft
	FireAkimboAltAnim=akimbofireright
	FireSMGAnim=SMGFire
	FireGrenadeAnim=nadethrow
	GrenadePrimeAnim=weapon_switch
	FireMeleeAnim=knivesattack
	FireMeleeAltAnim=knivesattack
	//FireRifleRapidAnim=RifleFire

	// crouchfires
	FireSidearmCrouchAnim=SidearmCrouchFire
	FireSMGCrouchAnim=SMGCrouchFire
	FireGrenadeCrouchAnim=GrenadeCrouchFire
	FireMeleeCrouchAnim=MeleeCrouchFire
	FireRifleCrouchAnim=RifleCrouchFire

	// ladder
	LadderAnim=WalkF

	VoiceType="FragOps.Voice_MercFemaleVoice"
	VoiceClass=class'FragOps.Voice_MercFemaleVoice'
	SoundGroupClass=class'XGame.xMercFemaleSoundGroup'

	// fixme
	PoisonChokeSound=sound'FOWeaponSounds.Misc.PoisonChoke'
	BodyGruntSound=sound'FOWeaponSounds.Misc.BodyHit2'

	// skeleton
	SkeletonMesh=mesh'FOCharacterFemales.Skeleton_Female'

	// ragdoll type
	RagdollType="Female"	
	RagShootStrength=300

	// offset for vehicles
	SeatOffset=(X=6,Y=0,Z=-6)
	bIsFemale=true
}