//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
// I really, really hate to do this, but...
// update: part 2.  I changed it all to replicated functions so things like
// firing are event driven.
//=============================================================================
class FOSpectatorController extends ReplicationInfo;

// first person spectating
struct SpecPacket
{
	var class<Weapon_Base> TargetWeapon;
	var byte TargetZoomLevel, TargetAP, TargetMaxAP, TargetFireType, TargetClips, TargetAmmo, TargetAmmoSec, TargetHeadDamage, TargetTorsoDamage, TargetLeftArmDamage, TargetLeftLegDamage, TargetRightArmDamage, TargetRightLegDamage;
	var bool bTargetPoisoned, bTargetReloading, bTargetAkimboReloading, bTargetAkimbo, bTargetWeaponPickup, bTargetWeaponPutdown;
	var string TargetMiscItem;
	var int TargetHand, TargetMoney;
};

var FOPawn ViewTarget;
var FOPlayer PlayerOwner;
var rotator TargetViewRotation;
var float TargetEyeHeight;

replication
{
	unreliable if (bNetOwner && ROLE == ROLE_Authority && ViewTarget != None)
		TargetViewRotation, TargetEyeHeight;

	unreliable if (Role == ROLE_Authority && ViewTarget != None)
		ClientUpdateSpec;

	unreliable if (Role == ROLE_Authority && ViewTarget != None && ViewTarget.Weapon != None)
		ClientFire, ClientAkimboFire;

	unreliable if (Role == ROLE_Authority && ViewTarget != None && ViewTarget.Weapon != None && Weapon_GrenadeBase(ViewTarget.Weapon) != None)
		ClientGrenadePrime;

	reliable if (bNetOwner && bNetInitial && Role == ROLE_Authority)
		PlayerOwner;
}

function InitializeFor(FOPawn NewViewTarget)
{
	if (ViewTarget == NewViewTarget)
		return;
	
	PlayerOwner = FOPlayer(Owner);
	if (ViewTarget != None)
		ViewTarget.DelSpectator(self);
	ViewTarget = NewViewTarget;
	ViewTarget.AddSpectator(self);
}

// update local spectator
simulated function ClientUpdateSpec(FOPawn NewViewTarget, SpecPacket NewSpecPacket)
{
	if (PlayerOwner == None)
		return;

	// view related
	PlayerOwner.NewViewTarget = NewViewTarget;

	// weapon related
	PlayerOwner.TargetWeapon = NewSpecPacket.TargetWeapon;
	PlayerOwner.bTargetAkimbo = NewSpecPacket.bTargetAkimbo;
	PlayerOwner.bTargetWeaponPutdown = NewSpecPacket.bTargetWeaponPutdown;
	PlayerOwner.bTargetWeaponPickup = NewSpecPacket.bTargetWeaponPickup;
	PlayerOwner.TargetFireType = NewSpecPacket.TargetFireType;
	PlayerOwner.TargetClips = NewSpecPacket.TargetClips;
	PlayerOwner.TargetAmmo = NewSpecPacket.TargetAmmo;
	PlayerOwner.TargetAmmoSec = NewSpecPacket.TargetAmmoSec;
	PlayerOwner.bTargetReloading = NewSpecPacket.bTargetReloading;
	PlayerOwner.bTargetAkimboReloading = NewSpecPacket.bTargetAkimboReloading;
	PlayerOwner.TargetHand = NewSpecPacket.TargetHand;
	PlayerOwner.TargetZoomLevel = NewSpecPacket.TargetZoomLevel;
	PlayerOwner.bTargetScopeZoomed = (NewSpecPacket.TargetZoomLevel > 0);

	// player status related
	PlayerOwner.TargetAP = NewSpecPacket.TargetAP;
	PlayerOwner.TargetMaxAP = NewSpecPacket.TargetMaxAP;
	PlayerOwner.bTargetPoisoned = NewSpecPacket.bTargetPoisoned;
	PlayerOwner.TargetMoney = NewSpecPacket.TargetMoney;
	PlayerOwner.TargetHeadDamage = NewSpecPacket.TargetHeadDamage;
	PlayerOwner.TargetTorsoDamage = NewSpecPacket.TargetTorsoDamage;
	PlayerOwner.TargetLeftArmDamage = NewSpecPacket.TargetLeftArmDamage;
	PlayerOwner.TargetLeftLegDamage = NewSpecPacket.TargetLeftLegDamage;
	PlayerOwner.TargetRightArmDamage = NewSpecPacket.TargetRightArmDamage;
	PlayerOwner.TargetRightLegDamage = NewSpecPacket.TargetRightLegDamage;
	PlayerOwner.TargetMiscItem = NewSpecPacket.TargetMiscItem;
}

simulated function ClientFire(byte Mode)
{
	if (Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeapon != None)
		Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeapon.FireSpecWeapon(Mode);
}

simulated function ClientAkimboFire(byte Mode)
{
	if (Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeaponAkimbo != None)
		Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeaponAkimbo.FireSpecWeapon(Mode);
}

simulated function ClientGrenadePrime()
{
	if (Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeapon != None)
		Interface_MainHUD(PlayerOwner.MyHUD).SpectatorWeapon.PrimeGrenade();
}

simulated function Tick(float dt)
{
	local float Pitch;
	local float NewEyeHeight;
	local SpecPacket SpectatorPacket;

	if (Level.NetMode != NM_DedicatedServer && PlayerOwner != None)
	{
		// update rotation
		PlayerOwner.NewViewRotation = TargetViewRotation;

		// blend eye height
		NewEyeHeight = PlayerOwner.NewEyeHeight;
		if (NewEyeHeight != TargetEyeHeight)
		{
			if (NewEyeHeight > TargetEyeHeight)
				NewEyeHeight = NewEyeHeight - FMax(0.6, 10.0 * dt * (NewEyeHeight - TargetEyeHeight));
			else
				NewEyeHeight = NewEyeHeight - FMin(-0.6, 10.0 * dt * (NewEyeHeight - TargetEyeHeight));

			if (Abs(NewEyeHeight-TargetEyeHeight) <= 2.5)
				NewEyeHeight = TargetEyeHeight;
		}

		// update eye height
		PlayerOwner.NewEyeHeight = NewEyeHeight;

		if (Role < ROLE_Authority)
			return;
	}

	if (ViewTarget == None)
		return;

	// if vehicle, destroy
	if (ViewTarget.DrivenVehicle != None)
	{
		PlayerOwner.bBehindView = true;
		PlayerOwner.ClientSetBehindview(true);
		Disable('Tick');
		Destroy();
		return;
	}

	if (!ViewTarget.IsHumanControlled())
	{
		TargetViewRotation = ViewTarget.Rotation;
		Pitch = (256 * ViewTarget.ViewPitch) & 65535;
		if (Pitch > 32768)
			Pitch -= 65536;
		TargetViewRotation.Pitch += Pitch;
	}
	else
		TargetViewRotation = ViewTarget.GetViewRotation();

	TargetEyeHeight = ViewTarget.EyeHeight;

	// retrieve zone damages
	SpectatorPacket.TargetHeadDamage = ViewTarget.HeadDamage;
	SpectatorPacket.TargetTorsoDamage = ViewTarget.TorsoDamage;
	SpectatorPacket.TargetLeftArmDamage = ViewTarget.LeftArmDamage;
	SpectatorPacket.TargetLeftLegDamage = ViewTarget.LeftLegDamage;
	SpectatorPacket.TargetRightArmDamage = ViewTarget.RightArmDamage;
	SpectatorPacket.TargetRightLegDamage = ViewTarget.RightLegDamage;

	// retrieve AP/hand info
	if (ViewTarget.Controller != None && FOPlayer(ViewTarget.Controller) != None)
	{
		SpectatorPacket.TargetAP = FOPlayer(ViewTarget.Controller).ActionPoints;
		SpectatorPacket.TargetMaxAP = FOPlayer(ViewTarget.Controller).GetMaxAP();
		SpectatorPacket.TargetHand = ViewTarget.Controller.Handedness;
	}
	else
	{
		SpectatorPacket.TargetAP = 2;
		SpectatorPacket.TargetMaxAP = 2;
		SpectatorPacket.TargetHand = 1;
	}

	// retrieve money
	if (ViewTarget.CriticalReplicationInfo != None)
		SpectatorPacket.TargetMoney = ViewTarget.CriticalReplicationInfo.Money;
	else
		SpectatorPacket.TargetMoney = 0;

	// poisoned?
	SpectatorPacket.bTargetPoisoned = ViewTarget.bPoisoned;

	// armor type
	SpectatorPacket.TargetMiscItem = ViewTarget.MiscItem;

	// retrieve ammo information
	if (ViewTarget.Weapon != None && Weapon_Base(ViewTarget.Weapon).bUp)
	{
		SpectatorPacket.TargetWeapon = class<Weapon_Base>(ViewTarget.Weapon.Class);
		SpectatorPacket.bTargetAkimbo = Weapon_Base(ViewTarget.Weapon).IsAkimbo();
		SpectatorPacket.bTargetReloading = Weapon_Base(ViewTarget.Weapon).IsReloading();
		SpectatorPacket.bTargetAkimboReloading = Weapon_Base(ViewTarget.Weapon).AkimboIsReloading();
		
		SpectatorPacket.bTargetWeaponPickup = (Level.TimeSeconds - Weapon_Base(ViewTarget.Weapon).NewBringUpTime) < 0.3;
		SpectatorPacket.bTargetWeaponPutdown = (Level.TimeSeconds - Weapon_Base(ViewTarget.Weapon).NewPutdownTime) < 0.3;
		
		if (Weapon_Base(ViewTarget.Weapon).GetAmmo(0) != None)
		{
			SpectatorPacket.TargetAmmo = Weapon_Base(ViewTarget.Weapon).GetAmmo(0).AmmoAmount;
			SpectatorPacket.TargetClips = Weapon_Base(ViewTarget.Weapon).GetAmmo(0).NumClips;
			if (Ammo_AkimboBase(Weapon_Base(ViewTarget.Weapon).GetAmmo(0)) != None)
				SpectatorPacket.TargetAmmoSec = Ammo_AkimboBase(Weapon_Base(ViewTarget.Weapon).GetAmmo(0)).AmmoSec;
			else
				SpectatorPacket.TargetAmmoSec = 0;
		}
		else
		{
			SpectatorPacket.TargetClips = 0;
			SpectatorPacket.TargetAmmo = 0;
		}

		SpectatorPacket.TargetFireType = Weapon_Base(ViewTarget.Weapon).CurrentFireType;
		SpectatorPacket.TargetZoomLevel = Weapon_Base(ViewTarget.Weapon).ZoomLevel;
	}
	else
	{
		SpectatorPacket.bTargetAkimbo = false;
		SpectatorPacket.bTargetReloading = false;
		SpectatorPacket.bTargetAkimboReloading = false;
		SpectatorPacket.bTargetWeaponPutdown = false;
		SpectatorPacket.bTargetWeaponPickup = true;
		SpectatorPacket.TargetZoomLevel = 0;
		SpectatorPacket.TargetFireType = 1;
		SpectatorPacket.TargetClips = 0;
		SpectatorPacket.TargetAmmo = 0;
	}

	// update local spectator
	ClientUpdateSpec(ViewTarget, SpectatorPacket);
}

defaultproperties
{
	bOnlyRelevantToOwner=true
	bGameRelevant=true
	NetUpdateFrequency=150.0
	NetPriority=1.0
}