//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Frag.Ops BuyZone Special Ops
// --
// Place at least two total, one within each team's radius of playerstarts, 
// BuyZone_Merc for red team, BuyZone_SO for blue
// --
//=============================================================================
class FragOps_BuyZone extends Actor
	placeable;

// Team that will be using this buyzone
// Mercenaries = 0
// Special Ops = 1
var() byte BuyingTeam;

// When an actor enters this buyzone.
event Touch(Actor Other)
{
	local FOPawn P;

	P = FOPawn(Other);
	if (P == None)
		return;

	if (P.PlayerReplicationInfo == None)
		return;

	if (P.PlayerReplicationInfo.Team.TeamIndex == BuyingTeam)
			P.bCanBuy = true;
}

// When an actor leaves this buyzone.
event UnTouch(Actor Other)
{
	local FOPawn P;

	P = FOPawn(Other);
	if (P == None)
		return;

	if (P.PlayerReplicationInfo == None)
		return;

	if (P.PlayerReplicationInfo.Team.TeamIndex == BuyingTeam)
		P.bCanBuy = false;
}

defaultproperties
{
	Texture=S_TerrainInfo
	DrawType=DT_Sprite
	bAlwaysRelevant=true
	bStatic=true
	bNoDelete=true
	bHidden=true
	bCollideActors=true
	bCollideWhenPlacing=false
	bSkipActorPropertyReplication=true
	CollisionRadius=700.0
	CollisionHeight=60.0
	BuyingTeam=0
}