//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FragOps_GRI extends GameReplicationInfo;

var bool bPreRound, bAllowBehindView, bUsesMoney;
var int RoundTimeMinute, RoundTimeRemaining, RoundCount;
var() array<FragOps_CRI> CRIArray;

replication
{
	reliable if ((bNetDirty) && (Role == ROLE_Authority))
		bAllowBehindView, bPreRound, RoundCount; 

	reliable if (Role == ROLE_Authority)
		RoundTimeMinute, RoundTimeRemaining;
}

simulated function PostNetBeginPlay()
{
	local FragOps_CRI CRI;
	
	Super.PostNetBeginPlay();
	foreach DynamicActors(class'FragOps_CRI',CRI)
		AddCRI(CRI);
}

simulated function Timer()
{
	if (Level.NetMode == NM_Client)
	{
		if (RoundTimeMinute != 0)
		{
			RoundTimeRemaining = RoundTimeMinute;
			RoundTimeMinute = 0;
		}
		if ((RemainingTime > 0) && !bPreRound)
			RoundTimeRemaining--;
		else if (bPreRound) 
			RoundTimeRemaining = 0;
	}
	Super.Timer();
}

simulated function AddCRI(FragOps_CRI CRI)
{
	CRIArray[CRIArray.Length] = CRI;
}

simulated function RemoveCRI(FragOps_CRI CRI)
{
	local int i;

	for (i=0; i<CRIArray.Length; i++)
	{
		if (CRIArray[i] == CRI)
			break;
	}

	if (i == CRIArray.Length)
		return;

	CRIArray.Remove(i,1);
}

function Reset()
{
	RoundCount = 0;
	Teams[0].Score = 0;
	Teams[1].Score = 0;
	Super.Reset();
}

defaultproperties
{
	RoundCount=0
	bPreRound=false
	bTeamGame=true
	bUsesMoney=true
}