//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Frag.Ops LevelInfo
// --
// Contains information relevant to the game.
// Here you can set the images used in the Briefing screen.
// This is an invisible actor, similar to a ZoneInfo or LevelInfo, and only
// contains information about the map.  You only need one, and you can place it 
// anywhere you like.
// --
//=============================================================================
class FragOps_LevelInfo extends Info
	placeable;

// override the roundtime setting in this map (in minutes) 
var() int RoundTimeOverride;

// Images used in the briefing screen
var() Material BriefingImage[3];

// descriptive explanation of each mission, maximum of 8 lines!  Don't make these too long or they'll
// scroll off the edge of the screen!  50 characters max per line.  That makes a total of 400 characters.
// not too bad ;)
var() array<string> MercBriefing, SpecOpsBriefing;

function PreBeginPlay()
{
	Super.PreBeginPlay();
	if (FragOpsGame(Level.Game) != None && RoundTimeOverride > 0)
		FragOpsGame(Level.Game).RoundTime = RoundTimeOverride;
}

defaultproperties
{
	Texture=S_ZoneInfo
	bStatic=True
	bNoDelete=True
	BriefingImage(0)=None
	BriefingImage(1)=None
	BriefingImage(2)=None
	RemoteRole=ROLE_None
}