//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// FragOps_TimedTrigger.uc
// an invisible timed trigger that triggers events depending on how much round
// time has elapsed.  You can set a maximum of 4 timed events, and a message
// for each one.  ONLY ONE PER MAP ALLOWED!
//=============================================================================
class FragOps_TimedTrigger extends Triggers;

// elapsed RoundTime, in seconds, to trigger a message or event.
var() byte TriggerTime[4];

// optional message to broadcast when TriggerTime has elapsed
var() string TriggerMessage[4];

// optional event to trigger when TriggerTime has elapsed
var() name TriggerEventNames[4];

function PostBeginPlay()
{
	FragOpsGame(Level.Game).TimedTrigger = self;
}

function TimedEventTrigger(int i)
{
	TriggerEvent(TriggerEventNames[i], self, None);
}

defaultproperties
{
	Texture=S_Trigger
	CollisionRadius=+0000.000000
	CollisionHeight=+0000.000000
	bCollideActors=false
	RemoteRole=ROLE_SimulatedProxy
	bNoDelete=true
}