//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_BuymenuPlus extends Interface_BlankGUIPageBase
	hidecategories(None);

// GUI Components
var automated GUIListBox MeleeList, SidearmList, RifleList, MiscList;
var automated GUIButton BuyButton, AmmoButton, CancelButton;
var automated GUIImage GrenadeButton, GrenadeSecButton, MiscButton, PrimaryBox, SidearmBox, MeleeBox, GrenadeBoxPri, GrenadeBoxSec, PrimaryBorder, SidearmBorder, MeleeBorder, GrenadePriBorder, GrenadeSecBorder;
var automated Interface_foNumericEdit SidearmAmmoBox, RifleAmmoBox;
var automated moComboBox MeleeAttachList, SidearmAttachList, RifleAttachList;
var automated GUISectionBackground PrimaryBG, SidearmBG, MeleeBG, GrenadePriBG, GrenadeSecBG, ButtonsBG, MoneyBG, MiscBG;
var automated GUILabel CashLabel, OrigCashLabel, PrimaryCash, SidearmCash, MeleeCash, GrenadePriCash, GrenadeSecCash, RifleAmmoLabel, SidearmAmmoLabel;
var automated GUIScrollTextBox ArmorScroll;

// weapon lists
var const string Misc[3], ArmorDesc[4];
var const int MiscPrices[3], RepairPrice;
var const class<Weapon_Base> Melee[2], Sidearms[10], Rifles[18], Grenades[5];

// selected gear
var string OrigMisc, SelectedMisc;
var class<Weapon_Base> SelectedMelee, SelectedSidearm, SelectedRifle, SelectedGrenade, SelectedGrenadeSec, MeleeAttachment, SidearmAttachment, RifleAttachment;
var int SelectedCash, OrigCash, LastMeleePrice, LastSidearmPrice, LastRiflePrice, LastGrenadePrice, LastGrenadeSecPrice, IncGrenade, IncGrenadeSec, IncMisc, LastMiscPrice, LastMeleeAttachPrice, LastSidearmAttachPrice, LastRifleAttachPrice, LastSidearmACost, LastRifleACost, OrigSidearmAmmo, OrigRifleAmmo;

// original gear
var class<Weapon_Base> OrigMelee, OrigSidearm, OrigRifle, OrigGrenade, OrigGrenadeSec, OrigMeleeAttachment, OrigSidearmAttachment, OrigRifleAttachment;
var Weapon RealSidearm, RealRifle, RealGrenade, RealGrenadeSec;

// grenade icons
var Material GrenadeIcons[5], GrenadeEmptyImage, ArmorIcons[3], ArmorRepairIcon;

// 3D weapons
var Interface_CenterWeapon PrimaryWeapon, SidearmWeapon, MeleeWeapon, GrenadePriWeapon, GrenadeSecWeapon;
var vector PrimaryWeaponOffset, SidearmWeaponOffset, MeleeWeaponOffset, GrenadePriWeaponOffset, GrenadeSecWeaponOffset;
var rotator PrimaryWeaponPivot, SidearmWeaponPivot, MeleeWeaponPivot, GrenadePriWeaponPivot, GrenadeSecWeaponPivot;

// colors
var Color BuyColors[5], MoneyColorGreen, MoneyColorRed;

var bool bCanRepair, bInitialized;

// page delegates
function bool InternalOnKeyEvent(out byte Key, out byte State, float delta)
{
	return false;
}

function InternalOnClose(bool bCanceled)
{
	if (PlayerOwner() != None)
		FOPlayer(PlayerOwner()).bBuyMenuOpen = false;
	if (PrimaryWeapon != None)
		PrimaryWeapon.Destroy();
	if (SidearmWeapon != None)
		SidearmWeapon.Destroy();
	if (MeleeWeapon != None)
		MeleeWeapon.Destroy();
	if (GrenadePriWeapon != None)
		GrenadePriWeapon.Destroy();
	if (GrenadeSecWeapon != None)
		GrenadeSecWeapon.Destroy();
	RealSidearm = None;
	RealRifle = None;
	RealGrenade = None;
	RealGrenadeSec = None;
	PrimaryWeapon = None;
	OrigRifle = None;
	SidearmWeapon = None;
	OrigSidearm = None;
	MeleeWeapon = None;
	OrigMelee = None;
	GrenadePriWeapon = None;
	GrenadeSecWeapon = None;
	OrigGrenade = None;
	OrigGrenadeSec = None;
	bInitialized = false;
}

function bool InternalDraw(Canvas canvas)
{
	if (!bInitialized)
		return false;
	
	if (CheckWeaponChanges())
		CancelBuy(None);
	
	if (PrimaryWeapon != None && SelectedRifle != None)
	{
		PrimaryWeapon.GUIOwner = self;
		PrimaryWeapon.CenterWeaponOffset = PrimaryWeaponOffset + SelectedRifle.Default.BuyMenuOffset;
		PrimaryWeapon.CenterWeaponPivot = PrimaryWeaponPivot;
		PrimaryWeapon.DrawWeapon(Canvas);
	}
	if (SidearmWeapon != None && SelectedSidearm != None)
	{
		SidearmWeapon.GUIOwner = self;
		SidearmWeapon.CenterWeaponOffset = SidearmWeaponOffset + SelectedSidearm.Default.BuyMenuOffset;
		SidearmWeapon.CenterWeaponPivot = SidearmWeaponPivot;
		SidearmWeapon.DrawWeapon(Canvas);
		SidearmWeapon.DrawWeapon(Canvas);
	}
	if (MeleeWeapon != None && SelectedMelee != None)
	{
		MeleeWeapon.GUIOwner = self;
		MeleeWeapon.CenterWeaponOffset = MeleeWeaponOffset + SelectedMelee.Default.BuyMenuOffset;
		MeleeWeapon.CenterWeaponPivot = MeleeWeaponPivot;
		MeleeWeapon.DrawWeapon(Canvas);
	}
	if (GrenadePriWeapon != None && SelectedGrenade != None)
	{
		GrenadePriWeapon.GUIOwner = self;
		GrenadePriWeapon.CenterWeaponOffset = GrenadePriWeaponOffset + SelectedGrenade.Default.BuyMenuOffset;
		GrenadePriWeapon.CenterWeaponPivot = GrenadePriWeaponPivot;
		GrenadePriWeapon.DrawWeapon(Canvas);
	}
	if (GrenadeSecWeapon != None && SelectedGrenadeSec != None)
	{
		GrenadeSecWeapon.GUIOwner = self;
		GrenadeSecWeapon.CenterWeaponOffset = GrenadeSecWeaponOffset + SelectedGrenadeSec.Default.BuyMenuOffset;
		GrenadeSecWeapon.CenterWeaponPivot = GrenadeSecWeaponPivot;
		GrenadeSecWeapon.DrawWeapon(Canvas);
	}

	return false;
}

function bool CheckWeaponChanges()
{
	if (FOPlayer(PlayerOwner()).CriticalReplicationInfo.Money != OrigCash)
		return true;
	if (FOPawn(PlayerOwner().Pawn).FindWeapon(2) != RealSidearm) // sidearm abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).FindWeapon(3) != RealRifle) // primary abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).FindWeapon(4) != RealGrenade) // grenade abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).FindWeapon(5) != RealGrenadeSec) // grenade #2 abuser 
		return true;

	if (FOPawn(PlayerOwner().Pawn).EquipList[1] != OrigSidearm) // sidearm abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).EquipList[2] != OrigRifle) // primary abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).EquipList[3] != OrigGrenade) // grenade abuser
		return true;
	if (FOPawn(PlayerOwner().Pawn).EquipList[4] != OrigGrenadeSec) // grenade #2 abuser 
		return true;

	return false;
}

// initialize
function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super.InitComponent(MyController, MyOwner);
	BuyMenuLoad(MyController, MyOwner);
}

function BuyMenuLoad(GUIController MyController, GUIComponent MyOwner)
{
	// let controller know buymenu is open
	if (PlayerOwner() != None)
		FOPlayer(PlayerOwner()).bBuyMenuOpen = true;

	// close menu if no pawn
	if (PlayerOwner().Pawn == None)
		Controller.CloseMenu();

	// read initial cash
	SelectedCash = FOPlayer(PlayerOwner()).CriticalReplicationInfo.Money;
	OrigCash = SelectedCash;

	RealSidearm = FOPawn(PlayerOwner().Pawn).FindWeapon(2);
	RealRifle = FOPawn(PlayerOwner().Pawn).FindWeapon(3);
	RealGrenade = FOPawn(PlayerOwner().Pawn).FindWeapon(4);
	RealGrenadeSec = FOPawn(PlayerOwner().Pawn).FindWeapon(5);

	// load the weapon class array
	SelectedMelee = FOPawn(PlayerOwner().Pawn).EquipList[0];
	if (RealSidearm != None)
		SelectedSidearm = FOPawn(PlayerOwner().Pawn).EquipList[1];
	else
		SelectedSidearm = None;
	if (RealRifle != None)
		SelectedRifle = FOPawn(PlayerOwner().Pawn).EquipList[2];
	else
		SelectedRifle = None;	
	if (RealGrenade != None)
		SelectedGrenade = FOPawn(PlayerOwner().Pawn).EquipList[3];
	else
		SelectedGrenade = None;
	if (RealGrenadeSec != None)
		SelectedGrenadeSec = FOPawn(PlayerOwner().Pawn).EquipList[4];
	else
		SelectedGrenadeSec = None;
	SelectedMisc = FOPawn(PlayerOwner().Pawn).MiscItem;

	// load attachment array
	MeleeAttachment = FOPawn(PlayerOwner().Pawn).AttachList[0];
	SidearmAttachment = FOPawn(PlayerOwner().Pawn).AttachList[1];
	RifleAttachment = FOPawn(PlayerOwner().Pawn).AttachList[2];

	// set original weapons
	OrigMelee = SelectedMelee;
	OrigSidearm = SelectedSidearm;
	OrigRifle = SelectedRifle;
	OrigGrenade = SelectedGrenade;
	OrigGrenadeSec = SelectedGrenadeSec;
	OrigMisc = SelectedMisc;

	// set original attachments
	OrigMeleeAttachment = MeleeAttachment;
	OrigSidearmAttachment = SidearmAttachment;
	OrigRifleAttachment = RifleAttachment;

	MasterGearList();
	MasterAmmoList();

	if (SelectedSidearm != None)
		UpdateSidearmAttach(SelectedSidearm);
	if (SelectedRifle != None)
		UpdateRifleAttach(SelectedRifle);
	if (SelectedMelee != None)
		UpdateMeleeAttach(SelectedMelee);

	SelectedCash += LastSidearmACost;
	LastSidearmACost = 0;

	SelectedCash += LastRifleACost;
	LastRifleACost = 0;

	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;

	OrigCashLabel.Caption = "$"$string(SelectedCash);
	CashLabel.Caption = "$"$string(SelectedCash);
	SetTimer(0.02);
}

function Timer()
{
	PostPreload();
}

function PostPreload()
{
	// set up primary weapon
	PrimaryWeapon = PlayerOwner().spawn(class'FragOps.Interface_CenterWeapon');
	PrimaryWeapon.SetRotation(PlayerOwner().Rotation);
	UpdatePrimaryWeapon(SelectedRifle);

	// set up sidearm weapon
	SidearmWeapon = PlayerOwner().spawn(class'FragOps.Interface_CenterWeapon');
	SidearmWeapon.SetRotation(PlayerOwner().Rotation);
	UpdateSidearmWeapon(SelectedSidearm);

	// set up melee weapon
	MeleeWeapon = PlayerOwner().spawn(class'FragOps.Interface_CenterWeapon');
	MeleeWeapon.SetRotation(PlayerOwner().Rotation);
	UpdateMeleeWeapon(SelectedMelee);

	// set up grenade primary weapon
	GrenadePriWeapon = PlayerOwner().spawn(class'FragOps.Interface_CenterWeapon');
	GrenadePriWeapon.SetRotation(PlayerOwner().Rotation);
	UpdateGrenadePriWeapon(SelectedGrenade);

	// set up grenade secondary weapon
	GrenadeSecWeapon = PlayerOwner().spawn(class'FragOps.Interface_CenterWeapon');
	GrenadeSecWeapon.SetRotation(PlayerOwner().Rotation);
	UpdateGrenadeSecWeapon(SelectedGrenadeSec);
	bInitialized = true;
}

function PageOpen()
{
	if (SelectedRifle != None)
		RifleAttachList.bVisible = true;
	if (SelectedSidearm != None)
		SidearmAttachList.bVisible = true;
}

function bool HasMoney()
{
	return true;
}

function MasterGearList()
{	
	local int i;
	local GUIList TempMeleeList, TempSidearmList, TempRifleList;

	MeleeList.List.Clear();
	SidearmList.List.Clear();
	RifleList.List.Clear();

	MeleeList.List.SetIndex(0);
	SidearmList.List.SetIndex(0);
	RifleList.List.SetIndex(0);

	MeleeList.List.Add("[none]");
	if (SelectedSidearm == None || !HasMoney())
		SidearmList.List.Add("[none]");
	else
		SidearmList.List.Add("[sell]");
	if (SelectedRifle == None || !HasMoney())
		RifleList.List.Add("[none]");
	else
		RifleList.List.Add("[sell]");

	for (i=0;i<ArrayCount(Melee);i++)
	{
		if (Melee[i] != None)
			MeleeList.List.Add(Melee[i].Default.ItemName);
	}

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if (Sidearms[i].Default.Unlocked > -1 && FOPlayer(PlayerOwner()).CriticalReplicationInfo.Medals[Sidearms[i].Default.Unlocked] == 0)
			continue;

		if ((FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 0 && (i % 2) == 0 && Sidearms[i] != None && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName) || (Sidearms[i] != None && Sidearms[i] == OrigSidearm && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName))
		{
			SidearmList.List.Add(Sidearms[i].Default.ItemName);
		}
		else if (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 1 && (i % 2) != 0 && Sidearms[i] != None && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName)
		{
			SidearmList.List.Add(Sidearms[i].Default.ItemName);
		}
	}


	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if ( (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 0 && (i % 2) == 0 && Rifles[i] != None && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName) || (Rifles[i] != None && Rifles[i] == OrigRifle && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName) )
		{
			RifleList.List.Add(Rifles[i].Default.ItemName);
		}
		else if (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 1 && (i % 2) != 0 && Rifles[i] != None && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName)
		{
			RifleList.List.Add(Rifles[i].Default.ItemName);
		}
	}

	TempMeleeList = MeleeList.List;
	for (i=0;i<TempMeleeList.Elements.Length;i++)
	{
		if ( (SelectedMelee != None) && (TempMeleeList.GetItemAtIndex(i) ~= SelectedMelee.Default.ItemName))
		{
			MeleeList.List.SetIndex(i);
			break;
		}
	}

	TempSidearmList = SidearmList.List;
	for (i=0;i<TempSidearmList.Elements.Length;i++)
	{
		if ( (SelectedSidearm != None) && (TempSidearmList.GetItemAtIndex(i) ~= SelectedSidearm.Default.ItemName))
		{
			SidearmList.List.SetIndex(i);
			break;
		}
	}

	TempRifleList = RifleList.List;
	for (i=0;i<TempRifleList.Elements.Length;i++)
	{
		if ( (SelectedRifle != None) && (TempRifleList.GetItemAtIndex(i) ~= SelectedRifle.Default.ItemName))
		{
			RifleList.List.SetIndex(i);
			break;
		}
	}

	IncGrenade = -1;
	GrenadeButton.Image = GrenadeEmptyImage;
	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if ((SelectedGrenade != None) && (Grenades[i].Default.ItemName ~= SelectedGrenade.Default.ItemName))
		{
			GrenadeButton.Image = GrenadeIcons[i];
			IncGrenade = i;
			break;
		}
	}

	IncGrenadeSec = -1;
	GrenadeSecButton.Image = GrenadeEmptyImage;
	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if ((SelectedGrenadeSec != None) && (Grenades[i].Default.ItemName ~= SelectedGrenadeSec.Default.ItemName))
		{
			GrenadeSecButton.Image = GrenadeIcons[i];
			IncGrenadeSec = i;
			break;
		}
	}



	if ((SelectedMisc ~= "LIT. Armor" || SelectedMisc ~= "MED. Armor" || SelectedMisc ~= "HVY. Armor") && (FOPawn(PlayerOwner().Pawn).HeadDamage > 0 || FOPawn(PlayerOwner().Pawn).TorsoDamage > 0 || FOPawn(PlayerOwner().Pawn).LeftArmDamage > 0 || FOPawn(PlayerOwner().Pawn).RightArmDamage > 0 || FOPawn(PlayerOwner().Pawn).LeftLegDamage > 0 || FOPawn(PlayerOwner().Pawn).RightLegDamage > 0))
		bCanRepair = true;

	IncMisc = -1;
	MiscButton.Image = ArmorIcons[0];
	for (i=0;i<ArrayCount(Misc);i++)
	{
		if ((SelectedMisc != "") && (Misc[i] ~= SelectedMisc))
		{
			MiscButton.Image = ArmorIcons[i];
			MiscButton.ImageColor.R = 150;
			MiscButton.ImageColor.G = 150;
			MiscButton.ImageColor.B = 150;
			IncMisc = i;
			ArmorScroll.SetContent(ArmorDesc[i]);
			break;
		}
	}
}

function MasterAmmoList()
{
        local Ammo_Base FOAmmoClass;

	if (RealSidearm != None && SelectedSidearm != None)
	{
		FOAmmoClass = Weapon_Base(RealSidearm).GetAmmo(0);
		SidearmAmmoBox.SetMinValue(FOAmmoClass.NumClips);
		SidearmAmmoBox.SetMaxValue(FOAmmoClass.MaxClips);
		SidearmAmmoBox.SetValue(FOAmmoClass.NumClips);
		SidearmAmmoBox.bVisible = true;
		SidearmAmmoLabel.Caption = Weapon_Base(RealSidearm).GetAmmo(0).Default.ItemName;
		SidearmAmmoLabel.bVisible = true;
		OrigSidearmAmmo = FOAmmoClass.NumClips;
	}
	if (RealRifle != None && SelectedRifle != None)
	{
		FOAmmoClass = Weapon_Base(RealRifle).GetAmmo(0);
		RifleAmmoBox.SetMinValue(FOAmmoClass.NumClips);
		RifleAmmoBox.SetMaxValue(FOAmmoClass.MaxClips);
		RifleAmmoBox.SetValue(FOAmmoClass.NumClips);
		RifleAmmoBox.SetStep(FOAmmoClass.ClipMultiple);
		RifleAmmoBox.bVisible = true;
		RifleAmmoLabel.Caption = Weapon_Base(RealRifle).GetAmmo(0).Default.ItemName;
		RifleAmmoLabel.bVisible = true;
		OrigRifleAmmo = FOAmmoClass.NumClips;
		if (Weapon_Base(RealRifle).Default.WeaponType == Shotgun)
			RifleAmmoLabel.Caption = "SHELLS";
		else
			RifleAmmoLabel.Caption = "MAGS";
	}
}

function MeleeOnChange(GUIComponent Sender)
{
	local int i;

	if (!Controller.bCurMenuInitialized)
		return;

	SelectedMelee = None;
	MeleeAttachment = None;

	SelectedCash += LastMeleePrice;
	SelectedCash += LastMeleeAttachPrice;
	LastMeleeAttachPrice = 0;
	LastMeleePrice = 0;

	for (i=0;i<ArrayCount(Melee);i++)
	{
		if ((Melee[i] != None) && (MeleeList.List.Get() ~= Melee[i].Default.ItemName))
		{
			SelectedMelee = Melee[i];
			UpdateMeleeWeapon(SelectedMelee);
			UpdateMeleeAttach(SelectedMelee);
			break;
		}
	}
	if (SelectedMelee == None)
		UpdateMeleeWeapon(None);
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function SidearmOnChange(GUIComponent Sender)
{
	local int i;
	local int SellCash;

	if (!Controller.bCurMenuInitialized)
		return;

	if (OrigSidearm != None)
		SellCash = OrigSidearm.Default.GunCost;
	if (OrigSidearmAttachment != None)
		SellCash += OrigSidearmAttachment.Default.GunCost;

	SelectedSidearm = None;
	SidearmAttachment = None;

	SelectedCash += LastSidearmPrice;
	LastSidearmPrice = 0;
	SelectedCash += LastSidearmACost;
	LastSidearmACost = 0;
	SelectedCash += LastSidearmAttachPrice;
	LastSidearmAttachPrice = 0;

	SidearmAmmoBox.bVisible = false;
	SidearmAmmoLabel.bVisible = false;
	SidearmAttachList.bVisible = false;

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if ((Sidearms[i] != None) && (SidearmList.List.Get() ~= Sidearms[i].Default.ItemName))
		{
			SelectedSidearm = Sidearms[i];
			UpdateSidearmWeapon(SelectedSidearm);
			if ( OrigSidearm != Sidearms[i] )
			{
				SelectedCash -= (Sidearms[i].Default.GunCost - SellCash);
				LastSidearmPrice = (Sidearms[i].Default.GunCost - SellCash);
				UpdateSidearmAttach(SelectedSidearm);
			}
			else if (OrigSidearm != None)
				UpdateSidearmAttach(OrigSidearm);

			SidearmAttachList.bVisible = true;
			SidearmAmmoBox.SetMaxValue(GetMaxClips(Sidearms[i]));
			if (OrigSidearmAmmo > 0 && Sidearms[i] == OrigSidearm)
			{
				SidearmAmmoBox.SetMinValue(OrigSidearmAmmo);
				SidearmAmmoBox.SetValue(OrigSidearmAmmo);
			}			
			else
			{
				SidearmAmmoBox.SetMinValue(0);
				SidearmAmmoBox.SetValue(0);
			}

			SidearmAmmoBox.bVisible = true;
			SidearmAmmoLabel.Caption = GetAmmoName(Sidearms[i]);
			SidearmAmmoLabel.bVisible = true;
			break;
		}
	}
	if (SelectedSidearm == None)
	{
		if (OrigSidearm != None)
		{
			SelectedCash += SellCash;
			LastSidearmPrice = -(SellCash);		
		}
		UpdateSidearmWeapon(None);
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function RifleOnChange(GUIComponent Sender)
{
	local int i;
	local int SellCash;

	if (!Controller.bCurMenuInitialized)
		return;

	if (OrigRifle != None)
		SellCash = OrigRifle.Default.GunCost;
	if (OrigRifleAttachment != None)
		SellCash += OrigRifleAttachment.Default.GunCost;

	SelectedRifle = None;
	RifleAttachment = None;

	SelectedCash += LastRiflePrice;
	LastRiflePrice = 0;
	SelectedCash += LastRifleAttachPrice;
	LastRifleAttachPrice = 0;
	SelectedCash += LastRifleACost;
	LastRifleACost = 0;

	RifleAmmoBox.bVisible = false;
	RifleAmmoLabel.bVisible = false;
	RifleAttachList.bVisible = false;

	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if ((Rifles[i] != None) && (RifleList.List.Get() ~= Rifles[i].Default.ItemName))
		{
			SelectedRifle = Rifles[i];
			UpdatePrimaryWeapon(SelectedRifle);
			if ((OrigRifle != Rifles[i]))
			{
				SelectedCash -= (Rifles[i].Default.GunCost - SellCash);
				LastRiflePrice = (Rifles[i].Default.GunCost - SellCash);
				UpdateRifleAttach(SelectedRifle);
			}
			else if (OrigRifle != None)
				UpdateRifleAttach(OrigRifle);

			RifleAttachList.bVisible = true;
			RifleAmmoBox.SetMaxValue(GetMaxClips(Rifles[i]));
			RifleAmmoBox.SetStep(GetClipMultiple(Rifles[i]));
			if (OrigRifleAmmo > 0 && Rifles[i] == OrigRifle)
			{
				RifleAmmoBox.SetMinValue(OrigRifleAmmo);
				RifleAmmoBox.SetValue(OrigRifleAmmo);
			}			
			else
			{
				RifleAmmoBox.SetMinValue(0);
				RifleAmmoBox.SetValue(0);
			}
			RifleAmmoBox.bVisible = true;
			RifleAmmoLabel.Caption = GetAmmoName(Rifles[i]);
			RifleAmmoLabel.bVisible = true;
			break;
		}
	}
	if (SelectedRifle == None)
	{
		if (OrigRifle != None)
		{
			SelectedCash += SellCash;
			LastRiflePrice = -(SellCash);		
		}
		UpdatePrimaryWeapon(None);
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function bool GrenadeClick(GUIComponent Sender)
{
	local int SellCash;

	if (!Controller.bCurMenuInitialized)
		return false;

	if (Sender == GrenadeButton)
	{
		if (OrigGrenade != None)
			SellCash = OrigGrenade.Default.GunCost;

		SelectedGrenade = None;
		SelectedCash += LastGrenadePrice;
		LastGrenadePrice = 0;

		IncGrenade++;
		if (IncGrenade >= ArrayCount(Grenades))
		{
			SelectedGrenade = None;
			IncGrenade = -1;
			GUIImage(Sender).Image = GrenadeEmptyImage;
			SelectedCash += SellCash;
			LastGrenadePrice = -(SellCash);
			if (SelectedCash >= 0)
				CashLabel.TextColor = MoneyColorGreen;
			else
				CashLabel.TextColor = MoneyColorRed;
			CashLabel.Caption = "$"$string(SelectedCash);
			UpdateGrenadePriWeapon(SelectedGrenade);
			return false;
		}
		SelectedGrenade = Grenades[IncGrenade];
		UpdateGrenadePriWeapon(SelectedGrenade);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenade];
		if (OrigGrenade != Grenades[IncGrenade])
		{
			SelectedCash -= (Grenades[IncGrenade].Default.GunCost - SellCash);
			LastGrenadePrice = (Grenades[IncGrenade].Default.GunCost - SellCash);
		}
	}
	else if (Sender == GrenadeSecButton)
	{
		if (OrigGrenadeSec != None)
			SellCash = OrigGrenadeSec.Default.GunCost;
		
		SelectedGrenadeSec = None;
		SelectedCash += LastGrenadeSecPrice;
		LastGrenadeSecPrice = 0;

		IncGrenadeSec++;
		if (IncGrenadeSec >= ArrayCount(Grenades))
		{
			SelectedGrenadeSec = None;
			IncGrenadeSec = -1;
			GUIImage(Sender).Image = GrenadeEmptyImage;
			SelectedCash += SellCash;
			LastGrenadeSecPrice = -(SellCash);
			if (SelectedCash >= 0)
				CashLabel.TextColor = MoneyColorGreen;
			else
				CashLabel.TextColor = MoneyColorRed;
			CashLabel.Caption = "$"$string(SelectedCash);
			UpdateGrenadeSecWeapon(SelectedGrenadeSec);
			return false;
		}
		SelectedGrenadeSec = Grenades[IncGrenadeSec];
		UpdateGrenadeSecWeapon(SelectedGrenadeSec);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenadeSec];
		if (OrigGrenadeSec != Grenades[IncGrenadeSec])
		{
			SelectedCash -= (Grenades[IncGrenadeSec].Default.GunCost - SellCash);
			LastGrenadeSecPrice = (Grenades[IncGrenadeSec].Default.GunCost - SellCash);
		}
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
	return false;
}

function bool GrenadeRightClick(GUIComponent Sender)
{
	local int SellCash;

	if (!Controller.bCurMenuInitialized)
		return false;

	if (Sender == GrenadeButton)
	{
		if (OrigGrenade != None)
			SellCash = OrigGrenade.Default.GunCost;

		SelectedGrenade = None;
		SelectedCash += LastGrenadePrice;
		LastGrenadePrice = 0;

		IncGrenade--;
		if (IncGrenade == -2)
			IncGrenade = ArrayCount(Grenades)-1;
		if (IncGrenade <= -1)
		{
			SelectedGrenade = None;
			IncGrenade = ArrayCount(Grenades);
			GUIImage(Sender).Image = GrenadeEmptyImage;
			SelectedCash += SellCash;
			LastGrenadePrice = -(SellCash);
			if (SelectedCash >= 0)
				CashLabel.TextColor = MoneyColorGreen;
			else
				CashLabel.TextColor = MoneyColorRed;
			CashLabel.Caption = "$"$string(SelectedCash);
			UpdateGrenadePriWeapon(SelectedGrenade);
			return false;
		}
		SelectedGrenade = Grenades[IncGrenade];
		UpdateGrenadePriWeapon(SelectedGrenade);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenade];
		if (OrigGrenade != Grenades[IncGrenade])
		{
			SelectedCash -= (Grenades[IncGrenade].Default.GunCost - SellCash);
			LastGrenadePrice = (Grenades[IncGrenade].Default.GunCost - SellCash);
		}
	}
	else if (Sender == GrenadeSecButton)
	{
		if (OrigGrenadeSec != None)
			SellCash = OrigGrenadeSec.Default.GunCost;
		
		SelectedGrenadeSec = None;
		SelectedCash += LastGrenadeSecPrice;
		LastGrenadeSecPrice = 0;

		IncGrenadeSec--;
		if (IncGrenadeSec == -2)
			IncGrenadeSec = ArrayCount(Grenades)-1;
		if (IncGrenadeSec <= -1)
		{
			SelectedGrenadeSec = None;
			IncGrenadeSec = ArrayCount(Grenades);
			GUIImage(Sender).Image = GrenadeEmptyImage;
			SelectedCash += SellCash;
			LastGrenadeSecPrice = -(SellCash);
			if (SelectedCash >= 0)
				CashLabel.TextColor = MoneyColorGreen;
			else
				CashLabel.TextColor = MoneyColorRed;
			CashLabel.Caption = "$"$string(SelectedCash);
			UpdateGrenadeSecWeapon(SelectedGrenadeSec);
			return false;
		}

		SelectedGrenadeSec = Grenades[IncGrenadeSec];
		UpdateGrenadeSecWeapon(SelectedGrenadeSec);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenadeSec];
		if (OrigGrenadeSec != Grenades[IncGrenadeSec])
		{
			SelectedCash -= (Grenades[IncGrenadeSec].Default.GunCost - SellCash);
			LastGrenadeSecPrice = (Grenades[IncGrenadeSec].Default.GunCost - SellCash);
		}
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
	return false;
}

function bool MiscClick(GUIComponent Sender)
{
	local int SellCash;

	if (!Controller.bCurMenuInitialized || (PlayerOwner().Pawn != None && PlayerOwner().Pawn.IsInState('PlayerSprinting')))
		return false;

	SelectedMisc = "";
	SelectedCash += LastMiscPrice;
	LastMiscPrice = 0;

	IncMisc++;
	if (IncMisc >= ArrayCount(Misc))
		IncMisc = 0;

	SelectedMisc = Misc[IncMisc];
	GUIImage(Sender).Image = ArmorIcons[IncMisc];
	ArmorScroll.SetContent(ArmorDesc[IncMisc]);
	if (OrigMisc != Misc[IncMisc])
	{
		if (bCanRepair)
		{
			SelectedCash -= (MiscPrices[IncMisc] - SellCash);
			LastMiscPrice = (MiscPrices[IncMisc] - SellCash);
		}
		GUIImage(Sender).ImageColor.R = 255;
		GUIImage(Sender).ImageColor.G = 255;
		GUIImage(Sender).ImageColor.B = 255;
	}
	else
	{
		GUIImage(Sender).ImageColor.R = 150;
		GUIImage(Sender).ImageColor.G = 150;
		GUIImage(Sender).ImageColor.B = 150;
	}

	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function bool MiscRightClick(GUIComponent Sender)
{
	local int SellCash;

	if (!Controller.bCurMenuInitialized)
		return false;

	if (bCanRepair)
	{
		if (GUIImage(Sender).Image == ArmorRepairIcon)
			return false;

		SelectedCash -= RepairPrice;
		IncMisc = ArrayCount(Misc);
		LastMiscPrice = RepairPrice;
		GUIImage(Sender).Image = ArmorRepairIcon;
		GUIImage(Sender).ImageColor.R = 255;
		GUIImage(Sender).ImageColor.G = 255;
		GUIImage(Sender).ImageColor.B = 255;
		SelectedMisc = "";
		ArmorScroll.SetContent(ArmorDesc[3]);
		if (SelectedCash >= 0)
			CashLabel.TextColor = MoneyColorGreen;
		else
			CashLabel.TextColor = MoneyColorRed;
		CashLabel.Caption = "$"$string(SelectedCash);
		return false;
	}

	SelectedMisc = "";
	SelectedCash += LastMiscPrice;
	LastMiscPrice = 0;
	
	IncMisc--;
	if (IncMisc <= -1)
		IncMisc = (ArrayCount(Misc)-1);

	SelectedMisc = Misc[IncMisc];
	GUIImage(Sender).Image = ArmorIcons[IncMisc];
	ArmorScroll.SetContent(ArmorDesc[IncMisc]);
	if (OrigMisc != Misc[IncMisc])
	{
		if (bCanRepair)
		{
			SelectedCash -= (MiscPrices[IncMisc] - SellCash);
			LastMiscPrice = (MiscPrices[IncMisc] - SellCash);
		}
		GUIImage(Sender).ImageColor.R = 255;
		GUIImage(Sender).ImageColor.G = 255;
		GUIImage(Sender).ImageColor.B = 255;
	}
	else
	{
		GUIImage(Sender).ImageColor.R = 150;
		GUIImage(Sender).ImageColor.G = 150;
		GUIImage(Sender).ImageColor.B = 150;
	}


	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function SidearmAmmoOnChange(GUIComponent Sender)
{
	local int i, NewPrice, FinalPrice;

	SelectedCash += LastSidearmACost;

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if ( (Sidearms[i] != None) && (SidearmList.List.Get() ~= Sidearms[i].Default.ItemName) )
		{
			if (Sidearms[i] == OrigSidearm)
				NewPrice = OrigSidearmAmmo * GetClipCost(Sidearms[i]);
			FinalPrice = GetClipCost(Sidearms[i]);
			break;
		}
	}
	FinalPrice = (SidearmAmmoBox.GetValue() - SidearmAmmoBox.MinValue) * FinalPrice;
	FinalPrice -= NewPrice;

	// update primary costs
	SetSidearmCash();

	if (FinalPrice < 0)
		FinalPrice = 0;
	LastSidearmACost = FinalPrice;
	SelectedCash -= FinalPrice;
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function RifleAmmoOnChange(GUIComponent Sender)
{
	local int i, NewPrice, FinalPrice;

	SelectedCash += LastRifleACost;

	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if ( (Rifles[i] != None) && (RifleList.List.Get() ~= Rifles[i].Default.ItemName) )
		{
			if (Rifles[i] == OrigRifle)
				NewPrice = OrigRifleAmmo * GetClipCost(Rifles[i]);
			FinalPrice = GetClipCost(Rifles[i]);
			break;
		}
	}
	FinalPrice = (RifleAmmoBox.GetValue() - RifleAmmoBox.MinValue) * FinalPrice;
	FinalPrice -= NewPrice;

	// update primary costs
	SetPrimaryCash();

	if (FinalPrice < 0)
		FinalPrice = 0;
	LastRifleACost = FinalPrice;
	SelectedCash -= FinalPrice;
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function MeleeAttachOnChange(GUIComponent Sender)
{
	local int i;
	local int SellCash;
	local class<Weapon_Base> TempBase;

	if (!Controller.bCurMenuInitialized)
		return;

	MeleeAttachment = None;
	TempBase = None;
	SelectedCash += LastMeleeAttachPrice;
	LastMeleeAttachPrice = 0;

	for (i=0;i<3;i++)
	{
		if (SelectedMelee != None)
			TempBase = SelectedMelee.Default.GunAttachment[i];
		else if (OrigMelee != None)
			TempBase = OrigMelee.Default.GunAttachment[i];
		else
			break;

		if ((TempBase != None) && (MeleeAttachList.MyComboBox.List.Get() ~= TempBase.Default.AttachName))
		{
			MeleeAttachment = TempBase;
			if (OrigMeleeAttachment != None && OrigMeleeAttachment.Default.BaseWeaponClass == SelectedMelee && OrigMeleeAttachment != MeleeAttachment)
				SellCash = OrigMeleeAttachment.Default.GunCost;

			UpdateMeleeWeapon(TempBase);
			if ((OrigMeleeAttachment != TempBase))
			{
				SelectedCash -= (TempBase.Default.GunCost - SellCash);
				LastMeleeAttachPrice = (TempBase.Default.GunCost - SellCash);
			}
			break;
		}
	}
	if (MeleeAttachment == None)
	{
		if (OrigMeleeAttachment != None && OrigMeleeAttachment.Default.BaseWeaponClass == SelectedMelee)
		{
			SelectedCash += OrigMeleeAttachment.Default.GunCost;
			LastMeleeAttachPrice = -(OrigMeleeAttachment.Default.GunCost);
		}
		UpdateMeleeWeapon(SelectedMelee);
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function UpdateMeleeAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	MeleeAttachList.MyComboBox.List.Clear();
	MeleeAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		MeleeAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None)
			{
				MeleeAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
			}
		}
		MeleeAttachList.bVisible = true;	
	}
	else
		MeleeAttachList.bVisible = false;


	for (i=0;i<MeleeAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigMeleeAttachment != None) && (MeleeAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigMeleeAttachment.Default.AttachName) )
		{
			MeleeAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}

function SidearmAttachOnChange(GUIComponent Sender)
{
	local int i;
	local int SellCash;
	local class<Weapon_Base> TempBase;

	if (!Controller.bCurMenuInitialized)
		return;

	SidearmAttachment = None;
	TempBase = None;
	SelectedCash += LastSidearmAttachPrice;
	LastSidearmAttachPrice = 0;

	for (i=0;i<3;i++)
	{
		if (SelectedSidearm != None)
			TempBase = SelectedSidearm.Default.GunAttachment[i];
		else if (OrigSidearm != None)
			TempBase = OrigSidearm.Default.GunAttachment[i];
		else
			break;

		if ((TempBase != None) && (SidearmAttachList.MyComboBox.List.Get() ~= TempBase.Default.AttachName))
		{
			SidearmAttachment = TempBase;
			if (OrigSidearmAttachment != None && OrigSidearmAttachment.Default.StaticName ~= SelectedSidearm.Default.StaticName && OrigSidearmAttachment != SidearmAttachment)
				SellCash = OrigSidearmAttachment.Default.GunCost;

			UpdateSidearmWeapon(TempBase);
			if ((OrigSidearmAttachment != TempBase))
			{
				SelectedCash -= (TempBase.Default.GunCost - SellCash);
				LastSidearmAttachPrice = (TempBase.Default.GunCost - SellCash);
			}
			break;
		}
	}
	if (SidearmAttachment == None)
	{
		if (OrigSidearmAttachment != None && OrigSidearmAttachment.Default.StaticName ~= SelectedSidearm.Default.StaticName)
		{
			SelectedCash += OrigSidearmAttachment.Default.GunCost;
			LastSidearmAttachPrice = -(OrigSidearmAttachment.Default.GunCost);
		}
		UpdateSidearmWeapon(SelectedSidearm);
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function UpdateSidearmAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	SidearmAttachList.MyComboBox.List.Clear();
	SidearmAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		SidearmAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None)
			{
				SidearmAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
			}
		}
		SidearmAttachList.bVisible = true;	
	}
	else
		SidearmAttachList.bVisible = false;

	for (i=0;i<SidearmAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigSidearmAttachment != None) && (OrigSidearmAttachment.Default.StaticName ~= SelectedSidearm.Default.StaticName) && (SidearmAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigSidearmAttachment.Default.AttachName) )
		{
			SidearmAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}

function RifleAttachOnChange(GUIComponent Sender)
{
	local int i, SellCash;
	local class<Weapon_Base> TempBase;

	if (!Controller.bCurMenuInitialized)
		return;

	RifleAttachment = None;
	TempBase = None;
	SelectedCash += LastRifleAttachPrice;
	LastRifleAttachPrice = 0;

	for (i=0;i<3;i++)
	{
		if (SelectedRifle != None)
			TempBase = SelectedRifle.Default.GunAttachment[i];
		else if (OrigRifle != None)
			TempBase = OrigRifle.Default.GunAttachment[i];
		else
			break;

		if ((TempBase != None) && (RifleAttachList.MyComboBox.List.Get() ~= TempBase.Default.AttachName))
		{
			RifleAttachment = TempBase;
			if (OrigRifleAttachment != None && OrigRifleAttachment.Default.BaseWeaponClass == SelectedRifle && OrigRifleAttachment != RifleAttachment)
				SellCash = OrigRifleAttachment.Default.GunCost;

			UpdatePrimaryWeapon(TempBase);
			if ( (OrigRifleAttachment != TempBase) )
			{
				SelectedCash -= (TempBase.Default.GunCost - SellCash);
				LastRifleAttachPrice = (TempBase.Default.GunCost - SellCash);
			}
			break;
		}
	}
	if (RifleAttachment == None)
	{
		if (OrigRifleAttachment != None && OrigRifleAttachment.Default.BaseWeaponClass == SelectedRifle)
		{
			SelectedCash += OrigRifleAttachment.Default.GunCost;
			LastRifleAttachPrice = -(OrigRifleAttachment.Default.GunCost);
		}		
		UpdatePrimaryWeapon(SelectedRifle);
	}
	if (SelectedCash >= 0)
		CashLabel.TextColor = MoneyColorGreen;
	else
		CashLabel.TextColor = MoneyColorRed;
	CashLabel.Caption = "$"$string(SelectedCash);
}

function UpdateRifleAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	RifleAttachList.MyComboBox.List.Clear();
	RifleAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		RifleAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None)
			{
				RifleAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
			}
		}
		RifleAttachList.bVisible = true;	
	}
	else
		RifleAttachList.bVisible = false;

	for (i=0;i<RifleAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigRifleAttachment != None) && (OrigRifleAttachment.Default.StaticName ~= SelectedRifle.Default.StaticName) && (RifleAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigRifleAttachment.Default.AttachName) )
		{
			RifleAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}

function bool SidearmDblClick(GUIComponent Sender)
{
	if (SidearmAmmoBox.bVisible)
		SidearmAmmoBox.SetValue(SidearmAmmoBox.GetMaxValue());
	BuyInventory(Sender);
	return true;
}

function bool RifleDblClick(GUIComponent Sender)
{
	if (RifleAmmoBox.bVisible)
		RifleAmmoBox.SetValue(RifleAmmoBox.GetMaxValue());
	BuyInventory(Sender);
	return true;
}

function bool SidearmRightClick(GUIComponent Sender)
{
	if (SidearmAmmoBox.bVisible)
		SidearmAmmoBox.SetValue(SidearmAmmoBox.GetMaxValue());
	return true;
}

function bool RifleRightClick(GUIComponent Sender)
{
	if (RifleAmmoBox.bVisible)
		RifleAmmoBox.SetValue(RifleAmmoBox.GetMaxValue());
	return true;
}

function bool AmmoButDblClick(GUIComponent Sender)
{
	BuyInventory(Sender);
	return true;
}

function int GetMaxClips (class<Weapon_Base> TempWeapon)
{
	local class<FireMode_Base> TempFireMode;
	local class<Ammo_Base> TempAmmo;

	TempFireMode = class<FireMode_Base>(TempWeapon.Default.FireModeClass[0]);
	TempAmmo = class<Ammo_Base>(TempFireMode.Default.AmmoClass);

	return TempAmmo.Default.MaxClips;
}

function int GetClipCost (class<Weapon_Base> TempWeapon)
{
	local class<FireMode_Base> TempFireMode;
	local class<Ammo_Base> TempAmmo;

	TempFireMode = class<FireMode_Base>(TempWeapon.Default.FireModeClass[0]);
	TempAmmo = class<Ammo_Base>(TempFireMode.Default.AmmoClass);

	return TempAmmo.Default.ClipPrice;
}

function int GetClipMultiple(class<Weapon_Base> TempWeapon)
{
	local class<FireMode_Base> TempFireMode;
	local class<Ammo_Base> TempAmmo;

	TempFireMode = class<FireMode_Base>(TempWeapon.Default.FireModeClass[0]);
	TempAmmo = class<Ammo_Base>(TempFireMode.Default.AmmoClass);

	return TempAmmo.Default.ClipMultiple;
}

function string GetAmmoName(class<Weapon_Base> TempWeapon)
{
	local class<FireMode_Base> TempFireMode;
	local class<Ammo_Base> TempAmmo;

	TempFireMode = class<FireMode_Base>(TempWeapon.Default.FireModeClass[0]);
	TempAmmo = class<Ammo_Base>(TempFireMode.Default.AmmoClass);

	return TempAmmo.Default.ItemName;
}

function UpdatePrimaryWeapon(class<Weapon_Base> PrimaryWeapBase)
{
	local class<FOWeaponPickup> PrimaryActor;
	local int i;

	// update weapon costs
	SetPrimaryCash();

	if (PrimaryWeapBase == None)
	{
		PrimaryWeapon.SetStaticMesh(None);
		return;
	}

	if (PrimaryWeapon == None)
		return;

	PrimaryActor = class<FOWeaponPickup>(PrimaryWeapBase.Default.PickupClass);

	if (PrimaryActor != None && PrimaryActor.Default.StaticMesh != None)
	{
		PrimaryWeapon.LinkMesh(none);
		PrimaryWeapon.SetStaticMesh(PrimaryActor.Default.StaticMesh);
		PrimaryWeapon.SetDrawScale(PrimaryActor.Default.DrawScale*0.8);
		PrimaryWeapon.SetDrawScale3D(PrimaryActor.Default.DrawScale3D*0.8);
		PrimaryWeapon.Skins.Length = PrimaryActor.Default.Skins.Length;
		for (i=0;i<PrimaryActor.default.Skins.Length;i++)
		{
			PrimaryWeapon.Skins[i] = PrimaryActor.Default.Skins[i];
		}
		PrimaryWeapon.SetDrawType(DT_StaticMesh);
	}
}

function UpdateSidearmWeapon(class<Weapon_Base> SidearmWeapBase)
{
	local class<FOWeaponPickup> SidearmActor;
	local int i;

	// update weapon costs
	SetSidearmCash();

	if (SidearmWeapBase == None)
	{
		SidearmWeapon.SetStaticMesh(None);
		return;
	}

	if (SidearmWeapon == None)
		return;

	SidearmActor = class<FOWeaponPickup>(SidearmWeapBase.Default.PickupClass);

	if (SidearmActor != None && SidearmActor.Default.StaticMesh != None)
	{
		SidearmWeapon.LinkMesh(none);
		SidearmWeapon.SetStaticMesh(SidearmActor.Default.StaticMesh );
		SidearmWeapon.SetDrawScale(SidearmActor.Default.DrawScale*0.82);
		SidearmWeapon.SetDrawScale3D(SidearmActor.Default.DrawScale3D*0.82);
		SidearmWeapon.Skins.Length = SidearmActor.Default.Skins.Length;
		for (i=0;i<SidearmActor.default.Skins.Length;i++)
		{
			SidearmWeapon.Skins[i] = SidearmActor.Default.Skins[i];
		}
		SidearmWeapon.SetDrawType(DT_StaticMesh);
	}
}

function UpdateMeleeWeapon(class<Weapon_Base> MeleeWeapBase)
{
	local class<FOWeaponPickup> MeleeActor;
	local int i;

	// update weapon costs
	SetMeleeCash();

	if (MeleeWeapBase == None)
	{
		MeleeWeapon.SetStaticMesh(None);
		return;
	}
	
	if (MeleeWeapon == None)
		return;

	MeleeActor = class<FOWeaponPickup>(MeleeWeapBase.Default.PickupClass);

	if (MeleeActor != None && MeleeActor.Default.StaticMesh != None)
	{
		MeleeWeapon.LinkMesh(none);
		MeleeWeapon.SetStaticMesh(MeleeActor.Default.StaticMesh );
		MeleeWeapon.SetDrawScale(MeleeActor.Default.DrawScale*0.85);
		MeleeWeapon.SetDrawScale3D(MeleeActor.Default.DrawScale3D*0.85);
		MeleeWeapon.Skins.Length = MeleeActor.Default.Skins.Length;
		for (i=0;i<MeleeActor.default.Skins.Length;i++)
		{
			MeleeWeapon.Skins[i] = MeleeActor.Default.Skins[i];
		}
		MeleeWeapon.SetDrawType(DT_StaticMesh);
	}
}

function UpdateGrenadePriWeapon(class<Weapon_Base> GrenadePriWeapBase)
{
	local class<FOWeaponPickup> GrenadePriActor;
	local int i;

	// update weapon costs
	SetGrenadePriCash();

	if (GrenadePriWeapBase == None || GrenadePriWeapBase.Default.WeaponType == Heavy)
	{
		GrenadePriWeapon.SetStaticMesh(None);
		return;
	}
	
	if (GrenadePriWeapon == None)
		return;

	GrenadePriActor = class<FOWeaponPickup>(GrenadePriWeapBase.Default.PickupClass);

	if (GrenadePriActor != None && GrenadePriActor.Default.StaticMesh != None)
	{
		GrenadePriWeapon.LinkMesh(none);
		GrenadePriWeapon.SetStaticMesh(GrenadePriActor.Default.StaticMesh );
		GrenadePriWeapon.SetDrawScale(GrenadePriActor.Default.DrawScale*0.85);
		GrenadePriWeapon.SetDrawScale3D(GrenadePriActor.Default.DrawScale3D*0.85);
		GrenadePriWeapon.Skins.Length = GrenadePriActor.Default.Skins.Length;
		for (i=0;i<GrenadePriActor.default.Skins.Length;i++)
		{
			GrenadePriWeapon.Skins[i] = GrenadePriActor.Default.Skins[i];
		}
		GrenadePriWeapon.SetDrawType(DT_StaticMesh);
	}
}

function UpdateGrenadeSecWeapon(class<Weapon_Base> GrenadeSecWeapBase)
{
	local class<FOWeaponPickup> GrenadeSecActor;
	local int i;

	// update weapon costs
	SetGrenadeSecCash();	

	if (GrenadeSecWeapBase == None)
	{
		GrenadeSecWeapon.SetStaticMesh(None);
		return;
	}

	if (GrenadeSecWeapon == None)
		return;

	GrenadeSecActor = class<FOWeaponPickup>(GrenadeSecWeapBase.Default.PickupClass);

	if (GrenadeSecActor != None && GrenadeSecActor.Default.StaticMesh != None)
	{
		GrenadeSecWeapon.LinkMesh(none);
		GrenadeSecWeapon.SetStaticMesh(GrenadeSecActor.Default.StaticMesh );
		GrenadeSecWeapon.SetDrawScale(GrenadeSecActor.Default.DrawScale*0.85);
		GrenadeSecWeapon.SetDrawScale3D(GrenadeSecActor.Default.DrawScale3D*0.85);
		GrenadeSecWeapon.Skins.Length = GrenadeSecActor.Default.Skins.Length;
		for (i=0;i<GrenadeSecActor.default.Skins.Length;i++)
		{
			GrenadeSecWeapon.Skins[i] = GrenadeSecActor.Default.Skins[i];
		}
		GrenadeSecWeapon.SetDrawType(DT_StaticMesh);
	}
}

// buttons
function bool BuyInventory(GUIComponent Sender)
{
	local byte btMelee, btSidearm, btRifle, btGrenade, btGrenadeSec, btMisc;
	local byte i;
	
	btMelee = 255;
	btSidearm = 255;
	btRifle = 255;
	btGrenade = 255;
	btGrenadeSec = 255;
	btMisc = 255;

	if (SelectedCash < 0)
		return false;

	for (i=0;i<ArrayCount(Melee);i++)
	{
		if (Melee[i] != None && Melee[i] == SelectedMelee)
		{
			btMelee = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if (Sidearms[i] != None && Sidearms[i] == SelectedSidearm)
		{
			btSidearm = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if (Rifles[i] != None && Rifles[i] == SelectedRifle)
		{
			btRifle = i;
			break;
		}
	}	

	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if (Grenades[i] != None && Grenades[i] == SelectedGrenade)
		{
			btGrenade = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if (Grenades[i] != None && Grenades[i] == SelectedGrenadeSec)
		{
			btGrenadeSec = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Misc);i++)
	{
		if (Misc[i] ~= SelectedMisc && Misc[i] != "")
		{
			btMisc = i;
			break;
		}
	}

	if (PlayerOwner().Pawn != None && PlayerOwner().Pawn.Health > 0 && FOPawn(PlayerOwner().Pawn).bCanBuy)
	{
		if (SelectedCash > 9999)
			SelectedCash = 9999;
		FOPawn(PlayerOwner().Pawn).ServerAddNewGear(btMelee,btSidearm,btRifle,btGrenade,btGrenadeSec,btMisc,SidearmAttachment,RifleAttachment,MeleeAttachment,SelectedCash,byte(SidearmAmmoBox.GetValue()),byte(RifleAmmoBox.GetValue()));
		Controller.CloseMenu();
	}
	else
		Controller.CloseMenu();
	return true;
}

function SetPrimaryCash()
{
	local int WeaponAmount, ClipsOwned, AttachOwned;

	if (SelectedRifle == None)
	{
		PrimaryCash.Caption = "$0";
		return;
	}

	// set base costs for selected weapon/tradein
	if (SelectedRifle != OrigRifle && OrigRifle != None)
		WeaponAmount = SelectedRifle.Default.GunCost - OrigRifle.Default.GunCost;
	else if (OrigRifle == None)
		WeaponAmount = SelectedRifle.Default.GunCost;		
	else
		ClipsOwned = GetClipCost(SelectedRifle) * OrigRifleAmmo;

	// add ammo costs
	WeaponAmount += ((RifleAmmoBox.GetValue()*GetClipCost(SelectedRifle)) - ClipsOwned);

	// add attachment costs
	if (OrigRifleAttachment != None)
		AttachOwned = OrigRifleAttachment.Default.GunCost;
	if (RifleAttachment != None)
		WeaponAmount += (RifleAttachment.Default.GunCost - AttachOwned);

	// set caption
	PrimaryCash.Caption = "$"$WeaponAmount;
}

function SetSidearmCash()
{
	local int WeaponAmount, ClipsOwned, AttachOwned;

	if (SelectedSidearm == None)
	{
		SidearmCash.Caption = "$0";
		return;
	}

	// set base costs for selected weapon/tradein
	if (SelectedSidearm != OrigSidearm && OrigSidearm != None)
		WeaponAmount = SelectedSidearm.Default.GunCost - OrigSidearm.Default.GunCost;
	else if (OrigSidearm == None)
		WeaponAmount = SelectedSidearm.Default.GunCost;		
	else
		ClipsOwned = GetClipCost(SelectedSidearm) * OrigSidearmAmmo;

	// add ammo costs
	WeaponAmount += ((SidearmAmmoBox.GetValue()*GetClipCost(SelectedSidearm)) - ClipsOwned);

	// add attachment costs
	if (OrigSidearmAttachment != None)
		AttachOwned = OrigSidearmAttachment.Default.GunCost;
	if (SidearmAttachment != None)
		WeaponAmount += (SidearmAttachment.Default.GunCost - AttachOwned);

	// set caption
	SidearmCash.Caption = "$"$WeaponAmount;
}

function SetMeleeCash()
{
	local int WeaponAmount, AttachOwned;

	// add attachment costs
	if (OrigMeleeAttachment != None)
		AttachOwned = OrigMeleeAttachment.Default.GunCost;
	if (MeleeAttachment != None)
		WeaponAmount += (MeleeAttachment.Default.GunCost - AttachOwned);

	// set caption
	MeleeCash.Caption = "$"$WeaponAmount;
}

function SetGrenadePriCash()
{
	local int WeaponAmount;

	if (SelectedGrenade == None)
	{
		GrenadePriCash.Caption = "$0";
		return;
	}

	// set base costs for selected weapon/tradein
	if (SelectedGrenade != OrigGrenade && OrigGrenade != None)
		WeaponAmount = SelectedGrenade.Default.GunCost - OrigGrenade.Default.GunCost;
	else if (OrigGrenade == None)
		WeaponAmount = SelectedGrenade.Default.GunCost;		

	// set caption
	GrenadePriCash.Caption = "$"$WeaponAmount;
}

function SetGrenadeSecCash()
{
	local int WeaponAmount;

	if (SelectedGrenadeSec == None)
	{
		GrenadeSecCash.Caption = "$0";
		return;
	}

	// set base costs for selected weapon/tradein
	if (SelectedGrenadeSec != OrigGrenadeSec && OrigGrenadeSec != None)
		WeaponAmount = SelectedGrenadeSec.Default.GunCost - OrigGrenadeSec.Default.GunCost;
	else if (OrigGrenadeSec == None)
		WeaponAmount = SelectedGrenadeSec.Default.GunCost;		

	// set caption
	GrenadeSecCash.Caption = "$"$WeaponAmount;
}

function bool CancelBuy(GUIComponent Sender)
{
	Controller.CloseMenu();
	return true;
}

function bool MaxAmmo(GUIComponent Sender)
{
	if (SidearmAmmoBox.bVisible)
	{
		SidearmAmmoBox.SetValue(SidearmAmmoBox.GetMaxValue());
	}
	if (RifleAmmoBox.bVisible)
	{
		RifleAmmoBox.SetValue(RifleAmmoBox.GetMaxValue());
	}
	return true;
}

defaultproperties
{
	// Controls
	Begin Object Class=GUIListBox Name=RifleListBox
		WinWidth=0.1364
		WinHeight=0.35000
		WinLeft=0.070000
		WinTop=0.06500
		bVisibleWhenEmpty=True
		StyleName="NoBackground"
		SelectedStyleName="ListSelection"
		TabOrder=2
		bBoundToParent=true
		OnChange=RifleOnChange
		OnDblClick=RifleDblClick
		OnRightClick=RifleRightClick
	End Object
	RifleList=RifleListBox

	Begin Object Class=GUISectionBackground Name=PrimaryBGBox
		WinWidth=0.1861
		WinHeight=0.425078
		WinLeft=0.036600
		LeftPadding=0.01
		RightPadding=0.01
		WinTop=0.003066
		Caption="Primary"
		bFillClient=true
		bBoundToParent=true
	End Object
	PrimaryBG=PrimaryBGBox

	Begin Object class=moComboBox Name=RifleAttachBox
		WinWidth=0.1851
		WinLeft=0.038600
		WinTop=0.4738
		Hint="Choose an attachment"
		ComponentJustification=TXTA_Left
		ComponentWidth=-1
		CaptionWidth=0
		TabOrder=8
		bReadOnly=True
		bBoundToParent=true
		//ScaleToParent=true
		bVisible=false
		OnChange=RifleAttachOnChange
	End Object
	RifleAttachList=RifleAttachBox

	Begin Object class=Interface_foNumericEdit Name=RifleAmmo
		WinWidth=0.058
		WinLeft=0.339
		WinTop=0.695
		Caption=""
		Hint="# of magazines for Primary"
		CaptionWidth=0
		MinValue=0
		MaxValue=0
		bNeverFocus=true
		bVisible=false
		OnChange=RifleAmmoOnChange
	End Object
	RifleAmmoBox=RifleAmmo

	Begin Object class=GUILabel Name=RifleAmmoText
		Caption=""
		TextALign=TXTA_Right
		TextFont="SmallLabelFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.1
		WinHeight=0.05
		WinLeft=0.234
		WinTop=0.682
		bVisible=false
	End Object
	RifleAmmoLabel=RifleAmmoText

	Begin Object Class=GUIListBox Name=SidearmListBox
		WinWidth=0.1364
		WinHeight=0.1500
		WinLeft=0.372
		WinTop=0.065000
		bVisibleWhenEmpty=True
		StyleName="NoBackground"
		SelectedStyleName="ListSelection"
		TabOrder=2
		bBoundToParent=true
		OnChange=SidearmOnChange
		OnDblClick=SidearmDblClick
		OnRightClick=SidearmRightClick
	End Object
	SidearmList=SidearmListBox	

	Begin Object Class=GUISectionBackground Name=SidearmBGBox
		WinWidth=0.1861
		WinHeight=0.219078
		WinLeft=0.3396600
		LeftPadding=0.01
		RightPadding=0.01
		WinTop=0.003066
		Caption="Sidearm"
		bFillClient=true
		bBoundToParent=true
	End Object
	SidearmBG=SidearmBGBox

	Begin Object class=moComboBox Name=SidearmAttachBox
		WinWidth=0.1851
		WinLeft=0.3406600
		WinTop=0.246
		Hint="Choose an attachment"
		ComponentJustification=TXTA_Left
		ComponentWidth=-1
		CaptionWidth=0
		TabOrder=8
		bReadOnly=True
		bBoundToParent=true
		//ScaleToParent=true
		bVisible=false
		OnChange=SidearmAttachOnChange
	End Object
	SidearmAttachList=SidearmAttachBox

	Begin Object class=Interface_foNumericEdit Name=SidearmAmmo
		WinWidth=0.052
		WinLeft=0.488
		WinTop=0.695
		Caption=""
		Hint="# of magazines for Sidearm"
		CaptionWidth=0
		MinValue=0
		MaxValue=0
		bNeverFocus=true
		bVisible=false
		bAutoSizeCaption=true
		ComponentJustification=TXTA_Right
		OnChange=SidearmAmmoOnChange
	End Object
	SidearmAmmoBox=SidearmAmmo

	Begin Object class=GUILabel Name=SidearmAmmoText
		Caption=""
		TextALign=TXTA_Right
		TextFont="SmallLabelFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.1
		WinHeight=0.05
		WinLeft=0.3835
		WinTop=0.682
		bVisible=false
	End Object
	SidearmAmmoLabel=SidearmAmmoText

	Begin Object Class=GUIListBox Name=MeleeListBox
		WinWidth=0.1364
		WinHeight=0.070000
		WinLeft=0.372
		WinTop=0.37900
		bVisibleWhenEmpty=True
		StyleName="NoBackground"
		SelectedStyleName="ListSelection"
		TabOrder=2
		bBoundToParent=true
		OnChange=MeleeOnChange
	End Object
	MeleeList=MeleeListBox

	Begin Object Class=GUISectionBackground Name=MeleeBGBox
		WinWidth=0.1861
		WinHeight=0.141078
		WinLeft=0.3396600
		WinTop=0.319066
		LeftPadding=0.01
		RightPadding=0.01
		Caption="Melee"
		bFillClient=true
		bBoundToParent=true
	End Object
	MeleeBG=MeleeBGBox

	Begin Object class=moComboBox Name=MeleeAttachBox
		WinWidth=0.1851
		WinLeft=0.3406600
		WinTop=0.4738
		Hint="Choose an attachment"
		ComponentJustification=TXTA_Left
		ComponentWidth=-1
		CaptionWidth=0
		TabOrder=8
		bReadOnly=True
		bBoundToParent=true
		//ScaleToParent=true
		//bVisible=false
		OnChange=MeleeAttachOnChange
	End Object
	MeleeAttachList=MeleeAttachBox

	Begin Object Class=GUIImage Name=WeaponGrenadeFirst
		StyleName="CharButton"
		bAcceptsInput=true
		bNeverFocus=true
		WinWidth=0.084
		WinHeight=0.1646
		WinTop=0.1005
		WinLeft=0.6266600
		X1=0
		Y1=10
		X2=64
		Y2=118
		Image=material'FOMisc.TeamMenu.TeamBoxBG'
		ImageStyle=ISTY_Scaled
		ImageRenderStyle=MSTY_Translucent
		ImageColor=(R=255,G=255,B=255,A=255)
		OnClick=GrenadeClick
		OnRightClick=GrenadeRightClick
		OnClickSound=CS_Click
		bVisible=true
		Hint="Primary Grenade, Click to choose"
	End Object
	GrenadeButton=WeaponGrenadeFirst

	Begin Object Class=GUISectionBackground Name=GrenadePriBGBox
		WinWidth=0.120
		WinHeight=0.199078
		WinLeft=0.6436600
		LeftPadding=0.01
		RightPadding=0.01
		WinTop=0.003066
		Caption="#1"
		bFillClient=true
		bBoundToParent=true
	End Object
	GrenadePriBG=GrenadePriBGBox

	Begin Object Class=GUIImage Name=WeaponGrenadeSec
		StyleName="CharButton"
		bAcceptsInput=true
		bNeverFocus=true
		WinWidth=0.084
		WinHeight=0.1646
		WinTop=0.1005
		WinLeft=0.7472
		X1=0
		Y1=10
		X2=64
		Y2=118
		Image=material'FOMisc.TeamMenu.TeamBoxBG'
		ImageStyle=ISTY_Scaled
		ImageRenderStyle=MSTY_Translucent
		ImageColor=(R=255,G=255,B=255,A=255)
		OnClick=GrenadeClick
		OnRightClick=GrenadeRightClick
		OnClickSound=CS_Click
		bVisible=true
		Hint="Secondary Grenade, Click to choose"
	End Object
	GrenadeSecButton=WeaponGrenadeSec

	Begin Object Class=GUISectionBackground Name=GrenadeSecBGBox
		WinWidth=0.120
		WinHeight=0.199078
		WinLeft=0.8020
		LeftPadding=0.01
		RightPadding=0.01
		WinTop=0.003066
		Caption="#2"
		bFillClient=true
		bBoundToParent=true
	End Object
	GrenadeSecBG=GrenadeSecBGBox

	Begin Object Class=GUIImage Name=MiscBox
		StyleName="CharButton"
		bAcceptsInput=true
		bNeverFocus=true
		WinWidth=0.09
		WinHeight=0.155
		WinTop=0.35
		WinLeft=0.735
		X1=0
		Y1=10
		X2=128
		Y2=195
		Image=material'FOMisc.TeamMenu.TeamBoxBG'
		ImageStyle=ISTY_Scaled
		ImageRenderStyle=MSTY_Translucent
		ImageColor=(R=255,G=255,B=255,A=255)
		OnClick=MiscClick
		OnRightClick=MiscRightClick
		OnClickSound=CS_Click
		bVisible=true
		Hint="Armor Level, Right-Click to repair"
	End Object
	MiscButton=MiscBox

	Begin Object class=GUIScrollTextBox Name=ArmorInfo
		WinWidth=0.097
		WinHeight=0.155
		WinLeft=0.639
		WinTop=0.36
		bNoTeletype=true
		FontScale=FNS_Small
		bVisibleWhenEmpty=true
		StyleName="SmallScroll"
		bAcceptsInput=false
	End Object
	ArmorScroll=ArmorInfo

	Begin Object Class=GUISectionBackground Name=MiscBGBox
		WinWidth=0.241
		WinHeight=0.232
		WinLeft=0.6436600
		WinTop=0.255
		LeftPadding=0.01
		RightPadding=0.01
		Caption="Armor"
		bFillClient=true
		bBoundToParent=true
	End Object
	MiscBG=MiscBGBox

	Begin Object Class=GUIImage Name=PrimaryBorderBox
		StyleName="CharButton"
		bAcceptsInput=false
		bNeverFocus=true
		WinWidth=0.22
		WinHeight=0.14
		WinTop=0.56
		WinLeft=0.184
		Image=material'FOMisc.Menu.WeaponSquare'
		ImageStyle=ISTY_Stretched
		ImageRenderStyle=MSTY_Alpha
		ImageColor=(R=255,G=255,B=255,A=255)
		RenderWeight=0.1
		bVisible=true
	End Object
	PrimaryBorder=PrimaryBorderBox

	Begin Object class=GUILabel Name=PrimaryLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="UT2MidGameFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.151250
		WinHeight=0.05
		WinLeft=0.24
		WinTop=0.653
	End Object
	PrimaryCash=PrimaryLabel

	Begin Object Class=GUIImage Name=SidearmBorderBox
		StyleName="CharButton"
		bAcceptsInput=false
		bNeverFocus=true
		WinWidth=0.15
		WinHeight=0.14
		WinTop=0.56
		WinLeft=0.397
		Image=material'FOMisc.Menu.WeaponSquare'
		ImageStyle=ISTY_Stretched
		ImageRenderStyle=MSTY_Alpha
		ImageColor=(R=255,G=255,B=255,A=255)
		RenderWeight=0.1
		bVisible=true
	End Object
	SidearmBorder=SidearmBorderBox

	Begin Object class=GUILabel Name=SidearmLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="UT2MidGameFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.151250
		WinHeight=0.05
		WinLeft=0.384
		WinTop=0.653
	End Object
	SidearmCash=SidearmLabel

	Begin Object Class=GUIImage Name=MeleeBorderBox
		StyleName="CharButton"
		bAcceptsInput=false
		bNeverFocus=true
		WinWidth=0.148
		WinHeight=0.14
		WinTop=0.56
		WinLeft=0.540
		Image=material'FOMisc.Menu.WeaponSquare'
		ImageStyle=ISTY_Stretched
		ImageRenderStyle=MSTY_Alpha
		ImageColor=(R=255,G=255,B=255,A=255)
		RenderWeight=0.1
		bVisible=true
	End Object
	MeleeBorder=MeleeBorderBox

	Begin Object class=GUILabel Name=MeleeLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="UT2MidGameFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.151250
		WinHeight=0.05
		WinLeft=0.5251
		WinTop=0.653
	End Object
	MeleeCash=MeleeLabel

	Begin Object Class=GUIImage Name=GrenadePriBorderBox
		StyleName="CharButton"
		bAcceptsInput=false
		bNeverFocus=true
		WinWidth=0.07
		WinHeight=0.14
		WinTop=0.56
		WinLeft=0.681
		Image=material'FOMisc.Menu.WeaponSquare'
		ImageStyle=ISTY_Stretched
		ImageRenderStyle=MSTY_Alpha
		ImageColor=(R=255,G=255,B=255,A=255)
		RenderWeight=0.1
		bVisible=true
	End Object
	GrenadePriBorder=GrenadePriBorderBox

	Begin Object class=GUILabel Name=GrenadePriLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="UT2ServerListFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.151250
		WinHeight=0.05
		WinLeft=0.59
		WinTop=0.653
	End Object
	GrenadePriCash=GrenadePriLabel

	Begin Object Class=GUIImage Name=GrenadeSecBorderBox
		StyleName="CharButton"
		bAcceptsInput=false
		bNeverFocus=true
		WinWidth=0.07
		WinHeight=0.14
		WinTop=0.56
		WinLeft=0.744
		Image=material'FOMisc.Menu.WeaponSquare'
		ImageStyle=ISTY_Stretched
		ImageRenderStyle=MSTY_Alpha
		ImageColor=(R=255,G=255,B=255,A=255)
		RenderWeight=0.1
		bVisible=true
	End Object
	GrenadeSecBorder=GrenadeSecBorderBox

	Begin Object class=GUILabel Name=GrenadeSecLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="UT2ServerListFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.151250
		WinHeight=0.05
		WinLeft=0.65291
		WinTop=0.653
	End Object
	GrenadeSecCash=GrenadeSecLabel

	// bottom component row
	Begin Object class=GUILabel Name=MoneyLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="VerdanaFont"
		TextColor=(R=255,G=255,B=255,A=255)
		WinWidth=0.11
		WinHeight=0.045
		WinLeft=0.05
		WinTop=0.785
		bBoundToParent=true
	End Object
	CashLabel=MoneyLabel

	Begin Object class=GUILabel Name=OrigMoneyLabel
		Caption=""
		TextALign=TXTA_Right
		TextFont="VerdanaFont"
		TextColor=(R=255,G=255,B=255,A=150)
		WinWidth=0.11
		WinHeight=0.045
		WinLeft=0.05
		WinTop=0.829
		bBoundToParent=true
	End Object
	OrigCashLabel=OrigMoneyLabel	

	Begin Object Class=GUISectionBackground Name=MoneyBGBox
		WinWidth=0.143
		WinHeight=0.14
		WinLeft=0.036600
		WinTop=0.74
		LeftPadding=0.01
		RightPadding=0.01
		Caption="Funds"
		bFillClient=true
		bBoundToParent=true
	End Object
	MoneyBG=MoneyBGBox

	Begin Object Class=GUIButton Name=BuyButtonBox
		Caption="BUY"
		StyleName="BigButton"
		Hint=""
		WinWidth=0.0780
		WinLeft=0.830
		WinTop=0.787
		WinHeight=0.08
		TabOrder=1
		bStandardized=false
		bBoundToParent=true
		OnClick=BuyInventory
	End Object
	BuyButton=BuyButtonBox

	Begin Object Class=GUIButton Name=MaxButtonBox
		Caption="Max"
		StyleName="SquareButton"
		Hint=""
		WinWidth=0.070
		WinLeft=0.731
		WinTop=0.787
		WinHeight=0.045
		TabOrder=1
		bStandardized=false
		bBoundToParent=true
		OnClick=MaxAmmo
		OnDblClick=BuyInventory
	End Object
	AmmoButton=MaxButtonBox

	Begin Object Class=GUIButton Name=CancelButtonBox
		Caption="X"
		StyleName="SquareButton"
		Hint=""
		WinWidth=0.070
		WinLeft=0.731
		WinTop=0.838
		WinHeight=0.034
		TabOrder=1
		bStandardized=false
		bBoundToParent=true
		OnClick=CancelBuy
	End Object
	CancelButton=CancelButtonBox

	Begin Object Class=GUISectionBackground Name=ButtonBGBox
		WinWidth=0.191
		WinHeight=0.14
		WinLeft=0.70650
		WinTop=0.74
		LeftPadding=0.01
		RightPadding=0.01
		Caption="Menu"
		bFillClient=true
		bBoundToParent=true
	End Object
	ButtonsBG=ButtonBGBox

	// WEAPON LIST
	// 0 and evens -- Mercs
	// odds - Special Ops

	// melee
	Melee(0)=class'Weapon_MacheteBase'
	Melee(1)=class'Weapon_KnifeAkimbo'

	// sidearms
	Sidearms(0)=class'Weapon_USPBase'
	Sidearms(1)=class'Weapon_USPBase'
	Sidearms(2)=class'Weapon_SigAkimbo'
	Sidearms(3)=class'Weapon_SigAkimbo'
	Sidearms(4)=class'Weapon_DEBase'
	Sidearms(5)=class'Weapon_8xBase'
	Sidearms(6)=class'Weapon_MP7Akimbo'
	Sidearms(7)=class'Weapon_TMPAkimbo'
	Sidearms(8)=class'Weapon_DEGoldBase'
	Sidearms(9)=class'Weapon_DEGoldBase'

	// smg's/rifles/shotguns
	Rifles(0)=class'Weapon_MP9Base'
	Rifles(1)=class'Weapon_UMPBase'
	Rifles(2)=class'Weapon_MP5Base'
	Rifles(3)=class'Weapon_MP5Base'
	Rifles(4)=class'Weapon_Super90Base'
	Rifles(5)=class'Weapon_Super90Base'
	Rifles(6)=class'Weapon_RedLabelBase'
	Rifles(7)=class'Weapon_RedLabelBase'
	Rifles(8)=class'Weapon_AK103Base'
	Rifles(9)=class'Weapon_FAMASBase'
	Rifles(10)=class'Weapon_P90Base'
	Rifles(11)=class'Weapon_P90Base'
	Rifles(12)=class'Weapon_M4Base'
	Rifles(13)=class'Weapon_XM8Base'
	Rifles(14)=class'Weapon_DSRBase'
	Rifles(15)=class'Weapon_DSRBase'
	Rifles(16)=class'Weapon_TRGBase'
	Rifles(17)=class'Weapon_TRGBase'

	// grenades
	Grenades(0)=class'Weapon_GrenadeHE'
	Grenades(1)=class'Weapon_GrenadeFlash'
	Grenades(2)=class'Weapon_GrenadeIncinerator'
	Grenades(3)=class'Weapon_GrenadeSmoke'
	Grenades(4)=class'Weapon_GrenadeSmokeYel'

	// grenades -- icons
	GrenadeIcons(0)=Material'FOMisc.Menu.GrenadeIcon_HE'
	GrenadeIcons(1)=Material'FOMisc.Menu.GrenadeIcon_Flash'
	GrenadeIcons(2)=Material'FOMisc.Menu.GrenadeIcon_Napalm'
	GrenadeIcons(3)=Material'FOMisc.Menu.GrenadeIcon_SmokeRed'
	GrenadeIcons(4)=Material'FOMisc.Menu.GrenadeIcon_SmokeYellow'
	GrenadeEmptyImage=Material'FOMisc.Menu.GrenadeIcon_Empty'

	// armor -- icons
	ArmorIcons(0)=Material'FOMisc.Menu.ArmorIconLit'
	ArmorIcons(1)=Material'FOMisc.Menu.ArmorIconMed'
	ArmorIcons(2)=Material'FOMisc.Menu.ArmorIconHvy'
	ArmorRepairIcon=Material'FOMisc.Menu.ArmorIconRepair'

	// miscellaneous
	Misc(0)="LIT. Armor"
	ArmorDesc(0)="Light||Armor: +36|Speed: 51|No Helmet"
	Misc(1)="MED. Armor"
	ArmorDesc(1)="Medium||Armor: +66|Speed: 45"
	Misc(2)="HVY. Armor"
	ArmorDesc(2)="Heavy||Armor: +88|Speed: 39"
	MiscPrices(0)=75
	MiscPrices(1)=75
	MiscPrices(2)=75
	RepairPrice=75
	ArmorDesc(3)="Repair your armor set for $75"

	// 3D weapon offsets
	PrimaryWeaponOffset=(X=120,Y=-51,Z=-20.0)
	PrimaryWeaponPivot=(Yaw=-16384,Pitch=0,Roll=49152)

	SidearmWeaponOffset=(X=120,Y=-3.5,Z=-21.0)
	SidearmWeaponPivot=(Yaw=-16384,Pitch=0,Roll=49152)

	MeleeWeaponOffset=(X=120,Y=28,Z=-21.0)
	MeleeWeaponPivot=(Yaw=-16384,Pitch=0,Roll=49152)

	GrenadePriWeaponOffset=(X=120,Y=51,Z=-18.0)
	GrenadePriWeaponPivot=(Yaw=-16384,Pitch=0,Roll=0)

	GrenadeSecWeaponOffset=(X=120,Y=66.2,Z=-18.0)
	GrenadeSecWeaponPivot=(Yaw=-16384,Pitch=0,Roll=0)

	// colors
	MoneyColorGreen=(R=255,G=255,B=255,A=255)
	MoneyColorRed=(R=240,G=41,B=47,A=255)
	BuyColors(0)=(R=200,G=200,B=200,A=255)
	BuyColors(1)=(R=200,G=200,B=200,A=255)
	BuyColors(2)=(R=200,G=200,B=200,A=255)
	BuyColors(3)=(R=255,G=255,B=255,A=255)
	BuyColors(4)=(R=255,G=255,B=85,A=255)	

	// settings
	WinHeight=0.9
	WinWidth=0.76
	WinLeft=0.12
	WinTop=0.07
	bAllowedAsLast=true

	// delegates
	OnKeyEvent=InternalOnKeyEvent
	OnOpen=PageOpen
	OnDraw=InternalDraw
	OnClose=InternalOnClose
}