//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_CenterWeapon extends SpinnyWeap;

var vector CenterWeaponOffset;
var rotator CenterWeaponPivot;
var GUIPage GUIOwner;
var canvas GUICanvas;
var bool bDontSpin;

function DrawWeapon(Canvas Canvas)
{
	local vector CamPos,X,Y,Z,localX,localY,localZ,globalX,globalY,globalZ;;
	local rotator CamRot;

	Canvas.GetCameraLocation(CamPos,CamRot);
	GUIOwner.GetAxes(CamRot,X,Y,Z);

	GUIOwner.GetAxes(CenterWeaponPivot,globalX,globalY,globalZ);
	localX = globalX >> CamRot;
	localY = globalY >> CamRot;
	localZ = globalZ >> CamRot;
	CamRot = OrthoRotation(localX,localY,localZ);
	SetLocation(CamPos + CenterWeaponOffset.X*X + CenterWeaponOffset.Y*Y + CenterWeaponOffset.Z*Z);
	SetRotation(CamRot);

	Canvas.DrawActor(self, false, true, 90.0);
}

defaultproperties
{
	DrawScale=0.3
	bDontSpin=true
	bHidden=true
	CenterWeaponOffset=(X=200,Y=0,Z=4.2)
	CenterWeaponPivot=(Yaw=0,Pitch=0,Roll=49152)
	RemoteRole=ROLE_None
	bUnlit=true
	Style=STY_Normal
	LODBias=100000
	bDirectional=true
	bAcceptsProjectors=false
}