//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_ConnectingMenu extends UT2K4ServerLoading;

simulated function SetImage()
{
	local int i, cnt;
	local string str;
	local material mat;

	mat = Material'MenuBlack';
	DrawOpImage(Operations[0]).Image = mat;

	BackGrounds[0] = "FOMisc.MapLoadScreens.mapload1";
	BackGrounds[1] = "FOMisc.MapLoadScreens.mapload2";
	BackGrounds[2] = "FOMisc.MapLoadScreens.mapload1";
	BackGrounds[3] = "FOMisc.MapLoadScreens.mapload2";

	if ( Backgrounds.Length == 0 )
	{
		Warn("No background images configured for"@Name);
		return;
	}

	do
	{
		i = Rand(Backgrounds.Length);
		str = Backgrounds[i];
		if ( str == "" )
			Warn("Invalid value for "$Name$".Backgrounds["$i$"]");

		else mat = DLOTexture(str);
	}

	until (mat != None || ++cnt >= 10);

	if (mat == None)
		Warn("Unable to find any valid images for vignette class"@name$"!");

	DrawOpImage(Operations[0]).Image = mat;
}

defaultproperties
{
	Begin Object Class=DrawOpText Name=OpLoading
		Top=0.68
		Lft=0.07
		Height=0.05
		Width=0.5
		Justification=TXTA_Left
		Text="LOADING . . ."
		FontName="XInterface.UT2LargeFont"
		bWrapText=False
	End Object
	Operations(1)=OpLoading

	Begin Object Class=DrawOpText Name=OpMapname
		Top=0.76
		Lft=0.07
		Height=0.05
		Width=0.6
		Justification=TXTA_Left
		FontName="XInterface.UT2LargeFont"
		bWrapText=False
	End Object
	Operations(2)=OpMapname

	Begin Object Class=DrawOpText Name=OpHint
		Top=0.88
		Height=0.12
		Lft=0.04
		Width=0.95
		Justification=TXTA_Left
		FontName="GUI2K4.fntUT2k4SmallHeader"
	End Object
	Operations(3)=OpHint
}