//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_MenuGameBase extends UT2K4GamePageBase;

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	local int i;

	Super(UT2k4MainPage).Initcomponent(MyController, MyOwner);

	RuleInfo = new(None) class'Engine.PlayInfo';

	p_Game = UT2K4Tab_GameTypeBase( c_Tabs.AddTab(PanelCaption[i], PanelClass[i],, PanelHint[i++], True) );
	p_Game.OnChangeGameType = ChangeGameType;

	p_Main = UT2K4Tab_MainBase(c_Tabs.AddTab(PanelCaption[i],PanelClass[i],,PanelHint[i++]) );
	p_Game.tp_Main = p_Main;

	// if bUseTabs, we'll use a tabcontrol display for setting groups
	// if not, we'll use a mult-column multioptionlist, with section headers
	if (bUseTabs)
		p_Rules = UT2K4Tab_RulesBase(c_Tabs.AddTab(PanelCaption[i],PanelClass[i],,PanelHint[i++]));
	else
		mcRules = IAMultiColumnRulesPanel(c_Tabs.AddTab(PanelCaption[i], "FragOps.Interface_MCRulesPanel",, PanelHint[i++]));

	p_Mutators    = UT2K4Tab_MutatorBase(c_Tabs.AddTab(PanelCaption[i],PanelClass[i],,PanelHint[i++]));
	b_Back = UT2K4GameFooter(t_Footer).b_Back;
	b_Secondary = UT2K4GameFooter(t_Footer).b_Secondary;
	b_Primary = UT2K4GameFooter(t_Footer).b_Primary;
}

function SetRuleInfo(optional string GameName)
{
	local int i;
	local class<GameInfo> GameClass;
	local class<AccessControl> ACClass;
	local array<class<Info> > PIClasses;

	if (RuleInfo != None && RuleInfo.InfoClasses.Length > 0)
		RuleInfo.SaveSettings();

	// PlayInfo can now handle calling FillPlayInfo() on the necessary classes itself
	// Let's build an array of classes to pass to PlayInfo
	if (GameName == "")
   		GameName = "FragOps.FragOpsMission";

	/* This is the standard way PlayInfo is loaded -
	1. GameInfo will be first.  Keep in mind that GameInfo will always automatically call
        FillPlayInfo() on GameReplicationInfo and VotingHandlerClass.  Since these classes
	are popped off the PlayInfo.ClassStack, we can use this to figure out which classes
	can be culled from PlayInfo if we need to

	2. Next up is Access Control - this will add administration settings to playinfo
	*/
	GameClass = class<GameInfo>(DynamicLoadObject(GameName, class'Class'));
	if (GameClass != None)
	{
		PIClasses[i++] = GameClass;
		SetupBotText( GameClass );

		ACClass = class<AccessControl>(DynamicLoadObject(GameClass.default.AccessControlClass, class'Class'));
		if (ACClass != None)
			PIClasses[i++] = ACClass;

		InitRuleInfo(PIClasses);
	}
}

defaultproperties
{
}