//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_MenuSettings extends UT2k4SettingsPage;

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
    local rotator PlayerRot;
    local int i;

    Super(UT2k4MainPage).InitComponent(MyController, MyOwner);
    PageCaption = t_Header.Caption;

    GetSizingButton();


    // Set camera's pitch to zero when menu initialised (otherwise spinny weap goes kooky)
    PlayerRot = PlayerOwner().Rotation;
    SavedPitch = PlayerRot.Pitch;
    PlayerRot.Pitch = 0;
    PlayerRot.Roll = 0;
    PlayerOwner().SetRotation(PlayerRot);

	for ( i = 0; i < PanelCaption.Length && i < PanelClass.Length && i < PanelHint.Length && PanelClass[i] != ""; i++ )
	{
		Profile("Settings_" $ PanelCaption[i]);
		c_Tabs.AddTab(PanelCaption[i], PanelClass[i],, PanelHint[i]);
		Profile("Settings_" $ PanelCaption[i]);
	}

    tp_Game = UT2K4Tab_GameSettings(c_Tabs.BorrowPanel(PanelCaption[2]));
}

defaultproperties
{
	PanelCaption(0)="Display"
	PanelCaption(1)="Sound"
	PanelCaption(2)="Game"
	PanelCaption(3)="Input"
	PanelCaption(4)="Weapons"
	PanelCaption(5)="HUD"
	PanelCaption(6)=""
	
	PanelClass(0)="FragOps.Interface_TabDetailSettings"
	PanelClass(1)="FragOps.Interface_TabAudioSettings"
	PanelClass(2)="FragOps.Interface_TabGameSettings"
	PanelClass(3)="FragOps.Interface_TabInputSettings"
	PanelClass(4)="FragOps.Interface_TabWeaponSettings"
	PanelClass(5)="FragOps.Interface_TabHUDSettings"
	PanelClass(6)=""
}