//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_MidGameMenu extends UT2k4PlayerLoginMenu;

function InitComponent(GUIController MyController, GUIComponent MyComponent)
{
	local PlayerController PC;

	Super(FloatingWindow).InitComponent(MyController, MyComponent);

	// rjp -- when playing SinglePlayer or InstantAction game, remove tabs which only apply to multiplayer
	PC = PlayerOwner();
	if (PC != None && PC.Level.NetMode == NM_StandAlone)
		RemoveMultiplayerTabs(PC.Level.Game);
	// -- rjp

	// no team select for spectators
	if (PC != None && PC.PlayerReplicationInfo != None && PC.PlayerReplicationInfo.bOnlySpectator)
		Panels.Remove(0,1);

	if (Panels.Length > 0)
		AddPanels();

	SetTitle();
	T_WindowTitle.DockedTabs = c_Main;
}

function RemoveMultiplayerTabs(GameInfo Game)
{
	Panels.Remove(4,1);
	Panels.Remove(2,1);
}

defaultproperties
{
	Panels(0)=(ClassName="FragOps.Interface_TabPlayerTeam",Caption="Team",Hint="Choose your alliance")
	Panels(1)=(ClassName="FragOps.Interface_TabPlayerLoginControls",Caption="Game",Hint="Game Controls")
	Panels(2)=(ClassName="GUI2K4.UT2K4Tab_ServerMOTD",Caption="MOTD",Hint="Message of the Day")
	Panels(3)=(ClassName="GUI2K4.UT2K4Tab_MidGameRulesCombo",Caption="Server Info",Hint="Current map rotation and game settings")
	Panels(4)=(ClassName="GUI2K4.UT2K4Tab_MidGameVoiceChat",Caption="Communication",Hint="Manage communication with other players")
	Panels(5)=(ClassName="GUI2K4.UT2K4Tab_MidGameHelp",Caption="Help",Hint="Helpful hints")
}