//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_ObjectiveMessage extends Interface_GameMessage;

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
	{
	local FragOps_ChainableObjective gmObjective;

	gmObjective = FragOps_ChainableObjective(OptionalObject);

	switch (Switch)
	{
		case 0:
			return gmObjective.StartedMessage;
			break;
		case 1:
			return gmObjective.FailedMessage;
			break;
		case 2:
			return gmObjective.CompletedMessage;
			break;
		case 3:
			if (gmObjective.ObjectiveTeam == 0)
				return "Mercenaries win the round!";
			else
				return "Special Ops win the round!";
			break;

		case 4:
			return "Mercenary LAWs Destroyed!";			
			break;

		case 5:
			return "Special Ops LAWs Destroyed!";	
			break;

		case 6:
			return "All LAWs Destroyed!";
			break;

		case 7:
			return Obj_RetrievalObjective(OptionalObject).DroppedMessage;
			break;

		case 8:
			return Obj_InteractObjective(OptionalObject).InterruptedMessage;
			break;
	}
}

defaultproperties
{
	StackMode=SM_None
	PosY=0.31
	bIsUnique=true
}