//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_ServerBrowser extends UT2k4ServerBrowser;

function InitializeGameTypeCombo(optional bool ClearFirst)
{
	local int i, j;
	local UT2K4Browser_ServersList  ListObj;
	local array<CacheManager.MapRecord> Maps;

	co_GameType.MyComboBox.MaxVisibleItems = 10;
	PopulateGameTypes();
	if (ClearFirst)
		co_GameType.MyComboBox.List.Clear();

	j = -1;

	// Create a seperate list for each gametype, and store the lists in the combo box
	for (i = 0; i < Records.Length; i++)
	{
		class'CacheManager'.static.GetMapList(Maps, Records[i].MapPrefix);
		if (Maps.Length == 0)
			continue;

		ListObj = new(None) class'GUI2K4.UT2K4Browser_ServersList';
		co_GameType.AddItem(Records[i].GameName, ListObj, Records[i].ClassName);
		if (Records[i].ClassName ~= CurrentGameType)
			j = i;
	}

	class'CacheManager'.static.GetMapList(Maps, "WAR");
	class'CacheManager'.static.GetMapList(Maps, "MIS");
	if (Maps.Length != 0)
	{
		ListObj = new(None) class'GUI2K4.UT2K4Browser_ServersList';
		co_GameType.AddItem("Both", ListObj, "Both");
		if ("Both" ~= CurrentGameType)
			j = i;
	}

	if (j != -1)
	{
		co_GameType.SetIndex(j);
		SetFilterInfo();
	}
}

function PopulateGameTypes()
{
	if (Records.Length > 0)
	        Records.Remove(0, Records.Length);

	Records[0] = class'Interface_TabGameType'.Default.GameTypes[0];
	Records[1] = class'Interface_TabGameType'.Default.GameTypes[1];
}

defaultproperties
{
	PanelClass(1)="FragOps.Interface_BrowserIrc"
	PanelClass(5)="FragOps.Interface_ServerListPage"
}