//=============================================================================
// Frag.Ops  2005 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_ServerListPage extends UT2K4Browser_ServerListPageInternet
	DependsOn(CustomFilter);

var int NumQueries, LastCount;

function Refresh()
{
	local int i, j;
	local string TmpString;
	local array<CustomFilter.AFilterRule> Rules;

	local MasterServerClient.QueryData QueryItem;

	if (NumQueries == 0)
		GameTypeChanged(UT2K4Browser_ServersList(Browser.co_GameType.GetObject()));

	if (UT2K4ServerBrowser(PageOwner).Verified && NumQueries == 0)
		UT2K4ServerBrowser(PageOwner).ClearServerCache();

	if (NumQueries == 0)
		Super(UT2K4Browser_ServerListPageBase).Refresh();

	ResetQueryClient(Browser.Uplink());

	if (PlayCount == ShowAt)
	{
	    Controller.OpenMenu("gui2k4.UT2K4TryAMod",""$PlayCount);
		PlayCount=ShowAt+1;
	}
	SaveConfig();

	// Add any extra filtering to the query
	for (i=0;i<FilterMaster.AllFilters.Length;i++)
	{
		if (FilterMaster.IsActiveAt(i))
		{
			Rules = FilterMaster.GetFilterRules( i );
			for (j = 0; j < Rules.Length; j++)
			{
				QueryItem = Rules[j].FilterItem;
				if (ValidateQueryItem(Rules[j].FilterType, QueryItem ))
				{
					TmpString = QueryItem.Value;
					if (QueryItem.QueryType < 2)
						class'CustomFilter'.static.ChopClass(TmpString);

					AddQueryTerm( QueryItem.Key, TmpString, QueryItem.QueryType );
				}
			}
		}
	}

	if (Browser.CurrentGameType ~= "Both")
	{
		if (NumQueries == 0)
			AddQueryTerm("gametype", "FragOpsWar", QT_Equals);
		else
			AddQueryTerm("gametype", "FragOpsMission", QT_Equals);
	}
	else
		AddQueryTerm("gametype", GetItemName(Browser.CurrentGameType), QT_Equals);


	// Run query
	Browser.Uplink().StartQuery(CTM_Query);
	SetFooterCaption(StartQueryString);
}

function QueryComplete( MasterServerClient.EResponseInfo ResponseInfo, int Info )
{
	if (Browser.CurrentGameType ~= "Both")
	{
		if (NumQueries < 1)
		{
			NumQueries++;
			Refresh();

			LastCount += Browser.Uplink().ResultCount;
			log("lastcount:"@lastcount);
			return;
		}
	}
	
	log("lastcount 2:"@lastcount);
	li_Server.MyQueryFinished(ResponseInfo, Info);

	switch( ResponseInfo )
	{
	case RI_Success:
		SetFooterCaption( Repl(QueryCompleteString, "%NumServers%", LastCount) );
		break;

	case RI_AuthenticationFailed:
		SetFooterCaption(AuthFailString);
		break;

	case RI_ConnectionFailed:
    	UT2K4ServerBrowser(PageOwner).GetFromServerCache(li_Server);
    	li_Server.FakeFinished();
		SetFooterCaption(ConnFailString);
		break;

	case RI_ConnectionTimeout:
    	UT2K4ServerBrowser(PageOwner).GetFromServerCache(li_Server);
    	li_Server.FakeFinished();
		SetFooterCaption(ConnTimeoutString);
		break;

	case RI_MustUpgrade:
		SetFooterCaption(MustUpgradeString);
		break;
	}

	NumQueries = 0;
	LastCount = 0;
}

defaultproperties
{
}