//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_TabControl extends GUITabControl;

function GUITabPanel AddTab(string Caption, string PanelClass, optional GUITabPanel ExistingPanel, optional string Hint, optional bool bForceActive)
{
	local class<GUITabPanel> NewPanelClass;

	local GUITabButton NewTabButton;
	local GUITabPanel  NewTabPanel;

	local int i;

	// Make sure this doesn't exist first

	for (i=0;i<TabStack.Length;i++)
	{
		if (TabStack[i].Caption ~= Caption)
		{
			log("A Tab with the caption"@Caption@"already exists.");
			return none;
		}
	}

	if (ExistingPanel==None)
		NewPanelClass = class<GUITabPanel>(DynamicLoadObject(PanelClass,class'class'));

	if ((ExistingPanel!=None) || (NewPanelClass != None))
	{
		// instance the button
		NewTabButton = new class'GUITabButton';
		NewTabButton.StyleName = "NewTabButton";
		if (NewTabButton==None)
		{
			log("Could not create Tab for"@NEwPanelClass);
			return None;
		}
		else
			NewTabButton.InitComponent(Controller, Self);

		NewTabButton.Caption = Caption;
		NewTabButton.Hint = Hint;

		// Attempt to spawn the menu

		if (ExistingPanel == None)
			NewTabPanel = new NewPanelClass;
		else
			NewTabPanel = ExistingPanel;

		if (NewTabPanel==None)
		{
			log("Could not create panel"@NewPanelClass);
			return None;
		}
		else
			NewTabPanel.InitComponent(Controller, Self);

		// Add the tab to controls

		Controls.Length = Controls.Length + 1;
		Controls[Controls.Length-1] = NewTabPanel;

		TabStack.Length = TabStack.Length + 1;
		TabStack[TabStack.Length-1] = NewTabButton;

		NewTabButton.OnClick = InternalTabClick;
		NewTabButton.MyPanel = NewTabPanel;
		NewTabButton.FocusInstead = self;
		NewTabButton.bNeverFocus = true;

		NewTabPanel.MyButton = NewTabButton;
		NewTabPanel.InitPanel();
		NewTabPanel.bVisible = false;

		if ( (TabStack.Length==1) || (bForceActive) )
		{
			ActivateTab(NewTabButton,true);
		}

		Return NewTabPanel;

	}
	else
		return none;
}

defaultproperties
{}