//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_TabPlayerLoginControls extends UT2k4Tab_PlayerLoginControls;

function InitLists()
{
	local GameReplicationInfo GRI;

	GRI = GetGRI();
	if (GRI == None)
		return;

	i_JoinRed.bVisible = false;
	i_JoinBlue.bVisible = false;

	if (bTeamGame)
	{
		li_Red.OnDrawItem = OnDrawRedPlayer;
		li_Red.OnChange = ListChange;
		li_Red.GetItemHeight = ItemHeight;

		li_Blue.OnDrawItem = OnDrawBluePlayer;
		li_Blue.OnChange = ListChange;
		li_Blue.GetItemHeight = ItemHeight;
	}

	SetupGroups();
	InitializePlayerLists();
}

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super.InitComponent(MyController,MyOwner);
	b_Team.bAcceptsInput = false;
	b_Team.bVisible = false;
}

function SetupGroups()
{
	Super.SetupGroups();
	if (PlayerOwner().PlayerReplicationInfo == None || ((PlayerOwner().PlayerReplicationInfo.Team == None) && (!PlayerOwner().PlayerReplicationInfo.bAdmin)))
	{
		RemoveComponent(b_MapVote);
		RemoveComponent(b_KickVote);
		RemoveComponent(b_MatchSetup);
	}
}

function DrawPlayerItem(PlayerReplicationInfo PRI, Canvas Canvas, float X, float Y, float W, float H, bool bSelected, bool bPending)
{
	local eMenuState m;
	local string s;
	local float xl,yl;
	local eFontScale F;

	if (bTeamGame)
		F = FNS_Medium;
	else
		F = FNS_Large;

	if (PRI != None )
	{
		Y += H*0.1;
		H -= H*0.2;

		if (bSelected)
		{
			Canvas.SetPos(X,Y);
			Canvas.SetDrawColor(93,113,86,255);		// FIXME: Add a var SZ: yea that woulda been nice
			Canvas.DrawTile(Controller.DefaultPens[0],W,H,0,0,2,2);
			m = MSAT_Focused;
		}
		else
			m = MSAT_Blurry;

		PlayerStyle.TextSize(Canvas,m, PRI.PlayerName,XL,YL,FNS_Medium);
		PlayerStyle.DrawText( Canvas, m, X, Y, W, YL, TXTA_Left, PRI.PlayerName, FNS_Medium );

		PlayerStyle.TextSize(Canvas,m,""$INT(PRI.Score),XL,YL,FNS_Medium);
		PlayerStyle.DrawText( Canvas, m, X+W-XL,Y,XL,YL, TXTA_Right, ""$INT(PRI.Score),FNS_Medium);

		if (Canvas.ClipX>640 && bNetGame)
		{
			Y+=YL;

			s = "Ping:"$PRI.Ping$" P/L:"$PRI.PacketLoss;

			PlayerStyle.TextSize(Canvas,m, s,XL,YL,FNS_Medium);
			PlayerStyle.DrawText( Canvas, m, X, Y, W,YL, TXTA_Left, S, FNS_Small);
		}
	}
}

defaultproperties
{
	RedTeam="Mercenaries:"
	BlueTeam="Special Ops:"
}