class Interface_TeamMenuDude extends Interface_CenterWeapon;

var GUITabPanel TabOwner;

var Interface_AttachedWeapon AttachedWeapon;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	AttachedWeapon = spawn(class'Interface_AttachedWeapon',self,,Location,Rotation);
	AttachToBone(AttachedWeapon,'righthand');
}

function Tick(float Delta)
{
	local vector CamPos,X,Y,Z,localX,localY,localZ,globalX,globalY,globalZ;;
	local rotator CamRot;

	if (GUICanvas == None)
		return;

	GUICanvas.GetCameraLocation(CamPos,CamRot);
	TabOwner.GetAxes(CamRot,X,Y,Z);

	TabOwner.GetAxes(CenterWeaponPivot,globalX,globalY,globalZ);
	localX = globalX >> CamRot;
	localY = globalY >> CamRot;
	localZ = globalZ >> CamRot;
	CamRot = OrthoRotation(localX,localY,localZ);
	SetLocation(CamPos + CenterWeaponOffset.X*X + CenterWeaponOffset.Y*Y + CenterWeaponOffset.Z*Z);
	SetRotation(CamRot);
	CurrentTime += Delta;

	// If desired, play some random animations
	if(bPlayRandomAnims && CurrentTime >= NextAnimTime)
	{
		PlayNextAnim();
	}
}

function Destroyed()
{
	if (AttachedWeapon != None)
		AttachedWeapon.Destroy();
	Super.Destroyed();
}

defaultproperties
{
	RemoteRole=ROLE_None
	bUnlit=true
	Style=STY_Normal
	DrawType=DT_Mesh
	DrawScale=0.7
	LODBias=100000
	bHidden=true
	bDirectional=true
	bAcceptsProjectors=false
	CenterWeaponOffset=(X=150,Y=51.5,Z=4.7)
	CenterWeaponPivot=(Yaw=32767,Pitch=0,Roll=0)
}