class Intro_Spirits extends Emitter; 

var float DoneTime;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	SetTimer(3.0,false);
}

function Tick(float dt)
{
	AmbientSound = Default.AmbientSound;
	if (DoneTime == 0.0)
		SoundVolume = Clamp(SoundVolume+1, 0, 255); 
	else if (Level.TimeSeconds - DoneTime > 0.5)
		SoundVolume = Clamp(SoundVolume-1, 0, 255); 		
}

function Timer()
{
	DoneTime = Level.TimeSeconds;

	Emitters[0].LifeTimeRange.Min = 1000.0;
	Emitters[0].LifeTimeRange.Max = 1000.0;

	Emitters[1].LifeTimeRange.Min = 1000.0;
	Emitters[1].LifeTimeRange.Max = 1000.0;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		Acceleration=(Z=-500.000000)
		UseColorScale=True
		ColorScale(0)=(Color=(B=204,G=179,R=153))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=204,G=179,R=153))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=204,G=217,R=153))
		FadeOutStartTime=1.300000
		FadeOut=True
		FadeInEndTime=0.250000
		FadeIn=True
		MaxParticles=1500
		StartLocationShape=PTLS_Sphere
		SphereRadiusRange=(Min=128.000000,Max=128.000000)
		RevolutionsPerSecondRange=(Z=(Min=0.200000,Max=0.500000))
		RevolutionScale(0)=(RelativeRevolution=(Z=2.000000))
		RevolutionScale(1)=(RelativeTime=0.600000)
		RevolutionScale(2)=(RelativeTime=1.000000,RelativeRevolution=(Z=2.000000))
		SpinsPerSecondRange=(X=(Max=4.000000))
		StartSizeRange=(X=(Min=4.000000,Max=4.000000),Y=(Min=4.000000,Max=4.000000),Z=(Min=8.000000,Max=8.000000))
		UniformSize=True
		Texture=Texture'EpicParticles.Flares.HotSpot'
		LifetimeRange=(Min=1.600000,Max=1.600000)
		StartVelocityRadialRange=(Min=-120.000000,Max=-120.000000)
		VelocityLossRange=(X=(Min=0.200000,Max=0.200000),Y=(Min=0.200000,Max=0.200000),Z=(Min=1.000000,Max=1.000000))
		AddVelocityMultiplierRange=(X=(Min=-1.000000,Max=-1.000000),Y=(Min=-1.000000,Max=-1.000000),Z=(Min=-1.000000,Max=-1.000000))
		GetVelocityDirectionFrom=PTVD_AddRadial
		UseVelocityScale=True
		VelocityScale(0)=(RelativeVelocity=(X=-1.400000,Y=-1.400000,Z=-1.400000))
		VelocityScale(1)=(RelativeTime=0.200000,RelativeVelocity=(X=-0.700000,Y=-0.700000,Z=-0.700000))
		VelocityScale(2)=(RelativeTime=1.000000,RelativeVelocity=(X=-3.000000,Y=-3.000000,Z=-3.000000))
		InitialDelayRange=(Min=0.1,Max=0.1)
		Name="SpriteEmitter0"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		Acceleration=(Z=1000.000000)
		UseColorScale=True
		ColorScale(0)=(Color=(B=40,G=40,R=40,A=40))
		ColorScale(1)=(RelativeTime=1.000000)
		MaxParticles=30
		StartLocationShape=PTLS_Sphere
		SphereRadiusRange=(Min=60.000000,Max=60.000000)
		StartSizeRange=(X=(Max=60.000000),Y=(Max=60.000000),Z=(Max=60.000000))
		UniformSize=True
		DrawStyle=PTDS_Brighten
		Texture=Texture'EpicParticles.Fire.SprayFire1'
		LifetimeRange=(Min=0.600000,Max=0.600000)
		StartVelocityRange=(X=(Min=100.000000,Max=-100.000000),Y=(Min=100.000000,Max=-100.000000),Z=(Min=450.000000))
		InitialDelayRange=(Min=0.1,Max=0.1)
		Name="SpriteEmitter1"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	AmbientSound=Sound'OutdoorAmbience.BThunder.wind6'
	SoundOcclusion=OCCLUSION_None
	SoundRadius=500.000000
	SoundVolume=0
	SoundPitch=90
	bFullVolume=True

	bUnlit=true
	bNoDelete=false
}