//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Frag.Ops Objective_RetrievalVolume
// --
// Not a standalone class!  Must be placed in conjunction with an
// Obj_RetrievalObjective.  And remember, you MUST set the volume's
// Tag to the same Tag as the objective that will be retrieved here.
// No other settings are needed, they are all done in the actual
// RetrievalObjective class. 
// --
//=============================================================================
class Objective_RetrievalVolume extends Volume;

var bool bCompleted;

event Touch(Actor Other)
{
	Super.Touch(Other);
	if (Obj_RetrievalObjective(Other) == None || Other.Tag != Tag || bCompleted)
		return;

	bCompleted = true;
	DoCompletion(FragOps_ChainableObjective(Other));
}

singular function DoCompletion(FragOps_ChainableObjective CarriedObj)
{
	if (Obj_RetrievalObjective(CarriedObj).Carrier != None)
		CarriedObj.Completed(Obj_RetrievalObjective(CarriedObj).Carrier);
	else
		CarriedObj.Completed(None);
}

function Reset()
{
	bCompleted = false;
}

defaultproperties
{
	bNoDelete=true
	bAlwaysRelevant=true
}