//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// A pitching cannon piece of the turret, fires shells when told to do so.
//=============================================================================
class Turret_CannonPiece extends Actor;

var vector ShellSpawnOffset;
var bool bFiredRight;

function FireShell(Pawn MyTarget)
{
	local vector X,Y,Z, ShellStart;
	local Turret_CannonShell Shell;

	GetAxes(Rotation,X,Y,Z);

	// get a starting position for this shell
	if (!bFiredRight)
	{
		ShellStart = Location + X*ShellSpawnOffset.X + Y*ShellSpawnOffset.Y + Z*ShellSpawnOffset.Z;
		bFiredRight = true;
	}
	else
	{		
		ShellStart = Location + X*ShellSpawnOffset.X - Y*ShellSpawnOffset.Y + Z*ShellSpawnOffset.Z;
		bFiredRight = false;
	}

	// fire at will
	Shell = Spawn(class'Turret_CannonShell', None,, ShellStart, rotator(MyTarget.GetBoneCoords('head').Origin - ShellStart));
}

function Reset()
{
	SetStaticMesh(Default.StaticMesh);
	SetCollision(true,true,true);
}

defaultproperties
{
	// settings
	ShellSpawnOffset=(X=100,Y=40,Z=2)
	
	// actor properties
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'OpCanNiSM.CannonSMs.cannon_guntop'
	Physics=PHYS_Projectile
	RemoteRole=ROLE_SimulatedProxy
	bGameRelevant=true
	bAlwaysRelevant=true
	bBlockActors=true
	bBlockPlayers=true
	bCollideActors=true
	bCollideWorld=false
	bStatic=false
	bHardAttach=true
	bRotateToDesired=true
	bFixedRotationDir=true
	bNetInitialRotation=true
	//bReplicateMovement=false
	RotationRate=(Pitch=40000)
	AmbientGlow=15
}