//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// A shell for the autoturret, a slimmed down rocketproj for the most part.
//=============================================================================
class Turret_CannonShell extends Projectile;

var vector Dir;

simulated function PostBeginPlay()
{
	// spawn a muzzle flash
	if (Level.NetMode != NM_DedicatedServer)
		Spawn(class'Effect_TurretFlash',,, Location, Rotation);

	// shoot off as fast as we can
	Dir = vector(Rotation);
	Velocity = 2500 * Dir;

	// drop velocity underwater
	if (PhysicsVolume.bWaterVolume)
		Velocity = 0.6*Velocity;
}

simulated function Landed( vector HitNormal )
{
	Explode(Location,HitNormal);
}

simulated function ProcessTouch (Actor Other, Vector HitLocation)
{
	if ((!Other.IsA('Projectile') || Other.bProjTarget)) 
		Explode(HitLocation,Vect(0,0,1));
}

function BlowUp(vector HitLocation)
{
	HurtRadius(Damage, DamageRadius, MyDamageType, MomentumTransfer, HitLocation);
	MakeNoise(1.0);
}

simulated function Explode(vector HitLocation, vector HitNormal) 
{
	PlaySound(sound'WeaponSounds.BExplosion3',,2.5*TransientSoundVolume);
	if (EffectIsRelevant(Location,false) && Level.NetMode != NM_DedicatedServer)
	{
		Spawn(class'RocketExplosion',,,HitLocation + HitNormal*16,rotator(HitNormal));	
		Spawn(class'ExplosionCrap',,, HitLocation, rotator(HitNormal));
		if ((ExplosionDecal != None) && (Level.NetMode != NM_DedicatedServer))
			Spawn(ExplosionDecal,self,,Location, rotator(-HitNormal));
	}
	BlowUp(HitLocation);
	Destroy(); 
}

function Reset()
{
	Destroy();
}

defaultproperties
{
	// settings
	Damage=100
	DamageRadius=150.0  
	MomentumTransfer=50000
	MyDamageType=class'DamType_Turret'
	ExplosionDecal=class'RocketMark'

	// actor properties
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'WeaponStaticMesh.RocketProj'
	DrawScale=0.4

	AmbientSound=Sound'WeaponSounds.RocketLauncher.RocketLauncherProjectile'
	SoundVolume=255
	SoundRadius=100
	AmbientGlow=50

	ForceType=FT_Constant
	ForceScale=5.0
	ForceRadius=100.0

	bBounce=false
	bFixedRotationDir=True
	RotationRate=(Roll=50000)
	DesiredRotation=(Roll=30000)	 

	bUnlit=True
	bDynamicLight=false

	RemoteRole=ROLE_SimulatedProxy
	LifeSpan=7.0
	bCollideWorld=true
}