//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Build_MedStation extends War_Buildable;

var vector SteamOffset;

// use the med station
function bool TryToUse(Pawn User)
{
	local FOPawn FP;
	
	FP = FOPawn(User);
	if (FP == None || !FP.bCanHeal || FP.bIsHealing || !AllowHeal(FP) || (FP.PlayerReplicationInfo.Team.TeamIndex != TeamIndex && TeamIndex != 255))
	{
		if (FP != None && !FP.bIsHealing && AllowHeal(FP) && !FP.bCanHeal && PlayerController(FP.Controller) != None)
			PlayerController(FP.Controller).ReceiveLocalizedMessage(class'War_Interface_MedStationMessage',1);
		return false;
	}

	FP.SetHeal(true,self);
	if (PlayerController(FP.Controller) != None)
		PlayerController(FP.Controller).ReceiveLocalizedMessage(class'War_Interface_MedStationMessage',0);
	SpawnHealingEffect();
	return true;
}

// nice healing effect
function SpawnHealingEffect()
{
	local vector X,Y,Z, SteamLocation;
	local War_Effect_MedSpawner MedSpawner;
	
	GetAxes(Rotation,X,Y,Z);
	SteamLocation = Location + SteamOffset.X*X + SteamOffset.Y*Y + SteamOffset.Z*Z;
	
	MedSpawner = spawn(class'War_Effect_MedSpawner', none,, Location, Rotation);
	MedSpawner.DoExplosion(SteamLocation, vect(0,0,-1));
}

function bool AllowHeal(FOPawn UserFP)
{
	return(UserFP.Health < 100 && VSize(UserFP.Location-Location) < 65);
}

defaultproperties
{
	DrawScale=7.1
	StaticMesh=StaticMesh'FOWarSMs.Med.MedstationSM'
	bShakeView=true
	ShakeRadius=300.0

	// internal
	NewCollisionRadius=90.0
	SteamOffset=(Z=125,X=-30)

	// destruction
	ExplodedEmitter=class'War_Effect_MedStationExplosion'
	ExplodedChunks(0)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.3,ChunkBounceSound=Sound'GeneralAmbience.MetalFX4',ChunkLifeSpan=8.0,KarmaType=KSteel)
	ExplodedChunks(1)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.35,ChunkBounceSound=Sound'GeneralAmbience.MetalFX15',ChunkLifeSpan=8.0,KarmaType=KSteel)
	ExplodedChunks(2)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.15,ChunkBounceSound=None,ChunkLifeSpan=8.0,KarmaType=KSteel)
	ExplodedChunks(3)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.25,ChunkBounceSound=None,ChunkLifeSpan=8.0,KarmaType=KSteel)
}