//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Build_Sniper extends War_Buildable;

function SpawnChunks()
{
	local Effect_LAWChunk NewChunk;
	local Effect_LAWEmitterSpawner LAWEmitterSpawner;
	local vector start, newstart;
	local rotator rot;
	local int i;

	// spawn the explosion emitter
	if (ExplodedEmitter != None || ExplodedXEmitter != None)
	{
		LAWEmitterSpawner = Spawn(class'Effect_LAWEmitterSpawner',,, (Location + EffectSpawnOffset), rotator(vect(0,0,1)));
		LAWEmitterSpawner.EmitterClass = ExplodedEmitter;
		LAWEmitterSpawner.XEmitterClass = ExplodedXEmitter;
		LAWEmitterSpawner.DoSpawn();
	}

	// spawn some chunks
	start = Location;
	for (i=0;i<ExplodedChunks.Length;i++)
	{
		rot = rotator(vect(0,0,1));
		rot.yaw += FRand()*64000-32000;
		rot.pitch += FRand()*16000-8000;
		rot.roll += FRand()*64000-32000;
		NewStart.X = (Start.X - 9) + (FRand()*18);
		NewStart.Y = (Start.Y - 9) + (FRand()*18);
		NewStart.Z = Start.Z + (FRand()*50);
		NewChunk = Spawn(class'Effect_LAWChunk',,, Start + ChunkSpawnOffset, rot);
		if (ExplodedChunks[i].ChunkMesh != None && NewChunk != None)
		{
			NewChunk.SetStaticMesh(ExplodedChunks[i].ChunkMesh);
			NewChunk.SetDrawScale(ExplodedChunks[i].ChunkScale);
			NewChunk.ImpactSound = ExplodedChunks[i].ChunkBounceSound;
			NewChunk.NewLifeSpan = ExplodedChunks[i].ChunkLifeSpan;
			if (ExplodedChunks[i].ChunkVelocity >= 1.0)
				NewChunk.Speed = ExplodedChunks[i].ChunkVelocity;
			NewChunk.SetKarma(true,int(ExplodedChunks[i].KarmaType));
		}
	}
}

defaultproperties
{
	DrawScale=6.2
	Health=750
	StaticMesh=StaticMesh'FOWarSMs.SniperTower.Tower_small'
	bShakeView=true
	ShakeRadius=500.0
	ChunkSpawnOffset=(Z=20)

	// collision
	NewCollisionRadius=125.0

	// destruction
	ExplodedEmitter=class'War_Effect_TowerExplosion'
	ExplodedChunks(0)=(ChunkMesh=StaticMesh'OpCanNiSM.BoxChunks.WoodPlank',ChunkScale=1.6,ChunkBounceSound=None,ChunkLifeSpan=8.0,KarmaType=KWood)
	ExplodedChunks(1)=(ChunkMesh=StaticMesh'OpCanNiSM.BoxChunks.WoodPlank',ChunkScale=1.5,ChunkBounceSound=Sound'FOGameSounds.AmbientHit.WoodBounce3',ChunkLifeSpan=8.0,KarmaType=KWood)
	ExplodedChunks(2)=(ChunkMesh=StaticMesh'OpCanNiSM.BoxChunks.WoodPlank',ChunkScale=1.7,ChunkBounceSound=Sound'FOGameSounds.AmbientHit.WoodBounce4',ChunkLifeSpan=8.0,KarmaType=KWood)
	ExplodedChunks(3)=(ChunkMesh=StaticMesh'OpCanNiSM.BoxChunks.WoodPlank',ChunkScale=1.5,ChunkBounceSound=Sound'FOGameSounds.AmbientHit.WoodBounce5',ChunkLifeSpan=8.0,KarmaType=KWood)
	ExplodedChunks(4)=(ChunkMesh=StaticMesh'OpCanNiSM.BoxChunks.WoodPlank',ChunkScale=1.7,ChunkBounceSound=None,ChunkLifeSpan=8.0,KarmaType=KWood)
	ExplodedChunks(5)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.1,ChunkBounceSound=Sound'GeneralAmbience.MetalFX4',ChunkLifeSpan=8.0,KarmaType=KSteel)
	ExplodedChunks(6)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.3,ChunkBounceSound=Sound'GeneralAmbience.MetalFX15',ChunkLifeSpan=8.0,KarmaType=KSteel)
	ExplodedChunks(7)=(ChunkMesh=StaticMesh'OpCanNiSM.WrenchChunks.WrenchSide',ChunkScale=1.5,ChunkBounceSound=None,ChunkLifeSpan=8.0,KarmaType=KSteel)
}