//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_BulletTracer extends Effect_BulletTracer;

simulated function ProjectBeam(vector BeamStartPoint, vector BeamEndPoint)
{
	local float LifeRange;

	// set up the liferanges, so particles fade out
	LifeRange = VSize(BeamEndPoint - Location) * 0.001;
	Emitters[0].LifeTimeRange.Min = LifeRange;
	Emitters[0].LifeTimeRange.Max = LifeRange;
	Emitters[0].FadeInEndTime = 0.03 * LifeRange;
	Emitters[0].FadeOutStartTime = 0.68 * LifeRange;
	
	// give it a lot of velocity
	Velocity = 6000 * vector(Rotation);

	// spawn the particle
	Emitters[0].SpawnParticle(1);
	Emitters[0].AllParticlesDead = false;

	// set up the lifespan, based on distance
	LifeSpan = VSize(BeamEndPoint - Location) * 0.0015;

	// play a whiz-by
	if (FRand() < 0.5)
		PlaySound(BulletWhiz[Rand(5)],,0.92,,30,1.1);
}

defaultproperties
{
	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=1.1,Max=1.15))
		Texture=Texture'FOWarTextures.Effects.TracerBeamPointedWhite'
		MaxParticles=2
		LifeTimeRange=(Min=0.1,Max=0.12)
		StartVelocityRange=(Z=(Min=0.0,Max=0.0),X=(Min=0.0,Max=50.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=1.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=90,G=130,R=200,A=255))
		ColorScale(1)=(Color=(B=90,G=130,R=200,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeInEndTime=0.01
		FadeIn=true
		FadeOutStartTime=0.03
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		DetermineEndPointBy=PTEP_Distance
		CoordinateSystem=PTCS_Relative
		BeamDistanceRange=(Min=80.0,Max=82.0)
		RotatingSheets=7
	Name="BeamEmitter1"
	End Object
	Emitters(0)=BeamEmitter'BeamEmitter1'
	bAlwaysRelevant=true
	bOwnerNoSee=false
}