//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_M240MuzFlash extends Effect_BurstFlash3rd;

simulated function Timer()
{
	bDynamicLight = false;
}

simulated function Flash(Actor FlashActor)
{
	local vector EyeLoc;
	local PlayerController PC;

	PC = Level.GetLocalPlayerController();
	if (PC == None)
		return;
	
	EyeLoc = PC.ViewTarget.Location;
	if (Pawn(PC.ViewTarget) != None)
		EyeLoc.Z += Pawn(PC.ViewTarget).EyeHeight;
	
	if (!Level.bDropDetail && FastTrace(FlashActor.Location, EyeLoc) && !PC.BeyondViewDistance(FlashActor.Location, 3000))
	{
		bDynamicLight = true;
		SetTimer(0.075, false);
	}
}

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	Flash(Other);
	mStartParticles += 2;
}

defaultproperties
{
	mLifeRange(0)=0.055000
	mLifeRange(1)=0.070000
	mPosDev=(X=0.600000,Y=0.150000,Z=0.150000)
	DrawScale=0.2
	mGrowthRate=20.000000
	mMeshNodes(0)=StaticMesh'FOWarSMs.flashes.M240Flash'
	CullDistance=4000.0

	bDynamicLight=false
	LightType=LT_Steady
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=4.3
}