//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_MedSteam extends Emitter;

var sound FinishedSound;

simulated function PostBeginPlay()
{
	local PlayerController PC;
	
	Super.PostBeginPlay();

	PC = Level.GetLocalPlayerController();
	if (PC != None && PC.BeyondViewDistance(Location, 1500))
		Destroy();
	else
		SetTimer(2.0,false);
}

simulated function Timer()
{
	PlaySound(FinishedSound);
	GotoState('TimingOut','Begin');
}

state TimingOut
{

	function BeginState();
	function EndState();

Begin:
	Sleep(0.09);
	Emitters[0].InitialParticlesPerSecond = 0;
	Emitters[0].ParticlesPerSecond = 0;
	Emitters[0].RespawnDeadParticles = false;
	AmbientSound = None;
	Sleep(1.0);
	Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		Opacity=0.500000
		FadeOutStartTime=0.7
		FadeInEndTime=0.05
		MaxParticles=40
		StartSpinRange=(X=(Min=0.200000,Max=0.200000))
		SizeScale(0)=(RelativeTime=0.150000,RelativeSize=2.500000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=3.500000)
		StartSizeRange=(X=(Min=10.0,Max=12.0))
		ParticlesPerSecond=20.0
		InitialParticlesPerSecond=20.0
		RespawnDeadParticles=true
		LifetimeRange=(Min=0.800000,Max=1.000000)
		DrawStyle=PTDS_AlphaBlend
		Texture=AW-2004Particles.Fire.MuchSmoke1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseColorScale=true
		StartLocationRange=(X=(Min=-15.0,Max=15.0),Y=(Min=-15.0,Max=15.0),Z=(Min=-1.0,Max=1.0))
		ColorScale(0)=(Color=(B=255,G=255,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=255,G=255,R=255,A=200))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=255,G=255,R=255,A=140))
		InitialDelayRange=(Min=0,Max=0)
		StartVelocityRange=(X=(Min=-04.000000,Max=04.000000),Y=(Min=-04.000000,Max=04.000000),Z=(Min=-160.000000,Max=-200.000000))
		Acceleration=(Z=50.0)
		UseCollision=false
		Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	Physics=PHYS_None

	bHighDetail=false
	AmbientSound=sound'GeneralAmbience.steamfx3'
	FinishedSound=sound'GeneralAmbience.steamfx4'
	SoundVolume=200
	SoundRadius=70
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	bHardAttach=true
	LifeSpan=4.0
}