//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_RotorDust extends ONSHoverBikeHoverDust;

simulated function UpdateHoverDust(bool bActive, float HoverHeight)
{
	local float Force;

	Force = 1 - HoverHeight;

	if (!bActive)
	{
		Emitters[0].ParticlesPerSecond = 0;
		Emitters[0].InitialParticlesPerSecond = 0;
		Emitters[1].Disabled = true;
		return;
	}
	else
	{
		Emitters[0].ParticlesPerSecond = 100;
		Emitters[0].InitialParticlesPerSecond = 100;
		Emitters[0].AllParticlesDead = false;
		Emitters[1].Disabled = (Level.DetailMode == DM_Low);
	}

	// Dust
	Emitters[0].StartVelocityRadialRange.Min = -750 + (Force * -100);
	Emitters[0].StartVelocityRadialRange.Max = Emitters[0].StartVelocityRadialRange.Min - 100;

	Emitters[0].StartLocationPolarRange.Z.Min = 10 + (HoverHeight * 30);
	Emitters[0].StartLocationPolarRange.Z.Max = Emitters[0].StartLocationPolarRange.Z.Min;

	// Rings
	Emitters[1].StartSizeRange.X.Min = 30 + (HoverHeight * 40);
	Emitters[1].StartSizeRange.X.Max = Emitters[1].StartSizeRange.X.Min + 20;

	Emitters[1].Opacity = FClamp(2*Force, 0, 0.31);
}

defaultproperties
{
	bNoDelete=false
	bBlockActors=False
	RemoteRole=ROLE_None
	Physics=PHYS_None
	bHardAttach=True
	CullDistance=8000.0
	bDustActive=false

	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseColorScale=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		UseVelocityScale=True
		Acceleration=(Z=500.000000)
		ColorScale(0)=(Color=(B=96,G=128,R=164))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=96,G=128,R=164,A=200))
		ColorScale(2)=(RelativeTime=0.500000,Color=(B=64,G=100,R=128,A=200))
		ColorScale(3)=(RelativeTime=1.000000,Color=(B=68,G=104,R=125,A=0))
		FadeOutStartTime=0.20000
		FadeInEndTime=0.10000
		MaxParticles=80
		FadeOut=true
		FadeIn=true
		StartLocationShape=PTLS_Polar
		StartLocationPolarRange=(X=(Min=16384.000000,Max=16384.000000),Y=(Max=65536.000000),Z=(Min=20.000000,Max=20.000000))
		UseRotationFrom=PTRS_Actor
		SizeScale(0)=(RelativeSize=0.3000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=2.000000)
		StartSizeRange=(X=(Min=50.000000,Max=90.000000),Y=(Min=0.000000,Max=0.000000),Z=(Min=0.000000,Max=0.000000))
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'AW-2004Particles.Weapons.SmokePanels2'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=0.900000,Max=1.100000)
		StartVelocityRange=(X=(Min=70.000000,Max=70.000000))
		VelocityLossRange=(X=(Min=1,Max=1),Y=(Min=1,Max=1))
		StartVelocityRadialRange=(Min=-600.000000,Max=-800.000000)
		GetVelocityDirectionFrom=PTVD_AddRadial
		VelocityScale(0)=(RelativeVelocity=(X=1.000000,Y=1.000000,Z=1.000000))
		VelocityScale(1)=(RelativeTime=0.200000,RelativeVelocity=(X=0.350000,Y=0.350000,Z=0.350000))
		VelocityScale(2)=(RelativeTime=0.500000,RelativeVelocity=(X=0.100000,Y=0.100000,Z=0.100000))
		VelocityScale(3)=(RelativeTime=1.000000)
		RespawnDeadParticles=False
		AutomaticInitialSpawning=False
		ParticlesPerSecond=42
		InitialParticlesPerSecond=42
		Opacity=0.6
		Name="SpriteEmitter0"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		UseDirectionAs=PTDU_Normal
		ProjectionNormal=(X=1.000000,Z=0.000000)
		UseColorScale=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		ColorScale(1)=(RelativeTime=0.450000,Color=(B=64,G=100,R=128))
		ColorScale(2)=(RelativeTime=0.550000,Color=(B=64,G=100,R=128))
		ColorScale(3)=(RelativeTime=1.000000)
		Opacity=0.650000
		StartLocationOffset=(Z=6.000000)
		CoordinateSystem=PTCS_Relative
		MaxParticles=3
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeSize=0.600000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=4.500000)
		StartSizeRange=(X=(Min=70.000000,Max=85.000000))
		Texture=Texture'EpicParticles.Smoke.SparkCloud_01aw'
		//Texture=Texture'jm-particles.Particles.smoke8'
		LifetimeRange=(Min=0.400000,Max=0.400000)
		AutomaticInitialSpawning=true
		Name="SpriteEmitter1"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'
}
