//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_FOQuickbarFunction extends Object;

// type of object we're building
enum eBuildType
{
	BT_Weapon,
	BT_Structure,
	BT_Vehicle
};

var eBuildType BuildType;

// delay before reuse
var float UseDelayTime;

// icon for quickbar
var Material BarIcon;

// upgrade levels
var array<class<War_FOQuickbarFunction> > Levels;

// spawnable actor
var const class<War_PlacedItem> PlacingClass;

// building class
var const class<Actor> BuildClass;

// CXPRequirement
var int CXPReq;

// returns the current object level available to the player
static function class<War_FOQuickbarFunction> GetLevel(FOPlayer LevelPlayer)
{
	local byte StructuresLevel, MechanicLevel, WeaponsLevel;
	local int InCXP, i;

	StructuresLevel = War_FOPlayer(LevelPlayer).S_Structures;
	MechanicLevel = War_FOPlayer(LevelPlayer).S_Mechanic;
	WeaponsLevel = War_FOPlayer(LevelPlayer).S_Weapons;

	InCXP = War_PRI(LevelPlayer.PlayerReplicationInfo).CXP;

	if (Default.BuildType == BT_Structure)
	{
		for (i=(Default.Levels.Length-1);i>-1;i--)
		{
			if (float(StructuresLevel)*0.01*float(InCXP) >= Default.Levels[i].Default.CXPReq)
				return Default.Levels[i];
		}
		return Default.Class;
	}
	else if (Default.BuildType == BT_Vehicle)
	{
		for (i=(Default.Levels.Length-1);i>-1;i--)
		{
			if (float(MechanicLevel)*0.01*float(InCXP) >= Default.Levels[i].Default.CXPReq)
				return Default.Levels[i];
		}
		return Default.Class;
	}
	else
	{
		for (i=(Default.Levels.Length-1);i>-1;i--)
		{
			if (float(WeaponsLevel)*0.01*float(InCXP) >= Default.Levels[i].Default.CXPReq)
				return Default.Levels[i];
		}
		return Default.Class;
	}
}

defaultproperties
{
}