//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_GRI extends FragOps_GRI;

var int MercWaveTimeMinute, MercWaveTimeRemaining, SOWaveTimeMinute, SOWaveTimeRemaining, MercWaveWindowSeconds, SOWaveWindowSeconds, WaveWindowTime, MercWaveDelayTime, SOWaveDelayTime;

replication
{
	reliable if (Role == ROLE_Authority)
		MercWaveTimeMinute, MercWaveTimeRemaining, SOWaveTimeMinute, SOWaveTimeRemaining, MercWaveWindowSeconds, SOWaveWindowSeconds, WaveWindowTime, MercWaveDelayTime, SOWaveDelayTime;
}

simulated function Timer()
{
	Super.Timer();
	if (Level.NetMode == NM_Client)
	{
		if (MercWaveTimeMinute != 0)
		{
			MercWaveTimeRemaining = MercWaveTimeMinute;
			MercWaveTimeMinute = 0;
		}
		if ((RemainingTime > 0) && !bPreRound)
			MercWaveTimeRemaining--;
		else if (bPreRound)
			MercWaveTimeRemaining = 0;

		if (SOWaveTimeMinute != 0)
		{
			SOWaveTimeRemaining = SOWaveTimeMinute;
			SOWaveTimeMinute = 0;
		}
		if ((RemainingTime > 0) && !bPreRound)
			SOWaveTimeRemaining--;
		else if (bPreRound)
			SOWaveTimeRemaining = 0;
		
		if (MercWaveWindowSeconds > 0)
			MercWaveWindowSeconds--;

		if (SOWaveWindowSeconds > 0)
			SOWaveWindowSeconds--;
	}
}

defaultproperties
{
	bUsesMoney=false
}