//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Interface_BriefingScreen extends Interface_BriefingScreen;

// briefing image border
var War_LevelInfo WarLevelInfo;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	// initialize HUD reference
	MyHUD = Interface_MainHUD(Owner);

	foreach AllActors(class'War_LevelInfo',WarLevelInfo)
	{
		break;
	}
}

simulated function DrawBriefing(Canvas C)
{
	local int i;
	local byte PlayerTeam;
	local float bgX,bgY, bgSizeX,bgSizeY, XL,YL;
	local float TextOffsetX, TextOffsetY;
	local string ObjectiveText;
	local array<string> ObjectiveArray;

	// dont draw briefing when waiting for a team or joining as spectator
	if (WarLevelInfo == None || MyHUD == None || FOPlayer(MyHUD.PlayerOwner).CriticalReplicationInfo.bWaitingForTeam || !MyHUD.PlayerOwner.bIsPlayer || MyHUD.PlayerOwner.PlayerReplicationInfo.Team == None)
		return;

	// get player team
	PlayerTeam = MyHUD.PlayerOwner.PlayerReplicationInfo.Team.TeamIndex;

	// retrieve briefing
	if (PlayerTeam == 0)
		ObjectiveText = WarLevelInfo.MapEntryBriefings.Merc_MapEntryBriefing;
	else
		ObjectiveText = WarLevelInfo.MapEntryBriefings.SpecOps_MapEntryBriefing;

	// don't draw if no text
	if (ObjectiveText ~= "")
		return;

	// initialize box X limit
	bgX = (C.ClipX/2) - (C.ClipX/4);
	bgY = (C.ClipY/2) - (C.ClipY/4.6);
	bgSizeX = C.ClipX/2;

	// draw briefing
	C.WrapStringToArray(ObjectiveText, ObjectiveArray, bgSizeX-(0.016*C.ClipX));	
	C.Font = MyHUD.GetSmallerFontFor(C,4);
	C.StrLen("TEST",XL,YL);
	
	// get bg Y size
	bgSizeY = ((YL*0.97)*ObjectiveArray.Length)+(0.016*C.ClipY);

	// setup margins
	TextOffsetX = bgSizeX * 0.03;
	TextOffsetY = bgSizeY * 0.04;
	
	// draw background box
	C.SetPos(bgX,bgY);
	C.DrawColor = Default.BGColor;
	C.DrawTileStretched(BriefBG,bgSizeX,bgSizeY);

	// draw objective text
	for (i=0;i<ObjectiveArray.Length;i++)
	{
		C.SetPos(bgX + 0.008*C.ClipX, bgY + 0.008*C.ClipY + (i*(YL*0.97)));
		C.DrawText(ObjectiveArray[i], true);
	}
}

defaultproperties
{
	BriefBG=Material'FOWarTextures.HUD.ObjectiveBorder'
	BriefBorder=Material'FOMisc.HUD.BriefImageBorder'
	DescriptionColor=(R=240,G=240,B=240,A=255)
	BGColor=(R=255,G=255,B=255,A=255)
}