//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Interface_LoadoutMenu extends Interface_BuyMenuPlus
	hidecategories(None);

var vector SpawnLocation;
var material LAWBuyIcon;

// some components should be disabled
function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super(Interface_BlankGUIPageBase).InitComponent(MyController, MyOwner);
	
	// let controller know buymenu is open
	FOPlayer(PlayerOwner()).bBuyMenuOpen = true;
	
	// disable briefing screen
	if (PlayerOwner().MyHUD != None && Interface_MainHUD(PlayerOwner().MyHUD).BriefingScreen != None)
	{
		Interface_MainHUD(PlayerOwner().MyHUD).bShowBriefing = false;
		Interface_MainHUD(PlayerOwner().MyHUD).BriefingScreen.bOpenTimed = false;
	}

	// set up weapons
	if (PlayerOwner().Pawn != None)
	{
		SpawnLocation = PlayerOwner().Pawn.Location;
		BuyMenuLoad(MyController, MyOwner);
	}
	else
	{
		// load the weapon class array
		SelectedMelee = War_FOPlayer(PlayerOwner()).DesiredEquip[0];
		SelectedSidearm = War_FOPlayer(PlayerOwner()).DesiredEquip[1];
		SelectedRifle = War_FOPlayer(PlayerOwner()).DesiredEquip[2];
		SelectedGrenade = War_FOPlayer(PlayerOwner()).DesiredEquip[3];
		SelectedGrenadeSec = War_FOPlayer(PlayerOwner()).DesiredEquip[4];
		SelectedMisc = War_FOPlayer(PlayerOwner()).DesiredMiscItem;

		// load attachment array
		MeleeAttachment = War_FOPlayer(PlayerOwner()).DesiredAttach[0];
		SidearmAttachment = War_FOPlayer(PlayerOwner()).DesiredAttach[1];
		RifleAttachment = War_FOPlayer(PlayerOwner()).DesiredAttach[2];

		// set original weapons
		if (SelectedMelee != None)
			OrigMelee = SelectedMelee;
		if (SelectedSidearm != None)
			OrigSidearm = SelectedSidearm;
		if (SelectedRifle != None)
			OrigRifle = SelectedRifle;
		if (SelectedGrenade != None)
			OrigGrenade = SelectedGrenade;
		if (OrigGrenadeSec != None)
			OrigGrenadeSec = SelectedGrenadeSec;
		OrigMisc = SelectedMisc;

		// set original attachments
		OrigMeleeAttachment = MeleeAttachment;
		OrigSidearmAttachment = SidearmAttachment;
		OrigRifleAttachment = RifleAttachment;

		// fill gear lists
		MasterGearList();

		if (SelectedSidearm != None)
			UpdateSidearmAttach(SelectedSidearm);
		if (SelectedRifle != None)
			UpdateRifleAttach(SelectedRifle);
		if (SelectedMelee != None)
			UpdateMeleeAttach(SelectedMelee);

		SetTimer(0.02);
	}	

	RemoveComponent(SidearmAmmoLabel);
	RemoveComponent(SidearmAmmoBox);
	RemoveComponent(RifleAmmoLabel);
	RemoveComponent(RifleAmmoBox);

	RemoveComponent(MeleeCash);
	RemoveComponent(SidearmCash);
	RemoveComponent(PrimaryCash);
	RemoveComponent(GrenadePriCash);
	RemoveComponent(GrenadeSecCash);
	RemoveComponent(CashLabel);
	RemoveComponent(OrigCashLabel);
	RemoveComponent(MoneyBG);
	RemoveComponent(AmmoButton);
	SelectedCash = 9999;
}

// don't worry about money or weapon changes here
function bool CheckWeaponChanges()
{
	if (PlayerOwner().Pawn != None && SpawnLocation != vect(0,0,0) && (VSize(SpawnLocation-PlayerOwner().Pawn.Location) > 300))
		return true;
	return false;
}

// no skrilla
function bool HasMoney()
{
	return false;
}

// TODO: override
function PageOpen()
{
	if (SelectedRifle != None)
		RifleAttachList.bVisible = true;
	if (SelectedSidearm != None)
		SidearmAttachList.bVisible = true;
}

function MasterGearList()
{	
	local int i;
	local int CurCXP;
	local GUIList TempMeleeList, TempSidearmList, TempRifleList;

	MeleeList.List.Clear();
	SidearmList.List.Clear();
	RifleList.List.Clear();

	MeleeList.List.SetIndex(0);
	SidearmList.List.SetIndex(0);
	RifleList.List.SetIndex(0);

	MeleeList.List.Add("[none]");
	if (SelectedSidearm == None || !HasMoney())
		SidearmList.List.Add("[none]");
	else
		SidearmList.List.Add("[sell]");
	if (SelectedRifle == None || !HasMoney())
		RifleList.List.Add("[none]");
	else
		RifleList.List.Add("[sell]");

	for (i=0;i<ArrayCount(Melee);i++)
	{
		if ((Melee[i] != None && MeleeList.List.GetItemAtIndex(MeleeList.List.ItemCount - 1) != Melee[i].Default.ItemName) || (Melee[i] != None && Melee[i] == OrigMelee && MeleeList.List.GetItemAtIndex(MeleeList.List.ItemCount - 1) != Melee[i].Default.ItemName))
			MeleeList.List.Add(Melee[i].Default.ItemName);
	}

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if (Sidearms[i].Default.BaseWeaponClass != None)
			CurCXP = Sidearms[i].Default.BaseWeaponClass.Default.CXPReq;
		else
			CurCXP = Sidearms[i].Default.CXPReq;

		if ((Sidearms[i].Default.Unlocked > -1 && FOPlayer(PlayerOwner()).CriticalReplicationInfo.Medals[Sidearms[i].Default.Unlocked] == 0) || War_PRI(PlayerOwner().PlayerReplicationInfo).CXP < CurCXP)
			continue;

		if ((FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 0 && (i % 2) == 0 && Sidearms[i] != None && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName) || (Sidearms[i] != None && Sidearms[i] == OrigSidearm && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName))
		{
			SidearmList.List.Add(Sidearms[i].Default.ItemName);
		}
		else if (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 1 && (i % 2) != 0 && Sidearms[i] != None && SidearmList.List.GetItemAtIndex(SidearmList.List.ItemCount - 1) != Sidearms[i].Default.ItemName)
		{
			SidearmList.List.Add(Sidearms[i].Default.ItemName);
		}
	}


	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if (War_PRI(PlayerOwner().PlayerReplicationInfo).CXP < Rifles[i].Default.CXPReq)
			continue;
		
		if ( (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 0 && (i % 2) == 0 && Rifles[i] != None && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName) || (Rifles[i] != None && Rifles[i] == OrigRifle && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName) )
		{
			RifleList.List.Add(Rifles[i].Default.ItemName);
		}
		else if (FragOps_PRI(PlayerOwner().PlayerReplicationInfo).Team.TeamIndex == 1 && (i % 2) != 0 && Rifles[i] != None && RifleList.List.GetItemAtIndex(RifleList.List.ItemCount - 1) != Rifles[i].Default.ItemName)
		{
			RifleList.List.Add(Rifles[i].Default.ItemName);
		}
	}

	TempMeleeList = MeleeList.List;
	for (i=0;i<TempMeleeList.Elements.Length;i++)
	{
		if ((SelectedMelee != None) && (TempMeleeList.GetItemAtIndex(i) ~= SelectedMelee.Default.ItemName))
		{
			MeleeList.List.SetIndex(i);
			break;
		}
	}

	TempSidearmList = SidearmList.List;
	for (i=0;i<TempSidearmList.Elements.Length;i++)
	{
		if ( (SelectedSidearm != None) && (TempSidearmList.GetItemAtIndex(i) ~= SelectedSidearm.Default.ItemName))
		{
			SidearmList.List.SetIndex(i);
			break;
		}
	}

	TempRifleList = RifleList.List;
	for (i=0;i<TempRifleList.Elements.Length;i++)
	{
		if ( (SelectedRifle != None) && (TempRifleList.GetItemAtIndex(i) ~= SelectedRifle.Default.ItemName))
		{
			RifleList.List.SetIndex(i);
			break;
		}
	}

	IncGrenade = -1;
	IncGrenadeSec = -1;
	GrenadeButton.Image = GrenadeEmptyImage;
	GrenadeSecButton.Image = GrenadeEmptyImage;
	if (SelectedGrenade.Name == 'War_Weapon_LAWBase')
	{
		IncGrenade = ArrayCount(Grenades);
		ShowLAW();
	}
	else
	{
		for (i=0;i<ArrayCount(Grenades);i++)
		{
			if ((SelectedGrenade != None) && (Grenades[i].Default.ItemName ~= SelectedGrenade.Default.ItemName))
			{
				GrenadeButton.Image = GrenadeIcons[i];
				IncGrenade = i;
				break;
			}
		}

		for (i=0;i<ArrayCount(Grenades);i++)
		{
			if ((SelectedGrenadeSec != None) && (Grenades[i].Default.ItemName ~= SelectedGrenadeSec.Default.ItemName))
			{
				GrenadeSecButton.Image = GrenadeIcons[i];
				IncGrenadeSec = i;
				break;
			}
		}
	}

	bCanRepair = false;

	IncMisc = -1;
	MiscButton.Image = ArmorIcons[0];
	for (i=0;i<ArrayCount(Misc);i++)
	{
		if ((SelectedMisc != "") && (Misc[i] ~= SelectedMisc))
		{
			MiscButton.Image = ArmorIcons[i];
			MiscButton.ImageColor.R = 150;
			MiscButton.ImageColor.G = 150;
			MiscButton.ImageColor.B = 150;
			IncMisc = i;
			ArmorScroll.SetContent(ArmorDesc[i]);
			break;
		}
	}
}

function UpdateMeleeAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	MeleeAttachList.MyComboBox.List.Clear();
	MeleeAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		MeleeAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None && War_PRI(PlayerOwner().PlayerReplicationInfo).CXP >= TempBase.Default.CXPReq)
				MeleeAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
		}
	}



	for (i=0;i<MeleeAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigMeleeAttachment != None) && (MeleeAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigMeleeAttachment.Default.AttachName) )
		{
			MeleeAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}

function UpdateSidearmAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	SidearmAttachList.MyComboBox.List.Clear();
	SidearmAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		SidearmAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None && War_PRI(PlayerOwner().PlayerReplicationInfo).CXP >= TempBase.Default.CXPReq)
				SidearmAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
		}
	}

	for (i=0;i<SidearmAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigSidearmAttachment != None) && (OrigSidearmAttachment.Default.StaticName ~= SelectedSidearm.Default.StaticName) && (SidearmAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigSidearmAttachment.Default.AttachName) )
		{
			SidearmAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}

function UpdateRifleAttach(class<Weapon_Base> TempWeapon)
{
	local int i;
	local class<Weapon_Base> TempBase;

	RifleAttachList.MyComboBox.List.Clear();
	RifleAttachList.MyComboBox.List.SetIndex(0);

	if (TempWeapon != None)
	{
		RifleAttachList.MyComboBox.List.Add("stock");
		for (i=0;i<3;i++)
		{
			TempBase = TempWeapon.Default.GunAttachment[i];
			if (TempBase != None && War_PRI(PlayerOwner().PlayerReplicationInfo).CXP >= TempBase.Default.CXPReq)
				RifleAttachList.MyComboBox.List.Add(TempBase.Default.AttachName);
		}
	}

	for (i=0;i<RifleAttachList.MyComboBox.List.Elements.Length;i++)
	{
		if ((OrigRifleAttachment != None) && (OrigRifleAttachment.Default.StaticName ~= SelectedRifle.Default.StaticName) && (RifleAttachList.MyComboBox.List.GetItemAtIndex(i) ~= OrigRifleAttachment.Default.AttachName) )
		{
			RifleAttachList.MyComboBox.List.SetIndex(i);
			break;
		}
	}
}


// override, we only need to send a fraction of the data as before
function bool BuyInventory(GUIComponent Sender)
{
	local byte btMelee, btSidearm, btRifle, btGrenade, btGrenadeSec, btMisc;
	local byte i;
	
	btMelee = 255;
	btSidearm = 255;
	btRifle = 255;
	btGrenade = 255;
	btGrenadeSec = 255;
	btMisc = 255;

	for (i=0;i<ArrayCount(Melee);i++)
	{
		if (Melee[i] != None && Melee[i] == SelectedMelee)
		{
			btMelee = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Sidearms);i++)
	{
		if (Sidearms[i] != None && Sidearms[i] == SelectedSidearm)
		{
			btSidearm = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Rifles);i++)
	{
		if (Rifles[i] != None && Rifles[i] == SelectedRifle)
		{
			btRifle = i;
			break;
		}
	}	

	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if (Grenades[i] != None && Grenades[i] == SelectedGrenade)
		{
			btGrenade = i;
			break;
		}
	}

	if (SelectedGrenade == class'War_Weapon_LAWBase')
		btGrenade = 254;

	for (i=0;i<ArrayCount(Grenades);i++)
	{
		if (Grenades[i] != None && Grenades[i] == SelectedGrenadeSec)
		{
			btGrenadeSec = i;
			break;
		}
	}

	for (i=0;i<ArrayCount(Misc);i++)
	{
		if (Misc[i] ~= SelectedMisc && Misc[i] != "")
		{
			btMisc = i;
			break;
		}
	}

	War_FOPlayer(PlayerOwner()).ServerSetGear(btMelee,btSidearm,btRifle,btGrenade,btGrenadeSec,btMisc,SidearmAttachment,RifleAttachment,MeleeAttachment);
	Controller.CloseMenu();
	return false;
}

function bool GrenadeClick(GUIComponent Sender)
{
	if (!Controller.bCurMenuInitialized)
		return false;

	if (Sender == GrenadeButton)
	{
		SelectedGrenade = None;

		IncGrenade++;
		if (IncGrenade >= ArrayCount(Grenades) || IncGrenade <= -1)
		{
			// law
			if (IncGrenade == ArrayCount(Grenades))
			{
				ShowLAW();
				return false;
			}
			HideLAW();
			if (SelectedGrenade.Name == 'War_Weapon_LAWBase')
			{
				SelectedGrenadeSec = None;
				IncGrenadeSec = IncGrenade;
				GrenadeClick(GrenadeSecButton);
			}
			SelectedGrenade = None;
			IncGrenade = -1;
			GUIImage(Sender).Image = GrenadeEmptyImage;
			UpdateGrenadePriWeapon(SelectedGrenade);
			return false;
		}
		SelectedGrenade = Grenades[IncGrenade];
		UpdateGrenadePriWeapon(SelectedGrenade);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenade];
	}
	else if (Sender == GrenadeSecButton)
	{
		SelectedGrenadeSec = None;

		IncGrenadeSec++;
		if (IncGrenadeSec >= ArrayCount(Grenades) || IncGrenadeSec <= -1)
		{
			// law
			if (IncGrenadeSec == ArrayCount(Grenades))
			{
				ShowLAW();
				return false;
			}
			HideLAW();
			SelectedGrenadeSec = None;
			IncGrenadeSec = -1;
			GUIImage(Sender).Image = GrenadeEmptyImage;
			CashLabel.Caption = "$"$string(SelectedCash);
			UpdateGrenadeSecWeapon(SelectedGrenadeSec);
			return false;
		}
		SelectedGrenadeSec = Grenades[IncGrenadeSec];
		UpdateGrenadeSecWeapon(SelectedGrenadeSec);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenadeSec];
	}
	return false;
}

function bool GrenadeRightClick(GUIComponent Sender)
{
	if (!Controller.bCurMenuInitialized)
		return false;

	if (Sender == GrenadeButton)
	{
		SelectedGrenade = None;

		IncGrenade--;
		if (IncGrenade <= -1 || IncGrenade >= ArrayCount(Grenades))
		{
			// law
			if (IncGrenade == -1)
			{
				ShowLAW();
				return false;
			}
			HideLAW();
			SelectedGrenade = None;
			IncGrenade = ArrayCount(Grenades);
			GUIImage(Sender).Image = GrenadeEmptyImage;
			UpdateGrenadePriWeapon(SelectedGrenade);
			return false;
		}
		SelectedGrenade = Grenades[IncGrenade];
		UpdateGrenadePriWeapon(SelectedGrenade);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenade];
	}
	else if (Sender == GrenadeSecButton)
	{
		SelectedGrenadeSec = None;

		IncGrenadeSec--;
		if (IncGrenadeSec <= -1 || IncGrenadeSec >= ArrayCount(Grenades))
		{
			// law
			if (IncGrenadeSec == -1)
			{
				ShowLAW();
				return false;
			}
			HideLAW();
			SelectedGrenadeSec = None;
			IncGrenadeSec = ArrayCount(Grenades);
			GUIImage(Sender).Image = GrenadeEmptyImage;
			UpdateGrenadeSecWeapon(SelectedGrenadeSec);
			return false;
		}

		SelectedGrenadeSec = Grenades[IncGrenadeSec];
		UpdateGrenadeSecWeapon(SelectedGrenadeSec);
		GUIImage(Sender).Image = GrenadeIcons[IncGrenadeSec];
	}
	return false;
}

function ShowLAW()
{
	// resize main button
	SelectedGrenade = class'War_Weapon_LAWBase';
	SelectedGrenadeSec = None;
	GrenadeButton.WinWidth = 0.207;
	GrenadePriBG.WinWidth = 0.2405;
	GrenadeButton.Image = LAWBuyIcon;
	GrenadeButton.X1 = 0;
	GrenadeButton.Y1 = 10;
	GrenadeButton.X2 = 256;
	GrenadeButton.Y2 = 118;

	// hide secondary button
	GrenadeSecButton.bVisible = false;
	GrenadeSecButton.bAcceptsInput = false;
	GrenadeSecButton.Image = GrenadeEmptyImage;
	DisableComponent(GrenadeSecButton);
	GrenadeSecBG.bVisible = false;
	DisableComponent(GrenadeSecBG);
	UpdateGrenadePriWeapon(None);
	UpdateGrenadeSecWeapon(None);

	IncGrenade = ArrayCount(Grenades)+1;
	IncGrenadeSec = ArrayCount(Grenades)+1;
}

function HideLAW()
{
	// reset to normal grenade settings
	GrenadeButton.WinWidth = 0.084;
	GrenadePriBG.WinWidth = 0.12;
	GrenadeButton.X1 = 0;
	GrenadeButton.Y1 = 10;
	GrenadeButton.X2 = 64;
	GrenadeButton.Y2 = 118;

	// show/enable secondary button
	GrenadeSecButton.bVisible = true;
	GrenadeSecButton.bAcceptsInput = true;
	GrenadeSecBG.bVisible = true;
	EnableComponent(GrenadeSecBG);
	EnableComponent(GrenadeSecButton);
}

function InternalOnClose(bool bCanceled)
{
	Super.InternalOnClose(bCanceled);
	SpawnLocation = vect(0,0,0);
}

defaultproperties
{
	Begin Object Class=GUIButton Name=CancelButtonBox
		Caption="cancel"
		StyleName="SquareButton"
		Hint=""
		WinWidth=0.150
		WinLeft=0.731
		WinTop=0.845
		WinHeight=0.039
		TabOrder=1
		bStandardized=false
		bBoundToParent=true
		OnClick=CancelBuy
	End Object
	CancelButton=CancelButtonBox

	Begin Object Class=GUISectionBackground Name=ButtonBGBox
		WinWidth=0.191
		WinHeight=0.153
		WinLeft=0.70650
		WinTop=0.74
		LeftPadding=0.01
		RightPadding=0.01
		Caption="Menu"
		bFillClient=true
		bBoundToParent=true
	End Object
	ButtonsBG=ButtonBGBox	

	Begin Object Class=GUIButton Name=BuyButtonBox
		Caption="ACCEPT"
		StyleName="BigButton"
		Hint=""
		WinWidth=0.150
		WinLeft=0.731
		WinTop=0.787
		WinHeight=0.048
		TabOrder=1
		bStandardized=false
		bBoundToParent=true
		OnClick=BuyInventory
	End Object
	BuyButton=BuyButtonBox

	LAWBuyIcon=Material'FOWarTextures.Interface.LAWIcon'

	ArmorDesc(0)="Light||Armor: +36|Speed: 51"
	ArmorDesc(1)="Medium||Armor: +66|Speed: 45"
	ArmorDesc(2)="Heavy||Armor: +88|Speed: 39"
}