//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_PRI extends FragOps_PRI;

// combat experience
var int CXP;

// for CXP damage calculation
var int LastDamageDone;

replication
{
	reliable if ((bNetDirty) && (Role == ROLE_Authority))
		CXP;
}

function AddDamageDone(int dd, name HitBone, FragOps_PRI HurtPRI)
{
	Super.AddDamageDone(dd, HitBone, HurtPRI);

	LastDamageDone = Max((dd+LastDamageDone)/10, 0);
	CXP += LastDamageDone;

	// save remainder
	LastDamageDone = dd - (LastDamageDone*10);
	NetUpdateTime = Level.TimeSeconds - 1;
}

// reset all medals/endround stuff
function ResetRoundPRI()
{
	Super.ResetRoundPRI();
	// anything we need here?
}

// reset for wave
function ResetWavePRI()
{
	// add to totals
	NumShots += RoundShots;
	NumShotsHit += RoundShotsHit;
	NumHeadShots += RoundHeadShots;
	
	// reset accuracy
	RoundShots = 0;
	RoundShotsHit = 0;
	RoundHeadShots = 0;

	DamageDone += RoundDamageDone;
	DamageTaken += RoundDamageTaken;

	// reset damage
	RoundDamageDone = 0;
	RoundDamageTaken = 0;
}

function AddXP(int NewXP)
{
	CXP = Max(CXP + NewXP, 0); 
}

function Reset()
{
	Super.Reset();
	CXP = 0;
	LastDamageDone = 0;
}

defaultproperties
{
}