//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
// If you set this playerstart's tag to the same SpawnTag as an objective, it
// will become active when the objective is captured/completed, but become
// inactive if control is lost to another team.  SpawnDesireability decides
// how desireable it is in the case of multiple and/or linear objectives.
//=============================================================================
class War_PlayerStart extends PlayerStart
	placeable;

// how desirable this spawn point is for wave play.  This is so that mappers
// can link objectives to player spawns in any kind of configuration they
// want.  Mostly this will be used for map advancement.  Increments of 1.0
// should do just fine if making an advancement system.
var() float SpawnDesireability;

var bool bOriginallyEnabled, bSet;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	bOriginallyEnabled = bEnabled;
	bSet = true;
}

function Reset()
{
	Super.Reset();
	if (bSet)
		bEnabled = bOriginallyEnabled;
}

event Trigger(Actor Other, Pawn EventInstigator)
{
	if (!bEnabled)
		EnableMe();
	else
		DisableMe();
}

function EnableMe()
{
	bEnabled = true;
}

function DisableMe()
{
	bEnabled = false;
}

defaultproperties
{
	SpawnDesireability=0
}