//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Vehicle_Comanche extends War_FOVehicleAir;

defaultproperties
{
	// display
	Mesh=Mesh'FOVehicles.Comanche'
	VehicleIcon=(Material=Material'FOWarTextures.VehicleIcons.JeepIcon')
	
	// health
	Health=400
	HealthMax=400

	// cameras
	FPCamPos=(X=155.0,Y=0.0,Z=2.0)
	TPCamLookat=(X=0,Y=0,Z=0)
	TPCamWorldOffset=(X=0,Y=0,Z=90)
	TPCamDistance=430
	TPCamDistRange=(Min=380,Max=560)

	// weaponry, rockets own!
	ProjClass=class'FragOps.War_Vehicle_ComancheRocket'
	FireSound=Sound'FOWeaponSounds.Objectives.LAWFire'
	FireDelay=0.2
	AltFireDelay=0.5
	AmmoCount=56
	FireType="Semi"
	AmmoType="Rocket"
	ReticleTex=Material'FOWarTextures.HUD.ComancheReticle'
	AimerTex=TexRotator'FOWarTextures.HUD.ComancheAimerRot'
	LockTex=Material'FOWarTextures.HUD.ComancheRocketLock'

	// passenger weaponry
	PassengerWeapons(0)=(WeaponPawnClass=class'FragOps.War_Vehicle_ComancheGunner',WeaponBone=GunBone)

	// driver
	DrivePos=(X=92.0,Y=0.0,Z=-41.0)
	DriveRot=(Pitch=-2000)

	// speed
	GroundSpeed=+1300.0

	// sound
	IdleSound=sound'FOVehicleSounds.Comanche.ComancheRotor'
	StartUpSound=sound'FOVehicleSounds.Comanche.ComancheStart'
	ShutDownSound=sound'FOVehicleSounds.Comanche.ComancheStop'
	MaxPitchSpeed=2000
	SoundVolume=255
	SoundRadius=70

	// destroyed
	DestroyedVehicleMesh=StaticMesh'FOWarSMs.DeadVehicles.comanche_dead'
	DestroyedScale=1.0

	// readables
	VehiclePositionString="in an RAH-66"
	VehicleNameString="RAH-66"
	
	// entry
	EntryPosition=(X=50,Y=0,Z=0)
	EntryRadius=210.0

	// exit
	ExitPositions(0)=(X=30,Y=-195,Z=10)
	ExitPositions(1)=(X=30,Y=195,Z=10)
	ExitPositions(2)=(X=0,Y=-250,Z=25)
	ExitPositions(3)=(X=0,Y=250,Z=25)
	ExitPositions(4)=(X=250,Y=0,Z=20)

	// yaw/turn properties
	TurnTorqueFactor=400.0
	TurnTorqueMax=150.0
	TurnDamping=60.0
	MaxYawRate=1.45
	
	// pitch properties
	PitchTorqueFactor=150.0
	PitchTorqueMax=35.0
	PitchDamping=20.0

	// roll properties
	RollTorqueTurnFactor=450.0
	RollTorqueStrafeFactor=50.0
	RollTorqueMax=50.0
	RollDamping=30.0	

	// collision
	CollisionHeight=+70.0
	CollisionRadius=120.0

	// headlights
	HeadlightProjectorOffset=(X=90,Y=0,Z=-60)
	HeadlightProjectorRotation=(Pitch=-12000)
	HeadlightCoronaOffset(0)=(X=100,Y=5,Z=-66)
	HeadlightCoronaOffset(1)=(X=100,Y=-5,Z=-63)
	HeadlightCoronaMaterial=Material'EpicParticles.flashflare1'
	HeadlightCoronaMaxSize=20
}