//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
// Comanche minigun cannon
//=============================================================================
class War_Vehicle_ComancheMinigun extends War_FOVehicleWeapon;

var rotator MinigunRot, RealGunRot;
var bool bRotateGun;

// spin the minigun
simulated event FlashMuzzleFlash()
{
	Super.FlashMuzzleFlash();
	if (Level.NetMode != NM_DedicatedServer)
	{
		RealGunRot.Roll = MinigunRot.Roll;
		MinigunRot.Roll += 10922;
		MinigunRot.Roll = MinigunRot.Roll;
		bRotateGun = true;
	}
}

simulated function Tick(float dt)
{
	local rotator TempGunRot;
	
	Super.Tick(dt);

	if (bRotateGun)
	{
		RealGunRot.Roll = Min(RealGunRot.Roll+(dt*65535.0), MinigunRot.Roll);
		TempGunRot.Roll = RealGunRot.Roll & 65535;
		SetBoneRotation('Cannon', RealGunRot);
	}
	if (RealGunRot.Roll == MinigunRot.Roll)
		bRotateGun = false;
}

// limityaw.. necessary for us
simulated function int LimitYaw(int InYaw, rotator CurrentRotation)
{
	local int VehicleYaw, BaseYaw;

	if (Owner == None)
		return InYaw;

	VehicleYaw = Rotation.Yaw & 65535;
	InYaw = InYaw & 65535;
	BaseYaw = CurrentRotation.Yaw;

	if ((InYaw ClockwiseFrom (BaseYaw + 14000)) && (InYaw ClockwiseFrom BaseYaw))
		return BaseYaw + 14000;
	else if (!(InYaw ClockwiseFrom (BaseYaw - 14000)) && !(InYaw ClockwiseFrom BaseYaw))
		return BaseYaw - 14000;
	else if ((InYaw ClockwiseFrom (VehicleYaw + YawEndConstraint)) && (InYaw ClockwiseFrom VehicleYaw))
		return VehicleYaw + YawEndConstraint;
	else if (!(InYaw ClockwiseFrom (VehicleYaw + YawStartConstraint)) && !(InYaw ClockwiseFrom VehicleYaw))
		return VehicleYaw + YawStartConstraint;
	else
		return InYaw;
}

static function StaticPrecache(LevelInfo L)
{
}

simulated function UpdatePrecacheMaterials()
{
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
	// display
	Mesh=Mesh'FOVehicleWeapons.comanche_gun'
	DrawScale=2.0

	// HUD
	FireType="Gatling"
	AmmoType="20mm"

	// rotation limits
	YawBone=YawBone
	YawStartConstraint=-14000
	YawEndConstraint=14000
	PitchBone=PitchBone
	PitchUpLimit=1100
	PitchDownLimit=58500
	bInstantFire=true

	// sound
	bAmbientFireSound=false
	FireSoundClass=sound'FOVehicleSounds.Comanche.GatlingFire'
	SoundVolume=255
	TransientSoundVolume=0.42
	FireSoundRadius=700.0
	AmbientSoundScaling=1.3

	// muzzle flash
	NewFlashEmitterClass=class'War_Effect_M240MuzFlash'
	NewSmokeEmitterClass=class'War_Effect_M240MuzSmoke'
	WeaponFireAttachmentBone=effectbone

	// recoil
	RecoilSize=20

	// ammo
	AmmoAmount=200
	MaxAmmo=200
	NumClips=0
	MaxClips=1

	// reloading
	ReloadTime=2.0
	ReloadBeginSound=sound'WeaponSounds.click_ammo_out'
	ReloadMidSound=sound'WeaponSounds.BReload6'
	ReloadEndSound=sound'WeaponSounds.PulseRifleReload'

	// conefire, maybe?
	Spread=0.005

	// fire rate
	FireInterval=0.095
	
	// damage
	DamageType=class'DamType_Gatling'
	DamageMin=26
	DamageMax=33

	// ranges
	WeaponRange=3200	
	WeaponDamageShrink=170   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	TraceRange=10000

	// bullet shells
	ShellBone=Cannon
	ShellEjectorClass=class'Effect_ShellEjector762First'

	// fire shake
	ShakeOffsetMag=(X=1.0,Y=1.0,Z=1.0)
	ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
	ShakeOffsetTime=2
	ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=2
	FireForce="minifireb"
	
	// settings
	RotationsPerSecond=1.2
	bInstantRotation=false
	bDoOffsetTrace=true
	bAimable=true
	bIsRepeatingFF=true

	// collision
	bUseCylinderCollision=false
	bBlockNonZeroExtentTraces=true
	bBlockActors=true
	bCollideActors=true

	// AI
	AIInfo(0)=(bInstantHit=true,AimError=500)

	// culling
	CullDistance=7000.0
}
