//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Vehicle_ComancheRocket extends Weapon_LAWProj;

#exec OBJ LOAD FILE=FOVehicleSounds.uax

simulated function PostBeginPlay()
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		SmokeTrail = Spawn(class'War_Effect_RocketTrailSmoke',self);
		Corona = Spawn(class'Effect_LAWCorona',self);
	}

	Dir = vector(Rotation);
	Velocity = Speed * Dir;
	if (PhysicsVolume.bWaterVolume)
	{
		bHitWater = True;
		Velocity=0.6*Velocity;
	}
	LightType = LT_None;
	
	if (Level.NetMode != NM_DedicatedServer)
		PlaySound(sound'FOVehicleSounds.Comanche.ComancheRocketFire', SLOT_Misc, TransientSoundVolume*2.6,,300,1.3+(FRand()*0.1), true);
}

simulated function Tick(float dt)
{
	Super.Tick(dt);

	SoundVolume = Clamp(SoundVolume-2, 90, 255);
	SoundRadius = Clamp(SoundRadius-5, 10, 100);
}

simulated function Explode(vector HitLocation, vector HitNormal)
{
	BlowUp(HitLocation);
	PlaySound(sound'ONSVehicleSounds-S.Explosions.Explosion01', SLOT_Misc, 3.1*TransientSoundVolume,,,1.0);
	if (EffectIsRelevant(Location,false))
	{
		Spawn(class'War_Effect_ConcNadeExplosion',,, HitLocation, rotator(vect(0,0,1)));
		Spawn(ExplosionDecal,self,,HitLocation, rotator(-HitNormal));
	}
	if (Level.NetMode != NM_DedicatedServer)
		ShakeView();
	Destroy();
}

defaultproperties
{
	Speed=3500.0
	MaxSpeed=3500.0
	MomentumTransfer=1200.0
	DamageRadius=175.0
	Damage=250
	DrawScale=1.1
	SoundVolume=255
	SoundRadius=100
	AmbientSound=None
	MyDamageType=class'DamType_Rocket'
}