//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Vehicle_Jeep extends War_FOVehicleWheeled;

defaultproperties
{
	// display
	Mesh=Mesh'FOVehicles.jeepb'
	VehiclePositionString="in a Mongoose"
	VehicleNameString="Mongoose"
	VehicleIcon=(Material=Material'FOWarTextures.VehicleIcons.JeepIcon')
	DrawScale=1.0
	StolenSound=None

	// health
	Health=600
	HealthMax=600

	// headlights - corona
	HeadlightCoronaOffset(0)=(X=106,Y=24,Z=13)
	HeadlightCoronaOffset(1)=(X=106,Y=-24,Z=13)
	HeadlightCoronaMaterial=Material'EpicParticles.flashflare1'
	HeadlightCoronaMaxSize=65

	// headlights - projector
	HeadlightProjectorOffset=(X=90,Y=0,Z=7)
	HeadlightProjectorRotation=(Yaw=0,Pitch=-1000,Roll=0)
	HeadlightProjectorMaterial=Texture'VMVehicles-TX.RVGroup.RVProjector'
	HeadlightProjectorScale=0.3
	
	// brakelights
	bMakeBrakeLights=true
	BrakeLightOffset(0)=(X=-86.6,Y=44.8,Z=15)
	BrakeLightOffset(1)=(X=-86.6,Y=-45.8,Z=15)
	BrakeLightMaterial=Material'EpicParticles.flashflare1'

	// sounds
	IdleSound=sound'FOVehicleSounds.Jeep.JeepIdle'
	StartUpSound=sound'FOVehicleSounds.Jeep.JeepStart'
	ShutDownSound=sound'FOVehicleSounds.Jeep.JeepShutOff'

	// damage
	ImpactDamageMult=0.0050
	DamagedEffectOffset=(X=100,Y=10,Z=10)
	DamagedEffectScale=1.0

	// destruction
	DestroyedVehicleMesh=StaticMesh'FOWarSMs.DeadVehicles.jeep_dead'

	// cameras
	FPCamPos=(X=2.0,Y=-25.0,Z=36.0)
	TPCamLookat=(X=0,Y=0,Z=0)
	TPCamWorldOffset=(X=0,Y=0,Z=90)
	TPCamDistance=200

	// collision
	CollisionHeight=+60.0
	CollisionRadius=+110.0

	// driver-related
	MaxViewYaw=19000
	MaxViewPitch=19000
	DrivePos=(X=-10.8,Y=-28.0,Z=-2.0)
	DriveRot=(Pitch=-800)
	DriveAnim=driveg
	DriverDamageMult=0.90

	// armament
	PassengerWeapons(0)=(WeaponPawnClass=class'FragOps.War_Vehicle_JeepGunner',WeaponBone=Dummy01)
	PassengerWeapons(1)=(WeaponPawnClass=class'FragOps.War_Vehicle_JeepGunnerFree')

	// speed
	GroundSpeed=660

	// physics - wheels
	WheelPenScale=1.7
	WheelPenOffset=0.01
	WheelSoftness=0.03
	WheelRestitution=0.1
	WheelAdhesion=0.0
	WheelLongFrictionFunc=(Points=((InVal=0,OutVal=0.0),(InVal=100.0,OutVal=1.0),(InVal=200.0,OutVal=0.9),(InVal=10000000000.0,OutVal=0.9)))
	WheelLongFrictionScale=1.1
	WheelLatFrictionScale=1.5
	WheelLongSlip=0.001
	WheelLatSlipFunc=(Points=((InVal=0.0,OutVal=0.0),(InVal=30.0,OutVal=0.009),(InVal=45.0,OutVal=0.00),(InVal=10000000000.0,OutVal=0.00)))
	WheelHandbrakeSlip=0.01
	WheelHandbrakeFriction=0.1
	WheelSuspensionTravel=25.0
	WheelSuspensionOffset=-10.0
	WheelSuspensionMaxRenderTravel=25.0
	
	// physics - control
	TurnDamping=35
	MinBrakeFriction=4.0
	MaxBrakeTorque=20.0
	MaxSteerAngleCurve=(Points=((InVal=0,OutVal=25.0),(InVal=1500.0,OutVal=8.0),(InVal=1000000000.0,OutVal=8.0)))
	SteerSpeed=110
	StopThreshold=100
	TorqueCurve=(Points=((InVal=0,OutVal=9.0),(InVal=200,OutVal=10.0),(InVal=1320,OutVal=11.0),(InVal=2300,OutVal=0.0)))
	EngineBrakeFactor=0.0001
	EngineBrakeRPMScale=0.1
	EngineInertia=0.1
	WheelInertia=0.1
	
	// physics - gears
	TransRatio=0.11
	GearRatios[0]=-0.5
	GearRatios[1]=0.4
	GearRatios[2]=0.65
	GearRatios[3]=0.85
	GearRatios[4]=1.1
	ChangeUpPoint=2000
	ChangeDownPoint=1000
	LSDFactor=1.0

	// physics - misc
	CenterSpringForce="SpringONSSRV"
	HandbrakeThresh=200
	FTScale=0.03
	ChassisTorqueScale=0.6
	VehicleMass=5.0

	// entry
	EntryPosition=(X=0,Y=0,Z=0)
	EntryRadius=160.0

	// exit
	ExitPositions(0)=(X=0,Y=-155,Z=50)
	ExitPositions(1)=(X=0,Y=155,Z=50)
	ExitPositions(2)=(X=0,Y=-155,Z=-50)
	ExitPositions(3)=(X=0,Y=155,Z=-50)

	// body karma
	Begin Object Class=KarmaParamsRBFull Name=KParams0
		KStartEnabled=True
		KFriction=0.5
		KLinearDamping=0.05
		KAngularDamping=0.05
		KImpactThreshold=500
		bKNonSphericalInertia=True
		bHighDetailOnly=False
		bClientOnly=False
		bKDoubleTickRate=True
		KInertiaTensor(0)=1.7
		KInertiaTensor(1)=0.0
		KInertiaTensor(2)=0.0
		KInertiaTensor(3)=3.6
		KInertiaTensor(4)=0.0
		KInertiaTensor(5)=3.7
		KCOMOffset=(X=0.35,Y=0.0,Z=-0.6)
		bDestroyOnWorldPenetrate=true
		bDoSafetime=True
	Name="KParams0"
	End Object
	KParams=KarmaParams'KParams0'

	// body karma
	Begin Object Class=KarmaParamsRBFull Name=KParams1
		KStartEnabled=True
		KFriction=0.5
		KLinearDamping=0.05
		KAngularDamping=0.05
		KImpactThreshold=500
		bKNonSphericalInertia=True
		bHighDetailOnly=False
		bClientOnly=False
		bKDoubleTickRate=false
		KInertiaTensor(0)=1.7
		KInertiaTensor(1)=0.0
		KInertiaTensor(2)=0.0
		KInertiaTensor(3)=3.6
		KInertiaTensor(4)=0.0
		KInertiaTensor(5)=3.7
		KCOMOffset=(X=0.35,Y=0.0,Z=-0.6)
		bDestroyOnWorldPenetrate=true
		bDoSafetime=false
	Name="KParams1"
	End Object
	AltKParams=KarmaParams'KParams1'

	// wheels
	Begin Object Class=SVehicleWheel Name=RRWheel
		BoneName="RRtire"
		BoneRollAxis=AXIS_Y
		BoneSteerAxis=AXIS_Z
		BoneOffset=(X=-10.0,Y=8.0,Z=1.0)
		WheelRadius=24
		bPoweredWheel=True
		bHandbrakeWheel=True
		SteerType=VST_Fixed
		SupportBoneAxis=AXIS_X
		SupportBoneName="RRStrut"
	End Object
	Wheels(0)=SVehicleWheel'RRWheel'

	Begin Object Class=SVehicleWheel Name=LRWheel
		BoneName="LRtire"
		BoneRollAxis=AXIS_Y
		BoneSteerAxis=AXIS_Z
		BoneOffset=(X=-10.0,Y=-8.0,Z=1.0)
		WheelRadius=24
		bPoweredWheel=True
		bHandbrakeWheel=True
		SteerType=VST_Fixed
		SupportBoneAxis=AXIS_X
		SupportBoneName="LRStrut"
	End Object
	Wheels(1)=SVehicleWheel'LRWheel'

	Begin Object Class=SVehicleWheel Name=RFWheel
		BoneName="RFtire"
		BoneRollAxis=AXIS_Y
		BoneSteerAxis=AXIS_Z
		BoneOffset=(X=10.0,Y=8.0,Z=1.0)
		WheelRadius=24
		bPoweredWheel=True
		SteerType=VST_Steered
		SupportBoneAxis=AXIS_X
		SupportBoneName="RFStrut"
	End Object
	Wheels(2)=SVehicleWheel'RFWheel'

	Begin Object Class=SVehicleWheel Name=LFWheel
		BoneName="LFtire"
		BoneRollAxis=AXIS_Y
		BoneSteerAxis=AXIS_Z
		BoneOffset=(X=10.0,Y=-8.0,Z=1.0)
		WheelRadius=24
		bPoweredWheel=True
		SteerType=VST_Steered
		SupportBoneAxis=AXIS_X
		SupportBoneName="LFStrut"
	End Object
	Wheels(3)=SVehicleWheel'LFWheel'
}