//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
// Like the machine gun from the onslaught tank.  Mostly a copy and paste job,
// main differences in how weapons handle and other effects.
//=============================================================================
class War_Vehicle_JeepM240MG extends War_FOVehicleWeapon;

// limityaw.. necessary for us
simulated function int LimitYaw(int InYaw, rotator CurrentRotation)
{
	local int VehicleYaw, BaseYaw;

	if (Owner == None)
		return InYaw;

	VehicleYaw = Rotation.Yaw & 65535;
	InYaw = InYaw & 65535;
	BaseYaw = CurrentRotation.Yaw;

	if ((InYaw ClockwiseFrom (BaseYaw + 16000)) && (InYaw ClockwiseFrom BaseYaw))
		return BaseYaw + 16000;
	else if (!(InYaw ClockwiseFrom (BaseYaw - 16000)) && !(InYaw ClockwiseFrom BaseYaw))
		return BaseYaw - 16000;
	else if ((InYaw ClockwiseFrom (VehicleYaw + YawEndConstraint)) && (InYaw ClockwiseFrom VehicleYaw))
		return VehicleYaw + YawEndConstraint;
	else if (!(InYaw ClockwiseFrom (VehicleYaw + YawStartConstraint)) && !(InYaw ClockwiseFrom VehicleYaw))
		return VehicleYaw + YawStartConstraint;
	else
		return InYaw;
}

static function StaticPrecache(LevelInfo L)
{
}

simulated function UpdatePrecacheMaterials()
{
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
	// display
	Mesh=Mesh'FOVehicleWeapons.jeepgun'
	DrawScale=2.0

	// HUD
	FireType="Auto"
	AmmoType="7.62mm"

	// rotation limits
	YawBone=Turret
	YawStartConstraint=-16000
	YawEndConstraint=16000
	PitchBone=mg
	PitchUpLimit=4400
	PitchDownLimit=60500
	bInstantFire=true

	// sound
	bAmbientFireSound=false
	FireSoundClass=sound'FOVehicleSounds.M240.M240Fire'
	SoundVolume=255
	AmbientSoundScaling=1.3

	// muzzle flash
	NewFlashEmitterClass=class'War_Effect_M240MuzFlash'
	NewSmokeEmitterClass=class'War_Effect_M240MuzSmoke'
	WeaponFireAttachmentBone=Bone_Flash

	// recoil
	RecoilSize=160

	// ammo
	AmmoAmount=150
	MaxAmmo=150
	NumClips=1
	MaxClips=1

	// reloading
	ReloadTime=4.5
	ReloadBeginSound=sound'WeaponSounds.click_ammo_out'
	ReloadMidSound=sound'WeaponSounds.BReload6'
	ReloadEndSound=sound'WeaponSounds.PulseRifleReload'

	// conefire, maybe?
	Spread=0.005

	// fire rate
	FireInterval=0.1
	
	// damage
	DamageType=class'DamType_M240MG'
	DamageMin=24
	DamageMax=30

	// ranges
	WeaponRange=2800	
	WeaponDamageShrink=170   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	TraceRange=7000

	// bullet shells
	ShellBone=bone_shell
	ShellEjectorClass=class'Effect_ShellEjector762First'

	// fire shake
	ShakeOffsetMag=(X=1.0,Y=1.0,Z=1.0)
	ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
	ShakeOffsetTime=2
	ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=2
	FireForce="minifireb"
	
	// settings
	RotationsPerSecond=1.2
	bInstantRotation=false
	bDoOffsetTrace=true
	bAimable=true
	bIsRepeatingFF=true

	// collision
	bUseCylinderCollision=false
	bBlockNonZeroExtentTraces=true
	bBlockActors=true
	bCollideActors=true

	// AI
	AIInfo(0)=(bInstantHit=true,AimError=500)

	// culling
	CullDistance=7000.0
}
