//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Weapon_LAWBase extends Weapon_LAWBase
	HideDropDown
	CacheExempt;

simulated function bool CanLockOnTo(Actor Other)
{
	local War_Objective_Destroyable DesiredObj;
	
	if (Other == None)
		return false;

	DesiredObj = War_Objective_Destroyable(Other);
	if (DesiredObj != None)
	{
		if (!DesiredObj.bLAWTarget || DesiredObj.AttackingTeam != Instigator.PlayerReplicationInfo.Team.TeamIndex)
			return false;

		if (War_Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD).WarLevelInfo.LinkComplete(DesiredObj.AttackingTeam,DesiredObj.LinkNumber) && DesiredObj.bDisableAfterLinkTrigger)
			return false;

		if (DesiredObj.bCanCompleteInAnyOrder)
			return true;

		if (DesiredObj.LinkNumber < 1 || War_Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD).WarLevelInfo.LinkComplete(DesiredObj.AttackingTeam,DesiredObj.LinkNumber-1))
			return true;

		return false;
	}

	if (SVehicle(Other) != None && Vehicle(Other).Team != Instigator.PlayerReplicationInfo.Team.TeamIndex)
		return true;

	return false;
}

defaultproperties
{
	bCanThrow=true
	bCanBeBought=true
	InventoryGroup=4
	PickupClass=class'War_Weapon_LAWPickup'
}