//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_8xFire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.8,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	AmmoClass=class'Ammo_8x_357m'
	AmmoPerFire=1
	DamageType=class'DamType_8x'
	WeaponDamage=42
	bPawnRapidFireAnim=false

	ReloadSound=Sound'FOWeaponSounds.8X.8XReload'
	ReloadVolume=2.2
	ReloadAnim=Reload
	ReloadAnimRate=1.56

	FireAnim=Fire
	FireLoopAnim=None
	FireAnimRate=1.4

	// effect emitters
	FlashEmitterClass=class'Effect_8xMuzFlash'
	SmokeEmitterClass=class'Effect_DEMuzSmoke2nd'
	ShellEjectorClass=None

	FireSound=Sound'FOWeaponSounds.8TIMES.8XFire'
	FireForce="AssaultRifleFire"   // jdf
	
	ConeMultiplier=0.000    // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.000   // maximum size the cone can reach, limited to hundredths

	WeaponRange=1700   // maximum effective range for this gun
	DeadBulletRange=4000   // distance bullet travels before its actor is destroyed
	WeaponDamageShrink=200   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.0  // best to leave this at 0 for now
	SpreadStyle=SS_Random
	AimError=0  // leave at 0 i guess, till i find a use for it
	FireRate=0.30
	RecoilSize=1260

	PreFireTime=0.0

	bWaitForRelease=true
	bModeExclusive=false
	BotRefireRate=0.25
}
