//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_8xScope extends Weapon_8xBase
	HideDropDown
	CacheExempt;

simulated event RenderOverlays( Canvas Canvas )
{
	if (bScopeZoomed && !IsReloading() && !FragOps_GRI(PlayerController(Instigator.Controller).GameReplicationInfo).bPreRound )
	{
		Canvas.SetPos(0, 0);
		Canvas.DrawTile(ScopeHUDTex, Canvas.ClipX, Canvas.ClipY, 0, 0, 1024, 1024);
		SetLocation(Instigator.Location);
	}
	else
	{
		if (bScopeZoomed)
		{
			ServerSetZoom(0);
			bScopeZoomed = false;
			SetScope();
		}
		Super.RenderOverlays(Canvas);
	}
}

simulated function bool PutDown()
{
	if (Instigator.Controller.IsA( 'PlayerController' ))
	{
		ServerSetZoom(0);
		bScopeZoomed = false;
		SetScope();
	}

	if (Super.PutDown())
		return true;
	return false;
}

simulated function ClientWeaponThrown()
{
	if ((Instigator != None) && (PlayerController(Instigator.Controller) != None))
	{
		bScopeZoomed = false;
		SetScope();
	}
	Super.ClientWeaponThrown();
}

simulated function ClientStartFire(int mode)
{
	if (Instigator.Controller.IsInState('PreRound') || IsReloading() || Instigator.Controller.IsInState('GameEnded'))
		return;
	if (mode == 1)
	{
		if (Instigator.HeadVolume != None && Instigator.HeadVolume.bWaterVolume)
			return;

		FireMode[mode].bIsFiring = true;
		if (Instigator.Controller.IsA('PlayerController'))
		{
			bScopeZoomed = !bScopeZoomed;
			SetScope();
			if (bScopeZoomed)
				ServerSetZoom(1);
			else
				ServerSetZoom(0);
			PlayOwnedSound(Sound'FOWeaponSounds.Misc.ZoomClick',SLOT_Pain,TransientSoundVolume,,,,false);
		}
	}
	else
		Super.ClientStartFire(mode);
}

simulated function ClientStopFire(int mode)
{
	if (mode == 1)
		FireMode[mode].bIsFiring = false;
	else
		Super.ClientStopFire(mode);
}

defaultproperties
{
	// CXP reqs
	CXPReq=50
	
	ScopeHUDTex=FinalBlend'FOMisc.HUD.aimpoint_fb'
	ScopeDownAnim=ScopeOut
	ScopeDownAnimRate=1.1
	ZoomMultiple=0.6
	GunDesc="COST: $50|+ZOOM"
	GunCost=100
	ItemName="8X (Scope)"
	AttachName="scope"
	Mesh=mesh'FOPistols.EightScope'
	FireModeClass(1)=Weapon_DEScopeFire
	BaseWeaponClass=class'Weapon_8xBase'
	PickupClass=class'FragOps.Weapon_8xScopePickup'
	AttachmentClass=class'FragOps.Weapon_8xScopeAttach'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_8xscope'
}