//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_AK103Base extends Weapon_Base
	config(User);

// bursting
simulated state Burst
{
	simulated function BeginState();
	simulated function EndState();

Begin:
	if (FireMode[0].AllowFire())
	{
		Sleep(FireMode[0].Default.FireRate);
		FireMode[0].ModeDoFire();
	}		
	GotoState('');
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="FKE103"
	StaticName="FKE103"
	InventoryGroup=3
	WeaponType=Rifle
	GunAttachment[0]=class'Weapon_AK103Bayonet'
	GunDesc="COST: $425|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=1000
    
	// CXP reqs
	CXPReq=50

	// firemodes, types
	NumFireTypes=3
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="2 Shot"
	FireTypeNames(2)="Semi"
	FireModeClass(0)=Weapon_AK103Fire
	FireModeClass(1)=Weapon_AK103FireNull

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	Priority=3
	
	// reload, bob, burst timings
	ReloadTime=2.4
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	
	// 3rd person
	PickupClass=class'FragOps.Weapon_AK103Pickup'
	AttachmentClass=class'FragOps.Weapon_AK103Attachment'
	TracerBone=Bone_Flash
	SmokeBone=Bone_Smoke
	ShellBone=Bone_Shell

	// 1st person
	Mesh=mesh'FORifles.AKBare'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_akbare'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-18.5,Y=-8.8,Z=3.85)
	PlayerViewPivot=(Pitch=280,Roll=-800,Yaw=17740)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=3.5,Z=0)
}