//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_DEFire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.9,,,(0.95)+(FRand()*0.06),false);
}

defaultproperties
{
	AmmoClass=class'Ammo_DE_44m'
	AmmoPerFire=1
	DamageType=class'DamType_DE'
	WeaponDamage=39
	bPawnRapidFireAnim=false

	ReloadSound=Sound'FOWeaponSounds.DE.DEReload'
	ReloadVolume=1.1
	ReloadAnim=Reload
	ReloadAnimRate=1.1

	FireAnim=Fire
	FireEmptyAnim=FireLast
	FireEmptyAnimRate=1.2
	FireEndAnim=None
	FireLoopAnim=None
	FireAnimRate=1.2

	// effect emitters
	FlashEmitterClass=class'Effect_DEMuzFlash'
	SmokeEmitterClass=class'Effect_DEMuzSmoke2nd'
	ShellEjectorClass=class'Effect_ShellEjector50aeFirst'

	FireSound=Sound'FOWeaponSounds.DE.DEFire'
	FireForce="AssaultRifleFire"   // jdf
	
	ConeMultiplier=0.000    // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.000   // maximum size the cone can reach, limited to hundredths

	WeaponRange=2000   // maximum effective range for this gun
	DeadBulletRange=4400    // distance bullet travels before its actor is destroyed
	WeaponDamageShrink=200   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.0  // best to leave this at 0 for now
	SpreadStyle=SS_Random
	AimError=0  // leave at 0 i guess, till i find a use for it
	FireRate=0.29
	RecoilSize=1100

	PreFireTime=0.0

	bWaitForRelease=true
	bModeExclusive=false
	BotRefireRate=0.25
}