class Weapon_DEGoldBase extends Weapon_DEBase
	config(User);

function DropFrom(vector StartLocation)
{
	local int m;

	if ((!bCanThrow && Instigator != None && Instigator.Health >= 0) || !Default.bCanThrow)
		return;

	if (ZoomLevel > 0)
		ZoomLevel = 0;

	FOPawn(Instigator).EquipList[InventoryGroup-1] = None;
	FOPawn(Instigator).AttachList[InventoryGroup-1] = None;

	ClientWeaponThrown();

	for (m = 0; m < NUM_FIRE_MODES; m++)
	{
		if (FireMode[m].bIsFiring)
			StopFire(m);
	}

	if (Instigator != None)
	{
		DetachFromPawn(Instigator);
	}

	Destroy();
}
	

defaultproperties
{
	Skins(0)=None
	Skins(1)=None
	Skins(2)=Material'magnum2.Texture.degold'
	ItemName="Gold Eagle"
	StaticName="Gold Eagle"
	Unlocked=3
	GunAttachment[0]=class'Weapon_DEGoldLaser'
	GunAttachment[1]=class'Weapon_DEGoldScope'
	FireModeClass(0)=Weapon_DEGoldFire
	GunCost=1100
	PickupClass=class'FragOps.Weapon_DEGoldPickup'
	AttachmentClass=class'FragOps.Weapon_DEGoldAttachment'
}