//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_DSRFire extends FireMode_Base;

function ShakeView()
{
	if (!Weapon_Base(Weapon).bScopeZoomed)
		return;
	
	Super.ShakeView();
}

function AdjustDamage(out int Damage)
{
	if (Weapon_Base(Weapon).ZoomLevel < 1)
		Damage = Damage/3;
}

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.8,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_DSR_300win'
	AmmoPerFire=1
	DamageType=class'DamType_DSR'
	Spread=0.000
	SpreadStyle=SS_None

	// FO firemode data
	WeaponDamage=75  // default damage for this gun
	WeaponDamageShrink=100   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=5000   // maximum effective range for this gun
	RecoilSize=2150  // amount of recoil for weapon
	DeadBulletRange=10000    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.0000   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.00   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.DSR.DSRReload'
	ReloadAnim=Reload
	ReloadAnimRate=1.1

	// firing -- data
	FireRate=0.55
	bWaitForRelease=true
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=1.1
	FireEndAnim=None
	FireLoopAnim=None
	FireSound=Sound'FOWeaponSounds.DSR.DSRFire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=true

	// effect emitters
	FlashEmitterClass=class'Effect_DSRMuzFlash'
	SmokeEmitterClass=class'Effect_DSRMuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjector556First'

	// shake
	ShakeOffsetMag=(X=10.6,Y=10.6,Z=10.6)
	ShakeOffsetRate=(X=7000.0,Y=7000.0,Z=7000.0)
	ShakeOffsetTime=2.0
	ShakeRotMag=(X=100.2,Y=100.2,Z=100.2)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=2.0

	// AI
	AimError=500
	BotRefireRate=0.99
}