//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_FAMASFire extends FireMode_Base;

simulated event ModeDoFire()
{
	if (AllowFire() && Weapon_Base(Weapon).CurrentFireType == 2 && !Weapon.IsInState('Burst'))
		Weapon.GotoState('Burst','Begin');
	Super.ModeDoFire();
}

simulated function InitEffects()
{
	Super.InitEffects();
	if (FlashEmitter != None)
	{
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
		FlashEmitter.SetRelativeLocation(vect(0,-0.7,0));
	}
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	//r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);

	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*2.2,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_FAMAS_556mm'
	AmmoPerFire=1
	DamageType=class'DamType_FAMAS'
	Spread=0.000
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponDamage=18  // default damage for this gun
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=2000   // maximum effective range for this gun
	RecoilSize=362  // amount of recoil for weapon
	DeadBulletRange=10000    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.FAMAS.FAMASReload'
	ReloadVolume=3.2
	ReloadAnim=reload
	ReloadAnimRate=1.0

	// firing -- data
	FireRate=0.086
	bWaitForRelease=false
	bModeExclusive=true

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=2.0
	FireEndAnim=None
	FireLoopAnim=Fire
	FireLoopAnimRate=2.0
	FireSound=Sound'FOWeaponSounds.FAMAS.FAMASFire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=true

	// effect emitters
	FlashEmitterClass=class'Effect_FAMASMuzFlash'
	SmokeEmitterClass=class'Effect_FAMASMuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjectorFMSFirst'

	// AI
	AimError=500
	BotRefireRate=0.99
}