class Weapon_FistsUppercut extends Weapon_MacheteSwing;

function DoFireEffect()
{
	ClashPoint = Rand(MaxIntervals);
	SwingType = 0;
	FireLevel = 0;
	bIsStabbing = true;
	Weapon_MacheteBase(Weapon).LastFireMode = ThisModeNum;
	Weapon_MacheteBase(Weapon).LastInterval = StabIntervals[FireLevel+(SwingType*MaxIntervals)];
	Weapon.GotoState('Stabbing','Begin');
}

function PlayFiring()
{
	Super(FireMode_Base).PlayFiring();
}

// nice shuddering vibration when hitting
function HitObject()
{
	if (FOPlayer(Instigator.Controller) != None)
		FOPlayer(Instigator.Controller).ClientShake(vect(190,160,160),vect(5000,4000,4000),1.0, vect(10,8,10),vect(5000,4000,4000),1.0);
}

function ClashHitEffect(Vector Start, Rotator Dir, Vector HitLocation, Vector HitNormal)
{
	local Effect_FistClashHit ClashHit;

	ClashHit = Spawn(class'Effect_FistClashHit',,, Start, Dir);
	ClashHit.ImpactAt(HitLocation, HitNormal, None, Instigator, DamageType);
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*0.25,,,2.0,false);
}

defaultproperties
{
	DamageType=class'FragOps.DamType_FistsUppercut'
	AmmoClass=class'Ammo_Fists'
	FlashEmitterClass=None
	WeaponDamage=13
	WeaponRange=35   // let the knife stab just slightly in front of the player
	DeadBulletRange=35    // we don't want to do damage reduction here
	FireAnim=Uppercut
	FireLoopAnim=Uppercut
	FireLoopAnimRate=1.0
	FireAnimRate=1.0
	FireRate=0.65

	MaxIntervals=3
	
	// blade offsets -- forward slash
	StabIntervals(0)=0.06
	StabIntervals(1)=0.04
	BladeTraceOffset(0)=(Y=0.0,X=0.0,Z=4.0)
	BladeTraceOffset(1)=(Y=0.0,X=0.0,Z=7.0)

	// puff of smoke, thats it
	BulletHitEffectClass=class'Effect_FistsHit'

	bWaitForRelease=true
}