//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_GrenadeFlashProj extends Weapon_GrenadeProjectile;

// flash instead
simulated function DelayedHurtRadius( float DamageAmount, float DamageRadius, class<DamageType> DamageType, float Momentum, vector HitLocation )
{
	local FOPawn Victims;
	local float damageScale, dist;
	local vector dir;
	
	if (bHurtEntry)
		return;

	bHurtEntry = true;
	foreach VisibleCollidingActors(class'FOPawn', Victims, DamageRadius, HitLocation)
	{
		if (Victims.Role == ROLE_Authority)
		{
			dir = Victims.Location - HitLocation;
			dist = FMax(1,VSize(dir)-710);
			dir = dir/dist;
			damageScale = 1 - FMax(0,(dist - Victims.CollisionRadius)/DamageRadius);
			Victims.TakeFlash(damageScale,Location);
		} 
	}
	bHurtEntry = false;
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	SetPhysics(PHYS_Falling);
	Velocity = 0.4 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
	RandSpin(50000);
	Speed = VSize(Velocity);

	if (Speed < 30)
		bBounce = false;
	else
	{
		if (Level.NetMode != NM_DedicatedServer)
		{
			if (Speed > 50)
				PlaySound(ImpactSound, SLOT_Misc,0.7,,450,2.6);
			if (!Level.bDropDetail && Level.DetailMode != DM_Low && Level.TimeSeconds - LastSparkTime > 0.5 && EffectIsRelevant(Location,false) )
			{
				Spawn(HitEffectClass,,, Location, Rotator(HitNormal));
				LastSparkTime = Level.TimeSeconds;
			}
	}
    }
}

defaultproperties
{
	StaticMesh=StaticMesh'FOPickupSMs.sms.smokenade_sm'
	Skins(0)=Texture'FOPickupSkins.flashpickupskin'
	DamageRadius=1750.0
	ImpactSound=Sound'WeaponSounds.P1GrenFloor1'
	ExplosionSpawnerClass=class'Effect_GrenadeFlashSpawner'
	bShakeView=false
	GravityDampen=10.5
	DrawScale=1.4
}