//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_GrenadeIncinPickup extends Weapon_GrenadeHEPickup;

// spew out a few napalm balls
function Explode(vector HitLocation, vector HitNormal)
{
	local vector NapalmStart;
	local rotator NapalmRotation;
	local int i;
	local Weapon_IncineratorNapalm NapalmBall;

	NapalmStart = Location + (10*vect(0,0,1));
	if (Role == ROLE_Authority)
	{
		for (i=0;i<5;i++)
		{
			NapalmRotation = Rotation;
			NapalmRotation.Yaw += FRand()*32000-16000;
			NapalmRotation.Pitch += FRand()*32000-16000;
			NapalmRotation.Roll += FRand()*32000-16000;
			NapalmBall = Spawn(class'Weapon_IncineratorNapalm',,, NapalmStart, NapalmRotation);
		}
	}
	Super.Explode(HitLocation, HitNormal);
}

simulated function HurtRadius(float DamageAmount, float DamageRadius, class<DamageType> DamageType, float Momentum, vector HitLocation)
{
	local actor Victims;
	local float damageScale, dist;
	local vector dir;

	if (bHurtEntry)
		return;

	bHurtEntry = true;
	foreach VisibleCollidingActors(class 'Actor', Victims, DamageRadius, HitLocation)
	{
		// don't let blast damage affect fluid - VisibleCollisingActors doesn't really work for them - jag
		if( (Victims != self) && (Victims.Role == ROLE_Authority) && !Victims.IsA('FluidSurfaceInfo') )
		{
			dir = Victims.Location - HitLocation;
			dist = FMax(1,VSize(dir));
			dir = dir/dist;
			damageScale = 1 - FMax(0,(dist - Victims.CollisionRadius)/DamageRadius);
			if (Instigator == None || Instigator.Controller == None)
				Victims.SetDelayedDamageInstigatorController(InstigatorController);
			if (FOPawn(Instigator) != None)
				damageScale = FOPawn(Instigator).ModifyNapalmDamageDone(damagescale);
			Victims.TakeDamage
			(
				damageScale * DamageAmount,
				Instigator,
				Victims.Location - 0.5 * (Victims.CollisionHeight + Victims.CollisionRadius) * dir,
				(damageScale * Momentum * dir),
				DamageType
			);
			if (Vehicle(Victims) != None && Vehicle(Victims).Health > 0)
				Vehicle(Victims).DriverRadiusDamage(DamageAmount, DamageRadius, InstigatorController, DamageType, Momentum, HitLocation);

		}
	}

	bHurtEntry = false;
}

defaultproperties
{
	PickupMessage="Picked up a Napalm Grenade"
	PickupSound=Sound'PickupSounds.AssaultRiflePickup'
	PickupForce="AssaultRiflePickup"  // jdf
	InventoryType=class'FragOps.Weapon_GrenadeIncinerator'	
	Skins(0)=Texture'FOPickupSkins.incinpickupskin'

	MaxDesireability=+0.4

	CollisionHeight=+6.4
	CollisionRadius=+6.4
	StaticMesh=StaticMesh'FOPickupSMs.sms.smokenade_sm'
	DrawType=DT_StaticMesh
	DrawScale=1.4
}