//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_GrenadeSmokeYelRollProj extends Weapon_GrenadeSmokeYelProj;

simulated function HitWall( vector HitNormal, actor Wall )
{
	SetPhysics(PHYS_Falling);
	Velocity = 0.8 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
	RandSpin(50000);
	Speed = VSize(Velocity);

	if (Speed < 40 && !bTimerSet)
	{
		bBounce = false;
		if (Trail != None)
			Trail.mRegen = false; // stop the emitter from regenerating

		if (SmokeGenerator == None)
			SmokeGenerator = spawn(class'Effect_GrenadeSmokeYelGen',self,, Location, rotator(vect(0,0,1)));

		SetTimer(GrenExplodeTimer, false); 
		bTimerSet = true;
	}
	else
	{
		if ( (Level.NetMode != NM_DedicatedServer) && (Speed > 250) )
			PlaySound(ImpactSound,SLOT_Misc,0.45,,450,0.9);
		if ( !Level.bDropDetail && (Level.DetailMode != DM_Low) && (Level.TimeSeconds - LastSparkTime > 0.5) && EffectIsRelevant(Location,false) )
		{
			Spawn(HitEffectClass,,, Location, Rotator(HitNormal));
			LastSparkTime = Level.TimeSeconds;
		}
	}
}

defaultproperties
{
	Speed=700.0
	MaxSpeed=1000.0
	TossZ=10.0
	GravityDampen=40.0
}