//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Base grenade throwing firemode.
//=============================================================================
class Weapon_GrenadeThrow extends ProjectileFire_Base;

var Weapon_GrenadeBase mGrenade;

function PlayPreFire() {}
function PlayFireEnd() {}

simulated function bool AllowFire()
{
	return ((mGrenade.AmmoAmount(0) > 0 || mGrenade.AmmoAmount(1) > 0) && !Instigator.Controller.IsInState('PreRound') && !Instigator.Controller.IsInState('Building') && Instigator.Controller != None); 
}

simulated function bool NewAllowFire()
{
	return (mGrenade.bPrimed && !Instigator.Controller.IsInState('PreRound') && !Instigator.Controller.IsInState('Building'));
}

event ModeHoldFire()
{
	local int i;
	mGrenade.HoldStartTime = Level.TimeSeconds;
	if (mGrenade.Role == ROLE_Authority)
		mGrenade.ConsumeAmmo(0, Load);

	Instigator.SetAnimAction(FOPawn(Instigator).GrenadePrimeAnim);

	// for spectators
	for (i=0;i<FOPawn(Instigator).SpectatorControllers.Length;i++)
	{
		if (FOPawn(Instigator).SpectatorControllers[i] != None)
			FOPawn(Instigator).SpectatorControllers[i].ClientGrenadePrime();
	}

	mGrenade.bPrimed = true;
	mGrenade.PrimedMode = ThisModeNum;
	Super.ModeHoldFire();
}

simulated function PlayStartHold()
{
	mGrenade.bShowCharge = true;
	mGrenade.PlayAnim(mGrenade.PrimeAnim, mGrenade.PrimeAnimRate, 0.0);
	mGrenade.bPlayIdleEmpty = true;

	// we want to make sure you cant't switch away when it's primed
	mGrenade.bForceStay = true;
	mGrenade.bForceSwitch = false;
}

function DoFireEffect()
{
	mGrenade.GotoState('DoPreThrow','Begin');
}

simulated function PlayFiring()
{
	if (Level.TimeSeconds - mGrenade.HoldStartTime < mGrenade.PrimeTime)
		mGrenade.SetTimer((mGrenade.PrimeTime-HoldTime), false);
	else
		mGrenade.PlayThrow();
}

defaultproperties
{
	AmmoPerFire=1
	AimError=0

	FireAnim=Throw
	FireAnimRate=1.2
	FireEndAnim=None
	FireLoopAnim=None
	FlashEmitterClass=None
	ProjSpawnOffset=(X=25,Y=10,Z=2.5)
	FireForce="AssaultRifleAltFire"  // jdf

	PreFireTime=0.0
	FireRate=0.8
	MaxHoldTime=0.f
	bModeExclusive=true
	bFireOnRelease=true
	bSplashDamage=true
	bRecommendSplashDamage=true
	BotRefireRate=0.25
	bTossed=true
}