//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_KnifeAttachment extends Weapon_MacheteAttachment;

var bool bFiredLast;

function InitFor(Inventory I)
{
	Super.InitFor(I);
	bIsAkimbo = (Weapon_Base(I).IsAkimbo());
}

simulated function PostNetBeginPlay()
{
	if (!bIsAkimbo)
		Super.PostNetBeginPlay();
}

simulated event ThirdPersonEffects()
{
	if (Level.NetMode == NM_DedicatedServer)
		return;
	
	if (MasterAttachment != None && bFiredLast)
	{
		MasterAttachment.ThirdPersonEffects();
		bFiredLast = false;
	}
	else
	{
		Super.ThirdPersonEffects();
		bFiredLast = true;
	}
}

simulated function PlayFireSound(int ModeNum)
{
	local float RandSeed;
	local sound FireSound;

	if (Instigator.Weapon != None)
		return;

	RandSeed = FRand();

	if (RandSeed < 0.33)
		FireSound = sound'FOWeaponSounds.Machete.OverHead';
	else if (RandSeed < 0.66)
		FireSound = sound'FOWeaponSounds.Machete.RightSlash';
	else
		FireSound = sound'FOWeaponSounds.Machete.LeftSlash';

	PlaySound(FireSound,SLOT_Interact,TransientSoundVolume*1.4,,80.0,1.5,false);
}

defaultproperties
{
	WeaponClass=class'Weapon_KnifeAkimbo'
	Mesh=mesh'pickups.knife3rd'
}