//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_KnifePickup extends Weapon_MachetePickup;

var bool bGaveAkimbo;

function inventory SpawnCopy( pawn Other )
{
	local inventory Copy;
	local weapon CompWeapon;

	bGaveAmmo = false;

	if (Other.Inventory != None)
		CompWeapon = FOPawn(Other).FindWeapon(InventoryType.Default.InventoryGroup);

	// stop grenade pickups in war with a LAW
	if ((CompWeapon != None && War_Weapon_LAWBase(CompWeapon) != None && InventoryType.Default.InventoryGroup == 4) || (CompWeapon != None && (Weapon_GrenadeBase(CompWeapon) != None || FOPawn(Other).FindWeapon(5) != None) && class<War_Weapon_LAWBase>(InventoryType) != None))
		return None;

	if (CompWeapon != None && ((InventoryType.Default.InventoryGroup == 4 && class<War_Weapon_LAWBase>(InventoryType) == None && FOPawn(Other).FindWeapon(4) == None && FOPawn(Other).FindWeapon(5) == None) || (InventoryType.Default.InventoryGroup != 4)))
	{
		if (Weapon_Base(CompWeapon).Default.StaticName ~= class<Weapon_Base>(InventoryType).Default.StaticName)
		{
				while (NumClips[0] > 0 && Weapon_Base(CompWeapon).GetAmmo(0).NumClips < Weapon_Base(CompWeapon).GetAmmo(0).Default.MaxClips)
				{
					NumClips[0]--;
					Weapon_Base(CompWeapon).GetAmmo(0).NumClips++;
					bGaveAmmo = true;
				}
				while (NumClips[1] > 0 && Weapon_Base(CompWeapon).GetAmmo(1).NumClips < Weapon_Base(CompWeapon).GetAmmo(1).Default.MaxClips)
				{
					NumClips[1]--;
					Weapon_Base(CompWeapon).GetAmmo(1).NumClips++;
					bGaveAmmo = true;
				}
				if (bGaveAmmo)
					AnnouncePickup(Other);
		}
		return None;
	}

	Copy = spawn(InventoryType,Other,,,rot(0,0,0));
	if (Copy.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) != None)
	{
		if (FOPawn(Other).FindWeapon(5) != None)
		{
			Copy.Destroy();
			return None;
		}
		Copy.InventoryGroup = 5;
	}
	Copy.GiveTo(Other, self);
	FOPawn(Other).EquipList[(Copy.InventoryGroup-1)] = class<Weapon_Base>(InventoryType);
	
	if (Weapon(Copy) != None && Weapon_Base(Copy).GetAmmo(0) != None)
	{
		AnnouncePickup(Other);
		Destroy();
	}
	return Copy;
}

/*function inventory SpawnCopy( pawn Other )
{
	local inventory Copy;
	local weapon CompWeapon;

	bGaveAmmo = false;

	if (Other.Inventory != None)
		CompWeapon = FOPawn(Other).FindWeapon(InventoryType.Default.InventoryGroup);

	if (Weapon_FistsBase(CompWeapon) != None)
	{
		Weapon_Base(CompWeapon).DestroyWeapon();
		CompWeapon = None;
	}

	if (CompWeapon != None && Weapon_KnifeAkimbo(CompWeapon) != None && !Weapon_KnifeAkimbo(CompWeapon).bIsAkimbo)
	{
		FOPawn(Other).AttachList[InventoryType.Default.InventoryGroup-1] = class'Weapon_KnifeAkimbo';
		Weapon_KnifeAkimbo(CompWeapon).SpawnSlave(0,0);
		bGaveAkimbo = true;
		AnnouncePickup(Other);
		Destroy();
		return None;
	}
	else if (CompWeapon != None && ((InventoryType.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) == None && FOPawn(Other).FindWeapon(5) == None) || (InventoryType.Default.InventoryGroup != 4)))
		return None;

	Copy = spawn(InventoryType,Other,,,rot(0,0,0));
	Copy.GiveTo(Other, self);
	FOPawn(Other).EquipList[(Copy.Default.InventoryGroup-1)] = class<Weapon_Base>(InventoryType);
	
	if (Weapon(Copy) != None)
	{
		AnnouncePickup(Other);
		Destroy();
	}
	return Copy;
}

static function string GetLocalString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2
	)
{
	local class<weapon_base> TempWeaponClass;

	if (Switch == 0)
		return Default.PickupMessage;
	else if (Switch == 1)
	{
		TempWeaponClass = class<Weapon_Base>(Default.InventoryType);
		return "Picked up"@TempWeaponClass.Default.StaticName@"ammo";
	}
	else if (Switch == 2)
		return "Picked up another Knife";
}

function AnnouncePickup( Pawn Receiver )
{
	if (!bGaveAmmo && !bGaveAkimbo)
		Receiver.HandlePickup(self);
	else if (!bGaveAkimbo)
		FOPawn(Receiver).HandleAmmoPickup(self);
	else if (Receiver.Controller != None && FOPlayer(Receiver.Controller) != None)
		FOPlayer(Receiver.Controller).ReceiveLocalizedMessage(MessageClass,2,,,Class);

	PlaySound( PickupSound,SLOT_Interact ); 
}*/

defaultproperties
{
	InventoryType=class'FragOps.Weapon_KnifeAkimbo'
	PickupMessage="Picked up a Combat Knife"
	StaticMesh=StaticMesh'FOPickupSMs.knife_sm'
	DrawScale=0.3
	CollisionHeight=+8.0
}