class Weapon_KnifeStab extends Weapon_MacheteSwing;

var bool bDestroying;

simulated function bool AllowFire()
{
	return (Super.AllowFire() && !Weapon.IsInState('Lunging') && FOPlayer(Instigator.Controller) != None && Instigator.Physics == PHYS_Walking && !Instigator.bIsCrouched);
}

function DoFireEffect()
{
	Weapon.GoToState('Lunging','Begin');
}

function DoDelayedFireEffect()
{
	ClashPoint = Rand(MaxIntervals);
	SwingType = 0;
	FireLevel = 0;
	bIsStabbing = true;
	Weapon_MacheteBase(Weapon).LastFireMode = ThisModeNum;
	Weapon_MacheteBase(Weapon).LastInterval = StabIntervals[FireLevel+(SwingType*MaxIntervals)];
	Weapon.GotoState('Stabbing','Begin');
}

function DoStabEffect()
{
	Super.DoStabEffect();
	if (!bDestroying && Weapon != None && FireLevel == (MaxIntervals-1))
		Weapon_KnifeBase(Weapon).DestroyKnife(false);
}

function PlayFiring()
{
	Super(FireMode_Base).PlayFiring();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume,,,1.0,false);
}

function NotifyHit(FOPawn HitPawn, name HitBone, vector HitNormal)
{
	local Weapon_KnifeStuck Stuck;
	local rotator StuckRot;

	if (bDestroying || HitPawn.Health <= 0)
		return;
	
	bDestroying = true;
	bIsStabbing = false;
	Stuck = Weapon.Spawn(class'Weapon_KnifeStuck',None);
	if (Stuck != None)
	{
		Stuck.SetRotation(rotator(-HitNormal));
		HitPawn.AttachToBone(Stuck, HitBone);
		Stuck.Instigator = HitPawn;
		if (HitBone == 'headshot')
			Stuck.SetRelativeLocation(vect(0,8,0));
		else
			Stuck.SetRelativeLocation(vect(0,4,0));
		StuckRot.Yaw = -16384;
		Stuck.SetRelativeRotation(StuckRot);
	}
	Weapon_KnifeBase(Weapon).DestroyKnife(true);
}

defaultproperties
{
	FireSound=sound'FOWeaponSounds.Machete.OverHead'
	WeaponDamage=300
	WeaponRange=66   // let the knife stab just slightly in front of the player
	DeadBulletRange=66    // we don't want to do damage reduction here
	FireAnim=LungeMiss
	FireLoopAnim=None
	FireAnimRate=1.5
	FireRate=2.0

	MaxIntervals=3
	
	// blade offsets -- forward slash
	StabIntervals(0)=0.10
	StabIntervals(1)=0.04
	StabIntervals(2)=0.045
	BladeTraceOffset(0)=(Y=0.0,X=0.0,Z=-1.0)
	BladeTraceOffset(1)=(Y=0.0,X=1.0,Z=-2.0)
	BladeTraceOffset(2)=(Y=0.0,X=1.0,Z=-3.0)

	bWaitForRelease=true
}