//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_KnifeSwing extends Weapon_MacheteSwing;

function PlayFiring()
{
	if (Instigator != None && Instigator.Controller != None && Instigator.IsHumanControlled())
	{
		switch(FOPlayer(Instigator.Controller).SlashDirection)
		{
			// fixme
			case 0:
				FireAnim = 'slasha';
				FireLoopAnim = 'slasha';
				FireLoopAnimRate = 1.1;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.OverHead';
				break;

			// left slash
			case 1:
				FireAnim = 'slasha';
				FireLoopAnim = 'slasha';
				FireLoopAnimRate = 1.1;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.RightSlash';
				break;

			// right slash
			case 2:
				FireAnim = 'slashb';
				FireLoopAnim = 'slashb';
				FireLoopAnimRate = 1.1;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.LeftSlash';
				break;
		}
	}
	Super(FireMode_Base).PlayFiring();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.5,,,1.5,false);
}

defaultproperties
{
	FlashEmitterClass=class'Effect_BladeTrailSmall'
	WeaponDamage=22
	WeaponRange=55   // let the knife stab just slightly in front of the player
	DeadBulletRange=65    // we don't want to do damage reduction here
	
	FireAnimRate=1.0
	FireAnim=slasha
	FireRate=0.32
	FireLoopAnim=slasha
	FireLoopAnimRate=1.0
	
	// blade offsets -- forward slash
	StabIntervals(0)=0.08
	StabIntervals(1)=0.02
	StabIntervals(2)=0.01
	StabIntervals(3)=0.02
	BladeTraceOffset(0)=(Y=0.0,X=0.0,Z=2.0)
	BladeTraceOffset(1)=(Y=0.0,X=0.0,Z=0.0)
	BladeTraceOffset(2)=(Y=0.0,X=0.0,Z=-2.0)
	BladeTraceOffset(3)=(Y=0.0,X=0.0,Z=-5.0)

	// blade offsets -- left slash
	StabIntervals(4)=0.02
	StabIntervals(5)=0.02
	StabIntervals(6)=0.02
	StabIntervals(7)=0.01
	BladeTraceOffset(4)=(Y=3.0,X=0.0,Z=1.0)
	BladeTraceOffset(5)=(Y=0.0,X=0.0,Z=-1.0)
	BladeTraceOffset(6)=(Y=-2.0,X=0.0,Z=-2.0)
	BladeTraceOffset(7)=(Y=-4.0,X=0.0,Z=-4.0)

	// blade offsets -- right slash
	StabIntervals(8)=0.05
	StabIntervals(9)=0.02
	StabIntervals(10)=0.02
	StabIntervals(11)=0.01
	BladeTraceOffset(8)=(Y=-3.0,X=0.0,Z=1.0)
	BladeTraceOffset(9)=(Y=-2.0,X=0.0,Z=0.0)
	BladeTraceOffset(10)=(Y=0.0,X=0.0,Z=-2.0)
	BladeTraceOffset(11)=(Y=1.0,X=0.0,Z=-4.0)

	bWaitForRelease=true
}