//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_LAWGuidedProj extends Weapon_LAWProj;

var Actor Seeking;
var vector InitialDir;

replication
{
	reliable if ((bNetInitial) && (Role==ROLE_Authority))
		Seeking, InitialDir;
}

simulated function Timer()
{
	local vector ForceDir;
	local float VelMag;

	if (InitialDir == vect(0,0,0))
		InitialDir = Normal(Velocity);
	 
	Acceleration = vect(0,0,0);

	if (bSoftLaunch)
	{
		bSoftLaunch = false;
		Super.Timer();
	}
	if ((Seeking != None) && (Seeking != Instigator)) 
	{
		// Do normal guidance to target.
		ForceDir = Normal(Seeking.Location - Location);
		
		if ((ForceDir Dot InitialDir) > 0)
		{
			VelMag = VSize(Velocity);
		
			ForceDir = Normal(ForceDir * 0.5 * VelMag + Velocity);
			Velocity =  VelMag * ForceDir;  
			Acceleration += 5 * ForceDir; 
		}
		// Update rocket so it faces in the direction its going.
		SetRotation(rotator(Velocity));
		SetTimer(0.25,false);
	}
}

defaultproperties
{
}