//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_M4Base extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="Commando"
	StaticName="Commando"
	InventoryGroup=3
	WeaponType=Rifle
	GunAttachment[0]=class'Weapon_M4Scope'
	GunDesc="COST: $350|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=1325
    
	// CXP reqs
	CXPReq=70

	// firemodes, types
	NumFireTypes=3
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="3 Shot"
	FireTypeNames(2)="Semi"
	FireModeClass(0)=Weapon_M4Fire
	FireModeClass(1)=Weapon_M4FireNull

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	Priority=3
	
	// reload, bob, burst timings
	ReloadTime=2.8
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	
	// 3rd person
	PickupClass=class'Weapon_M4Pickup'
	AttachmentClass=class'Weapon_M4Attachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_shell
	SmokeBone=Bone_smoke	

	// 1st person
	Mesh=mesh'FORifles.M4'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_m4bare'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-13.4,Y=-9.0,Z=3.7)
	PlayerViewPivot=(Pitch=490,Roll=-1100,Yaw=18100)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=3.5,Z=0)
}