//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_M4Fire extends FireMode_Base;

simulated event ModeDoFire()
{
	if (AllowFire() && Weapon_Base(Weapon).CurrentFireType == 2 && !Weapon.IsInState('Burst'))
		Weapon.GotoState('Burst','Begin');
	Super.ModeDoFire();
}

simulated function InitEffects()
{
	Super.InitEffects();
	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.3,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	AmmoClass=class'Ammo_M4_556mm'
	AmmoPerFire=1
	DamageType=class'DamType_M4ar'
	WeaponDamage=20
	bPawnRapidFireAnim=true

	ReloadSound=Sound'FOWeaponSounds.M4.ComancheReload'
	ReloadAnim=Reload
	ReloadAnimRate=1.0
	ReloadVolume=2.0

	FireAnim=Fire
	FireAnimRate=2.0
	FireEndAnim=None
	FireLoopAnim=Fire
	FireLoopAnimRate=2.0

	FlashEmitterClass=class'Effect_M4MuzFlash'
	SmokeEmitterClass=class'Effect_M4MuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjector556First'

	FireSound=Sound'FOWeaponSounds.M4.ComancheFire'
	FireForce="AssaultRifleFire"   // jdf
	
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	WeaponRange=2000   // maximum effective range for this gun
	DeadBulletRange=10000    // distance bullet travels before its actor is destroyed
	WeaponDamageShrink=300   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.002  // best to leave this at 0 for now
	SpreadStyle=SS_Random
	AimError=600  // leave at 0 i guess, till i find a use for it
	FireRate=0.097
	RecoilSize=390

	PreFireTime=0.0

	bModeExclusive=true
	BotRefireRate=0.99
}
