//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_M4Scope extends Weapon_M4Base
	HideDropDown
	CacheExempt;

simulated event RenderOverlays( Canvas Canvas )
{
	if (bScopeZoomed && !IsReloading() && !FragOps_GRI(PlayerController(Instigator.Controller).GameReplicationInfo).bPreRound )
	{
		Canvas.SetPos(0, 0);
		Canvas.DrawTile(ScopeHUDTex, Canvas.ClipX, Canvas.ClipY, 0, 0, 1024, 1024);
		SetLocation(Instigator.Location);
	}
	else
	{
		if (bScopeZoomed)
		{
			ServerSetZoom(0);
			bScopeZoomed = false;
			SetScope();
		}
		Super.RenderOverlays(Canvas);
	}
}

simulated function bool PutDown()
{
	if (Instigator.Controller.IsA('PlayerController') && Instigator.IsLocallyControlled())
	{
		ServerSetZoom(0);
		bScopeZoomed = false;
		SetScope();
	}

	if (Super.PutDown()) 
	{
		return true;
	}
	return false;
}

simulated function ClientWeaponThrown()
{
	if( (Instigator != None) && (PlayerController(Instigator.Controller) != None) )
	{
		bScopeZoomed = false;
		SetScope();
	}
	Super.ClientWeaponThrown();
}

simulated function ClientStartFire(int mode)
{
	if (Instigator.Controller.IsInState('PreRound') || IsReloading() || Instigator.Controller.IsInState('GameEnded'))
		return;
	if (mode == 1)
	{
		if (Instigator.HeadVolume != None && Instigator.HeadVolume.bWaterVolume)
			return;

		FireMode[mode].bIsFiring = true;
		if (Instigator.Controller.IsA('PlayerController'))
		{
			bScopeZoomed = !bScopeZoomed;
			SetScope();
			if (bScopeZoomed)
				ServerSetZoom(1);
			else
				ServerSetZoom(0);
			PlayOwnedSound(Sound'FOWeaponSounds.Misc.ZoomClick',SLOT_Pain,TransientSoundVolume,,,,false);
		}
	}
	else
		Super.ClientStartFire(mode);
}

simulated function ClientStopFire(int mode)
{
	if (mode == 1)
		FireMode[mode].bIsFiring = false;
	else
		Super.ClientStopFire(mode);
}

defaultproperties
{
	// CXP reqs
	CXPReq=100
	
	ScopeHUDTex=FinalBlend'FOMisc.HUD.aimpoint_fb'
	//ScopeDownAnim=downscope
	//ScopeDownAnimRate=1.2
	ZoomMultiple=0.72
	GunDesc="COST: $50|+ZOOM"
	GunCost=75
	ItemName="Commando (Scope)"
	AttachName="scope"
	AttachmentClass=class'FragOps.Weapon_M4ScopeAttach'
	Mesh=mesh'FORifles.M4_Scope'
	FireModeClass(1)=Weapon_M4ScopeFire
	BaseWeaponClass=class'Weapon_M4Base'
	PickupClass=class'FragOps.Weapon_M4ScopePickup'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_m4scope'
}