//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
#exec OBJ LOAD FILE=mpfive.utx

class Weapon_MP5Base extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="MG5-SR"
	StaticName="MG5-SR"
	InventoryGroup=3
	WeaponType=SMG
	GunAttachment[0]=class'Weapon_MP5TacLight'
	GunAttachment[1]=class'Weapon_MP5Scope'
	GunAttachment[2]=class'Weapon_MP5Stalker'
	GunDesc="COST: $350|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=800
    
	// CXP reqs
	CXPReq=20

	// firemodes, types
	NumFireTypes=3
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="3 Shot"
	FireTypeNames(2)="Semi"
	FireModeClass(0)=Weapon_MP5Fire
	FireModeClass(1)=Weapon_MP5FireNull

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	Priority=3
	
	// reload, bob, burst timings
	ReloadTime=2.5
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	
	// 3rd person
	PickupClass=class'Weapon_MP5Pickup'
	AttachmentClass=class'Weapon_MP5Attachment'
	TracerBone=Bone_Flash
	ShellBone=Bine_Shell
	SmokeBone=Bone_Smoke
	
	// 1st person
	Mesh=mesh'FOSMGs.MP5_Bare'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_mp5'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-4.0,Y=-8.8,Z=4.6)
	PlayerViewPivot=(Pitch=250,Roll=-1200,Yaw=18300)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.2
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-1,Z=0)
}