//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP5Fire extends FireMode_Base;

simulated event ModeDoFire()
{
	if (AllowFire() && Weapon_Base(Weapon).CurrentFireType == 2 && !Weapon.IsInState('Burst'))
		Weapon.GotoState('Burst','Begin');
	Super.ModeDoFire();
}

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.8,,,Default.FireAnimRate/FireAnimRate,false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_MP5_9mm'
	AmmoPerFire=1
	DamageType=class'DamType_MP5SR'
	Spread=0.000
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponDamage=18  // default damage for this gun
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=2550   // maximum effective range for this gun
	RecoilSize=390  // amount of recoil for weapon
	DeadBulletRange=3800    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.MP5SR.MP5Reload'
	ReloadVolume=2.0
	ReloadAnim=reload
	ReloadAnimRate=1.1

	// firing -- data
	FireRate=0.091
	bWaitForRelease=false
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=1.0
	FireEmptyAnim=lastround
	FireEmptyAnimRate=1.0
	FireEndAnim=None
	FireLoopAnim=Fire
	FireLoopAnimRate=1.0
	FireSound=Sound'FOWeaponSounds.MP5SR.MP5Fire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=true

	// effect emitters
	FlashEmitterClass=class'Effect_MP5MuzFlash'
	SmokeEmitterClass=class'Effect_MP5MuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjectorFirst'

	// AI
	AimError=500
	BotRefireRate=0.99
}