//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP7Akimbo extends Weapon_MP7Base
	HideDropDown
	CacheExempt;

var bool bNoRender, bNoRenderSlave;
var actor AkimboThirdPersonActor;

simulated function IncrementFlashCount(int Mode)
{
	local int i;
	
	if (AkimboThirdPersonActor != None)
	{
		for (i=0;i<FOPawn(Instigator).SpectatorControllers.Length;i++)
		{
			if (FOPawn(Instigator).SpectatorControllers[i] != None)
			{
				if (bFiredLast)
					FOPawn(Instigator).SpectatorControllers[i].ClientAkimboFire(Mode);
				else
					FOPawn(Instigator).SpectatorControllers[i].ClientFire(Mode);
			}
		}
		AkimboThirdPersonActor.NetUpdateTime = Level.TimeSeconds - 2;
		NetUpdateTime = Level.TimeSeconds - 1;
		xWeaponAttachment(AkimboThirdPersonActor).FlashCount++;
		if (WeaponAttachment(ThirdPersonActor) != None)
		{
			if (Mode == 0)
				WeaponAttachment(ThirdPersonActor).FiringMode = 0;
			else
				WeaponAttachment(ThirdPersonActor).FiringMode = 1;
			ThirdPersonActor.NetUpdateTime = Level.TimeSeconds - 2;
			WeaponAttachment(ThirdPersonActor).FlashCount++;
			WeaponAttachment(ThirdPersonActor).ThirdPersonEffects();
		}
	}
	else
		Super.IncrementFlashCount(Mode);
}

simulated function ZeroFlashCount(int Mode)
{
	if (AkimboThirdPersonActor != None )
	{
		if (Mode == 0)
			WeaponAttachment(AkimboThirdPersonActor).FiringMode = 0;
		else
			WeaponAttachment(AkimboThirdPersonActor).FiringMode = 1;
		AkimboThirdPersonActor.NetUpdateTime = Level.TimeSeconds - 1;
		WeaponAttachment(AkimboThirdPersonActor).FlashCount = 0;
		WeaponAttachment(AkimboThirdPersonActor).ThirdPersonEffects();
	}
	Super.ZeroFlashCount(Mode);
}

function SpawnSlave(int AddedAmmo, int AddedClips, optional bool bWasBought, optional bool bAutoSwitch)
{
	if (Instigator.Weapon == self)
		AttachSlaveToPawn(Instigator);
	bIsAkimbo = true;
	if (!bWasBought)
	{
		Ammo_AkimboBase(Ammo[0]).AmmoSec = AddedAmmo;
		Ammo_Base(Ammo[0]).NumClips = Clamp(Ammo_Base(Ammo[0]).NumClips+AddedClips, 0, Ammo_Base(Ammo[0]).MaxClips);
	}
}

function KillSlave()
{
	bIsAkimbo = false;
	if (GetAmmo(0) != None)
		Ammo_AkimboBase(GetAmmo(0)).AmmoSec = 0;
	DetachSlaveFromPawn(Instigator);
}

function AttachSlaveToPawn(Pawn P)
{
	local name BoneName;

	if (AkimboThirdPersonActor != None || ThirdPersonActor == None)
		return;

	AkimboThirdPersonActor = Spawn(AkimboAttachmentClass,Owner);
	InventoryAttachment(AkimboThirdPersonActor).InitFor(self);

	BoneName = 'lefthand';
	P.AttachToBone(AkimboThirdPersonActor,BoneName);

	// for dual muzzle flashes
	Attachment_Base(ThirdPersonActor).MasterAttachment = Attachment_Base(AkimboThirdPersonActor);
	Attachment_Base(AkimboThirdPersonActor).MasterAttachment = Attachment_Base(ThirdPersonActor);
	Attachment_Base(AkimboThirdPersonActor).SetAttachProps(FOPawn(Instigator));
}

function DetachSlaveFromPawn(Pawn P)
{
	if (AkimboThirdPersonActor != None)
	{
		AkimboThirdPersonActor.Destroy();
		AkimboThirdPersonActor = None;
	}
	FOPawn(Instigator).WeaponAttachment = xWeaponAttachment(ThirdPersonActor);
}

function DropFrom(vector StartLocation)
{
	local bool bJustDroppedSlave;
	
	if (bIsAkimbo)
	{
		DropSlave(StartLocation);
		bJustDroppedSlave = true;
	}
	if ((!bIsAkimbo && !bJustDroppedSlave) || Instigator == None || Instigator.Health <= 0)
		Super.DropFrom(StartLocation);
}

function DropSlave(vector StartLocation)
{
	local Pickup Pickup;

	if ((!bCanThrow && Instigator != None && Instigator.Health >= 0) || !Default.bCanThrow || ((Instigator == None || Instigator.Health <= 0) && FragOpsGame(Level.Game).PreRoundTime > 0))
		return;

	if (ZoomLevel > 0)
		ZoomLevel = 0;

	FOPawn(Instigator).AttachList[InventoryGroup-1] = None;

	if (Instigator != None)
		DetachSlaveFromPawn(Instigator);

	Pickup = Spawn(PickupClass,,, StartLocation);
	if (Pickup != None)
	{
		Pickup.InitDroppedPickupFor(self);
		Pickup.Velocity = Velocity*(FRand()+1.0);
		if (Instigator.Health > 0)
			WeaponPickup(Pickup).bThrown = true;
	}

	if (GetAmmo(0) != None)
		Ammo_AkimboBase(GetAmmo(0)).AmmoSec = 0;

	bIsAkimbo = false;
}

function AttachToPawn(Pawn P)
{
	Super.AttachToPawn(P);
	if (bIsAkimbo)
		AttachSlaveToPawn(P);
}

function DetachFromPawn(Pawn P)
{
	if (bIsAkimbo)
		DetachSlaveFromPawn(P);
	Super.DetachFromPawn(P);
}

function GiveTo(Pawn Other, optional Pickup Pickup)
{
	Super.GiveTo(Other,Pickup);
	if (FOPawn(Other).AttachList[InventoryGroup-1] != None)
		bIsAkimbo = true;
	if (bIsAkimbo && !bDontSwitchNow)
		AttachSlaveToPawn(Other);
}

simulated event RenderOverlays(Canvas Canvas)
{
	if (!bNoRender)
		Super.RenderOverlays(Canvas);
	if (SlaveWeapon != None)
	{
		if ((!SlaveWeapon.bNoRender || SlaveWeapon.GetAnimSeq() == PutDownAnim) && !bNoRenderSlave)
			SlaveWeapon.RenderOverlays(Canvas);
		SlaveWeapon.DrawSlaveInfo(Canvas);
	}
}

simulated function Destroyed()
{
	Super.Destroyed();
	if (SlaveWeapon != None)
		SlaveWeapon.Destroy();
	if (AkimboThirdPersonActor != None)
		AkimboThirdPersonActor.Destroy();
}

simulated function BringUp(optional Weapon PrevWeapon)
{
	local int Mode;

	if (ClientState == WS_Hidden)
	{
		PlayOwnedSound(SelectSound, SLOT_Interact,,,,, false);
		ClientPlayForceFeedback(SelectForce);  // jdf

		if (Instigator.IsLocallyControlled() || bDemoOwner)
		{
			// better way to tell the HUD we've switched guns
			if (FOBot(Instigator.Controller) == None)
			{
				Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD).CurWeaponName = GetHumanReadableName();
				Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD).CurInventoryGroup = InventoryGroup;
			}
			if (HasAnim(SelectAnim) && FOBot(Instigator.Controller) == None)
				PlayAnim(SelectAnim, SelectAnimRate, 0.0);
	        }

		ClientState = WS_BringUp;
		SetTimer(0.45, false);
	}
	NewBringUpTime = Level.TimeSeconds;
	bUp = true;
	for (Mode=0;Mode < NUM_FIRE_MODES;Mode++)
	{
		FireMode[Mode].bIsFiring = false;
		FireMode[Mode].HoldTime = 0.0;
		FireMode[Mode].bServerDelayStartFire = false;
		FireMode[Mode].bServerDelayStopFire = false;
		FireMode[Mode].bInstantStop = false;
	}
	if ( (PrevWeapon != None) && !PrevWeapon.bNoVoluntarySwitch )
		OldWeapon = PrevWeapon;
	else
		OldWeapon = None;

	// slave handling
	if (SlaveWeapon != None && !SlaveWeapon.bLatentBringUp && SlaveWeapon.GetAnimSeq() != SelectAnim)
	{
		SlaveWeapon.bNoRender = true;
		SlaveWeapon.BringUp();
	}
}

simulated function bool PutDown()
{
	if (!Super.PutDown())
		return false;

	if (SlaveWeapon != None)
	{
		SlaveWeapon.PutDown();
		SlaveWeapon.bNoRender = true;
	}

	return true;
}

simulated function bool HasAmmo()
{
	return (Ammo[0] != None && (Ammo[0].AmmoAmount >= 1 || (IsAkimbo() && Ammo_AkimboBase(GetAmmo(0)).AmmoSec >= 1)));
}


simulated state ReloadWeapon
{
	simulated function BeginState()
	{
		local FireMode_Base FOFireClass;

		// setup
		bIsReloading = true;
		FOPawn(Instigator).bIsReloading = true;
		bCanThrow = false;

		// 3rd person animation, both server and client
		Instigator.SetAnimAction('Weapon_Switch');

		if (Instigator.IsLocallyControlled())
		{
			if (FireMode[0].bIsFiring)
				ClientStopFire(0);
			if (FireMode[1].bIsFiring)
				ClientStopFire(1);
			Instigator.Controller.bFire = 0;
			Instigator.Controller.bAltFire = 0;

			// anim/sound
			PlaySound(FireMode[0].ReloadSound,,FireMode_Base(FireMode[0]).ReloadVolume*TransientSoundVolume*0.82,,100,,false);
			FOFireClass = FireMode_Base(FireMode[0]);
			bPlayIdleEmpty = false;
		}
		// animation fix for demos
		if (Instigator.IsLocallyControlled() || bDemoOwner)
			PlayAnim(FOFireClass.ReloadAnim, FOFireClass.ReloadAnimRate, 0.0);
		// server -- sound
		else if (Level.NetMode == NM_DedicatedServer)
			Instigator.PlayOwnedSound(Sound'WeaponSounds.AssaultRifle.SwitchToAssaultRifle',,FireMode_Base(FireMode[0]).ReloadVolume*TransientSoundVolume,,100,,false);

		// server -- readd ammo
		if (ROLE == ROLE_Authority)
			Ammo_Base(Ammo[0]).ReloadClip();
	}

	simulated function bool IsReloading()
	{
		return true;
	}

	simulated function EndState()
	{
		if (Ammo_AkimboBase(Ammo[0]).AmmoSec == Ammo[0].MaxAmmo || Ammo_Base(Ammo[0]).NumClips <= 0 || SlaveWeapon == None)
		{
			// reset
			bIsReloading = false;
			FOPawn(Instigator).bIsReloading = false;
			if (Default.bCanThrow)
				bCanThrow = true;
			if (FOBot(Instigator.Controller) != None)
				FOBot(Instigator.Controller).DoCharge();
		}

		if (Instigator.PendingWeapon != None)
			Instigator.PendingWeapon = None;
	}

Begin:
	bNoRenderSlave = false;
	if (SlaveWeapon != None && Instigator.IsLocallyControlled())
		SlaveWeapon.PlayAnim(PutDownAnim, PutDownAnimRate, 0.05);
	sleep(0.33);
	if (Instigator.IsLocallyControlled() && SlaveWeapon != None)
		bNoRenderSlave = true;
	sleep(ReloadTime-0.38);
	if (Instigator.IsLocallyControlled() && bNoRenderSlave)
	{
		bNoRenderSlave = false;
		if (SlaveWeapon != None)
			SlaveWeapon.PlayAnim(SelectAnim, SelectAnimRate, 0.0);
	}
	if (Ammo_AkimboBase(Ammo[0]).AmmoSec == Ammo[0].MaxAmmo || Ammo_Base(Ammo[0]).NumClips <= 0 || !bIsAkimbo)
	{
		if (Instigator.IsLocallyControlled())
			PlayIdle();
		GotoState('');
	}
	else
		GotoState('BeginReloadSec','Begin');
}

simulated state BeginReloadSec
{
	simulated function BeginState()
	{
		// setup
		bIsReloading = true;
		FOPawn(Instigator).bIsReloading = true;
		bCanThrow = false;

		// 3rd person animation, both server and client
		Instigator.SetAnimAction('Weapon_Switch');

		if (Instigator.IsLocallyControlled())
		{
			if (FireMode[0].bIsFiring)
				ClientStopFire(0);
			if (FireMode[1].bIsFiring)
				ClientStopFire(1);
		}
		
		if (Instigator.IsLocallyControlled())
		{
			if (FOPlayer(Instigator.Controller) != None && Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD) != None)
				Interface_MainHUD(FOPlayer(Instigator.Controller).MyHUD).CurAmmoPrimary = Ammo[0].MaxAmmo;
			PlayAnim(PutDownAnim, PutDownAnimRate, 0.05);
		}

		if (ROLE == ROLE_Authority)
			Ammo_Base(Ammo[0]).ReloadClip();
	}

	simulated function bool IsReloading()
	{
		return true;
	}

	simulated function bool AkimboIsReloading()
	{
		return true;
	}

	simulated function EndState()
	{
		// reset
		bIsReloading = false;
		FOPawn(Instigator).bIsReloading = false;
		if (Default.bCanThrow)
			bCanThrow = true;
		if (FOBot(Instigator.Controller) != None)
			FOBot(Instigator.Controller).DoCharge();

		if (Instigator.PendingWeapon != None)
			Instigator.PendingWeapon = None;	
	}

Begin:
	sleep(0.33);
	bNoRender = true;
	if (SlaveWeapon != None)
		SlaveWeapon.PlayReload();
	sleep(ReloadTime-0.05);
	bNoRender = false;
	if (Instigator.IsLocallyControlled())
		PlayAnim(SelectAnim, SelectAnimRate, 0.00);
	sleep(0.33);
	if (Instigator.IsLocallyControlled())
		PlayIdle();
	GotoState('');
}

simulated function WeaponTick(float dt)
{
	Super.WeaponTick(dt);

	if (Level.NetMode == NM_DedicatedServer)
		return;
	
	if (bIsAkimbo && SlaveWeapon == None)
		SlaveWeapon = spawn(class'Weapon_SlaveBase',self);
	else if (!bIsAkimbo && SlaveWeapon != None)
		SlaveWeapon.Destroy();
}	

function ServerReload()
{
	if (Ammo[0].AmmoAmount == Ammo[0].MaxAmmo && bIsAkimbo)
	{
		if (Ammo_AkimboBase(Ammo[0]).AmmoSec < Ammo[0].MaxAmmo && Ammo_Base(Ammo[0]).NumClips > 0)
			GotoState('BeginReloadSec','Begin');
		return;
	}
	else if (Ammo[0].AmmoAmount < Ammo[0].MaxAmmo)
		GotoState('ReloadWeapon','Begin');
}

simulated function PlayReload()
{
	if (Ammo[0].AmmoAmount == Ammo[0].MaxAmmo && bIsAkimbo)
	{
		if (Ammo_AkimboBase(Ammo[0]).AmmoSec < Ammo[0].MaxAmmo && Ammo_Base(Ammo[0]).NumClips > 0)
		{
			GotoState('BeginReloadSec','Begin');
			if (Role < ROLE_Authority)
				ServerReload();
		}
		return;
	}
	else if (Ammo[0].AmmoAmount < Ammo[0].MaxAmmo)
	{
		GotoState('ReloadWeapon','Begin');
		if (Role < ROLE_Authority)
			ServerReload();
	}
}

function bool ConsumeAmmo(int Mode, float load, optional bool bAmountNeededIsMax)
{
	if (Ammo[0] != None)
	{
		if (Mode == 0)
			return Ammo[0].UseAmmo(1,false);
		else
			Ammo_AkimboBase(Ammo[0]).AmmoSec -= 1;
		Ammo[0].NetUpdateTime = Level.TimeSeconds - 1;
	}
	return true;
}

simulated function bool IsAkimbo()
{
	return bIsAkimbo;
}

defaultproperties
{
	GunDesc="COST: $25|+RNG"
	GunCost=600
	ItemName="AMP7-PDW"
	AttachName="akimbo"
	BaseWeaponClass=class'Weapon_MP7Base'
	FireModeClass(0)=Weapon_MP7AkimboFire
	FireModeClass(1)=Weapon_MP7FireNull
	AttachmentClass=class'Weapon_MP7Attachment'
	AkimboAttachmentClass=class'Weapon_MP7AkimboAttach'
	AkimboIcon=Material'FOMisc.WeaponHUD.WeapHUD_mp7akimbo'
	bAkimbo=true
}