//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP7Base extends Weapon_Base
	config(User);

simulated function SetFireType(int i)
{
	CurrentFireType = i;

	if (!FireMode[0].Default.bWaitForRelease && CurrentFireType == 1 && NumFireTypes >= 1)
	{
		FireMode[0].bWaitForRelease = false;
		FireMode[0].bNowWaiting = false;
		FireMode[0].FireRate = FireMode[0].Default.FireRate;
	}
	else if (CurrentFireType == 2 && NumFireTypes >= 2)
	{
		FireMode[0].bWaitForRelease = true;
		FireMode[0].bNowWaiting = true;
		FireMode[0].FireRate = FireMode[0].Default.FireRate * 1.1;
	}
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="AMP7-PDW"
	StaticName="AMP7-PDW"
	GunAttachment[0]=class'Weapon_MP7Akimbo'
	InventoryGroup=2
	WeaponType=SMG
	GunDesc="COST: $350|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=600

    	// CXP reqs
	CXPReq=80

	// firemodes, types
	NumFireTypes=2
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="Semi"
	FireModeClass(0)=Weapon_MP7Fire
	FireModeClass(1)=Weapon_MP7FireNull

	// AI
	AIRating=+0.2
	CurrentRating=0.2
	Priority=2
	
	// reload, bob, burst timings
	ReloadTime=1.8
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	
	// 3rd person
	PickupClass=class'Weapon_MP7Pickup'
	AttachmentClass=class'Weapon_MP7Attachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke
	
	// 1st person
	Mesh=mesh'FOMachinePistols.MP7'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_mp7'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-10.1,Y=-4.4,Z=4.7)
	PlayerViewPivot=(Pitch=-80,Roll=-790,Yaw=17725)
	ShellHackOffset=19.0

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-5,Z=0)
}