//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP7Pickup extends FOWeaponPickup;

var bool bGaveAkimbo;

function InitDroppedPickupFor(Inventory Inv)
{
	local Weapon W;
	W = Weapon(Inv);
	if (W != None)
	{
		if (Weapon_Base(W).GetAmmo(0) != None)
		{
			if (Weapon_Base(W).bIsAkimbo)
			{
				AmmoAmount[0] = Ammo_AkimboBase(Weapon_Base(W).GetAmmo(0)).AmmoSec;
				NumClips[0] = 0;
			}
			else
			{
				AmmoAmount[0] = W.AmmoAmount(0);
				NumClips[0] = Weapon_Base(W).GetAmmo(0).NumClips;
			}
		}
	}
	SetPhysics(PHYS_Falling);
	GotoState('NewFallingPickup');
	bAlwaysRelevant = false;
	bOnlyReplicateHidden = false;
	bUpdateSimulatedPosition = true;
	bDropped = true;
	bIgnoreEncroachers = false; // handles case of dropping stuff on lifts etc
}

function inventory SpawnCopy( pawn Other )
{
	local inventory Copy;
	local weapon CompWeapon;

	bGaveAmmo = false;

	if (Other.Inventory != None)
		CompWeapon = FOPawn(Other).FindWeapon(InventoryType.Default.InventoryGroup);
	
	if (CompWeapon != None && Weapon_MP7Akimbo(CompWeapon) != None && !Weapon_Base(CompWeapon).bIsAkimbo && !Weapon_Base(CompWeapon).IsReloading())
	{
		FOPawn(Other).AttachList[InventoryType.Default.InventoryGroup-1] = class'Weapon_MP7Akimbo';
		Weapon_Base(CompWeapon).SpawnSlave(AmmoAmount[0],NumClips[0]);
		bGaveAkimbo = true;
		AnnouncePickup(Other);
		Destroy();
		return None;
	}
	else if (CompWeapon != None && ((InventoryType.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) == None && FOPawn(Other).FindWeapon(5) == None) || (InventoryType.Default.InventoryGroup != 4)))
	{
		if (Weapon_Base(CompWeapon).Default.StaticName ~= class<Weapon_Base>(InventoryType).Default.StaticName)
		{
				while (NumClips[0] > 0 && Weapon_Base(CompWeapon).GetAmmo(0).NumClips < Weapon_Base(CompWeapon).GetAmmo(0).Default.MaxClips)
				{
					NumClips[0]--;
					Weapon_Base(CompWeapon).GetAmmo(0).NumClips++;
					bGaveAmmo = true;
				}
				while (NumClips[1] > 0 && Weapon_Base(CompWeapon).GetAmmo(1).NumClips < Weapon_Base(CompWeapon).GetAmmo(1).Default.MaxClips)
				{
					NumClips[1]--;
					Weapon_Base(CompWeapon).GetAmmo(1).NumClips++;
					bGaveAmmo = true;
				}
				if (bGaveAmmo)
					AnnouncePickup(Other);
		}
		return None;
	}

	Copy = spawn(InventoryType,Other,,,rot(0,0,0));
	Copy.GiveTo(Other, self);
	FOPawn(Other).EquipList[(Copy.Default.InventoryGroup-1)] = class<Weapon_Base>(InventoryType);
	
	if (Weapon(Copy) != None && Weapon_Base(Copy).GetAmmo(0) != None)
	{
		AnnouncePickup(Other);
		Destroy();
	}
	return Copy;
}

static function string GetLocalString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2
	)
{
	local class<weapon_base> TempWeaponClass;

	if (Switch == 0)
		return Default.PickupMessage;
	else if (Switch == 1)
	{
		TempWeaponClass = class<Weapon_Base>(Default.InventoryType);
		return "Picked up"@TempWeaponClass.Default.StaticName@"ammo";
	}
	else if (Switch == 2)
		return "Picked up another MP7";
}

function AnnouncePickup( Pawn Receiver )
{
	if (!bGaveAmmo && !bGaveAkimbo)
		Receiver.HandlePickup(self);
	else if (!bGaveAkimbo)
		FOPawn(Receiver).HandleAmmoPickup(self);
	else if (Receiver.Controller != None && FOPlayer(Receiver.Controller) != None)
		FOPlayer(Receiver.Controller).ReceiveLocalizedMessage(MessageClass,2,,,Class);

	PlaySound( PickupSound,SLOT_Interact ); 
}

defaultproperties
{
	InventoryType=class'FragOps.Weapon_MP7Akimbo'

	PickupMessage="Picked up an AMP7-PDW"
	PickupSound=Sound'PickupSounds.AssaultRiflePickup'
	PickupForce="AssaultRiflePickup"  // jdf

	MaxDesireability=+0.2

	StaticMesh=StaticMesh'FOPickupSMs.sms.mp7_sm'
	CollisionHeight=+6.5
	DrawType=DT_StaticMesh
	DrawScale=0.3
}
