//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP9Fire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();

}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.65,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	AmmoClass=class'Ammo_MP9_9mm'
	AmmoPerFire=1
	DamageType=class'DamType_MP9m'
	WeaponDamage=18
	bPawnRapidFireAnim=true

	ReloadSound=Sound'FOWeaponSounds.MPNine.MP9Reload'
	ReloadVolume=2.2
	ReloadAnim=reload
	ReloadAnimRate=1.1

	FireAnim=fire
	FireEndAnim=None
	FireLoopAnim=fire
	FireAnimRate=1.1

	FlashEmitterClass=class'Effect_MP9MuzFlash'
	SmokeEmitterClass=class'Effect_MP9MuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjectorFirst'

	FireSound=Sound'FOWeaponSounds.MPNine.MP9-Raw'
	FireForce="AssaultRifleFire"   // jdf
	
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	WeaponRange=500   // maximum effective range for this gun
	DeadBulletRange=2500    // distance bullet travels before its actor is destroyed
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.002  // best to leave this at 0 for now
	SpreadStyle=SS_Random
	AimError=500  // leave at 0 i guess, till i find a use for it
	FireRate=0.09
	RecoilSize=400

	PreFireTime=0.0

	bModeExclusive=false
	BotRefireRate=0.99
}
