//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MacheteAttachment extends Attachment_Base;

var xEmitter BladeStreak3rd;

simulated event ThirdPersonEffects() 
{
	if (FlashCount == LastFlashCount)
		return;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0 || FiringMode == 1)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;

			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);
		
			if (FlashCount <= 0)
				return;

			PlayFireSound(FiringMode);

			if (BladeStreak3rd == None)
			{
				BladeStreak3rd = Spawn(class'Effect_BladeTrail',self);
				AttachToBone(BladeStreak3rd, FlashBone);
			}

			BladeStreak3rd.Trigger(self, Instigator);
		}
	}
	LastFlashCount = FlashCount;
}

simulated function PlayFireSound(int ModeNum)
{
	local float RandSeed;
	local sound FireSound;

	if (Instigator.Weapon != None)
		return;

	RandSeed = FRand();

	if (RandSeed < 0.33)
		FireSound = sound'FOWeaponSounds.Machete.OverHead';
	else if (RandSeed < 0.66)
		FireSound = sound'FOWeaponSounds.Machete.RightSlash';
	else
		FireSound = sound'FOWeaponSounds.Machete.LeftSlash';

	PlaySound(FireSound,SLOT_Interact,TransientSoundVolume*1.4,,80.0,,false);
}

simulated function Destroyed()
{
	Super.Destroyed();
	if (BladeStreak3rd != None)
		BladeStreak3rd.Destroy();
}

defaultproperties
{
	WeaponClass=class'Weapon_MacheteBase'
	Mesh=mesh'pickups.machete3rd'
	DrawScale=1.5
	NewMuzFlash3rdClass=None
	MeshFlash3rdClass=None
	MuzSmoke3rdClass=None
	ShellEjector3rdClass=None
	bMelee=true
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=bone_streak
}