class Weapon_MacheteBase extends Weapon_Base;

var float LastInterval;
var int LastFireMode;

simulated function PlayReload()
{}

simulated function bool ConsumeAmmo(int Mode, float load, optional bool bAmmoNeededIsMax)
{
	return false;
}

simulated function AnimEnd(int channel)
{
	local name anim;
	local float frame, rate;

	GetAnimParams(0, anim, frame, rate);

	if (ClientState == WS_ReadyToFire)
	{
		if (anim == FireMode[1].FireAnim || anim==FireMode[0].FireAnim)
		{
			PlayIdle();
		}
		else if ((FireMode[0] == None || !FireMode[0].bIsFiring) && (FireMode[1] == None || !FireMode[1].bIsFiring))
		{
			PlayIdle();
		}
	}
}

state Stabbing
{
	function BeginState();
	function EndState();
	
	Begin:
		Sleep(LastInterval);
		FireMode[LastFireMode].Timer();
}

function DropFrom(vector StartLocation)
{
	local int m;
	local Pickup Pickup;

	if (!Default.bCanThrow && (Instigator.Health <= 0 || Instigator == None))
	{
		FindBetterDrop(StartLocation);
		DetachFromPawn(Instigator);
	}

	if ((!bCanThrow && Instigator != None && Instigator.Health >= 0) || ((Instigator == None || Instigator.Health <= 0) && FragOpsGame(Level.Game).PreRoundTime > 0))
	{
		DetachFromPawn(Instigator);
		return;
	}

	if (ZoomLevel > 0)
		ZoomLevel = 0;

	FOPawn(Instigator).EquipList[InventoryGroup-1] = None;
	FOPawn(Instigator).AttachList[InventoryGroup-1] = None;

	ClientWeaponThrown();

	for (m = 0; m < NUM_FIRE_MODES; m++)
	{
		if (FireMode[m].bIsFiring)
			StopFire(m);
	}

	if (Instigator != None)
	{
		DetachFromPawn(Instigator);
		FOPawn(Instigator).GiveFists();
	}

	Pickup = Spawn(PickupClass,,, StartLocation);
	if (Pickup != None)
	{
		Pickup.InitDroppedPickupFor(self);
		Pickup.Velocity = Velocity;
		if (Instigator.Health > 0)
			WeaponPickup(Pickup).bThrown = true;
	}

	Destroy();
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="Machete"
	StaticName="Machete"
	InventoryGroup=1
	WeaponType=Melee
	GunAttachment[0]=class'Weapon_MachetePoison'
	GunDesc="COST: FREE|Slow Swing|DMG: High|RNG: Arm"
	GunCost=0

	// CXP reqs
	CXPReq=40

	// firemodes, types
	NumFireTypes=0
	FireTypeNames(0)="Melee"
	FireModeClass(0)=Weapon_MacheteSwing
	FireModeClass(1)=Weapon_MacheteSwing

	// AI
	AIRating=+0.1
	CurrentRating=0.1
	Priority=1

	// bob timings
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectMelee2'
	bCanThrow=true
	bWeaponOwnsCross=true

	// 3rd person
	PickupClass=class'Weapon_MachetePickup'
	AttachmentClass=class'Weapon_MacheteAttachment'
	TracerBone=bone_streak

	// 1st person
	Mesh=mesh'FOMeleeWeapons.Machete'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_machete'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-4.0,Y=-4.3,Z=3.5)
	PlayerViewPivot=(Pitch=250,Roll=-1200,Yaw=17860)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.2
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_None
	LightEffect=LE_None
	LightPeriod=0
	LightBrightness=0
	LightHue=0
	LightSaturation=0
	LightRadius=0.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0.7,Z=0)
}