//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MachetePickup extends FOWeaponPickup;

function inventory SpawnCopy( pawn Other )
{
	local inventory Copy;
	local weapon CompWeapon;

	bGaveAmmo = false;

	if (Other.Inventory != None)
		CompWeapon = FOPawn(Other).FindWeapon(InventoryType.Default.InventoryGroup);


	if (Weapon_FistsBase(CompWeapon) != None)
	{
		Weapon_Base(CompWeapon).DestroyWeapon();
		CompWeapon = None;
	}

	// stop grenade pickups in war with a LAW
	if ((CompWeapon != None && War_Weapon_LAWBase(CompWeapon) != None && InventoryType.Default.InventoryGroup == 4) || (CompWeapon != None && (Weapon_GrenadeBase(CompWeapon) != None || FOPawn(Other).FindWeapon(5) != None) && class<Weapon_LAWBase>(InventoryType) != None))
		return None;

	if (CompWeapon != None && ((InventoryType.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) == None && FOPawn(Other).FindWeapon(5) == None) || (InventoryType.Default.InventoryGroup != 4)))
	{
		if (Weapon_Base(CompWeapon).Default.StaticName ~= class<Weapon_Base>(InventoryType).Default.StaticName)
		{
				while (NumClips[0] > 0 && Weapon_Base(CompWeapon).GetAmmo(0).NumClips < Weapon_Base(CompWeapon).GetAmmo(0).Default.MaxClips)
				{
					NumClips[0]--;
					Weapon_Base(CompWeapon).GetAmmo(0).NumClips++;
					bGaveAmmo = true;
				}
				while (NumClips[1] > 0 && Weapon_Base(CompWeapon).GetAmmo(1).NumClips < Weapon_Base(CompWeapon).GetAmmo(1).Default.MaxClips)
				{
					NumClips[1]--;
					Weapon_Base(CompWeapon).GetAmmo(1).NumClips++;
					bGaveAmmo = true;
				}
				if (bGaveAmmo)
					AnnouncePickup(Other);
		}
		return None;
	}

	Copy = spawn(InventoryType,Other,,,rot(0,0,0));
	if (Copy.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) != None)
	{
		if (FOPawn(Other).FindWeapon(5) != None)
		{
			Copy.Destroy();
			return None;
		}
		Copy.InventoryGroup = 5;
	}
	Copy.GiveTo(Other, self);
	if (Weapon_Base(Copy).Default.BaseWeaponClass == None)
		FOPawn(Other).EquipList[(Copy.InventoryGroup-1)] = class<Weapon_Base>(InventoryType);
	else
	{
		FOPawn(Other).EquipList[(Copy.Default.InventoryGroup-1)] = Weapon_Base(Copy).Default.BaseWeaponClass;
		FOPawn(Other).AttachList[(Copy.Default.InventoryGroup-1)] = class<Weapon_Base>(InventoryType);
	}
	
	if (Weapon(Copy) != None && Weapon_Base(Copy).GetAmmo(0) != None)
	{
		AnnouncePickup(Other);
		Destroy();
	}
	return Copy;
}

defaultproperties
{
	InventoryType=class'FragOps.Weapon_MacheteBase'

	PickupMessage="Picked up a Machete"
	PickupSound=Sound'PickupSounds.AssaultRiflePickup'
	PickupForce="AssaultRiflePickup"  // jdf

	MaxDesireability=+0.11

	CollisionHeight=+8.0
	StaticMesh=StaticMesh'FOPickupSMs.machete_sm'
	DrawType=DT_StaticMesh
	DrawScale=0.35
}