class Weapon_MacheteStab extends Weapon_MacheteSwing;

function DoFireEffect()
{
	ClashPoint = Rand(MaxIntervals);
	SwingType = 0;
	FireLevel = 0;
	bIsStabbing = true;
	Weapon_MacheteBase(Weapon).LastFireMode = ThisModeNum;
	Weapon_MacheteBase(Weapon).LastInterval = StabIntervals[FireLevel+(SwingType*MaxIntervals)];
	Weapon.GotoState('Stabbing','Begin');
}

function PlayFiring()
{
	Super(FireMode_Base).PlayFiring();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.55,,,1.1,false);
}

defaultproperties
{
	FireSound=sound'FOWeaponSounds.Machete.OverHead'
	WeaponDamage=32
	WeaponRange=70   // let the knife stab just slightly in front of the player
	DeadBulletRange=80    // we don't want to do damage reduction here
	FireAnim=Stab
	FireLoopAnim=None
	FireAnimRate=1.0
	FireRate=0.6

	MaxIntervals=3
	
	// blade offsets -- forward slash
	StabIntervals(0)=0.15
	StabIntervals(1)=0.03
	StabIntervals(2)=0.03
	BladeTraceOffset(0)=(Y=0.0,X=0.0,Z=1.0)
	BladeTraceOffset(1)=(Y=0.0,X=0.0,Z=-1.0)
	BladeTraceOffset(2)=(Y=0.0,X=0.0,Z=-2.0)

	bWaitForRelease=true
}