class Weapon_P90Laser extends Weapon_P90Base	HideDropDown
	CacheExempt;

// Laser projector
var Effect_LaserSpawner Laser;

var bool bLightOn;

replication
{
	reliable if (Role < ROLE_Authority)
		ServerSetLaser;
}

simulated function SpecialFire()
{
	bLightOn = !bLightOn;
	bWeaponOwnsCross = bLightOn;
	ServerSetLaser();
	PlayOwnedSound(FireSwitchSound,,TransientSoundVolume*0.95,,30,,false);
}

function ServerSetLaser(optional bool bForceDestroy)
{
	if (bForceDestroy)
	{
		if (Laser != None)
		{
			Laser.bLightOn = false;
			Laser.Destroy();
			ZoomLevel = 0;
		}
		FireMode_Base(FireMode[0]).WeaponRange = FireMode_Base(FireMode[0]).Default.WeaponRange;
		return;
	}
	if (Laser == None)
	{
		Laser = Spawn(class'Effect_LaserSpawner', None,, Instigator.Location + (vect(16, 0, 16) >> Instigator.Rotation), Instigator.Rotation);
		Laser.LightPawn = Instigator;
		Laser.bLightOn = true;
		ZoomLevel = 1;
		Laser.SetLight();
	}
	else
	{
		Laser.bLightOn = !Laser.bLightOn;
		if (Laser.bLightOn)
		{
			ZoomLevel = 1;
			FireMode_Base(FireMode[0]).WeaponRange = FireMode_Base(FireMode[0]).Default.WeaponRange*1.1;
		}
		else
		{
			ZoomLevel = 0;
			FireMode_Base(FireMode[0]).WeaponRange = FireMode_Base(FireMode[0]).Default.WeaponRange;
		}
	}
}

simulated function Destroyed()
{
	if (Laser != None)
		Laser.Destroy();
	Super.Destroyed();
}

simulated function bool PutDown()
{
	if (Instigator.Controller.IsA('PlayerController'))
		ServerSetLaser(true);
	bLightOn = false;
	bWeaponOwnsCross = false;
	if (Super.PutDown())
		return true;
	return false;
}

defaultproperties
{
	// CXP reqs
	CXPReq=120
	
	GunDesc="COST: $25|+RNG"
	GunCost=50
	ItemName="FP N90 (Laser)"
	AttachName="laser"
	Mesh=mesh'FOSMGs.P90_Laser'
	FireModeClass(1)=Weapon_P90FireNull
	BaseWeaponClass=class'Weapon_P90Base'
	PickupClass=class'FragOps.Weapon_P90LaserPickup'
	AttachmentClass=class'FragOps.Weapon_P90LaserAttach'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_p90laser'
}