//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_RedLabelAltFire extends Weapon_RedLabelFire;

var() XEmitter FlashEmitter2nd;

function DoFireEffect()
{
	local int i;

	for (i=0;i<20;i++)
		Super(FireMode_Base).DoFireEffect();
}

simulated function InitEffects()
{
	Super(FireMode_Base).InitEffects();
	if ((FlashEmitterClass != None) && ((FlashEmitter2nd == None) || FlashEmitter2nd.bDeleteMe) )
		FlashEmitter2nd = Spawn(FlashEmitterClass);
	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (FlashEmitter2nd != None)
		Weapon.AttachToBone(FlashEmitter2nd, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
}

function FlashMuzzleFlash()
{
	local rotator r;

	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);

	r.Roll = Rand(65536);
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);

	Super(FireMode_Base).FlashMuzzleFlash();
	if (FlashEmitter2nd != None)
		FlashEmitter2nd.Trigger(Weapon, Instigator);
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);

	r.Roll = Rand(65536);
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);

	Super(FireMode_Base).StartMuzzleSmoke();
}

simulated function DestroyEffects()
{
	Super.DestroyEffects();
	if (FlashEmitter2nd != None)
		FlashEmitter2nd.Destroy();
}

defaultproperties
{
	WeaponRange=60
	WeaponDamage=9
	AmmoPerFire=2
	RecoilSize=2300
	Spread=0.065
	AmmoClass=None

	FlashEmitterClass=class'Effect_RedLabelMuzFlashAlt'
	FireAnim=FireAlt
	FireAnimRate=1.0
	FireSound=Sound'FOWeaponSounds.RedLabel.RedLabelAltFire'

	ShakeOffsetMag=(X=8.5,Y=8.5,Z=8.5)
	ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
	ShakeOffsetTime=1.8
	ShakeRotMag=(X=195.0,Y=195.0,Z=195.0)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=1.8
}