//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_RedLabelAttachment extends Attachment_Base;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;

	if (FlashCount == LastFlashCount)
		return;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0 || FiringMode == 1)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;
			
			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);
		
			if (FlashCount <= 0) 
				return;
			
			PlayFireSound(FiringMode);

			WeaponLight();

			if (MeshFlash3rd == None)
			{
				MeshFlash3rd = Spawn(MeshFlash3rdClass,self);
				AttachToBone(MeshFlash3rd, FlashBone);
			}

			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass,self);
				AttachToBone(MuzSmoke3rd, FlashBone);
			}

			r.Roll = 16384*Rand(5);
			SetBoneRotation(FlashBone, r, 0, 1.f);
			MeshFlash3rd.Trigger(self, Instigator);
			MuzSmoke3rd.Trigger(self, Instigator);
			if (ShellEjector3rd == None && ShellEjector3rdClass != None)
			{
				ShellEjector3rd = Spawn(ShellEjector3rdClass,self);
				ShellEjector3rd.bThird = true;
				ShellEjector3rd.InitEjector();
				AttachToBone(ShellEjector3rd, ShellBone);
			}
			else if (ShellEjector3rd == None)
				return;
			SetShellBone();
			ShellEjector3rd.Trigger(self, Instigator);
		}
	}
	LastFlashCount = FlashCount;
}

defaultproperties
{
	Mesh=mesh'pickups.redlabelpickup'
	DrawScale=1.5
	bHeavy=false
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=Bone_Flash
	MeshFlash3rdClass=class'Effect_BurstFlash3rd'
	ShellEjector3rdClass=None
	ArmRotation=(Yaw=-1800)

	WeaponClass=class'Weapon_RedLabelBase'
	FireClass[0]=class'Weapon_RedLabelFire'
	FireVolume[0]=1.0
	FireClass[1]=class'Weapon_RedLabelAltFire'
	FireVolume[1]=1.0
}