//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_RedLabelFire extends FireMode_Base;

var() float ReloadAnimRateDouble;
var() Name ReloadAnimDouble;
var() Sound ReloadSoundDouble;
var int FlashAmmoAmount, LastBone;

function DoFireEffect()
{
	local int i;

	for (i=0;i<14;i++)
		Super.DoFireEffect();
}

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
}

function FlashMuzzleFlash()
{
	local rotator r;

	if (FlashAmmoAmount == 1 && LastBone != 1)
	{
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
		LastBone = 1;
	}	
	else if (LastBone == 1)
	{
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');	
		LastBone = 0;		
	}
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;

	if (FlashAmmoAmount == 1 && LastBone != 1)
	{
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
		LastBone = 1;
	}	
	else if (LastBone == 1)
	{
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');	
		LastBone = 0;		
	}
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

defaultproperties
{
	AmmoClass=class'Ammo_RedLabel_12g'
	AmmoPerFire=1
	DamageType=class'DamType_RedLabel'
	WeaponDamage=8
	MinDamage=2
	bPawnRapidFireAnim=false

	ReloadSound=Sound'FOWeaponSounds.RedLabel.RedLabelReloadSIN'
	ReloadSoundDouble=Sound'FOWeaponSounds.RedLabel.RedLabelReloadDUB'
	ReloadVolume=2.7
	ReloadAnim=ReloadOne
	ReloadAnimRate=1.2
	ReloadAnimDouble=ReloadTwo
	ReloadAnimRateDouble=1.2

	FireAnim=Fire
	FireAnimRate=1.1
	FireEndAnim=None

	FlashEmitterClass=class'Effect_RedLabelMuzFlash'
	SmokeEmitterClass=class'Effect_RedLabelMuzSmoke'
	ShellEjectorClass=None
	BulletHitEffectClass=class'Effect_ShotgunHit'

	FireSound=Sound'FOWeaponSounds.RedLabel.RedLabelFire'
	FireForce="AssaultRifleFire"   // jdf

	ConeMultiplier=0.0000   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.055   // maximum size the cone can reach, limited to hundredths

	WeaponRange=55   // maximum effective range for this gun
	DeadBulletRange=1400    // distance bullet travels before its trace ends
	BulletHeightLoss=9000 // height loss of bullet after exceeding deadbulletrange
	WeaponDamageShrink=200   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.059  // spread is good for shotguns =P
	SpreadStyle=SS_Random
	AimError=600  // leave at 0 i guess, till i find a use for it
	FireRate=0.55
	RecoilSize=1900

	PreFireTime=0.0

	bModeExclusive=true
	BotRefireRate=0.2
	bWaitForRelease=true

	ShakeOffsetMag=(X=4.3,Y=4.3,Z=4.3)
	ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
	ShakeOffsetTime=1.75
	ShakeRotMag=(X=175.0,Y=175.0,Z=175.0)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=1.75
}
