//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigAkimboFire extends Weapon_SigFire;

simulated function bool AllowFire()
{
	return ((Weapon.AmmoAmount(0) >= AmmoPerFire || (Ammo_AkimboBase(Weapon_Base(Weapon).GetAmmo(0)).AmmoSec >= AmmoPerFire && Weapon_Base(Weapon).bIsAkimbo)) && Instigator.Controller != None && !Instigator.Controller.IsInState('PreRound') && !Instigator.Controller.IsInState('Building') && !Weapon_Base(Weapon).IsReloading());
}

event ModeDoFire()
{
	if ((Level.NetMode == NM_DedicatedServer || Level.NetMode == NM_ListenServer) && !bClientApproved && AIController(Instigator.Controller) == None)
		return;

	if (Weapon_Base(Weapon).bIsAkimbo && Weapon.AmmoAmount(0) >= AmmoPerFire && Ammo_AkimboBase(Weapon_Base(Weapon).GetAmmo(0)).AmmoSec >= AmmoPerFire)
		FireRate = Default.FireRate * 0.6;
	else
		FireRate = Default.FireRate;

	// if client deviates too far from prediction, let the native code trigger the next fire
	if (Level.TimeSeconds - LastFireTime < FireRate*0.85)
		return;

	bClientApproved = false;
	WaitToRecoil = 0;

	bPlayLastFireAnim = CheckLastFire();
	if (!Weapon_Base(Weapon).bIsAkimbo || (Weapon.AmmoAmount(0) < AmmoPerFire && Ammo_AkimboBase(Weapon_Base(Weapon).GetAmmo(0)).AmmoSec < AmmoPerFire))
		PlayEmptySound();

	if (AmmoPerFire <= 0 || !AllowFire())
	{
		if (!AllowFire() && Weapon_Base(Weapon).IsReloading())
		{
			if (bFireOnRelease)
			{
				if (bIsFiring)
					NextFireTime += MaxHoldTime + 0.02;
				else
					NextFireTime = Level.TimeSeconds + 0.02;
			}
			else
			{
				NextFireTime += 0.02;
				NextFireTime = FMax(NextFireTime, Level.TimeSeconds);
			}
		}
		return;
	}

	// determine which gun to fire
	if (Weapon_Base(Weapon).bIsAkimbo)
	{
		if (Weapon.AmmoAmount(0) >= AmmoPerFire && Ammo_AkimboBase(Weapon_Base(Weapon).GetAmmo(0)).AmmoSec >= AmmoPerFire)
			Weapon_Base(Weapon).bFiredLast = !Weapon_Base(Weapon).bFiredLast;
		else if (Weapon.AmmoAmount(0) >= AmmoPerFire)
			Weapon_Base(Weapon).bFiredLast = false;
		else
			Weapon_Base(Weapon).bFiredLast = true;
	}
	else
		Weapon_Base(Weapon).bFiredLast = false;

	if (AIController(Instigator.Controller) == None && Level.NetMode != NM_DedicatedServer)
	{
		Weapon_Base(Weapon).NetUpdateTime = Weapon.Level.TimeSeconds - 1;
		Weapon_Base(Weapon).ServerSetFireData(Instigator.Controller.Rotation.Yaw, Instigator.Controller.Rotation.Pitch, ThisModeNum);
	}

	if ((Level.TimeSeconds - LastFireTime) > FireRate*2.0)
	{
		Spread = Default.Spread;
		if ((Level.TimeSeconds - LastFireTime) > FireRate*3.0)
			NumFireTimes = 0;
		NumFireTimes = NumFireTimes/2;
	}
	else
	{
		NumFireTimes++;
		Spread += NumFireTimes * ConeMultiplier;
		Spread = FMin(Spread, ConeMax);
	}

	if (MaxHoldTime > 0.0)
		HoldTime = FMin(HoldTime, MaxHoldTime);

	// client
	if (Instigator.IsLocallyControlled())
	{
		// fire slave if needed
		if (Weapon_Base(Weapon).bFiredLast && Weapon_Base(Weapon).SlaveWeapon != None)
			Weapon_Base(Weapon).SlaveWeapon.FireSlave(FireSound, 1.3);
		else
		{
			PlayFiring();
			FlashMuzzleFlash();
			StartMuzzleSmoke();
		}
	}

	// server
	if (Weapon.Role == ROLE_Authority)
	{
		if (!Weapon_Base(Weapon).bFiredLast)
			Weapon.ConsumeAmmo(0, Load);
		else
			Weapon.ConsumeAmmo(1, Load);
		DoFireEffect();
		if ((Instigator == None) || (Instigator.Controller == None))
			return;
		// add recoil modifier
		if (AIController(Instigator.Controller) != None)
			AIController(Instigator.Controller).WeaponFireAgain(BotRefireRate, true);
		Instigator.SpawnTime = -100000;
	}

	if (Instigator.IsLocallyControlled()&& RecoilSize > 0)
		Weapon_Base(Weapon).DoRecoil(FOPawn(Instigator).ModifyRecoil(Weapon_Base(Weapon),RecoilSize),NumFireTimes);

	Weapon.IncrementFlashCount(ThisModeNum);

	// set the next firing time. must be careful here so client and server do not get out of sync
	if (bFireOnRelease)
	{
	        if (bIsFiring)
			NextFireTime += MaxHoldTime + FireRate;
		else
			NextFireTime = Level.TimeSeconds + FireRate;
	}
	else
	{
		NextFireTime += FireRate;
		NextFireTime = FMax(NextFireTime, Level.TimeSeconds);
	}

	Load = AmmoPerFire;
	HoldTime = 0;

	if (Instigator.PendingWeapon != Weapon && Instigator.PendingWeapon != None)
	{
		bIsFiring = false;
		Weapon.PutDown();
	}
	LastFireTime = Level.TimeSeconds;
}

defaultproperties
{
	AmmoClass=class'Ammo_Sig_Akimbo'
	FireRate=0.19
}