//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigAttachment extends Attachment_Base;

var bool bFiredLast;

function InitFor(Inventory I)
{
	Super.InitFor(I);
	bIsAkimbo = (Weapon_Base(I).IsAkimbo());
}

simulated function PostNetBeginPlay()
{
	if (!bIsAkimbo)
		Super.PostNetBeginPlay();
	else if (Instigator != None)
		Instigator.AttachToBone(self,Default.AttachmentBone);
}

simulated event ThirdPersonEffects()
{
	if (Level.NetMode == NM_DedicatedServer)
		return;
	
	if (MasterAttachment != None && bFiredLast && !bAkimbo)
	{
		MasterAttachment.ThirdPersonEffects();
		bFiredLast = false;
	}
	else
	{
		Super.ThirdPersonEffects();
		bFiredLast = true;
	}
}

defaultproperties
{
	Mesh=mesh'pickups.sigbare3rd'
	DrawScale=1.5
	bSidearm=true
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=Bone_Flash
	MeshFlash3rdClass=class'Effect_BurstFlashSmall3rd'
	ShellEjector3rdClass=class'Effect_ShellEjectorUSPFirst'

	WeaponClass=class'Weapon_SigAkimbo'
	FireClass[0]=class'Weapon_SigFire'
	FireVolume[0]=1.15
}