//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigBase extends Weapon_Base
	config(User);

simulated function PlayIdle()
{
	if (bPlayIdleEmpty && HasAnim(IdleEmptyAnim))
		PlayIdleEmpty();
	else
		LoopAnim(IdleAnim, IdleAnimRate, 0.06);
}

simulated function PlayIdleEmpty()
{
	LoopAnim(IdleEmptyAnim, IdleAnimRate, 0.06);
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="SG Pro"
	StaticName="SG Pro"
	InventoryGroup=2
	WeaponType=Sidearm
	GunAttachment[0]=class'Weapon_SigSilencedAkimboClone'
	GunAttachment[1]=class'Weapon_SigAkimbo'
	GunAttachment[2]=class'Weapon_SigSilencedAkimbo'
	GunDesc="COST: $100|AMMO: 12 x 4|DMG: Low|RNG: Low"
	GunCost=390
    	CXPReq=15

	// firemodes, types
	NumFireTypes=0
	FireTypeNames(0)="Semi"
	FireModeClass(0)=Weapon_SigFire
	FireModeClass(1)=Weapon_USPFireNull

	// AI
	AIRating=+0.2
	CurrentRating=0.2
	Priority=2
	
	// reload, bob, burst timings
	ReloadTime=2.02
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	
	// 3rd person
	PickupClass=class'Weapon_SigPickup'
	AttachmentClass=class'Weapon_SigAttachment'
	TracerBone=Bone_Flash1
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke1

	// 1st person
	Mesh=mesh'FOPistols.SigPro_Bare'

	DisplayFOV=65
	DrawScale=0.71
	PlayerViewOffset=(X=-3.0,Y=-4.9,Z=2.3)
	PlayerViewPivot=(Pitch=-360,Roll=-260,Yaw=17690)
	ShellHackOffset=18.5

	IdleAnim=Idle
	IdleEmptyAnim=idleempty
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_sigbare'

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0.4,Z=3)
}