//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigSilencedAkimboAttach extends Weapon_SigSilencedAttach;

simulated function PostNetBeginPlay()
{
	if (Instigator != None)
	{
		if (Level.NetMode != NM_DedicatedServer)
			SetAttachProps(FOPawn(Instigator));
		Instigator.AttachToBone(self,Default.AttachmentBone);
	}
}
simulated function SetAttachProps(FOPawn AttachPawn)
{
	local rotator TempRotator;
	local vector TempLocation;
	
	AttachPawn.SetWeaponAttachment(self);
	AttachPawn.SetAnimAction('weapon_switch');
	TempRotator.Yaw = 11000;
	TempRotator.Pitch = -5000;
	TempRotator.Roll = -3500;
	AttachPawn.SetBoneRotation('Bip01 L Forearm',TempRotator);
	TempRotator = rot(0,0,0);
	TempRotator.Roll = -9500;
	AttachPawn.SetBoneRotation('Bip01 L Hand',TempRotator);

	// now set relative rot/loc
	TempLocation.Z = -9;
	TempLocation.X = 0.3;
	TempLocation.Y = -12;
	SetRelativeLocation(TempLocation);
	
	TempRotator = rot(0,0,0);
	TempRotator.Yaw = -22900;
	TempRotator.Pitch = 2900;
	TempRotator.Roll = -700;
	SetRelativeRotation(TempRotator);
}

simulated function Destroyed()
{
	if (Instigator != None && MasterAttachment != None)
	{
		FOPawn(Instigator).SetWeaponAttachment(MasterAttachment);
		Instigator.SetAnimAction('weapon_switch');
	}
}

defaultproperties
{
	bAkimbo=true
	AttachmentBone=lefthand
}