//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigSilencedAttach extends Weapon_SigAttachment;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;

	if (FlashCount == LastFlashCount)
		return;

	if (Level.NetMode != NM_DedicatedServer)
	{
		
		if (MasterAttachment != None && bFiredLast && !bAkimbo)
		{
			MasterAttachment.ThirdPersonEffects();
			bFiredLast = false;
			return;
		}
		bFiredLast = true;
		
		if (FiringMode == 0)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;

			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);
		
			if (FlashCount <= 0) 
				return;

			PlayFireSound(FiringMode);
			
			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass,self);
				AttachToBone(MuzSmoke3rd, FlashBone);
			}

			if (ShellEjector3rd == None)
			{
				ShellEjector3rd = Spawn(ShellEjector3rdClass,self);
				ShellEjector3rd.bThird = true;
				ShellEjector3rd.InitEjector();
				AttachToBone(ShellEjector3rd, ShellBone);
			}

			r.Roll = Rand(65536);
			SetBoneRotation(FlashBone, r, 0, 1.f);
			MuzSmoke3rd.Trigger(self, Instigator);
			ShellEjector3rd.Trigger(self, Instigator);
		}
	}
	LastFlashCount = FlashCount;
}

defaultproperties
{
	Mesh=mesh'pickups.sigsilenced3rd'
	FlashBone=Bone_Flash

	WeaponClass=class'Weapon_SigSilenced'
	FireClass[0]=class'Weapon_SigSilencedFire'
	FireVolume[0]=1.36
	FireRadius[0]=60.0
}