//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_SigSilencedPickup extends Weapon_SigPickup;

function inventory SpawnCopy( pawn Other )
{
	local inventory Copy;
	local weapon CompWeapon;

	bGaveAmmo = false;

	if (Other.Inventory != None)
		CompWeapon = FOPawn(Other).FindWeapon(InventoryType.Default.InventoryGroup);
	
	if (CompWeapon != None && CompWeapon.Default.ItemName ~= InventoryType.Default.ItemName && !Weapon_Base(CompWeapon).bIsAkimbo && !Weapon_Base(CompWeapon).IsReloading())
	{
		FOPawn(Other).AttachList[InventoryType.Default.InventoryGroup-1] = class<Weapon_Base>(InventoryType);
		Weapon_Base(CompWeapon).SpawnSlave(AmmoAmount[0],NumClips[0]);
		bGaveAkimbo = true;
		AnnouncePickup(Other);
		Destroy();
		return None;
	}
	else if (CompWeapon != None && ((InventoryType.Default.InventoryGroup == 4 && FOPawn(Other).FindWeapon(4) == None && FOPawn(Other).FindWeapon(5) == None) || (InventoryType.Default.InventoryGroup != 4)))
	{
		if (Weapon_Base(CompWeapon).Default.StaticName ~= class<Weapon_Base>(InventoryType).Default.StaticName)
		{
				while (NumClips[0] > 0 && Weapon_Base(CompWeapon).GetAmmo(0).NumClips < Weapon_Base(CompWeapon).GetAmmo(0).Default.MaxClips)
				{
					NumClips[0]--;
					Weapon_Base(CompWeapon).GetAmmo(0).NumClips++;
					bGaveAmmo = true;
				}
				while (NumClips[1] > 0 && Weapon_Base(CompWeapon).GetAmmo(1).NumClips < Weapon_Base(CompWeapon).GetAmmo(1).Default.MaxClips)
				{
					NumClips[1]--;
					Weapon_Base(CompWeapon).GetAmmo(1).NumClips++;
					bGaveAmmo = true;
				}
				if (bGaveAmmo)
					AnnouncePickup(Other);
		}
		return None;
	}

	Copy = spawn(InventoryType,Other,,,rot(0,0,0));
	Copy.GiveTo(Other, self);
	FOPawn(Other).EquipList[(Copy.Default.InventoryGroup-1)] = class'Weapon_SigAkimbo';
	FOPawn(Other).AttachList[(Copy.Default.InventoryGroup-1)] = class'Weapon_SigSilencedAkimboClone';
	
	if (Weapon(Copy) != None && Weapon_Base(Copy).GetAmmo(0) != None)
	{
		AnnouncePickup(Other);
		Destroy();
	}
	return Copy;
}

static function string GetLocalString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2
	)
{
	local class<weapon_base> TempWeaponClass;

	if (Switch == 0)
		return Default.PickupMessage;
	else if (Switch == 1)
	{
		TempWeaponClass = class<Weapon_Base>(Default.InventoryType);
		return "Picked up"@TempWeaponClass.Default.StaticName@"ammo";
	}
	else if (Switch == 2)
		return "Picked up another SG Pro (Silenced)";
}

defaultproperties
{
	PickupMessage="Picked up an SG Pro (Silenced)"
	InventoryType=class'Weapon_SigSilencedAkimbo'
	StaticMesh=StaticMesh'FOPickupSMs.sms.sig_2022_silenced_sm'
}