//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_Super90Fire extends FireMode_Base;

var name ReloadBeginAnim, ReloadEndAnim;
var float ReloadBeginAnimRate, ReloadEndAnimRate, ReloadBeginTime, ReloadEndTime;
var sound ReloadBeginSound, ReloadEndSound;

function DoFireEffect()
{
	local int i;

	for (i=0;i<13;i++)
		Super.DoFireEffect();
}

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);

	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*2.3,,,(0.91)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_Super90_12g'
	AmmoPerFire=1
	DamageType=class'DamType_Super90GA'
	Spread=0.052  // spread is good for shotguns =P
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponRange=85   // maximum effective range for this gun
	DeadBulletRange=1400    // distance bullet travels before its trace ends
	BulletHeightLoss=9000 // height loss of bullet after exceeding deadbulletrange
	WeaponDamageShrink=200   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)	
	WeaponDamage=8  // default damage for this gun
	MinDamage=2 // minimum damage for this gun
	RecoilSize=1900  // amount of recoil for weapon
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.056   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.Super90Shot.M4LoopReload'
	ReloadEndSound=Sound'FOWeaponSounds.Super90Shot.M4EndReload'
	ReloadVolume=3.2
	ReloadAnim=InsertShell
	ReloadAnimRate=1.05
	ReloadBeginAnim=beginreload
	ReloadBeginAnimRate=1.1
	ReloadEndAnim=endreload
	ReloadEndAnimRate=1.1
	ReloadBeginTime=0.35
	ReloadEndTime=0.7

	// firing -- data
	FireRate=0.44
	bWaitForRelease=true
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireLoopAnim=None
	FireAnimRate=1.2
	FireEmptyAnim=fireempty
	FireEmptyAnimRate=1.2
	FireSound=Sound'FOWeaponSounds.Super90Shot.M4Fire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=false

	// effect emitters
	FlashEmitterClass=class'Effect_RedLabelMuzFlash'
	SmokeEmitterClass=class'Effect_RedLabelMuzSmoke2nd'
	ShellEjectorClass=class'Effect_ShellEjector12gFirst'
	BulletHitEffectClass=class'Effect_ShotgunHit'

	// AI
	AimError=500
	BotRefireRate=0.25

	// shake
	ShakeOffsetMag=(X=4.3,Y=4.3,Z=4.3)
	ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
	ShakeOffsetTime=1.75
	ShakeRotMag=(X=175.0,Y=175.0,Z=175.0)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=1.75
}