//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_TMPAttachment extends Attachment_Base;

var bool bFiredLast;

function InitFor(Inventory I)
{
	Super.InitFor(I);
	bIsAkimbo = (Weapon_Base(I).IsAkimbo());
}

simulated function PostNetBeginPlay()
{
	if (!bIsAkimbo)
		Super.PostNetBeginPlay();
	else if (Instigator != None)
		Instigator.AttachToBone(self,Default.AttachmentBone);
}

simulated event ThirdPersonEffects()
{
	if (Level.NetMode == NM_DedicatedServer)
		return;
	
	if (MasterAttachment != None && bFiredLast && !bAkimbo)
	{
		MasterAttachment.ThirdPersonEffects();
		bFiredLast = false;
	}
	else
	{
		Super.ThirdPersonEffects();
		bFiredLast = true;
	}
}

defaultproperties
{
	Mesh=mesh'pickups.tmp3rd'
	DrawScale=1.5
	NewMuzFlash3rdClass=None
	bSidearm=true
	bRapidFire=true
	bAltRapidFire=false
	FlashBone=Bone_Flash
	ShellEjector3rdClass=class'Effect_ShellEjectorFirst'

	WeaponClass=class'Weapon_TMPAkimbo'
	FireClass[0]=class'Weapon_TMPFire'
	FireVolume[0]=1.55
}