//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_TMPFire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.65,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_TMP_9mm'
	AmmoPerFire=1
	DamageType=class'DamType_TMP'
	Spread=0.000
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponDamage=16  // default damage for this gun
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=1500   // maximum effective range for this gun
	RecoilSize=475  // amount of recoil for weapon
	DeadBulletRange=3800    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.TMP.TMPReload'
	ReloadVolume=2.2
	ReloadAnim=Reload
	ReloadAnimRate=1.1

	// firing -- data
	FireRate=0.11
	bWaitForRelease=false
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=1.1
	FireLoopAnim=Fire
	FireLoopAnimRate=1.1
	FireSound=Sound'FOWeaponSounds.TMP.TMPFire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=true

	// effect emitters
	FlashEmitterClass=class'Effect_TMPMuzFlash'
	SmokeEmitterClass=class'Effect_TMPMuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjectorTMPFirst'

	// AI
	AimError=500
	BotRefireRate=0.99
}