//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
#exec OBJ LOAD FILE=trgtextures.utx

class Weapon_TRGBase extends Weapon_DSRBase;

simulated function PlayReload()
{
	if (Instigator.Controller.IsInState('GameEnded') || (Level.TimeSeconds - FireMode_Base(FireMode[0]).LastFireTime < 1.57))
		return;
	
	Super.PlayReload();
}

function SetScopeFire()
{
	if (bScopeZoomed)
	{
		FOPlayer(Instigator.Controller).StartZoom();
		FOPlayer(Instigator.Controller).ZoomLevel = ZoomMultiple;
	}
	else
	{
		FOPlayer(Instigator.Controller).EndZoom();
	}
}

simulated function ClientStartFire(int mode)
{
	if (Level.TimeSeconds - FireMode_Base(FireMode[0]).LastFireTime < 1.6)
		return;

	Super.ClientStartFire(mode);
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="CT42"
	StaticName="CT42"
	GunDesc="COST: $300|AMMO: 30 x 4|DMG: High|RNG: High"
	GunCost=2200

	// CXP reqs
	CXPReq=160

	// firemodes, types
	FireTypeNames(0)="3X Zoom"
	FireTypeNames(1)="6X Zoom"
	FireTypeNames(2)="9X Zoom"
	FireModeClass(0)=Weapon_TRGFire
	FireModeClass(1)=Weapon_TRGScopeFire

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	DefaultPriority=3
	Priority=3

	// reload, bob, burst timings
	ReloadTime=3.18
	BobDamping=1.94
	ZoomMultiple=0.75

	// sniper zooms
	SniperZoomLevels(0)=1.2
	SniperZoomLevels(1)=1.28
	
	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'

	// 3rd person
	PickupClass=class'FragOps.Weapon_TRGPickup'
	AttachmentClass=class'FragOps.Weapon_TRGAttachment'
	TracerBone=Bone_Flash
	SmokeBone=Bone_Smoke
	ShellBone=Bone_Shell

	// 1st person
	Mesh=mesh'FORifles.CT42'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_trg'
	ScopeHUDTex=FinalBlend'FOMisc.HUD.trgscope_fb'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-6.6,Y=-6.3,Z=1.6)
	PlayerViewPivot=(Pitch=950,Roll=-500,Yaw=17370)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.3
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0,Z=0)

	BringUpTime=0.7
}