//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_TRGFire extends Weapon_DSRFire;

var() Name FireRawAnim;
var() float FireRawAnimRate;

simulated function InitEffects()
{
	Super.InitEffects();
	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 10000;
	r.Yaw = -5000;
	r.Pitch = -1550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.6,,,(0.96)+(FRand()*0.06),false);
}

function PlayFiring()
{
	local Weapon_TRGBase TRG;

	TRG = Weapon_TRGBase(Weapon);

	if (TRG.bScopeZoomed)
		TRG.PlayAnim(FireAnim, FireAnimRate, TweenTime);
	else
		TRG.PlayAnim(FireRawAnim, FireRawAnimRate, TweenTime);
    
	PlayFireSound();
        
	ClientPlayForceFeedback(FireForce);  // jdf
    
	FireCount++;
}

function DoFireEffect()
{
	local Weapon_TRGBase TRG;

	TRG = Weapon_TRGBase(Weapon);

	Super.DoFireEffect();
	if (TRG.ZoomLevel > 0)
	{
		TRG.ServerSetZoom(0);
		TRG.ClientForceUnZoom(true);
	}
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_TRG_338lap'
	DamageType=class'DamType_TRG'

	// FO firemode data
	WeaponDamage=99  // default damage for this gun
	WeaponDamageShrink=100   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=5000   // maximum effective range for this gun
	RecoilSize=2400  // amount of recoil for weapon
	DeadBulletRange=10000    // distance bullet travels before its actor is destroyed

	// reloading
	ReloadSound=Sound'FOWeaponSounds.TRG.TRGReload'
	ReloadVolume=2.75
	ReloadAnim=reload
	ReloadAnimRate=1.1

	// firing -- data
	FireRate=1.65

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=1.0
	FireLoopAnim=None
	FireRawAnim=Fire
	FireRawAnimRate=1.0
	FireSound=Sound'FOWeaponSounds.TRG.TRGFire'

	// effect emitters
	FlashEmitterClass=class'Effect_TRGMuzFlash'
	SmokeEmitterClass=class'Effect_TRGMuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjectorTRGFirst'

	// shake
	ShakeOffsetMag=(X=10.6,Y=10.6,Z=10.6)
	ShakeOffsetRate=(X=7000.0,Y=7000.0,Z=7000.0)
	ShakeOffsetTime=2.0
	ShakeRotMag=(X=100.2,Y=100.2,Z=100.2)
	ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
	ShakeRotTime=2.0

	// AI
	AimError=500
	BotRefireRate=0.99
}