//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_UMPFire extends FireMode_Base;

simulated event ModeDoFire()
{
	if (AllowFire() && Weapon_Base(Weapon).CurrentFireType == 2 && !Weapon.IsInState('Burst'))
		Weapon.GotoState('Burst','Begin');
	Super.ModeDoFire();
}

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None) 
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.1,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	AmmoClass=class'Ammo_UMP_45acp'
	AmmoPerFire=1
	DamageType=class'DamType_UMP'
	WeaponDamage=20
	bPawnRapidFireAnim=true

	ReloadSound=Sound'FOWeaponSounds.UMP.UMPReload'
	ReloadVolume=2.0
	ReloadAnim=Reload
	ReloadAnimRate=1.1

	FireAnim=Fire
	FireEndAnim=None
	FireLoopAnim=Fire
	FireAnimRate=1.1

	FlashEmitterClass=class'Effect_UMPMuzFlash'
	SmokeEmitterClass=class'Effect_UMPMuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjector45First'

	FireSound=Sound'FOWeaponSounds.UMP.UMP-Raw'
	FireForce="AssaultRifleFire"   // jdf

	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	WeaponRange=320   // maximum effective range for this gun
	DeadBulletRange=2500    // distance bullet travels before its actor is destroyed
	WeaponDamageShrink=160   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)

	Spread=0.002  // best to leave this at 0 for now
	SpreadStyle=SS_Random
	AimError=500  // leave at 0 i guess, till i find a use for it
	FireRate=0.091
	RecoilSize=455

	PreFireTime=0.0

	bModeExclusive=false
	BotRefireRate=0.99
}
