//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_USPBase extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="UXP45-T"
	StaticName="UXP45-T"
	InventoryGroup=2
	WeaponType=Sidearm
	GunAttachment[0]=class'Weapon_USPTacLight'
	GunAttachment[1]=class'Weapon_USPSilenced'
	GunAttachment[2]=class'Weapon_USPLoaded'
	GunDesc="COST: $100|AMMO: 12 x 4|DMG: Low|RNG: Low"
	GunCost=100
    
	// firemodes, types
	NumFireTypes=0
	FireTypeNames(0)="Semi"
	FireModeClass(0)=Weapon_USPFire
	FireModeClass(1)=Weapon_USPFireNull

	// AI
	AIRating=+0.2
	CurrentRating=0.2
	Priority=2
	
	// reload, bob, burst timings
	ReloadTime=2.5
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	
	// 3rd person
	PickupClass=class'Weapon_USPPickup'
	AttachmentClass=class'Weapon_USPAttachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke

	// 1st person
	Mesh=mesh'FOPistols.USP'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-17.5,Y=-3.5,Z=2.5)
	PlayerViewPivot=(Pitch=-360,Roll=-580,Yaw=17640)

	IdleAnim=Idle
	IdleEmptyAnim=idleempty
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_uspbare'

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0.4,Z=3)
}