//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_USPFire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();

	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

simulated function AttachEjector()
{
	local rotator r;
	if (ShellEjector != None)
		Weapon.SetBoneRotation('Bone_Shell', r, 0, 1.f);
}

function FlashMuzzleFlash()
{
	local rotator r;
	r.Roll = Rand(65536);
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.4,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_USP_40SW'
	AmmoPerFire=1
	DamageType=class'DamType_USP'
	Spread=0.000
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponDamage=22  // default damage for this gun
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=1700   // maximum effective range for this gun
	RecoilSize=500  // amount of recoil for weapon
	DeadBulletRange=3500    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	// reloading
	ReloadSound=Sound'FOWeaponSounds.USP.USPReload'
	ReloadVolume=2.8
	ReloadAnim=reload
	ReloadAnimRate=1.1

	// firing -- data
	FireRate=0.15
	bWaitForRelease=true
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=1.25
	FireEmptyAnim=FireLast
	FireEmptyAnimRate=1.25
	FireSound=Sound'FOWeaponSounds.USP.USPFire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=false

	// effect emitters
	FlashEmitterClass=class'Effect_USPMuzFlash'
	SmokeEmitterClass=class'Effect_USPMuzSmoke2nd'
	ShellEjectorClass=class'Effect_ShellEjectorUSPFirst'

	// AI
	AimError=500
	BotRefireRate=0.25
}