//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_USPTacLight extends Weapon_USPBase
	HideDropDown
	CacheExempt;

// taclight projector
var Effect_TacLightSpawner TacLight;

// taclight corona
var Effect_TacLightCorona TacLightCorona;

replication
{
	reliable if (Role < ROLE_Authority)
		ServerSetTacLight;
}

simulated function SpecialFire()
{
	ServerSetTacLight();
	if (TacLightCorona == None)
	{
		TacLightCorona = spawn(class'Effect_TacLightCorona');
		AttachToBone(TacLightCorona,'BoneLight');
		TacLightCorona.SetRelativeLocation(vect(0, 0, 0));
	}
	else
		TacLightCorona.Destroy();
	PlayOwnedSound(FireSwitchSound,,TransientSoundVolume*0.95,,30,,false);
}

function ServerSetTacLight(optional bool bForceDestroy)
{
	if (bForceDestroy)
	{
		if (TacLight != None)
		{
			TacLight.bLightOn = false;
			TacLight.Destroy();
		}
		return;
	}
	if (TacLight == None)
	{
		TacLight = Spawn(class'Effect_TacLightSpawner', None,, Instigator.Location + (vect(16, 0, 16) >> Instigator.Rotation), Instigator.Rotation);
		TacLight.LightPawn = Instigator;
		TacLight.bLightOn = true;
		TacLight.SetLight();
	}
	else
		TacLight.bLightOn = !TacLight.bLightOn;
}

simulated function Destroyed()
{
	if (TacLight != None)
		TacLight.Destroy();
	if (TacLightCorona != None)
		TacLightCorona.Destroy();
	Super.Destroyed();
}

simulated function bool PutDown()
{
	if (Instigator.Controller.IsA('PlayerController'))
	{
		ServerSetTaclight(true);
		if (TacLightCorona != None)
			TacLightCorona.Destroy();
	}
	if (Super.PutDown())
	{
		return true;
	}
	return false;
}

defaultproperties
{
	// CXP reqs
	CXPReq=10
	
	// weapon data, readable names, attachments
	ItemName="UXP45-T (TacLight)"
	AttachName="taclight"
	GunDesc="COST: $30|TYPE: Light"
	GunCost=60
	BaseWeaponClass=class'Weapon_USPBase'
	PickupClass=class'FragOps.Weapon_USPTacLightPickup'
	AttachmentClass=class'FragOps.Weapon_USPTacLightAttach'
	Mesh=mesh'FOPistols.USP_Light'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_usptac'
}