//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_XM8Fire extends FireMode_Base;

simulated function InitEffects()
{
	Super.InitEffects();
	if (FlashEmitter != None)
		Weapon.AttachToBone(FlashEmitter, 'Bone_Flash');
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	AttachEjector();
}

function FlashMuzzleFlash()
{
	local rotator r;

	r.Roll = 300;
	r.Yaw = 25;
	r.Pitch = -50;
	Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);

	Super.FlashMuzzleFlash();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.4,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	// 2k3 firemode data
	AmmoClass=class'Ammo_XM8_556mm'
	AmmoPerFire=1
	DamageType=class'DamType_XM8AR'
	Spread=0.000
	SpreadStyle=SS_Random

	// FO firemode data
	WeaponDamage=19  // default damage for this gun
	WeaponDamageShrink=150   // if maxrange exceeded, damage = damage - (DistanceRemainder / WeaponDamageShrink)
	WeaponRange=2500   // maximum effective range for this gun
	RecoilSize=380  // amount of recoil for weapon
	DeadBulletRange=4500    // distance bullet travels before its actor is destroyed
	ConeMultiplier=0.00005   // multiplier used for widening the cone -- longer you hold the trigger, worse it gets
	ConeMax=0.001   // maximum size the cone can reach, limited to hundredths

	// reloading
	//ReloadSound=Sound'FOWeaponSounds.MP5SR.MP5Reload'
	ReloadSound=Sound'FOWeaponSounds.XM8.XM8Reload'
	ReloadVolume=2.0
	ReloadAnim=Reload
	ReloadAnimRate=1.0

	// firing -- data
	FireRate=0.093
	bWaitForRelease=false
	bModeExclusive=false

	// firing -- multimedia
	FireAnim=Fire
	FireAnimRate=2.0
	FireEndAnim=None
	FireLoopAnim=Fire
	FireLoopAnimRate=2.0
	FireSound=Sound'FOWeaponSounds.XM8.XM8Fire'
	FireForce="AssaultRifleFire" // force will be added later, if requested
	bPawnRapidFireAnim=true

	// effect emitters
	FlashEmitterClass=class'Effect_XM8MuzFlash'
	SmokeEmitterClass=class'Effect_XM8MuzSmoke'
	ShellEjectorClass=class'Effect_ShellEjector556First'

	// AI
	AimError=500
	BotRefireRate=0.99
}