//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_XM8NVision extends Weapon_XM8Base
	HideDropDown
	CacheExempt;

// hud static texture
var Material InfraHUDTex;

// nightvision
var bool bInfrared;

// when turning on the nightvision
var int ZoomNoise;
var() Sound InfraredSound;
var() Sound InfrastopSound;

// the locally spawned light
var Effect_InfraGlow InfraGlow;

simulated event RenderOverlays( Canvas Canvas )
{
	local FOPawn DynamicPawn;

	if (bScopeZoomed && !IsReloading() && !FragOps_GRI(PlayerController(Instigator.Controller).GameReplicationInfo).bPreRound)
	{
		if (bInfrared)
		{
			if (ZoomNoise > 29)
				ZoomNoise = ZoomNoise - 15;
			else if (ZoomNoise != 29)
				ZoomNoise = 29;
			ColorModifier(FinalBlend(InfraHUDTex).Material).Color.R = ZoomNoise;
			Canvas.SetPos(0,0);
			Canvas.DrawTile(InfraHUDTex, Canvas.ClipX, Canvas.ClipY, 0.0, 0.0, Canvas.ClipX*1.5, Canvas.ClipY*1.5);
		}
		Canvas.SetPos(0,0);
		Canvas.DrawTile(ScopeHUDTex, Canvas.ClipX, Canvas.ClipY, 0, 0, 1024, 1024);
	}
	else
	{
		if (bInfrared)
		{
			if (InfraGlow != None)
				InfraGlow.Destroy();
			foreach DynamicActors(class'FOPawn',DynamicPawn)
			{
				DynamicPawn.AmbientGlow = DynamicPawn.Default.AmbientGlow;
				DynamicPawn.ScaleGlow = DynamicPawn.Default.ScaleGlow;
			}
			bInfrared = false;
		}
		if (bScopeZoomed)
		{
			ServerSetZoom(0);
			bScopeZoomed = false;
			SetScope();
		}
		Super(Weapon_Base).RenderOverlays(Canvas);
	}
}

simulated function SpawnGlow()
{
	local FOPawn DynamicPawn;

	if (InfraGlow == None)
		InfraGlow = spawn(class'Effect_InfraGlow',Instigator,, Instigator.Location + (vect(16, 0, -5) >> Instigator.Rotation), Instigator.Rotation);

	foreach DynamicActors(class'FOPawn',DynamicPawn)
	{
		DynamicPawn.AmbientGlow = 254;
		DynamicPawn.ScaleGlow = 10.0;
	}
}

simulated function SpecialFire()
{
	local FOPawn DynamicPawn;

	if (!bScopeZoomed)
		return;

	bInfrared = !bInfrared;
	ZoomNoise = 220;
	if (InfraGlow != None)
		InfraGlow.bDynamicLight = bInfrared;
	else if (bInfrared)
		SpawnGlow();
	if (bInfrared)
	{
		foreach DynamicActors(class'FOPawn',DynamicPawn)
		{
			DynamicPawn.AmbientGlow = 254;
			DynamicPawn.ScaleGlow = 10.0;
		}
		PlayOwnedSound(InfraredSound,,TransientSoundVolume,,30,,false);
	}
	else
	{
		foreach DynamicActors(class'FOPawn',DynamicPawn)
		{
			DynamicPawn.AmbientGlow = DynamicPawn.Default.AmbientGlow;
			DynamicPawn.ScaleGlow = DynamicPawn.Default.ScaleGlow;
		}
		PlayOwnedSound(InfrastopSound,,TransientSoundVolume,,30,,false);
	}
}

simulated function bool PutDown()
{
	local FOPawn DynamicPawn;

	if (Instigator.Controller.IsA('PlayerController') && Instigator.IsLocallyControlled())
	{
		ServerSetZoom(0);
		bScopeZoomed = false;
		SetScope();
		bInfrared = false;
		if (InfraGlow != None)
			InfraGlow.Destroy();
		foreach DynamicActors(class'FOPawn',DynamicPawn)
		{
			DynamicPawn.AmbientGlow = DynamicPawn.Default.AmbientGlow;
			DynamicPawn.ScaleGlow = DynamicPawn.Default.ScaleGlow;
		}
	}
	if (Super(Weapon_Base).PutDown())
		return true;
	return false;
}

simulated function ClientWeaponThrown()
{
	if ((Instigator != None) && (PlayerController(Instigator.Controller) != None))
	{
		bScopeZoomed = false;
		SetScope();
		bInfrared = false;
		if (InfraGlow != None)
			InfraGlow.Destroy();
	}
	Super(Weapon_Base).ClientWeaponThrown();
}

simulated function Destroyed()
{
	local FOPawn DynamicPawn;

	if (InfraGlow != None)
		InfraGlow.Destroy();
	foreach DynamicActors(class'FOPawn',DynamicPawn)
	{
		DynamicPawn.AmbientGlow = DynamicPawn.Default.AmbientGlow;
		DynamicPawn.ScaleGlow = DynamicPawn.Default.ScaleGlow;
	}
	Super.Destroyed();
}

defaultproperties
{
	// CXP reqs
	CXPReq=100
	
	// nightvision
	InfraHUDTex=FinalBlend'FOMisc.Special.MP5InfraFinal'
	InfraredSound=Sound'FOWeaponSounds.MP5SR.Infrared'
	InfrastopSound=Sound'FOWeaponSounds.MP5SR.Infrastop'
	
	GunDesc="COST: $25|DMG: Max|RNG: Arm"
	GunCost=120
	ItemName="ZM8 (NightVision)"
	AttachName="n.vision"
	BaseWeaponClass=class'Weapon_XM8Base'
	PickupClass=class'FragOps.Weapon_XM8NVPickup'
	AttachmentClass=class'FragOps.Weapon_XM8Attachment'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_xm8bare'
}